Introduction

Tips & Tricks
HELPLINE Q&A DIRECTORY

Welcome to the PC Advisor Tips & Tricks Helpline, a searchable, cross-referenced Helpline Directory containing 18 months worth of Helpine Q&As from PC Advisor magazine

General | Internet
Windows | Applications

Can’t find the answer here? if in doubt, try PC Advisor’s online Helproom. Post your problem, along with your proposed solution if you have one, here and we'll email you back when other readers have come to your aid.

Want to speak to someone? Call our Expert Advice Hotline (0906 906 0272). Our experts are available anytime between 8am and 11pm, seven days a week, to give advice with any hardware or software problem. Calls cost £1.50 per minute.

The PC Advisor Tips & Tricks searchable Helpline Q&A Directory is provided subject to the following caveats:
  • Always back up the Registry when an answer suggests edtiting it in any way. Instructions for doing this are given in the tip, Back up the Registry. Search for this tip and follow it before you make changes to the Registry.

  • Always have an up-to-date backup of your entire system to hand. We recommend you perform a new backup before making any changes to your system or installing new software. The publisher shall have no liability without limitation for any losses or damage arising from carrying out any tips or taking advice from the PC Advisor Tips & Tricks Helpline Directory including loss of profit, damage to equipment or data, interruption of business or any other damage, direct or accidental.

  • All information correct at time of press. © PC Advisor Tips & Tricks 2002. All rights reserved. No portion of this disc may be copied, in whole or part, save by prior permission of the publisher, IDG Communications. Tel 020 7291 5920.

  • Disc contains edited content from Helpline Q&As from the June 2000 to December 2001 issues of PC Advisor, including tips and frequently-asked questions. Answers given are in response to the questions they follow. While the advice might well work for your similar problem, read these questions carefully as your problem may differ in some way and the remedy may therefore need adjusting to suit your circumstances, or may not work at all for your PC’s setup.


How to use the Helpline Q&A Directory

Introduction | How to use the Helpline Q&A Directory Helpline Q&A directory
How to use the Helpline Q&A Directory

Here are some tips on how to get the most from the Helpline Q&A Directory

Table of contents navigator

The table of contents in the Helpline Q&A Directory provides you with a hierarchical view of the content. By clicking a topic listed in the table of contents, and are taken directly to the information you are looking for.

The table of contents is organised into 4 main topics; Windows, General, Internet and Applications. These topics contain the questions and answers of the Helpline Q&A Directory.

Searching the Helpline Q&A Directory

Selecting the Search tab to the Navigation pane allows you to search through every word in the Helpline Q&A Directory to find a match. For example, if you do a full-text search on the word "CD," every topic that contains the word "CD" will be listed.
© 2002 PC Advisor


Applications introduction

Introduction | Applications Helpline Q&A Directory
Applications
A better office toolbar
Activex component error message in Access
Can I append archives with Microsoft backup?
Can I delete 0kb files
Can you fax from Windows 98?
Can't send emails
Change country settings for UK defaults
Change the default font
Change the default font in MS Works word processor
Change the format of PLT files
Change Tiffs to Jpegs
Change Word Pro defaults
Change Word's default font
Choose which programs load at startup
Create indexes for long Word docs
Customise Office 2000's default file locations
'Device could not be loaded' error message
Disable em-dash autocorrect
Display all menus in Office 2000
Display thousands without zeros in Excel
Easy em and en spaces
Eliminate 'lost DLL' startup errors
Excel gridlines won't print
Get Windows paint to read Jpegs
Hide tasks in Outlook until their start date
 Image file format types
Incorrect page numbering in Word
Launch Word 2000 with last-edited document
Make Outlook Express use the typeface and font size you set
No access to Access
No backup for Windows 98
Open CMX format images
Print images at the right size
Read DAT files
Resolve Windows 98 low memory problems
Restore format menu in Word
Restore missing toolbars in Word
Safely delete suspect emails without opening them
Save a file in two locations at once
Scan images at low resolutions
Set the correct language for all apps
Setting up Outlook identities
Stop new programs changing default file associations
Text gets erased as I type
Twain error message when scanning
Unlock DVD region settings
Use Wordperfect to edit HTML documents
Using text strings in Excel formulae
Visual Basic error message
What is a ZIP file?


A better office toolbar

Introduction | Applications Helpline Q&A Directory
A better office toolbar

The Shortcut bar that comes with Office is a convenient way to launch applications, record appointments and start other tasks. However, for me the Shortcut bar is useless and constitutes a waste of Windows resources. How can I tap the advantages of the Shortcut bar but save on resources?

Here are two tricks that will work with the Office 97 and 2000 Shortcut bar. The first trick is best if you use only a few of the Shortcut bar's icons. Open the folder containing your Shortcut bar icons - it will probably be c:\Program Files\Microsoft Office\Office\Shortcut Bar\Office. Then drag the icons for the shortcuts that you regularly use to the Taskbar's Quick Launch toolbar.

For easy access to the Shortcut bar's icons, right-click the Taskbar and select Toolbars, New Toolbar. In the New Toolbar dialog box, navigate to c:\Program Files\MicrosoftOffice\Office\Shortcut Bar\Office (or whichever folder the icons are in) and click ok. This creates a toolbar on your Taskbar. To regain screen space lost to the toolbar, drag its left edge until nothing is visible except its title (Office) and the button with the greater-than symbol. Click the chevron to obtain a pop-up menu of everything in the Shortcut bar.

Now you don't need the Shortcut bar, remove it by double-clicking the colourful box in its upper-left corner. Then in the resulting dialog box click No.


Activex component error message in Access

Introduction | Applications Helpline Q&A Directory
Activex component error message in Access

I have a problem with Access in Microsoft Office 97. Every time I try to use the wizard to create either a new query or a new form from an existing database, I receive the message 'ActiveX component can't create object'. Everything is fine using Design view.

It sounds as though something has been messing with the file dao350.dll. It may be that the file is not properly registered. To correct this, make sure Microsoft Access isn't running, then try the following. Locate the file da0350.dll on your system (it may be in c:\Program Files\Common Files\Microsoft Shared\DAO), then open a command prompt and change to this directory. Now type the command:

c:\Windows\System\Regsvr32.exe dao350.dll

A message box containing a success message should appear. Start Access and see if this has resolved the problem. If this fails, try replacing the file dao350.dll with one from the Microsoft Office CD. You should find it in the folder \OS\Msapps\Dao. Make sure there are no other copies besides this one on your hard disk.

If this fails, delete the entire Dao folder containing the DLL, then reinstall Office 97. If that fails, you will have to try a complete removal of Access 97 followed by reinstallation. There isn't space to go into detail about that here, and hopefully it won't be necessary but, if it is, retrieve article Q163997, 'How to completely uninstall Microsoft Access 97', from the Microsoft Knowledge Base. To do that, just send an email to mshelp@microsoft.com with the article number in the subject line.


Can I append archives with Microsoft backup?

Introduction | Applications Helpline Q&A Directory
Can I append archives with Microsoft backup?

Microsoft Backup overwrites the backup file each time I do a backup. This means that if I want to back up just my latest letter, it will overwrite everything else on the backup file and I lose all my previous backed-up work. The option to append is not available. I can choose to back up all files each time, but this is too time consuming to be practical. I understand that this program may not be usable with CD-RW, but the same problem occurs even with a floppy disk. Is there a solution?

The Append option is only available when backing up to a tape drive; this is a limitation of Microsoft Backup. The only solution, if you don't want to use a tape drive, is to use a different backup program.


Can I delete 0kb files

Introduction | Applications Helpline Q&A Directory
Can I delete 0kb files

My computer has Microsoft Office installed. In almost every folder there is a file, zero bytes long, called mscreate.dir. Can these files be safely deleted?

These zero-length hidden files are created by the Microsoft Setup program. They show that the folder was created by Setup. If you uninstall a component, or the entire application, Setup uses the presence of these files to determine if it is safe to remove an empty folder. Therefore, if you remove these files and later remove some Microsoft Office components, the folders they were stored in will not be deleted. The files occupy no space other than a few bytes in the folder's directory, so there is nothing to gain by deleting them.


Can you fax from Windows 98?

Introduction | Applications Helpline Q&A Directory
Can you fax from Windows 98?

Windows 95 had some very useful software for sending faxes. Now I have upgraded to Windows 98, I can't find it. Does 98 have this facility?

Microsoft Fax is still on the Windows 98 CD-ROM in the Tools\Oldwin95\Message\Intl folder. The file wms-fax.txt takes you through its installation. However, it's unsupported, and doesn't seem to work if you've installed Office 2000.


Can't send emails

Introduction | Applications Helpline Q&A Directory
Can't send emails

I have a weird problem with Outlook Express 5.0. When I try to send a message, a dialog box pops up saying: 'The message could not be sent. Some of the recipients for this message are not valid. Please verify the names'. What does this mean? I can still connect and download messages and I can still read the messages - I just can't send any.

A reinstall of Outlook Express will help because, according to the Microsoft Knowledge Base (http://support.microsoft.com), this error is caused by a damaged wab32.dll file. This can also cause the following messages to appear: 'Outlook Express: There was an error opening this message' and 'The Address Book failed to load. Outlook Express is incorrectly configured, please reinstall'.

If the thought of a reinstall scares you, then there is another way: extract a new copy of wab32.dll into the c:\Program Files\Common Files\System folder. This is easy to do if you have Windows 98. Click Start, Run, type sfc and click ok. Select 'Extract one file from installation disk'. In the 'Specify the system file you would like to restore' box, type wab32.dll, then click Start. In the Restore from box, select the location of your Windows 98 CD-ROM. In the 'Save file in' box the location should be c:\Program Files\Common Files\System.

Click ok and follow the instructions to complete the process. Under Windows 95 you need to use the command line extract program. The command you must type (all on one line) is:

Extract /A d:\Win95\win95_02.cab wab32.dll /L "c:\Program Files\Common Files\System"

This is assuming that D is the letter for your CD-ROM drive.


Change country settings for UK defaults

Introduction | Applications Helpline Q&A Directory
Change country settings for UK defaults

The program I'm using displays currency in dollars and dates as mm/dd/yy. Where can I change this?

Good programs take the date and currency settings from Windows. Check the Regional Settings in Control Panel.


Change the default font

Introduction | Applications Helpline Q&A Directory
Change the default font

Is it possible to change Word's default font and, if so, where must I look to do it?

Open normal.dot, then click on Format, Style. Select Body Text (you may first need to ensure all styles are listed), then click Modify. Under Based On select '(no style)'. Click Format, Font and change the font. Click ok to close Modify Style, click Apply, then save normal.dot.


Change the default font in MS Works word processor

Introduction | Applications Helpline Q&A Directory
Change the default font in MS Works word processor

How do I change the default font or font size used by the Microsoft Works word processor, so that any new document I create automatically gives me the font size and style I want?

Changing the default font in Works, is slightly different to the way Word does it (see tip Change Word's default font). You must create a default template, which is set up to use the font and font size you prefer. Here's how to do it.

First, open a blank word processor document. Next, select the font and font size you want to use for all new documents. Click File, Save As and select Template. Enter a name for the word processor template and check the 'Use this template for new Word Processor documents' checkbox. Click ok to save the new template.


Change the format of PLT files

Introduction | Applications Helpline Q&A Directory
Change the format of PLT files

I have a floppy disk full of images in PLT format. I need to transfer them into a standard format so they can be inserted into a Word document. How do I go about doing this?

PLT files are files containing instructions in HPGL (HP graphics language) and are intended to be output on a plotter. You need a program that can read this type of file and then save it in another format. Corel PhotoPaint and CorelDraw can do this, although there may be other packages available on the market. However, you will find that most photo-editing applications don't support this format as it isn't a bitmap format.


Change Tiffs to Jpegs

Introduction | Applications Helpline Q&A Directory
Change Tiffs to Jpegs

When I scan a picture and save it to My Pictures folder it is in Tiff format. How do I change it to Jpeg format so that I can send it by email?

Open the image in any good bitmap editor program and then save it in Jpeg format. However, to avoid this extra step, see if the program you are using to acquire the image can save images in Jpeg format in the first place. If it doesn't, acquire the image using a bitmap editor that can - we use Paint Shop Pro for this.


Change Word Pro defaults

Introduction | Applications Helpline Q&A Directory
Change Word Pro defaults

How do I change the default font in Lotus Word Pro?

Open the default SmartMaster, default.lwp, in c:\Lotus\Smasters\Wordpro, change the font and save the file.


Change Word's default font

Introduction | Applications Helpline Q&A Directory
Change Word's default font

I don't like Times New Roman and get fed up with changing the font every time I open a new Word document. Can you tell me how to change the font permanently?

Every time you start a new Microsoft Word document, it is based on the standard document template (normal.dot). Fortunately, it is easy to change the default.

Open a new Word document, then click on Format, Font. Select the font, size and style you want to use for your new default, then click the Default button. Word will display a message dialog box warning you that this change will affect all new documents. Click Yes, and the job is done. See also tip Change the default font in MS Works word processor


Choose which programs load at startup

Introduction | Applications Helpline Q&A Directory
Choose which programs load at startup

How can I get Lotus Organizer to display at startup?

Click on Start, Programs, Lotus, Organizer 5.0, right-click the Lotus Organizer 5.0 program icon and select Copy. Click Start, Programs, StartUp, right-click and select Paste. This will ensure Organizer will be on your screen after rebooting, and at subsequent startups. This works for other programs, too.


Create indexes for long Word docs

Introduction | Applications Helpline Q&A Directory
Create indexes for long Word docs

My document page count in Word regularly creeps into double digits. Is there a way to direct readers to specific topics?

Word's indexing tools take much of the mystery and labour out of the process. Scroll through a document looking for a word or phrase you want to index. When you find one, select it and then press Alt, Shift, X. You'll see the Main Entry field of the Mark Index Entry dialog box filled with the selected text. If you want to mark the term as a Main Index entry, click Mark. To mark all identical text in the document as a series of separate index entries, click Mark All. To create a subentry, type the text in the Subentry field, and to create a third-level entry, type a colon after the subentry text, followed by the text for the index item.

The Mark Index Entry dialog box stays on the screen after you click Mark to allow you to create new index entries. When you finish marking entries, click Close. To create the index, press Ctrl, End to move the cursor to the bottom of the document. Then select Insert, Index and Tables, click the Index tab in the Index and Tables dialog box, and click ok.


Customise Office 2000's default file locations

Introduction | Applications Helpline Q&A Directory
Customise Office 2000's default file locations

On the lefthand side of the Office 2000 File Open dialog box are icons for five locations where Microsoft assumes you want to keep your files. How can I customise these choices to add the folders that I want to have there?

To change what Microsoft calls the Place bar, you have to edit the Registry. As usual, you should back up the Registry first (See tip Back up the Registry.) Before you start editing the Registry, close all Office applications. When you're ready, select Start, Run, type Regedit, and press Enter to bring up the Registry Editor. Navigate in the lefthand pane to Hkey_Current_User\Software\Microsoft\Office\9.0\Common\Open Find\Places\StandardPlaces.

The dialog box only lets you display five place icons, so for every one you want to add, you must hide one of Microsoft's defaults. (Later we'll show you how to outwit this requirement.) Beneath StandardPlaces, you'll find a key for every icon on the Place bar. Right-click on one for an icon you don't want, and select New, Dword value. Name the value as 'show' and leave it with its default value of zero. Repeat this for every icon you want to hide.

You're now ready to create new icons. Right-click the UserDefinedPlaces key under Places and then select New, Key. Give the key any name you wish. Right-click the new key and select New, String Value. Name this value 'name'. Press Enter, type in an appropriate name and press Enter again.

Right-click the key and select New, String Value. Call this one 'path'. For the text string, enter the full path to the folder. For instance, if you want a shortcut to your Alternate Docs folder on your D drive, your name value might be Alternate Docs and your path value d:\alternate docs.

There's a way to get around the dialog box's five-folder limit. Right-click the Places key and select New, Dword Value. Name the new value 'ItemSize' and leave it with the default value of zero. The folder icons will be smaller and you'll be able to fit more of them in the dialog box.


'Device could not be loaded' error message

Introduction | Applications Helpline Q&A Directory
'Device could not be loaded' error message

I have a problem running Microsoft Flight Simulator 2000 Pro. After clicking on the shortcut I get the error: 'mmsystem266 The device could not be loaded. Verify that the driver is installed correctly'. I have tried uninstalling and reloading the game with the same results.

This error occurs if any of the following files in the Windows System Folder are missing or invalid: msvideo.dll, mciavi.drv and dciman.dll. Other files that might give rise to this or a similar message if missing or damaged are: avifile.dll, dciman32.dll, msvidc32.dll, msvfw32.dll and wow32.dll. To solve the problem, use the System File Checker (sfc.exe) to restore these files from your Windows CD-ROM.


Disable em-dash autocorrect

Introduction | Applications Helpline Q&A Directory
Disable em-dash autocorrect

I am using Microsoft Word 7.0. When preparing a document I often require a double-em line between words without spaces between the dash and the words. I use Alt, 0151 twice and this produces the required length of dash. However, on typing the space following the succeeding word, the double-em reverts to single-em, which is very irritating. I have tried setting up an AutoCorrect, but this doesn't help.

This appears to be a built-in function of Word. To disable it, you have to select Tools, Options, select the AutoFormat tab and, under 'Replace as you type', deselect the 'Symbol Characters with Symbols' option. However, this may result in the loss of some other automatic replacements that you may have found useful. In that case you will need to add them back by setting up AutoCorrect entries for them. See also tip Easy em and en spaces.


Display all menus in Office 2000

Introduction | Applications Helpline Q&A Directory
Display all menus in Office 2000

Office 2000 applications show only the most recently used menu items. I find this a hassle when I want a menu item I haven't accessed in a while. How can I show all menu items?

Displaying only the most recently used menu items is Office 2000's default setting - it is meant to speed things up. But if you'd like to display all menu items, follow these instructions.

Start any Office program. Click on Tools, Customize. Select the Options tab. Clear the 'Menus show recently used commands first' checkbox. Click Close.


Display thousands without zeros in Excel

Introduction | Applications Helpline Q&A Directory
Display thousands without zeros in Excel

Is there a way to display thousands without zeros in Excel? For example, I would like 52,000 to appear as 52.

First, select the cells to be formatted, then choose Format, Cells. Click the Number tab. Select Custom from the Category list, and in the Type box enter 0, (that's a zero followed by a comma). When this number format is applied, the cells will retain the correct numerical values, but they will be displayed without the last three digits.

To display values in millions, insert an additional comma at the end of the format string (0,,). Another possibility is to display one or more decimal places - for example, 52,100 as 52.1. To do this, include a decimal point in your format string (0.0,).

You can also use these number formats in charts. To do so, double-click the chart axis to display the Format Axis dialog box. Click the Number tab and specify the desired format. In Excel 2000, the Scale tab of the Format Axis dialog box lets you specify the unit scaling directly. Just choose Millions from the 'Display units' drop-down box.


Easy em and en spaces

Introduction | Applications Helpline Q&A Directory
Easy em and en spaces

I use typographical em and en spaces a lot - they are useful in lists, following a number, or anywhere a fixed-width space will help align text or numbers. Because I use them so regularly, I wondered if there's an easier way to invoke them than going to Insert, Symbol then clicking the Special Characters tab, choosing Em Space or En Space and clicking Insert.

Yes, there is. This tip works with Word 97 and 2000. Add the characters to your Insert menu by selecting Tools, Customize and clicking the Commands tab in the Customize box. Opt for Insert in the Categories list and scroll to the Insert Em Space or the Insert En Space entry in the Commands list.

Click an entry and drag it to the Insert menu. When the Insert menu drops down, drag the pointer to where you want the command, then release the mouse button. Repeat these steps for the other Insert Space command, then click Close. See also tip Disable em-dash autocorrect.


Eliminate 'lost DLL' startup errors

Introduction | Applications Helpline Q&A Directory
Eliminate 'lost DLL' startup errors

My computer seems to have lost pngu3263.dll and despite trying to locate it (using both Windows Find and the internet) I have drawn a complete blank. From the name I can't even guess where it may have come from. It seems to be linked to something required at startup. Can you help?

There's no central register of DLLs and what they are, so very often it's impossible for us to tell from the name where a DLL came from either. In this case, however, one of our systems has a pngu3266.dll in the folder c:\Program Files\Common Files\Real\Common, from which we deduce that your missing file may be connected with RealPlayer, RealDownload or something like that.

You could confirm this by running Msconfig, selecting the Startup tab, temporarily disabling any RealPlayer or related programs you find there and seeing if the message about the missing DLL goes away. If it does, reinstalling the application concerned should restore the DLL.


Excel gridlines won't print

Introduction | Applications Helpline Q&A Directory
Excel gridlines won't print

I recently bought an HP LaserJet 1200 USB printer. When I print out Excel worksheets with the cell borders formatted so they display as a grid, one vertical line is missed out on all pages and one horizontal line on the second and subsequent pages.

I have been in regular touch with HP's technical staff who were able to replicate the problem, but they told me that it wasn't their fault but Microsoft's. The problem happens with both Excel 97 and 2000. Whose responsibility is it, and what can I do about it?

This is quite a common problem, and, since it is experienced by users of a whole range of different printers, HP is probably right in saying that it isn't its fault. Nor do we think it is a problem with Excel, as we have seen similar problems with other software.

We think the problem lies within Windows, or the printer or graphics card drivers. Many laser and inkjet printers use the unidrv.dll (universal printer driver), which is written by Microsoft and comes with Windows, so that may be the problem.

The problem seems to occur when a worksheet is scaled to fit the page and is printed at less than 100 percent of full size. The lines that go missing are very fine. Although to you your worksheet is made up of letters, numbers and lines, to print it the computer has to convert this to an image made up of dots of ink.

What appears to happen is that when the formula scales the image to the page width, a line that is very fine and which would fall exactly between two dots causes neither of them to be printed. Hence the line becomes invisible.

One solution that often works is to go into the Properties dialog box for your printer and increase the print resolution from its current setting - for example, if the resolution is 300dpi (dots per inch) try a higher res, such as 600dpi. With some printer drivers you may need to select Best quality output.

The only trouble with this solution is that with a laser printer it will quadruple the amount of memory needed to store the image of the page ready for printing. You may find that without a memory upgrade the printer complains of insufficient memory or only prints part of the page.

If this doesn't help, you could try a workaround instead. One is to change the width or height of the preceding row or column by a tiny amount. By doing this, you should move the line to a different position where it will appear.

However, this may cause others lines to disappear, so it is an iterative process. The other workaround is to use thicker lines for your cell borders. Then something will always print, even if the lines aren't all the same width.


Get Windows paint to read Jpegs

Introduction | Applications Helpline Q&A Directory
Get Windows paint to read Jpegs

After a disastrous attempt to install the Windows Me upgrade on my PC (which runs Windows 98) I formatted the hard drive and did a clean install of Windows 98 followed immediately by the upgrade. Since then, my Paint accessory no longer recognises Jpeg files. I attempted to change the association so that Jpeg files open with Paint rather than Image Preview, but I received the error message: 'This is not a valid bitmap file, or its format is not currently supported'.

Paint will only allow me to save images in a bitmap format with the following choices: monochrome bitmap, 16-colour bitmap, 256-colour bitmap and 24bit bitmap. I spent nearly an hour on the phone to Microsoft which was unable to solve the problem.

It is not widely known that the Windows Paint accessory can display other image file formats besides bitmaps and PCX files. In fact, Windows Paint only comes with support for BMP, DIB and PCX files, and can only save in BMP and DIB formats. Other image formats are only supported if additional graphics file filters have been installed. If Microsoft Office 97 or later is installed, Paint can make use of the filters which are installed with it (although the extra file types don't appear in the list of types in the Open dialog box).

Apparently, a filter that allows both opening and saving of Jpeg files comes with Microsoft Plus 98. Perhaps you had installed Plus on your original Windows 98 setup?


Hide tasks in Outlook until their start date

Introduction | Applications Helpline Q&A Directory
Hide tasks in Outlook until their start date

Can I hide tasks in Outlook until their start date? Tasks now show up immediately after I enter them. For instance, if I enter a task to start on 10 October, I don't want to be reminded of it until 10 October.

No, but workarounds can help. One option is to use the Due Date rather than the Start Date. To hide a task with a Due Date more than a week away, select View, Current View, Next Seven Days. But don't enter separate Start and Due dates, or you may be reminded to do something too late.

Another option, and the only one that actually understands the concept of a Start Date, is View, Current View, Task Timeline. This will give you an entirely different view of your tasks - one where each task marks or blocks out the space between its Start and Due Date.

If you use Outlook 98 or 2000, you may want to alter your Outlook Today view as well. Go to Outlook Today then, in Outlook 98, click Options. Alternatively, for Outlook 2000, click 'Customize Outlook Today'. In the Tasks section, for 'In my task list, show me', select Today's tasks. Click 'Save changes'. But remember, Microsoft assumes Today's tasks are those due today, not ones starting today.


Image file format types

Introduction | Applications Helpline Q&A Directory
Image file format types

What are the possible file types for scanned documents? Does it depend on the type of scanner? Also, what kind of editing can be done on scanned images (text, graphs, tables and so on)? Can they be edited like Microsoft Office or Lotus SmartSuite files, or using some other word processing software?

The file type used to store a scanned document doesn't depend on the type of scanner at all, it depends entirely on the software used. The Tif format is commonly used for scanned images of printed documents, while the Jpeg format is often used for photographs. But as document images can be acquired using image editors such as Paint Shop Pro that can save to dozens of different formats, there is no definitive answer to your first question. It's up to you and the options available when you choose File, Save As.

As for your second question, what the scanner produces is a picture of the document, so it can only be edited as if it were a picture. To scan a document into a format that can be edited in a word processor you must use OCR (optical character recognition) software, which can be bought separately although a basic package often comes with a new scanner. This will convert text into editable text, usually with less-than-perfect accuracy depending on the fonts used. However, OCR software usually cannot cope with tables or pictures that are embedded into a document.


Incorrect page numbering in Word

Introduction | Applications Helpline Q&A Directory
Incorrect page numbering in Word

When I print a Word 2000 document, the page numbers in the footer print as page one of one, two of two and so on. However, they display correctly in Page Preview.

From the Print dialog, click Options and select Reverse print order. This is a bug in Word 2000 that Microsoft claims is fixed in the latest service release.


Launch Word 2000 with last-edited document

Introduction | Applications Helpline Q&A Directory
Launch Word 2000 with last-edited document

How can I make Microsoft Word 2000 automatically open the document I was last working on when it starts?

You can do this by creating a very simple macro. Press Alt, F8 (or select Tools, Macros, Macros). In the Macros dialog box select normal.dot from the Macros in: drop-down list. Type Autoexec in the Macro Name field and click Edit. The Visual Basic Editor will open, displaying a dummy Autoexec macro.

Insert a line after the comments (the lines starting with a single quote that are displayed in green) which reads: If RecentFiles.Count >= 1 Then RecentFiles(1).Open. Save the macro, then test it by closing Word 2000 and opening it again.


Make Outlook Express use the typeface and font size you set

Introduction | Applications Helpline Q&A Directory
Make Outlook Express use the typeface and font size you set

I can't get Outlook Express to use the typeface and font size I set. It always reverts to the default settings.

To get Outlook Express to use your font as the default, so that your message looks the same to all recipients, set it to send email in HTML format. Select Tools, Options and click the Send tab. Under Mail Sending Format click beside HTML and click ok. Now select Tools, Compose and click next to Mail. Click Select and pick your favourite stationery or page layout.

Note: though most up-to-date email programs support HTML, not every one uses an up-to-date program, nor will all systems display the same fonts. For business purposes, it's common practice to use plain-text email. So that you are not limited to this, specify in the address book that you want the program to send email to designated recipients as plain text. To do this, under the Personal tab for an individual's address book entry, select Send email using plain text only.


No access to Access

Introduction | Applications Helpline Q&A Directory
No access to Access

When I open a database in Microsoft Access 2000, the error 'ActiveX component can't create object' appears.

Either you have the wrong version of an important file, or it is improperly registered. Locate the file dao360.dll in c:\Program Files\Common Files\Microsoft Shared\Dao and replace it with the one on the Office 2000 CD in the Pfiles\Common\Msshared\Dao folder. Click Start, Run, and run the command: regsvr32.exe c:\Program Files\Common Files\Microsoft Shared\Dao\dao360.dll.


No backup for Windows 98

Introduction | Applications Helpline Q&A Directory
No backup for Windows 98

I've upgraded to Windows Me, but have lost Microsoft Backup from Windows 98. Where is it?

It's on the Windows Me CD in the Add-ons\MSBackup folder.


Open CMX format images

Introduction | Applications Helpline Q&A Directory
Open CMX format images

I have a folder full of CMX format images but despite trying several image editors and drawing packages, none of them will open a CMX file. Can you suggest one that does?

CMX is a Corel vector graphics format. Certain graphics packages, including CorelDraw, support this format. However, there is a free Corel CMX viewer browser plug-in, which you can download from www.corel.com/freebies/plugins.htm. Having installed it, you can view the images in your web browser, from where you could copy them to the clipboard and paste them into another image editor.


Print images at the right size

Introduction | Applications Helpline Q&A Directory
Print images at the right size

How I can print reasonably sized pictures, say 6x4in, from Tiff images? The pictures were taken with a digital camera and emailed to me. If I receive them as BMP images they are automatically associated with Microsoft Paint and I can obtain a reasonable size, good quality print from them. If they come as TIF images they are opened on an image viewer and are initially displayed rather small.

The software offers three sizes of print: Actual, Fit to page and Pixel to Pixel, but none of them are useful, being either too big or too small. I use Windows 95, but don't have any special programs for processing images. Do I need additional software?

You might find a bitmap editor like Paint Shop Pro useful. However, you probably have a word processor such as Microsoft Word, which has a graphics import filter for TIF images and a host of other types. If you can't find the filter, it may not have been installed when the word processor was installed originally, so rerun the Setup program and add this option.

Using the graphics filter you can insert images into a word processor document, and then adjust the image properties to make the picture the size you want from the Format Picture dialog box. Using a word processor you can also easily add captions to the printed images, too.


Read DAT files

Introduction | Applications Helpline Q&A Directory
Read DAT files

I recently asked for some information to be sent to me in zipped CSV format. Unfortunately, it has arrived as an attachment in DAT format. How do I read this information?

File type extensions are just a naming convention. Although they usually indicate the type of a file, they don't always. DAT is not a recognised file type. It is actually short for 'data', so this extension is commonly used as a generic file type for data files that could be in any format. We also suspect there may be an email program that has a habit of giving attachments a DAT file type, because we're often asked this question.

Whatever the explanation, we don't know what format the data is in. Try opening the saved attachment in Notepad. This will at least let you see if it is in comma-separated variables format. If so, you can just rename the file type to CSV. If not, you'll have to ask the sender what format it's supposed to be in. If it's supposed to be a ZIP file, rename it to ZIP instead, then unzip it.


Resolve Windows 98 low memory problems

Introduction | Applications Helpline Q&A Directory
Resolve Windows 98 low memory problems

My system has 256MB of RAM, but recently I've noticed a fall-off in available resources and I don't know where to start looking to resolve the problem. I run Windows 98 and right now the Resource Meter is only showing 43 percent System, 47 percent User and 43 percent GDI. Granted, I am on the internet and have Outlook Express, Word and the Resource Meter running.

In the System Tray, Task Scheduler, Nero CD writer and my internet connection monitor are ready and the computer has been switched on for about an hour. I recently purchased some software that uses Microsoft Excel and it crashes after about 10 minutes through lack of memory. How do I detect what may be causing the problem, and how do I fix it?

We suspect that in your case the only way to fix this would be to switch to Windows 2000. Windows 95, 98 and Me have inherent memory resource problems due to the fixed size tables that they use to keep track of certain types of memory allocation. This is a legacy from 16bit Windows 3.x, which Microsoft retained in order to make Windows 95 more compatible with older Windows programs.

Windows 2000 has no such problem. Some older programs won't run under it, but this is no hardship for the majority of users today. However, it also has limited support for older or games-oriented hardware, and it won't run some games and multimedia programs, so you should check those compatibility issues before forking out for an operating system upgrade.

If you want to try to solve the problem with Windows 98, you have to find the memory hog in your system by elimination. You can disable System Tray applications using the Startup tab of Msconfig to see if they are to blame.

However, chances are that you're experiencing the inevitable consequence of running software that makes heavy use of Excel charting. Graphics card and printer drivers have been known to leak memory, so it would certainly be worth ensuring that you have the latest drivers for your hardware. But even with the latest drivers and nothing else running on your system, it's still possible to use up all the resources running Windows 98.


Restore format menu in Word

Introduction | Applications Helpline Q&A Directory
Restore format menu in Word

In my copy of Microsoft Word 2000, Format has disappeared from the menu bar (it used to come after File, Edit, View, Insert). I noticed this some days after installing PC-cillin Antivirus 2000 and Adobe Acrobat. I've tried uninstalling both programs, and uninstalling and reinstalling Word, but Format hasn't reappeared.

This isn't a known problem, however it may be caused by some data in either the Registry or the template normal.dot that Word is picking up when it starts. It might be possible to clear the problem by deleting the Registry folder in which the menu and toolbar settings are stored. As always, be sure to back up the Registry (see tip Back up the Registry) and know how to restore the Registry (see tip Restore the Registry from the backup).

Close Word 2000, then launch the Registry Editor (click Start, Run, type Regedit and hit Enter.) Open the following Registry folders in turn: Hkey_Current_User, Software, Microsoft, Office, 9.0, Word. In the lefthand pane select the subfolder named Data. Right-click this folder and select Delete from the context menu. Word will create a new Data folder the next time you start it.


Restore missing toolbars in Word

Introduction | Applications Helpline Q&A Directory
Restore missing toolbars in Word

Word 97 has suddenly lost all of its toolbars. My computer repair shop has been unable to relocate them in spite of contacting Microsoft (who were no help), uninstalling and reinstalling Word 97 and checking for viruses. Only Word 97 is affected - everything else has its toolbars intact. The repairman who was trying to help me is also experiencing this irritating problem. Do you have any idea as to what the cause is and how to remedy it, or is it a case of buying a new PC?

Buying a new computer would be a rather drastic solution. The fact that two computers are affected makes it sound like a virus, but we don't know of a virus that has this symptom. However, the problem of missing toolbars is not unknown. The most likely cause is that the part of the Registry where information about your menu and toolbar settings is stored is corrupted.

Uninstalling and reinstalling Word won't solve the problem because the Registry data isn't deleted when the software is uninstalled. You will need to delete this data manually using the Registry Editor. Remember, a mistake when doing this could cause even worse problems, so be sure you know how to restore the Registry from a backup. See tips Back up the Registry and Restore the Registry from the backup

Here's the procedure. Close Word 97 and launch the Registry Editor (click Start, Run, type Regedit and hit Enter). Open the following Registry folders in turn: Hkey_Current_User, Software, Microsoft, Office, 8.0, Word. In the lefthand pane, select the subfolder named Data. Right-click this folder and select Delete from the Context menu. This will delete the data (which you could see in the righthand window). Word 97 will create a new Data folder the next time you start it.


Safely delete suspect emails without opening them

Introduction | Applications Helpline Q&A Directory
Safely delete suspect emails without opening them

How can I safely delete suspect messages without opening them when they appear in the Inbox of Outlook Express?

The only way to do this, unfortunately, is to get rid of the preview pane. This means messages are only opened when you double-click on them. To do this, click on View, Layout and then, in the Window Layout Properties dialog box, uncheck the option Show preview pane.

The principal risk of opening messages in the preview pane is if embedded script code is being executed, as with the Love Bug virus. An alternative solution would be to use some checking software such as AVP Script Checker, which has now been made available free of charge and can be downloaded from www.kasperskylabs.com.


Save a file in two locations at once

Introduction | Applications Helpline Q&A Directory
Save a file in two locations at once

Is there a program that will allow you to save your document or file into two different locations at the same time, such as location one hard drive, My Documents, and location two any Zip drive or hard disk drive? This would mean that when you save a file from Word or Excel, for example, and save it in to the program, it would also back up to the Zip drive or other hard drive.

It sounds as if you want PowerQuest's DataKeeper (www.powerquest.com). McAfee Office includes a tool called Retake that does a similar job, but it didn't work with removable drives when we tried it.


Scan images at low resolutions

Introduction | Applications Helpline Q&A Directory
Scan images at low resolutions

Image files from my scanner quickly fill my hard disk. What am I doing wrong?

You may be scanning at too high a resolution. Doubling dpi (dots per inch) quadruples the image size. Try lower values to see which gives acceptable quality. Also, when saving Jpegs, increase the compression value.


Set the correct language for all apps

Introduction | Applications Helpline Q&A Directory
Set the correct language for all apps

I recently found myself having to reinstall Windows 98 and, unfortunately, I selected the wrong English language. I corrected the keyboard, but I cannot correct the default in Microsoft Excel. Do I have to uninstall Windows 98 again or is there another way to correct this?

Like all properly designed applications, Microsoft Excel takes its default language from the Regional Settings that you access from Control Panel. Make sure that this is set to 'English (United Kingdom)' and then check the desired formats are being used for numbers, currency, time and date.


Setting up Outlook identities

Introduction | Applications Helpline Q&A Directory
Setting up Outlook identities

I have Outlook Express 5.0 and have set up an identity for each member of my family so that everyone has their own password for retrieving emails. Each identity has been set up in exactly the same way, with identical properties and configurations. However, we all receive each other's email which is really irritating and completely defeats the object of having separate identities. Perhaps you can you suggest a solution?

If each identity has the same properties and configurations, then you are going to receive each other's mail. If you all use the same ISP, account name and password for the incoming mail server, the properties of each identity have to be different so that the mail server knows which user's mail is required when you connect.

If you have separate mailboxes, each identity should use a different user name and password when logging on to the incoming mail server. If your ISP provides a single mailbox for all your mail, then you will have to contact the ISP to see if it has a solution for how you can collect mail for a specific user.

Not every ISP will have a solution, of course, in which case you will need to run a local mail server such as VPOP3 (from www.pscs.co.uk). This will collect everyone's mail and sort it into separate mailboxes for each user, thus eliminating the confusion of one central mailbox for all the users' emails.


Stop new programs changing default file associations

Introduction | Applications Helpline Q&A Directory
Stop new programs changing default file associations

Installing and uninstalling applications plays havoc with my file associations. For instance, when I double-click a Jpeg file, I get the last program I installed, not the one I want to use. Can I prevent programs from changing that association?

Most installation routines assume that their program is the only one on your computer. The best way to protect your file associations is to back up the ones that you want to protect. This involves entering the Registry, so see tip Back up the Registry.

Select Start, Run, type Regedit and press Enter. Navigating the left pane as if it were Windows Explorer, go to the folder beneath My Computer\Hkey_Local_Machine\Software\Classes for the file extension you want to protect. For instance, My Computer\Hkey_Local_Machine\Software\Classes\.jpg. With that folder open, select Registry, Export Registry File.

Give the file a name (jpg) and save it. This won't back up the entire Registry - just the part with the Jpeg association. Now, should any newly installed program decide that it's the one in which you want to edit your Jpeg files, simply find the file you saved (jpg.reg) and double-click it.


Text gets erased as I type

Introduction | Applications Helpline Q&A Directory
Text gets erased as I type

With both Outlook and Word, I occasionally find that, when inserting a character into a word, the new character erases the one in front of it. I presume I must have inadvertently hit a combination of keys but I don't know which. Is there any way of cancelling this feature apart from closing and reopening the program?

This behaviour is called overtype and is turned on by hitting the Ins key. Someone must have thought this feature very useful, but we often hit this key by accident and then find we have typed over half a line of text. It's a toggle switch, so giving the Ins key another (usually ill-tempered) thump turns it back off again. Unfortunately there's no way to disable the toggle altogether.


Twain error message when scanning

Introduction | Applications Helpline Q&A Directory
Twain error message when scanning

When I try to scan an image I just receive an error in twain_32.dll.

You probably have incorrect versions of the Twain (scanner) drivers. Use SFC (system file checker) to restore twain.dll and twain_32.dll from the Windows CD.


Unlock DVD region settings

Introduction | Applications Helpline Q&A Directory
Unlock DVD region settings

I have a Sony laptop. Can you tell me how to read DVDs with other region codes after it has been set to region one (USA)? The software said that the region has been fixed as region one after being changed five times. How can I reset this? I have reformatted the hard disk, but still can't read my region two DVD.

This is an example of how protection mechanisms can be implemented without any thought for the customer. Our explanation relates to the DVD Player in Windows 98 and Me and it gives an overview of the problem. Note that some software DVD players, such as Power DVD, are region-free.

The initial default DVD region for Microsoft DVD Player is chosen during Windows Setup when you select a country in the 'Establishing your location' dialog box. If you choose None for a country location, the default region selection is based on the country code and time zone.

The first time a DVD movie is inserted in the drive, Windows compares the region on the disc with the region selected during Setup. If the DVD movie has a different region from the one selected, the default is changed to match the disc. If the first DVD movie inserted in the drive has only one region, Windows Me uses that region as the default - regardless of everything else.

Once the selected region has been used to watch a movie, you can change it four times, for a total of five possible regions. When you insert a DVD movie, if the disc is from a region other than the default, a dialog box is displayed to inform you that you have inserted a disc from a different region.

This dialog box displays the region for the inserted movie disc and the currently selected region, along with a choice of new regions and countries. When you select a new region, a warning is displayed stating the number of changes remaining before the change is written.

The DVD-ROM drive enforces the number of changes. Each time the region is changed, the new region is written to the DVD-ROM drive firmware. Once the limit for region changes is reached the DVD-ROM firmware locks out further attempts until the drive unit is replaced or reset by the manufacturer.

Since the effect of this protection mechanism is to prevent people from viewing the DVDs they have paid for, many people feel there is nothing wrong in trying to circumvent these measures. And it is not illegal to defeat these restrictions, at least not in Europe. The website www.fourmilab.ch/documents/dvdregion contains an article explaining how to play DVDs with any region code using the Microsoft DVD Player. The technique involves making changes to the Registry, so use it at your own risk. See tip Back up the Registry

If DVD-ROM drives can be locked to a particular region they can also be unlocked. The site http://regionhacks.datatestlab.com/ contains information on how to do this for a long list of popular drives, and has links to the software that can be used. Once again, follow this information at your own risk - PC Advisor hasn't tested any of these programs, so we cannot vouch for their success.


Use Wordperfect to edit HTML documents

Introduction | Applications Helpline Q&A Directory
Use Wordperfect to edit HTML documents

I want to use WordPerfect 9.0 to edit the code in HTML documents directly. I could do this before in version 8.0 by specifying Text when I opened the file. But for some reason, I can't get version 9.0 to ask me how I want the file opened. I'm sure it can still be done, but I'm not sure how.

The solution is obscure (and poorly documented), so we're not surprised you couldn't find it. Here's how to do it: select Tools, Settings. Double-click the Environment icon in the Settings dialog box, then click the XML tab in the Environment Settings dialog box. Put checks in the boxes next to 'Import HTML documents using the XML component' and 'Prompt for file type when importing XML/SGML documents'. Then click ok.

From now on, WordPerfect's Open dialog box will display the Convert File Type dialog box when you open an HTML document. Select ASCII DOS Text in the 'Convert file format from' list and click ok to open the file as text for editing. When saving the file after editing, select ASCII DOS text as the file type in either the Save or the Save As dialog box.


Using text strings in Excel formulae

Introduction | Applications Helpline Q&A Directory
Using text strings in Excel formulae

My Excel workbook has a sheet for each month named January, February and so on. I also have a summary sheet that displays key calculations for a particular month. For example, one of my formulas is: =SUM(February!F1:F10). Is there any way that I can enter the month name into a cell on my summary sheet, and then have my formulas use the data for that specified worksheet?

Yes. Excel's indirect function was designed specifically for this sort of thing. This function accepts a text string as an argument, and then evaluates the text string to arrive at a cell or range reference. In your case, assume that cell B1 on your summary worksheet holds the month name. The following formula utilises the indirect function to create the range reference used by the SUM function:

=SUM(INDIRECT(B1&"!F1:F10"))

Note that we use the ampersand operator to join the month name with the cell reference (expressed as text).


Visual Basic error message

Introduction | Applications Helpline Q&A Directory
Visual Basic error message

On opening, Microsoft Word displays a Visual Basic error message.

This is probably caused by an error in an automatic macro. Close Word, then locate the file normal.dot and rename it normal.old. Restart Word. If the error has gone and all is well, delete normal.old. This destroys all macros and customisations, so if you don't want to do that, copy the file back to normal.dot and then locate and delete the faulty macro using Tools, Macro.


What is a ZIP file?

Introduction | Applications Helpline Q&A Directory
What is a ZIP file?

I downloaded the game PacPC and then could not open it. It has something to do with a ZIP file, whatever that means. I'm afraid I'm very new to computers, so please can you tell me on how to open this file?

A ZIP file is a common type of archive file. In other words, a ZIP file is a single file that may contain one or more other files, usually in a compressed form to save space and download time. ZIP files are so common that we sometimes forget that an application to open them doesn't come as standard with Windows. So what you need is a program that will extract the contents of zip archives: an unzipper.

One of the most popular shareware programs for doing this is WinZip, which you can download from www.winzip.com. Another one, which is easy to use and a favourite of ours (because it's free) is Expander, which you can get from Aladdin Systems (www.aladdinsys.com).


General introduction

Introduction | General Helpline Q&A Directory
General
.chk files
Access hidden desktop icons
Areas of discolouration on monitor
Assign a permanent drive letter
Assigning a letter to new hard drive
Automate searches for duplicate files
Back up the dial-up networking folder
Back up the Registry
Backup drive interface conflicts
Better searching with Windows file finder
Bios works only intermittently
Blue tint on scanned images
Browser won't recognise HTML editor
Can I connect a Mac monitor to a PC?
Can't access all my gigabytes
Can't access hard drive partition
Can't access the floppy drive
Can't boot from a floppy disk
Can't get rid of 'disconnect from server' box
Can't print over network
Can't read files on backup CD
Can't rid PC of quarantined viruses
Can't scan after printer upgrade
Can't write data to a floppy disk
Capture VCR audio on your PC
CD drive won't read discs
Constant 'illegal operation' messages
Copy archived files across two disks
Copy to a new hard drive without reinstalling
Crashing PC
Deleting shared files
Dictate the order in which startup menu programs appear
Disk format has wiped operating system
DVD drive problems after installation
DVD drive won't read discs
Easy Outlook updates
Empty the Temp folder
Files you can delete from your hard drive
Find out how much system memory each program uses
Floppy drive will only read one disk
Get round password-protected Bios settings
Get the latest drivers
Hard disk freezes
Hard disk interfaces explained
Has my hard drive failed?
Hide Control Panel items
How critical is hard disk spindle speed?
How do I use Microsoft Netmeeting?
How to record audio tapes to CD
How to record LPs on to CDs
Identify unknown file extensions
'Illegal operation' error messages
Install an unsupported printer under Windows
Install CD-rewritable drive alongside a DVD drive
Install multiple operating systems on separate hard drive
Install old peripherals to your new PC
Installing a new hard drive
Is a celeron processor okay for playing games?
Keep Windows Me folders secure
Keep your internet connection alive
Launch programs from the System Tray
Lost hard disk gigabytes
 Make a CD-R autorun
Modem drops line straight after connection
Modem not responding
Monitor size
Monitor won't display red
More realistic sound from your PC
No sound from speakers
No tone when dialling up
Not enough RAM to reformat hard disk
Notebook battery doesn't fully recharge
Notebook screen has horizontal line
One icon opens many programs
Overcome CD burn buffer underrun errors
Password-protect a floppy disk
Password-protect folders
PC won't boot
PC won't recognise high-capacity CD-Rs
Permanently delete files
Permanently remove disabled startup items
Print a list of your PC's file associations
Processor fan failure
Processor fan vibrates
Put a multigigabyte hard disk in an older PC
RAM module compatibility
Restore a missing file
Restore lost hardware to device manager
Restore Outlook Express choice
Restore the Registry from back up
Retrieve deleted files
Self-built PC's Bios won't run
Self-built PC's Bios won't run
Send To Desktop shortcut won't work
Shaky monitor picture
Shorter startups
Should i get a SCSI or Atapi CD writer?
Should I turn off surge protector on shutdown?
Should I upgrade my Bios?
Shrinking display problems
Slow modem transfer rate
Speed up repeat print jobs
Speed up system startups
Standby mode disables printer
Standby mode doesn't work
Switching on scanner crashes Windows
System clock loses time
System freezes at bootup
System won't boot after battery failure on old PC
Take control of the My Documents folder
Take your desktop theme to any PC
The dangers of installing software
Tidy up desktop icons
Transfer contents of old hard disk to new PC
Transfer files between networked computers
What is a bad cluster?
What is a lost cluster?
What processor?
What's a PSN and how can I disable it?
What's the best storage for digital images?
What's the difference between CD-R and CD-RW?
Which battery type is best?
Which connection is best: USB or parallel?
Which is best - disk backup or cloning?
Which is best: UPS or surge protector?


.chk files

Introduction | General Helpline Q&A Directory
.chk files

I ran ScanDisk. It corrected some errors and created some files called file00xx.chk. What do I do with them?

If your disk had major errors and you had lost important work, a data recovery expert might be able to recover the files. Normally, you can just delete them, or tell ScanDisk not to create them in the first place.


Access hidden desktop icons

Introduction | General Helpline Q&A Directory
Access hidden desktop icons

When I am working I always seem to hide the desktop item I need. Is there a way of accessing these desktop items without having to close or minimise all the windows I've got open?

Try creating a Desktop toolbar. Right-click a blank part of the Taskbar and select Toolbars, Desktop. This will add a Desktop toolbar to your existing Taskbar. If you have your Taskbar horizontally oriented along the bottom or top of the screen this will probably make it a bit too crowded for convenient use. You can either reposition the Taskbar on the left- or righthand edge of the screen (click and drag from a blank part of the Taskbar to the preferred side) and make it wider so you can read the button captions, or move your new Desktop panel off the Taskbar altogether.

To create a separate Desktop toolbar, just click and drag from the panel on the Taskbar to the desktop. This will create a floating window containing all your Desktop items. You can make this window stay on top of the other windows by right-clicking a blank part of the window and selecting Always on Top. Windows that are always on top can be a bit of a nuisance, so a better alternative is to make your Desktop toolbar work like the Windows Taskbar.

Drag the Desktop toolbar to an edge of the screen and it will attach itself there. If you right-click a blank part and select AutoHide and Always on Top, the toolbar will stay hidden until you move the mouse to that edge of the screen. It will then pop up and provide you with single-click access to everything that is on your desktop.


Areas of discolouration on monitor

Introduction | General Helpline Q&A Directory
Areas of discolouration on monitor

My monitor screen has areas of discolouration that mysteriously move and change shape like Jupiter's spot. What are these troublesome spots, and how can I rid myself of them?

They're most likely caused by magnetic fields that accumulate on monitors when users run them continuously. The fix is easy: just neutralise these rogue fields by pushing the degauss button - often labelled with a picture of a magnet - on the front of your monitor. If there's no button, turn your monitor off and on once. Most monitors automatically degauss their screens when they power up. See also tip Monitor won't display red


Assign a permanent drive letter

Introduction | General Helpline Q&A Directory
Assign a permanent drive letter

Repartitioning my hard drive causes my CD-ROM drive to change its assigned letter. Is there some way I can give the CD player a fixed letter from the start that won't change?

To give your CD-ROM drive an unchanging drive letter, right-click My Computer and select Properties. Click the Device Manager tab. In the resulting list of peripherals, double-click CD-ROM. Below it will appear a description of your particular CD-ROM drive. Double-click that to bring up your CD-ROM drive's properties. Click the Settings tab. In the 'Reserved drive letters' box, change both the 'Start drive letter' and 'End drive letter' options to your choice of a permanent letter. This letter should be late enough in the alphabet that it won't interfere with Windows' method of naming hard drive partitions. Anything after J drive is bound to be safe. Click ok when you're done.


Assigning a letter to new hard drive

Introduction | General Helpline Q&A Directory
Assigning a letter to new hard drive

I have installed a second hard drive in my PC, the Bios automatically recognised it and Windows shows it in the Device Manager. The problem is that it does not have a drive letter assigned to it, so I cannot access it. The new drive is only 540MB, while the master is 1.5GB.

It sounds as if you have not created a formatted MS-DOS partition on it. To create an MS-DOS partition on your Slave hard drive you must run the tool Fdisk. Given the risk of accidentally destroying the content of your existing drive while you're doing this, we'd advise taking a full backup first. See tip Back up the Registry

Open a command prompt window and run the command Fdisk. A menu will be displayed, and you will need to type '5' in the Enter choice box. This selects the 'Change current fixed disk drive' option. Press Enter. It will change the selected drive from drive one (your C drive) to drive two (your Slave drive.) Do not proceed if option five is not present. If you make any changes to the partition on drive one you will lose all your data.

Type '1' and Enter to select 'Create DOS Partition or Logical DOS Drive menu'. Then type '2' and Enter to select 'Create Extended DOS Partition'. By making your Slave drive an extended MS-DOS partition, the order of the drive letters on drive one (if it contains more than one partition) will not be changed.

For example, if drive one contains C and D drives, your new hard disk will become drive E. If you created a primary MS-DOS partition on the Slave drive, the new drive would become drive D and what used to be drive D would then become drive E. This would probably cause a lot of problems to your installed programs.

After creating the extended DOS partition you need to choose option '1', that is, 'Create DOS partition or Logical DOS Drive' again, and then option '3' 'Create Logical DOS Drive(s) in the Extended DOS Partition'. The reason for this is that an extended DOS partition is just a container, which cannot be formatted or used.

You should see a 'Verifying drive integrity' message with a percentage complete counter. After drive verification has finished it should say 'Total Extended DOS Partition size is xMB (1MB = 1,048,576 bytes). Maximum space available for logical drive is xMB (x%). Enter logical drive size in MB or percent of disk space'. Since your drive is small, accept the default (press Enter). This will turn the whole drive into one partition. After this, press Esc twice to exit Fdisk.

You will now need to restart Windows. If you still cannot see the new drive, add a line that says 'Lastdrive=x' to your config.sys file, where x is a letter greater than all the drives (including CD-ROM and Zip drives) in the computer. Restart Windows again. Once you can see the new drive, format it using the command 'Format d:' where D is the new drive's drive letter.

For more information about partitioning and formatting drives see article Q255867 'How to use Fdisk and Format to partition/repartition a hard disk' in the Microsoft Knowledgebase (http://support.microsoft.com).


Automate searches for duplicate files

Introduction | General Helpline Q&A Directory
Automate searches for duplicate files

Is there an automated way to search for duplicate files on Windows 98 systems?

Windows can't manage it, but other programs can. One such product is Chris Rosa's free Double Trouble utility (available from our Download Directory). Unfortunately, you can't delete files from within Double Trouble, which is an serious inconvenience. If you don't mind a modest expenditure, Steve Evans' Duplic8 program lets you delete files directly. It also displays file sizes in bytes and is easier to use than Double Trouble. You can download Duplic8 2.0 from www.bigwig.net/silicon/duplic8.

If you own Norton SystemWorks, the CleanSweep uninstaller will find duplicate files. Simply click Duplicate File Finder, which is found on CleanSweep's Advanced screen in some versions of SystemWorks, and on the Cleanup tab in others. Years ago SystemWorks also included the Space Wizard, which could walk you through searches for duplicate files as well as other files you might want to delete. Unfortunately, Symantec removed this utility from more-recent editions of SystemWorks.


Back up the dial-up networking folder

Introduction | General Helpline Q&A Directory
Back up the dial-up networking folder

How can I back up the entries in my Dial-Up Networking folder without manually writing them down?

Crazy, isn't it? Each DUN (Dial-Up Networking) entry contains important information for getting on to the internet by modem (phone number, login name, dialling string and so on), yet Windows offers no obvious way to back up this information or move it to a new computer.

DUN stores its information in a particular branch of the Windows Registry, so all you need to do is back up that branch. You can do this in the Registry Editor. To launch it, select Start, Run, type Regedit and press Enter. Our standard admonition about backing up the Registry before you start doesn't apply in this case because you're not changing anything.

Once you have the Registry Editor open, navigate through the left pane's folders to Hkey_Current_User\RemoteAccess. Then select Registry, Export Registry File. In the resulting dialog box, give the file a name and save it in an appropriate place, such as on a removable disk.

Set the 'Save as type' field to Registration Files (*.reg) and the Export range to Selected branch. The field at the bottom of the screen should read Hkey_Current_User\RemoteAccess. Click Save and close the Registry Editor. Your DUN is backed up.

To move your DUN information to another PC, simply place the REG file on to the target computer and double-click the file. If Windows asks whether you really want to make this change, click Yes. When you open My Computer and double-click Dial-Up Networking, your old dialup information will be there.

Well, almost. Your password isn't saved in the Registry, so that won't be included. The first time you use a dialup connection, you must enter the password manually. If you don't want to enter it again, check the Save password option.

If your new PC's modem is a different model from your old one, you have to tell each DUN item about it. Open Dial-Up Networking, right-click the icon for a connection and select Properties. You'll likely get an error message that says the modem isn't installed. Click ok. Under the General tab in the Properties dialog box, select the modem you want to use in the 'Connect using' box, and then click ok.


Back up the Registry

Introduction | General Helpline Q&A Directory
Back up the Registry

You can back up the Registry in Windows Explorer. Select View, Folder Options (or View, Options). Click the View tab, select Show all files, and click ok. Now create a folder called c:\Regback. Go to the Windows folder, find the files system.dat and user.dat, then hold down Ctrl as you drag those two files to c:\Regback.

See also tip Restore the Registry from back up


Backup drive interface conflicts

Introduction | General Helpline Q&A Directory
Backup drive interface conflicts

I bought a Sony Vaio notebook, running Windows 2000, and a Sony iLink CD-RW. The CD-RW came bundled with PowerQuest Drive Image 4.0 and a number of other utilities. I had intended to get an imaging utility that could capture the whole of my hard drive, especially the virgin installation. I contacted PowerQuest and then Norton, but was told that although CD-RW drives could be used for backup and are compatible with Windows 2000 they are not compatible with PC Card, USB or FireWire devices, the latter being the one that my drive uses. How can I get the backup I would like to achieve?

The problem with disk-imaging utilities is that, in order to access the hard disk sector-by-sector, they work from DOS. This means that they can only be used with IDE or SCSI drives, for which DOS drivers are available. There are no DOS drivers for drives that are connected using PC Card, USB or FireWire interfaces and it isn't very likely that there will be any.

If your hard disk is big enough to make it feasible, you could consider using PartitionMagic (www.powerquest.com) to shrink your C drive partition and create a separate hidden backup partition. You could then create an image backup on that, instead.

Otherwise, your only option is to use a conventional backup program that runs from Windows. This would mean that you will have to reinstall Windows and your CD drivers in the event that you need to perform a full restore.


Better searching with Windows file finder

Introduction | General Helpline Q&A Directory
Better searching with Windows file finder

How do I find a particular file that I know is in either a ZIP or CAB archive file, without knowing exactly which ZIP or CAB file? For instance, how do I find a particular INF file that could be in any one of the many CAB files on the Windows CD-ROM? Trying to look through all of them would be a chore I'd prefer to avoid.

There are two issues here: searching for files by filename, and searching for files by contents. We'll start with the filename search. Both the ZIP and CAB compression formats store filenames as plain, uncompressed ASCII text, so you can use any file search program to identify the archive.

To use Windows' own File Finder, select Start, Find, Files or Folders. In the 'Named' field under the Name & Location tab, enter *.cab; *.zip. Include the appropriate path in the 'Look in' field. Enter the filename you're looking for in the 'Containing text' field (in Windows 95, you must click the Advanced tab to get to this field). Press Enter or click Find Now. You'll get a list of every archive containing a file with that name.

Unfortunately, if you don't know the filename, Windows' File Finder is of no use to you. It simply can't find text in a file that's within another file. Luckily, some utilities can (for ZIP files, anyway; we know of none that searches within CAB files).

One such utility is BigSpeed Zipper, a shareware program you can download from (www.bigspeedsoft.com). It's a basic compression program with one unique feature: you can search for files and text in all Zip packages on your PC. Simply click the Locator button and you get an easy-to-use tool for searching Zip packages for files and text. You can search using a variety of filters such as date and size, and the results are shown in a clear list. A right-click menu then lets you view and extract files.


Bios works only intermittently

Introduction | General Helpline Q&A Directory
Bios works only intermittently

My computer has recently started refusing to boot. The Bios doesn't start and the monitor doesn't turn on. The hard disk powers up but then stops - nothing else happens. The problem is intermittent but frequent, and apparently random. When it does boot up, the Bios settings are correct as saved last time and Windows loads fine. It either works properly or not at all. Can you advise?

Check that the cable from the power supply to the motherboard is fully pushed into its socket, and that all other connections are tight. If the connections are okay, the most likely explanation is that your power supply is failing. However, to verify this, you need to check the voltages provided by the power supply using a voltmeter, or use a different power supply that is known to be working. If the problem isn't the power supply, it can only be an obscure motherboard fault.

Our wild guess is that one of the oscillators that generates timing pulses for some important component (such as the processor) isn't always starting when the board is powered up. Even your average computer engineer isn't equipped to diagnose and fix something like this, so your only option in this case is going to be a new motherboard. See also tip Self-built PC's Bios won't run


Blue tint on scanned images

Introduction | General Helpline Q&A Directory
Blue tint on scanned images

I have an Epson Perfection scanner. Scanned colour images acquired in Photo mode have a pronounced blue tint. Epson's helpline insists that because of the blue light used in the scanner this is normal and cannot be eliminated, but this has only recently started to appear.

It isn't uncommon for scanners to have a colour cast, and other users of this Epson model have complained of the same thing. You should find some relevant information contained in the HTML-format Colour Guide that is on a CD-ROM supplied with your Epson scanner.

Try altering the calibration of the scanner. It appears that the calibration utility sets up the scanner to give best results on the screen. If your printer isn't also calibrated to the screen, you won't get the right colours.

If your screen needs more blue to display a natural-looking picture this may not provide the best setting for your printer. From Control Panel, launch the Scanners and Cameras icon. Select your scanner from the list and click Properties. Click the Utility tab and vary the slider setting to reduce the amount of blue.

You could also try installing a colour correction profile, gt6600.icm, which should be on the CD-ROM. Copy this file to the folder c:\Windows\System\Color. On the scanner's Properties dialog box select Color Management, then click Add. Select the profile and click ok to close the dialog boxes.


Browser won't recognise HTML editor

Introduction | General Helpline Q&A Directory
Browser won't recognise HTML editor

I have an HTML editor installed on my system but my browser doesn't seem to recognise it. Can I change my settings?

You can specify an HTML editor by choosing Start, Settings, Control Panel, double-clicking Internet Options and clicking the Programs tab. But you may not find any editors available in the drop-down list - even if likely candidates are installed on your system. Choose View, Folder Options, File Types in Windows Explorer (Tools, Folder Options, File Types in Windows 2000), select the HTML document entry in the list of file types, and then click the Edit button and assign a new program to the edit action.


Can I connect a Mac monitor to a PC?

Introduction | General Helpline Q&A Directory
Can I connect a Mac monitor to a PC?

I have a 17in Apple Multiple Scan 720 monitor, which doesn't have a standard PC monitor connector. Is there any way in which the monitor can be adapted to fit a standard PC?

The signals used by PC and Mac monitors are compatible, so it should certainly be possible to connect your monitor to the PC. If your monitor has BNC coaxial sockets you will need a new cable with a 15-way HD connector at one end, and the requisite number of BNC plugs at the other. If the monitor has a nine-way D-type connector, then you will need a monitor changer to adapt this to the 15-pin HD-type connector on your existing cable.

Maplin Electronics (www.maplin.co.uk) has a wide range of monitor cables and adapters, so it should be able to supply what you need.


Can't access all my gigabytes

Introduction | General Helpline Q&A Directory
Can't access all my gigabytes

I am running Windows 98 SE and have a Quantum 13GB hard disk. I can only see 8GB using Fdisk. How do I access the other 5GB?

On that computer, you probably can't. Your Bios or IDE disk controller doesn't support something called the 'interrupt 13 extensions', so the disk space you can access is limited to 8GB.


Can't access hard drive partition

Introduction | General Helpline Q&A Directory
Can't access hard drive partition

My Dell PC came with a utility called Snapshot, which saves the operating system, applications and user files to a reserved area of the hard disk. This means that, in the event of problems, a saved copy of the system can be restored. However, it recently failed and came up with the message 'Invalid Picture'. I now can't access either of my two saved copies or the 4GB of space on which they reside. My system's Bios recognises that a 13.6GB hard drive is installed, but My Computer only sees 2.36GB used with 7.19GB free, making a total of 9.55GB.

I contacted the Dell helpline and they advised me that Snapshot was developed as a recovery tool to be used within the first 30 days and is not guaranteed outside that period. Moreover, it is no longer shipped due to problems that were experienced. The only solution Dell could suggest was 'Fdisk, format and reinstall'. The last two parts of that procedure are too fraught and beyond my competence and I would rather abandon my missing 4GB. Can you think of a simpler, risk-free solution?

We would deduce that the Snapshot utility uses a dedicated partition to store its information. This partition is formatted in a way that is not recognised by Windows or DOS, so it is invisible to them. This is why the space does not show up in My Computer.

The Dell helpline is basically correct. To create a C drive that occupies the whole 13GB, you must use Fdisk to delete the special partition and your existing one (which will destroy all your data), create a new partition to fill the disk, reformat it and reinstall everything.

As an alternative - which would leave your C drive intact - you could delete just the special partition, create a new one in its place, format it and use it as a D drive. However, this would change the drive letters used by your removable drives, D becoming E and so on. You would also have to reinstall any applications that expect your CD-ROM to be on the D drive. Given that you are using less than half of your current C drive capacity at the moment, why bother?

If you need the space, there is an easier solution but it will cost money. A partition management utility like PowerQuest's PartitionMagic (www.powerquest.com) would, after deleting the other partition, be able to expand the existing one to take up the space it occupied without requiring reformatting and reinstallation. It also has a graphical interface making it easier to use than Fdisk.


Can't access the floppy drive

Introduction | General Helpline Q&A Directory
Can't access the floppy drive

Suddenly, for no reason I can think of, My Computer shows the A drive as a 5.25in floppy. It isn't - it's 3.5in and I can't access it. When I click the icon in My Computer the whole thing freezes and I have to reboot. Is there any way I can put this right?

The floppy drive type is set in the computer's Bios, so you must go into the Bios setup by pressing Del (or whatever key your computer uses) at startup, and correct it. There is a virus that messes with the Bios floppy disk settings, so we'd also advise giving your PC a thorough check using a good virus scanner. See also tips Floppy drive will only read one disk and Can't write data to a floppy disk


Can't boot from a floppy disk

Introduction | General Helpline Q&A Directory
Can't boot from a floppy disk

When I try to boot from the floppy drive my computer ignores the disk and boots straight into Windows. I have tried different disks but the same thing happens. I know the drive works because I can access floppy disks from Windows. How can I fix this problem?

Very easily. Your computer has a Bios setting that tells it which drives to boot from. Telling it to ignore the floppy drive speeds the boot process and also helps prevent the computer from becoming infected by a boot sector virus. To get it to boot from floppy, press the key that accesses Setup at bootup (there should be a prompt telling you which key to use) and look for a choice called something like 'Boot Options'. Change the order so that the A drive comes before the C drive.


Can't get rid of 'disconnect from server' box

Introduction | General Helpline Q&A Directory
Can't get rid of 'disconnect from server' box

When I am on the internet a box keeps on popping up asking if I want to disconnect from the server. It's very annoying and my ISP is no help. How can I get rid of it?

You must have Windows configured to disconnect if the connection is idle, although we have sometimes found the box popping up even if the connection is busy. This area of Windows is a mess. There are actually two different places where this automatic disconnection can be set up, so you will need to experiment to find the setting that stops the annoying box popping up. Alternatively you can try our tip Keep your internet connection alive

To get to the settings open Control Panel, then open Internet Options. Under Dial-up Settings select your ISP from the list and click Settings. On the Settings dialog box you will find another panel entitled Dial-up Settings. Click Advanced. Here you will find settings for disconnecting the line if the connection is idle for a period, and for disconnecting if the connection is no longer needed. Clear or change these settings as appropriate.

The other autodisconnect setting is part of the modem properties. To get to it, repeat the steps described but click the Properties button instead of Advanced. On the next dialog box, below the name of your modem, click Configure. When the modem properties appear click the Connection tab. Change or clear the option 'Disconnect a call if idle for more than x mins'.


Can't print over network

Introduction | General Helpline Q&A Directory
Can't print over network

My PCs are connected using a network. File sharing works okay and I can print to my printer using the PC it is attached to, but printing is unreliable from the remote PC. Can you help?

If you have problems printing from a network printer, there are a number of things you can try. First, make sure that your printing problem occurs solely when using the network and is not caused by something else. If you can print to a local printer, the problem is more than likely to be network related. Second, make sure that your computer name or printer sharename doesn't have spaces in them. This could cause some programs trouble when printing.

Next, try printing to a file then copy the file to the print server. Click Start, Settings, Printers. Right-click the printer you want to use and click Properties. Click the Details tab. In the 'Print to the following port' box, click Print using your application. When prompted, type a filename for the print job. Now open a command prompt. At the command prompt type 'Copy filename printer_name /B.' 'Filename' is the name of the file you just created (including the path to where it is located). 'Printer_name' is the location of the printer on the network, for example, \\myserver\myprinter.

Try capturing a printer port for the network printer instead of using a UNC (universal naming convention) connection. Click Start, Settings, Printers. Right-click the printer you want to use and click Properties. Click the Details tab, then click 'Capture Printer Port'. Click the port you want to capture (such as LPT2) and select the path to the network printer.

If you want this connection to be available each time you start your computer, select the 'Reconnect at logon' checkbox. Choose this port using the Print Setup dialog box of your application before printing.

If you have multiple network clients installed, try removing one of the clients. Right-click Network Neighborhood and click Properties. Select one of the network clients, click Remove and ok. Restart your computer, and then try to print again.


Can't read files on backup CD

Introduction | General Helpline Q&A Directory
Can't read files on backup CD

To free up some space I transferred my complete collection of photographic image files to a CD-R disc for archiving. I have successfully read from this disc many times, and have added to it and organised it into folders. I recently went to access the disc using Paint Shop Pro 5.0 and found that I could not read any files. They are listed normally in Windows Explorer, but open with a red cross in a box at the top of the page with a message saying 'this is not a valid BMP/Jpeg file'.

I have scanned the disc for viruses and it is clear. I have copied the files back to my hard disk, but I still can't read them. Have you any advice, particularly as to whether I have lost these photographs?

It's never wise to put too much faith in the infallibility of computers. Any data on a rewritable disc is at risk when you write to a drive. For example, whenever you save a file to your hard disk the data could be written to the wrong place, trashing the entire contents. This rarely happens, but its another reason for making backups. This means keeping at least two copies of important files.

With a normal backup, the backup copy plus the one on the hard disk equals two. But if you are archiving files to save space on the hard disk you should really make two copies on separate backup media. As you've found out the hard way, it isn't a good idea to keep just one copy of important files, wherever you store them. But, of course, none of this solves your problem.

It sounds as if the data contained in the image files is corrupt. However, it is worth making sure the problem isn't caused by a CD drive malfunction or a software fault - try to read the disc in another computer. But if the disc really is corrupted, there isn't much you can do.

As with a trashed hard drive, the data may well still be there, even though it is only recoverable by a data recovery expert. Search the web for 'data recovery' and you should find some relevant companies.

You could also try running the program CD-R Diagnostic made by CD-ROM Productions (www.cdrom-prod.com). It's a technical piece of software, though, and you can't use the downloadable demo version to recover files in earnest.

In our experience, and for future reference, Zip and Jaz cartridges are a faster and much more trustworthy backup medium.


Can't rid PC of quarantined viruses

Introduction | General Helpline Q&A Directory
Can't rid PC of quarantined viruses

Upon booting my PC, Norton AntiVirus told me I had a virus and would I like to quarantine it, which I did. I was invited to fix it but was then told it couldn't be repaired. I later discovered that a fix for this particular virus - Kakworm - was available and I downloaded it from Symantec and ran it. But I am still receiving the message that it cannot be repaired. A scan of the hard drive indicates that there are no viruses present but Kakworm is still shown as 'in quarantine'. How can I get rid of it?

The best thing to do with any files in quarantine is to delete them. Quarantine is just a safe place to put files that contain a virus until they can be repaired. However, some files that are infected by a virus cannot be repaired (made virus-free) and it looks as if Kakworm is one of them. The only way to get rid of the virus is to delete the infected file.

The fix you downloaded is probably the Microsoft fix that stops the virus from activating. It's important to install it to stop your computer getting the virus again. However, it won't remove the quarantined file containing the original copy of the virus. You must do that from within Norton AntiVirus.


Can't scan after printer upgrade

Introduction | General Helpline Q&A Directory
Can't scan after printer upgrade

I upgraded my printer from an Epson 440 to an Epson 760 unit, connecting it (through the scanner), uninstalling the 440 software and installing the 760 software. Now, when trying to scan, I receive an error message telling me the scanner is 'Not connected, please check cable'. Through a process of elimination I found that if I switched the printer off and tried another scan everything worked okay.

I tried uninstalling the software of both the printer and scanner. I then reinstalled the printer, followed by the scanner, but the problem still remains. I can use the scanner and printer separately, but if the printer is switched on I can't scan anything. Do you have any ideas please?

This is a common type of problem. The reason it occurs is that two devices can only share a printer port if they are both 'dumb' devices that only send or receive data when they are actually being used. Modern printers, however, are constantly in communication with their drivers, sending back status information about how much ink and paper is left and so on. This prevents anything else from using the port.

The idea of two devices sharing one port is a nasty kludge anyway. It's an attempt to get round the problem of a PC not having enough interface ports, without going to the expense and installation hassle of using a separate card. The USB port was designed to be the solution to this problem.

In this case, you are lucky that simply turning the printer off allows your scanner to work. Some people find that one device won't work while the other is attached at all. The only real cure is to buy and install an extra parallel port. This means that both your printer and scanner can have exclusive use of the connection.


Can't write data to a floppy disk

Introduction | General Helpline Q&A Directory
Can't write data to a floppy disk

I have an upgraded Pentium system running Windows 98. Whenever I try to write to the floppy disk, it complains that the disk is write-protected. I check, it isn't and I try again, which still results in the error message. It's able to read from the disks without any problems. I have uninstalled the floppy drive using Device Manager, checked that the ribbon cable is firmly in place at both ends and changed the drive - all without success. The only thing I haven't been able to do is change the ribbon connector. Are there any other possible causes or, more importantly, cures?

We assume that you haven't changed the floppy disk controller (on the motherboard) either. However, before you fork out for a new motherboard, there are a few more things you can try. Check whether you can write to a disk using real-mode MS-DOS. This would show whether or not the problem is being caused by a Windows software conflict. If MS-DOS is okay, see if you can write to a floppy when Windows is running in Safe Mode. If so, this would suggest a conflict with something like an antivirus program.

Boot sector viruses can interfere with disk operation, so check your system for viruses using an up-to-date virus scanner. It would also be worth checking that the floppy drive settings in your Bios are correct. It's unlikely that they won't be, but you never know. See also tips Can't access the floppy drive and Floppy drive will only read one disk


Capture VCR audio on your PC

Introduction | General Helpline Q&A Directory
Capture VCR audio on your PC

Is it possible to run a standard VCR audio output into a PC's sound card? This will allow me to capture sound from video, which I can then transfer to CD-R using Easy CD Creator. Can this be done through the microphone input?

We don't see why not, as long as you can buy or make up the appropriate connecting lead (you'll need a lead with two male RCA jacks going to a single miniature stereo jack plug). The audio output level from the VCR will be much too high for the sound card's mic input, though, so use the line input instead.


CD drive won't read discs

Introduction | General Helpline Q&A Directory
CD drive won't read discs

My CD drive does not read any of the CDs that I put in it. The drive doesn't seem to spin as fast as it should. What can I do? Is it a fault of my CDs or is it the drive itself?

It sounds as if the drive isn't locating the track data on the CD. Sometimes if you eject the tray, turn the disc a bit and put it back in again the drive will read it. However, if it happens with different discs it is a problem with the drive itself. You could try using a CD drive cleaning kit. If that doesn't work there's nothing you can do except replace the drive.


Constant 'illegal operation' messages

Introduction | General Helpline Q&A Directory
Constant 'illegal operation' messages

My computer constantly gives me the message: 'This program has performed an illegal operation and will close'. It's not associated with any one program. I have just had to replace the hard disk and was hoping that after reloading all the software this problem would have gone away, but it's still there. The operating system is Windows 98. Any ideas?

This is a very general type of error message, so we can only offer some general ideas. Faulty memory or an overheating or overclocked processor could cause the problems. On the other hand, buggy graphics cards or printer drivers, or perhaps a conflict with some other software that you have reinstalled, could be to blame. You can check you have the latest drivers, but for a verdict on the hardware you really need the services of a competent computer engineer.


Copy archived files across two disks

Introduction | General Helpline Q&A Directory
Copy archived files across two disks

My files are getting too big to fit on one floppy disk. How can I copy a large file on to multiple floppies?

No matter how hard we try we can't completely dispense with floppies - even though their 1.44MB capacity is often too small for a single file. The best solution is a ZIP archive program, such as WinZip Computing's $29 WinZip 8.1 shareware, which can be downloaded from www.winzip.com. Virtually all ZIP programs let you span an archive across multiple disks. Besides, copying an archive (instead of an uncompressed file) will reduce the number of disks you need.

If you have WinZip, right-click the file you want to copy and select Add to Zip. In the 'Add to archive' field in WinZip's Add dialog box, preface the filename with 'a:', as in a:bigfile (assuming that you need to span your floppy drive).

As soon as you type a: into that field, WinZip's 'Multiple disk spanning' option will become available. You can leave it on the default Automatic setting. Click ok to start the compression and spanning; the program will prompt you to insert other blank formatted disks as needed.

If you don't want to compress your files, download a file splitter shareware program from www.softdd.com/filesplt/ or http://webpages.cwia.com/~haustein/filesplitter.html. These programs split large files into multiple smaller files of a specified maximum size (the default is 1.44MB). They also create a batch file for restoring the original, now-divided file to its united state.


Copy to a new hard drive without reinstalling

Introduction | General Helpline Q&A Directory
Copy to a new hard drive without reinstalling

I am considering fitting a larger hard drive to my PC. Can I copy the operating system, programs and files from my existing hard drive without having to reinstall?

It on the fly' copies and may cause a 'buffer underrun' error'.

If you want a less technical way of understanding the problem, think of the IDE bus as a single-track road down which traffic may pass in only one direction at a time. Traffic in one direction will always be held up waiting for traffic going the other way. The problem with a CD writer is that it runs at a specific speed and must receive a constant supply of new data to write at that speed. If data doesn't arrive in time, a buffer underrun occurs, the result of which is usually another drinks coaster to add to the collection.

What Nero is recommending is that you put the CD-RW and DVD drives on separate roads, so that traffic from one isn't delayed by traffic to the other drive going in the opposite direction. This would mean connecting one drive as a Slave to your hard disk, so that it is on a different data cable to the other CD drive.

How easy that is to do in practice will depend on what other drives are in your PC, where they are installed and whether the cable to the hard drive is long enough to reach one of the ought to be possible, but it isn't something we've tried or would recommend. If you've been using your computer long enough to need a bigger hard drive, then it has probably accumulated enough junk to warrant a clean reinstall. The only guaranteed way to transfer your system to the new disk would be to perform a full backup and restore it to the new drive, or to use software like Drive Image or Norton Ghost. But if you don't have either of these applications, and can't conveniently back up your full hard drive, here's a method that's worth a try.

Install the new hard drive in your computer as a Slave to the old one (we assume that D is the drive letter of your new Windows partition). Boot up, create a Windows partition on it using Fdisk and then format it as a system partition (for example, format D: /S). Then open a command prompt and use the following command to copy all your files from the C drive to the D drive:

XCOPY32 C:\*.* D:\ /E /H /K

Once all the files have been copied, remove the old hard drive and change the jumpers on the new one so that it is now the Master. You should then be able to boot up and access your system as before.

There is, unfortunately, a problem that may cause this method to fail to work. It concerns the short versions of long filenames. For example, the Program Files folder may have the short name 'progra~1'. However, if two or more files or folders have the same first six letters, the number at the end of the short version of the filename is dependent on the order in which the files are created.

Xcopy may not copy the files or folders to the new drive in the same order they were created originally. So, for example, Program Files might end up on the new drive with the short name 'progra~2'. If this occurred, the resulting difference in the short names will probably cause trouble later on.


Crashing PC

Introduction | General Helpline Q&A Directory
Crashing PC

My PC seems to be crashing a lot recently. I have deleted the programs that I installed in the last couple of weeks since the problem began, but it still crashes after about 20 minutes - even when using programs such as Microsoft Word. Could it be a virus, or could the deleted programs still be causing problems?

It's hard to give an accurate diagnosis when confronted with problems such as this. If the trouble has been caused by the software you introduced recently, the simple act of uninstalling it won't always undo the damage. However, it's practically impossible to track down the culprit. The only remedy is to reformat the hard disk and reinstall both Windows and your applications.

The other common cause of crashes is overheating. The small fans that cool many processors don't run forever. Neither is it unknown for the inside of a PC to fill up with dust. So, before you do anything more drastic, check inside the machine to ensure its components are being cooled as efficiently as they were when the computer was new.


Deleting shared files

Introduction | General Helpline Q&A Directory
Deleting shared files

While uninstalling an application recently, I was given the option to remove several shared files. The uninstall program stated 'The system indicates that the following shared file is no longer used by any programs'. But if programs are indeed using the file, there may be problems. Should I or should I not delete these (formerly) shared files?

There's no simple answer to this question, but fortunately the likelihood of a disaster resulting is small. Windows keeps a counter in the Registry for each file that may be shared by multiple programs. When you install a program that uses that file, the counter goes up by one. When you uninstall a program, the counter goes down by one.

When an uninstall brings a file's counter to zero, you get the message which you described because Windows thinks you're removing the last program that uses the file. But Windows isn't always correct in its assumptions. Installs and uninstalls do not always progress smoothly, and it's possible for the counter to be wrong.

So what should you do? If you're worried about hard drive space, click 'Yes to all' and delete that shared file and any others the uninstall routine finds. The chances of a problem are slight and, if one does come up, reinstalling the first program that complains about the missing file should put the file back where it rightly belongs.

If you're not concerned about hard drive space, click 'No to all' and leave the files where they are. Beyond taking up some hard drive sectors, they won't do any harm.


Dictate the order in which startup menu programs appear

Introduction | General Helpline Q&A Directory
Dictate the order in which startup menu programs appear

I want to keep some of the programs in my StartUp menu from starting until the others have finished loading. How can I control the sequence of commands in the Start, Programs, StartUp menu?

Startup loads everything at once, so the biggest program will be last to finish no matter what the preset order. There's no way to change the order in the StartUp menu itself, either. Here are two possible solutions you could try.

First, the batch-file method: start by launching Notepad, then select Start, Run. Type c:\Windows\Start menu\Programs\Startup and press Enter to show the contents of your StartUp menu in a folder window.

Now right-click the shortcut for the program you want to load first and select Properties. Make sure the Shortcut tab is selected in the Properties dialog box (it should be the default selection) and that the contents of the Target field are highlighted. Press Ctrl, C to copy the contents to the Clipboard, then press Esc to close the dialog box. In Notepad, press Ctrl, V to insert the command as the first line of the batch file, then press Enter.

If you want a program to run undisturbed until it finishes and closes, add the command 'start /w' to the beginning of the line. For instance, to make sure that nothing else is running while ScanDisk automatically checks your hard drive, use the command 'start /w scandskw.exe c: /n' (don't forget to put a space before each forward slash). Repeat the process for every icon in the menu, giving each its own line in the batch file.

If you simply want to give a program enough time to load before the next one starts insert a pause. To do this, place the command 'choice /n /t:y,xx' on a line by itself between the other two commands. Instead of xx insert the number of seconds you wish the pause to last - for example, 'choice /n /t:y,30' for a 30-second pause. Inserting this command manually pauses the system until you indicate that you want to proceed, or for 30 seconds if it receives no response.

On the bottom of the batch file, start a new line and enter the command cls. Make sure there is nothing, not even a blank line, after it. Save the file as c:\Windows\Start menu\Programs\Startup\startup.bat. Open the file and, if it works, remove all other icons from your StartUp folder.

Our second suggestion is to spend $20 on Cool Bay's Auto Start Manager (www.autostartmanager.com) shareware software. This lets you drag shortcuts from the StartUp menu or elsewhere into the program, set the program load order and select all sorts of options. Using Auto Start Manager you can delay a program's execution by seconds or days, launch it only with a certain hardware configuration or on particular days of the week, or make one program wait until its predecessor is done loading.


Disk format has wiped operating system

Introduction | General Helpline Q&A Directory
Disk format has wiped operating system

Before giving my old 486DX-66 PC to my nephew, I cleared the hard disk. I typed 'format' and, once I switched on the machine, a message told me that a system disk was required. The original operating system was Windows 3.11 with PC DOS 7.0. I have tried reinstalling Windows, but get the same message. What can I do to get it up and running again for my nephew?

What you should have typed was 'format c: /s'. Because you missed off the '/s' you have a newly formatted disk containing no operating system. What you must do is boot the PC from the PC DOS 7.0 installation disk. This will probably start a setup program that will reinstall PC DOS on the hard disk, after which you can install Windows 3.11.


DVD drive problems after installation

Introduction | General Helpline Q&A Directory
DVD drive problems after installation

I installed a Samsung DVD-ROM drive, Hollywood Plus decoder card and a Philips CD-RW drive in my PC. The Samsung is set as the Slave unit and the Philips set as the Master. However, the Samsung drive is not functioning properly. The game Lander freezes soon after starting, and films don't start straight away. Instead, I have to select the drive unit from a list on the Hollywood Plus DVD station menu.

Would it be advisable to have both units set as Masters or use the third option, which is CSEL (cable select)? They are both attached to the same IDE cable to the secondary input on the motherboard.

If two IDE drives share a cable, one must be the Master and the other Slave. Cable select is only a viable option if you have the appropriate type of cable. It's possible that your problem is caused by driver conflicts and not hardware.

To eliminate this possibility, try removing the CD-RW drive and see if the DVD-ROM drive functions correctly on its own. If it does, leave the DVD-ROM as Master and add the CD-RW drive as Slave. It may also be that the two drives aren't totally compatible, and this proves that there's a lot to be said for buying a combo CD-RW and DVD-ROM drive.


DVD drive won't read discs

Introduction | General Helpline Q&A Directory
DVD drive won't read discs

I recently started having problems with the Toshiba DVD-ROM drive in my PC. Some of my CDs won't load, including a cleaning disc, though they run on another PC. I have been advised to reload Windows 98, but this is also on CD. I can't load my own startup disk, and the CDs can't be read in DOS. The latest driver is installed.

This doesn't sound like a software problem, so reinstalling Windows won't help. It seems what you have is a faulty DVD-ROM drive, and cleaning it might resolve the problem. This is not as impossible as it seems, as although the drive may not be able to actually read the cleaning disc, it will still function. The cleaning action occurs as the disc spins, which it does even if the drive fails to recognise it. Repeated attempts to load the disc should therefore clean the drive and get it working.

We recently encountered a similar problem in which a drive wouldn't read certain CDs if the PC had been running for a while and the drive was warm. Problem discs could be read when they were inserted after the system had just been turned on and was cold. In a desktop or tower case it might have been possible to move the drive to a different, cooler drive bay, though in this case the problem drive was in a laptop and the only option was replacement. Heat may not be the cause of your problem, but it's another possibility that's worth investigating. Otherwise, you're probably going to need a new drive.


Easy Outlook updates

Introduction | General Helpline Q&A Directory
Easy Outlook updates

I've formatted my hard drive twice, and the biggest problem I've encountered is re-entering Outlook data. Where does Outlook keep my contacts, appointments and other data? I want to know so I can back it all up.

Microsoft Office introduced both Outlook and the wonderful concept My Documents - a single location for data files - to make it easier to back up and protect your work. Then Microsoft messed the whole thing up by not putting Outlook data in My Documents.

Outlook keeps your contacts, appointments and email in a file that's most likely called outlook.pst. What it's called and where you can find it will depend on the version of Outlook you're using, the versions you've used in the past, whether you've ever used Microsoft Exchange, and whether you share, or have shared, your computer.

No matter where the Outlook data is stored, the files you want will have the extension PST, so you can find them by searching your hard drive. Select Start, Find, Files or Folders. For the Named field, enter *.pst. For 'Look in', select Local hard drives. Click Find Now.

It's no good backing up data unless you can restore it, and restoring a PST file is tricky. After reinstalling Outlook, search for a PST file (as described in the previous paragraph). When you find it, copy the old PST file from the backup over the new one on your hard drive, changing the name if necessary. Then launch Outlook. If you get a wordy message box starting with 'The location messages are delivered to…', click Yes. You'll find your old information is ready to be used again.

If you use Outlook 2000, you may also want to save configuration information such as mail rules and toolbar settings. For that, back up the files in your c:\Windows\Application Data\Microsoft\Outlook folder.


Empty the Temp folder

Introduction | General Helpline Q&A Directory
Empty the Temp folder

Is it possible to set up the Temp folder so that it automatically empties on a regular basis?

The only safe way to delete temporary files is within Windows itself. When deleting files we personally never delete anything created or used more recently than yesterday's date. The safest way of all, which doesn't involve adding dangerous commands to configuration files, is to use Windows' own Disk Cleanup. (To get to it click Start, Programs, Accessories, System Tools, Disk Cleanup.) This tool will remove files that take up space, including (optionally) temporary files.

Microsoft takes a more cautious approach still, advising in the Description panel for the tool that you can safely delete temporary files that have not been modified in over a week.


Files you can delete from your hard drive

Introduction | General Helpline Q&A Directory
Files you can delete from your hard drive

I often need to free up room on my hard drive. Could you provide me with a list of file types that I can delete without asking for trouble?

Yes, and we'll list them in a minute. But before you rush in and start large-scale sweeping operations, here's some general advice about cleaning up your hard drive.

  • Leave new files alone. Even temporary files serve a purpose. Don't delete files dated today. Or, if you don't turn off your system each day, avoid deleting any temporary files created since you last booted up. They may still be in use.

  • Play it safe. If you're not sure whether it's safe to remove a file, move it to another folder/drive or compress it into a ZIP file. If you don't miss it after three months, then delete it.

  • Uninstall unwanted programs. In Windows 9x, select Start, Settings, Control Panel. Double-click Add/Remove Programs. On the Install/Uninstall tab (or on the main pane in Windows 2000), look for programs you no longer use. When you find one, select it and click Add/Remove (Remove in Windows 2000).

    If you've upgraded Windows and are happy, go ahead and remove old Windows 3.x and MS-DOS system files and/or delete Windows 98 uninstall information. Click the Windows Setup tab and then the Add/Remove Windows Components button, and uncheck any Windows features you don't want.

  • Clean out internet files. It's astonishing how much rubbish you pick up surfing the web. In Internet Explorer, select Tools, Internet Options. On the General tab, click the Delete Files and Clear History buttons. In Navigator, open the cache folder in your Netscape folder and delete all the icons in it.

    Note that when you delete cached files - as well as History archives - you may sacrifice some productivity, as some sites will take longer to load once the cached version has been zapped.

  • Use software to simplify the cleaning job. We recommend Symantec's CleanSweep, which is available by itself or as part of Norton SystemWorks, a very comprehensive collection of utilities. CleanSweep's Fast & Safe Cleanup feature is an excellent tool for finding the files you don't need. By default, it does not look for all the file types in our list, but you can click the Settings button to add them.

    Now you've read our cautionary advice, here is a list of file extensions that it's normally safe to delete:

    *.*
    *.---
    *.1st
    ~$*.doc
    *.bak
    *.bmp
    *.cab
    *.chk
    *.dos
    *.fts
    *.gid
    *.log
    *.old
    *.prv
    *.shs
    *.tmp
    *.wbk

    Many deletable files are hidden so, you must ferret them out by going to any open folder in Windows Explorer and selecting View, Options (or View, Folder Options or Tools, Folder Options). On the View tab, select Show all files, then click ok. Use the Find tool (or Search Bar in Windows 2000) to begin your deleting.

    To delete all the BAK files, for example, select Start, Find, Files or Folders (or Start, Search, For Files or Folders), and in the Named (or Search for files named) field, type the extension exactly as you see it in the chart, that is, *.bak. Click Find Now (or Search Now) and watch the deadbeats gather in the bottom pane. When the search is complete, click inside the file list pane, press Ctrl, A (for Select All), then Delete.
    • © 2002 PC Advisor


Find out how much system memory each program uses

Introduction | General Helpline Q&A Directory
Find out how much system memory each program uses

How can I find out how much memory is being used by each of the programs I'm running?

Windows doesn't include a program to show you this information, but such programs are available from third parties. Norton Utilities has one called System Information, though it's not installed by default.

To install it, insert the Norton CD-ROM and follow the prompts. When the setup program asks you to select an installation type, pick Complete. Once System Information is up and running, click the Memory tab.

For a free solution, try SiSoft Sandra Standard - a terrific program for viewing system information. SiSoft Sandra can be downloaded from from (www.sisoftware.co.uk).

The Sandra module that has the information you're looking for is called Processes Information. It features pull-down menus that provide statistics on each program running. You'll have to scroll down a bit to find 'Total process memory used', but that's the one that will answer your question.


Floppy drive will only read one disk

Introduction | General Helpline Q&A Directory
Floppy drive will only read one disk

My floppy drive will not read subsequently inserted disks. It will only display the contents of the first disk I insert. I have to reboot in order to read another disk. Any idea what's wrong?

Your floppy drive has a sensor that tells the computer when a disk is changed. It's possible that the sensor has failed, but it could be that fluff has got into the drive and is preventing it from working. Clean the drive, preferably by taking it out of the computer and blowing any dust from it. At the same time, check that the drive cable is properly connected, since it might have worked loose so that the sensor signal is disconnected.

Before you reach for the screwdrivers, there are a couple of software points worth checking. In Device Manager (accessed from Control Panel, System icon) expand Disk drives. Select the floppy drive entry and click Properties. Click the Settings tab and check that, under Options, the Removable box is ticked. It would also be worth checking in Bios Setup that the floppy drive is configured for the correct type. See also tips Can't access the floppy drive and Can't write data to a floppy disk


Get round password-protected Bios settings

Introduction | General Helpline Q&A Directory
Get round password-protected Bios settings

I want to change my PC's Bios settings, but they are protected by an unknown password.

You could try a 'back door' password. These vary for different Bios. For an Award Bios try the following passwords in both upper- and lowercase: award sw, award_sw, award pw, _award. For an AMI Bios try the following passwords in upper- and lowercase: ami, a.m.i., ami sw, ami_sw, bios, password, biostar, biosstar.

You could also try clearing the password. Boot to MS-DOS, type Debug, then for an AMI or Award Bios enter: O 70 17 O 71 17 Q. For a Phoenix Bios enter the following code, using the capital letter 'O' not zero: O 70 FF O 71 17

If none of those works, it's worth trying a website which has the best collection of information on this topic we've seen, including lists of default passwords to try and password-cracking tools for the most popular Bioses. Go to www.neworder.box.sk and use the Search tool there to search for 'Bios password'.


Get the latest drivers

Introduction | General Helpline Q&A Directory
Get the latest drivers

I know that updating the drivers that my operating system uses to access and control my PC's hardware components can speed up my system's performance as well as preventing potential crashes and internal conflicts. But how often should I check there are new drivers available, and where should I be looking for them?

Most of the time getting the updated drivers is simply a matter of downloading them from the relevant company's website. Finding the correct updated driver is another story, however. You must identify the version of each driver running on your PC. Then you have to hop around from website to website, looking for recent versions to download.

Some services will do this tedious job for you. For $30 to $50 a year you can subscribe to Symantec's Norton Web Services or Network Associates' McAfee Clinic and receive regular file updates for both your software applications and hardware drivers. Each service provides a program that scans your PC and then retrieves updates for any outdated files. You select which files to download online.

To be absolutely certain that all outdated drivers get updated, you'll probably want to do the work yourself. It'll also save you some money. Here are a few tips to help you get the job done more efficiently.

o Make a list of the drivers in your system. Again, Windows 98 has made this task vastly easier than in previous versions with its System Information utility. Launch it from Start, Accessories, System Tools, System Information. Double-click Components in the dialog box's left pane, and then select a hardware component. To the right you'll find the name, date and version number of each driver.

o Go to Drivers HeadQuarters. Visit www.drivershq.com to find the component vendor's website. Its handy list of links will help you find the component maker's site quickly and point you toward the right driver download page.

o Download and install your updated driver. Most drivers download as part of an executable program that, when run, automatically installs the new driver. If you're not sure whether the driver you want will download this way, look for a Read Me file with installation instructions.

Even if you find that you have to install the driver manually, there's no need to worry - it's easier to do than you might think. Open Device Manager by right-clicking the My Computer icon on the desktop and selecting Properties. Find the hardware component in question on the device tree, and double-click it. Click the Driver tab and then the Update Driver button at the bottom of the dialog box.

A wizard will walk you through the installation process. When you see the Have Disk button, click it; when prompted, point the wizard to the downloaded driver files. It will do the rest.


Hard disk freezes

Introduction | General Helpline Q&A Directory
Hard disk freezes

My PC has started to freeze for about eight to 10 seconds at a time, usually when reading or writing to disk. The hard disk light is on and I am unable to do anything until the disk starts up again. What is the problem, and is there a way to eliminate these pauses as they are starting to happen more often?

Your hard disk may be performing a 'recalibrate' operation. This is a normal function to ensure the disk read/write heads are accurately positioned over the correct track. If it is happening more often, this is probably because wear-and-tear in the mechanism is making the positioning inaccurate. Otherwise, maybe the drive is having trouble reading or writing to part of the disk.

Running ScanDisk with the Thorough option selected may shed light on the problem. If the pauses are caused by read/write errors, it may be possible to rejuvenate the disk by reformatting it, but it's going to fail eventually. Given the cost of hard disks, and the fact that your system is probably three or four years old, it might be better to replace it.


Hard disk interfaces explained

Introduction | General Helpline Q&A Directory
Hard disk interfaces explained

I built my computer a few years ago and it has a 2.5GB Seagate hard drive, set up as LBA Mode-4 in the Bios. I've fitted a 400MHz Evergreen processor to boost performance, but now I need a bigger hard disk. Most of the drives sold nowadays have UATA66 or UATA100 interfaces. Can these be used on my current system or do I need an ATA interface card or even a new motherboard? Also, what's the difference between UATA and UDMA?

There is no difference between UATA and UDMA, they are just different terms for the same thing - UDMA is the more common expression. As for the numbers, 66 and 100 are transfer rates between the hard disk and memory (which is measured in megabytes per second).

The latest drives will work as replacements for your existing one, as the new ATA interfaces are backwards compatible. However, data transfer rates will be limited to the maximum supported by your old interface. You could buy a UDMA66 interface and cable, which would enable you to get the full performance of the new drive. But if you're happy with the performance of your PC at the moment and just need more space, it probably isn't worth it.


Has my hard drive failed?

Introduction | General Helpline Q&A Directory
Has my hard drive failed?

I have had a second hard drive installed on my computer without any problems for about six months. Since I installed Norton SystemWorks a couple of weeks ago, however, programs on the new hard drive have crashed with alarming regularity. It seems that the drive has suddenly disappeared from Windows altogether, although it is still recognised by the Bios during setup. Is this a sign that the hard drive has failed?

It certainly seems that way, although something about the sequence of events makes us a bit suspicious. Can you access the drive from MS-DOS, or when Windows is started in Safe Mode? If not, check the drive cable isn't falling off the connector before assuming that the drive has died. If you can, it's possible that SystemWorks has done something to cause it.

Another possibility is that creeping corruption is occurring because of some incompatibility or even a fault. As the drive fills up, data is written to the wrong place, corrupting other files. Check to see if DMA access is enabled for the drive (or both drives, if they are connected using the same cable) and if it is, disable it. You'll find this setting on the Settings tab of the Properties dialog box for the drive, which you can access from Device Manager in the System Control Panel.

Another possibility is that your hard disk has a faulty controller. As it's only six months old it should still be under warranty, so ask for a replacement.


Hide Control Panel items

Introduction | General Helpline Q&A Directory
Hide Control Panel items

I want to protect my Control Panel items from being tampered with. Is there some way I could hide them so that they can't be accessed and changed by the kids?

Yes there is, and here's how to do it: first, close Control Panel. Then open your Windows folder and locate the file control.ini. Open it using Notepad by double-clicking it. Look for the section header '[don't load]'. If it doesn't exist, create one.

Under it, enter the names of the Control Panel extensions you want to hide, in the form 'filename=no'. So, for example, to hide the Passwords Control Panel you would enter a line that says 'password.cpl=no' under '[don't load]'.

It isn't always clear from the name which Control Panel extension corresponds to which file. To find out the filename, look in the Windows System folder where the Control Panel extensions live. Right-click a CPL file and select 'Open in Control Panel'. It will then start up in the usual way and you can see what it is. You can use this method to activate Control Panel extensions you've hidden if you occasionally need to run them.

Although the entries in the '[don't load]' section are normally in the form 'filename=no', you can't unhide an icon by changing its entry to 'filename=yes'. If anything at all appears to the right of the equals sign on the line, that extension's icon will be hidden. Therefore, to unhide an icon, change the line to 'filename=' or delete the line altogether.


How critical is hard disk spindle speed?

Introduction | General Helpline Q&A Directory
How critical is hard disk spindle speed?

When assessing PCs you never mention the hard disk spindle speed. How critical is this to performance and is it worth splashing out an extra £20 for a faster spindle speed?

The faster the spindle speed, the greater the quantity of data that passes beneath the disk read/write heads in a given time. This means that data can be read from or written to the disk more quickly. However, all data that is read or written goes via memory buffers in the hard disk controller, so spindle speed is just one of the factors that contributes to performance. It's doubtful whether the difference would be noticeable except when running benchmark tests. Whether that is worth £20 is for you to decide.


How do I use Microsoft Netmeeting?

Introduction | General Helpline Q&A Directory
How do I use Microsoft Netmeeting?

Can you tell me how to set up NetMeeting? I want to use my home PC's network as an intercom from my office PC. Both of the computers have their own microphone and speakers.

To get started with NetMeeting, select Start, Programs, Accessories, Communications, NetMeeting (depending on your version of Windows, NetMeeting may be in the Internet Tools folder, or even on the Programs menu, instead of in Communications). The first time you run NetMeeting, a wizard helps you set it up. When asked to specify a connection speed, select Local Area Network.

To communicate over the network, both computers must be running NetMeeting. To place a call, click the phone icon or select Call, New Call. In the To field, enter the name of the second PC (if you don't know the name, open Network Neighborhood on your desktop to see a list of the network's computers). In the Using field, select Network and click Call.

The other user will hear the sound of a phone ringing, and a pop-up window will announce that there's a call. If the call is accepted, you'll soon be talking.


How to record audio tapes to CD

Introduction | General Helpline Q&A Directory
How to record audio tapes to CD

Is it possible to transfer an audio tape from my audio system (I have separate amplifier, tape, CD and record deck) to my PC and then record it on to a CD? I own the copyright for the tape. Similarly I have a number of old vinyl LPs that I would like to move to CD for personal use only, none of which is available on CD.

Yes it is, although strictly speaking it makes no difference whether an LP is available on CD or not: you still shouldn't copy it. What you need to do is record the music as a WAV file in standard stereo format (44.1KHz sample rate, 16bit) using software such as Cool Edit (www.syntrillium.com). You can then burn it on to CD using the software that came with your CD writer, such as Adaptec's Easy CD Creator.

You need a cable to connect the tape record outlets of your amplifier to the line input of your sound card. Unless you're a dab hand with electronics this is probably the hardest part to get right. For best results you will need some kind of mixer box, so you can adjust the levels and get a good match. Maplin Electronics (www.maplin.co.uk) should sell all the equipment you need. See also tip How to record LPs on to CDs


How to record LPs on to CDs

Introduction | General Helpline Q&A Directory
How to record LPs on to CDs

Is there a way to connect the speaker output from a hi-fi amplifier to a Creative SoundBlaster 16 sound card? I want to record LPs on to CDs.

If this is a proper hi-fi amplifier, it should have an output for a tape recorder. It should be possible to connect this to the sound card's line input socket (not the microphone input, which is too sensitive and will be overloaded). However, the quality may not be hi-fi standard.

Bear in mind that the sound card is a piece of cheap consumer hardware that sits inside a noisy electrical environment, and not a professional recording device. Be aware, too, that what you are thinking of doing may be in breach of copyright. See also tip How to record audio tapes to CD


Identify unknown file extensions

Introduction | General Helpline Q&A Directory
Identify unknown file extensions

Sometimes, I get sent a file with a strange extension. How can I tell what it is so that I can open it?

There are plenty of comprehensive lists of extensions on the internet - two such examples are http://filext.com/ and http://extsearch.com. Please note that there's no official body handing out and controlling the use of file extensions. So the fact that the site says a file ending in XYZ is a particular sort of file is no guarantee that it actually is. It is, however, the best indication of the contents you're going to get.


'Illegal operation' error messages

Introduction | General Helpline Q&A Directory
'Illegal operation' error messages

All too often I get an error message saying 'This program has performed an illegal operation and will be shut down', after which the program I'm using closes. How can I prevent this?

There is no way to completely free yourself of illegal operation messages, but if you're getting a lot of them you need to figure out what's causing the problem and what you can do to fix it.

If it's always the same program that goes down it's probably a bug in that program - especially if it always crashes under similar circumstances. Next time it happens, click the error message's Details button. You'll get something like 'Excel caused an invalid page fault in module fm20.dll at 0137:60007585' - not very useful for most of us. But if the vendor knows about the bug, those unfriendly numbers will help you figure it out.

Visit the vendor's website and search for the words 'illegal operation' or the numbers from the Details box. With some luck, you'll be able to locate a patch or a workaround.

If you're getting illegal operation messages from a number of programs, or if you can't fix the problem through the vendor's website, a driver may be at fault. Printer and video drivers often cause illegal operations in other programs. In the case of printer drivers, you need not even be printing for the problem to occur.

Updating the driver may do the trick. Or you can try going the opposite route and use a more generic driver. For instance, most laser printers will work with an HP LaserJet Series II or LaserJet III driver. These have been around for a long time and all the kinks are pretty much ironed out.

Video drivers are iffier. You could use VGA, but you're limited to 640x480 resolution. Even SuperVGA may dock you with that limitation. Sometimes there's a driver for a specific chip, like the S3, but in that case you have to know what chip drives your video card.


Install an unsupported printer under Windows

Introduction | General Helpline Q&A Directory
Install an unsupported printer under Windows

I have an old printer that I would like to use under Windows, but the operating system doesn't have a driver for it, and I don't have the driver disk? Is there a solution?

Most printers are able to emulate an old but common type of printer, such as the HP DeskJet or the IBM ProPrinter. They do this to enable them to be used with non-Windows software without the manufacturer having to provide a driver for it. You may need to set a DIP switch inside the printer, or change a setting from the menu, in order to invoke this emulation. Consult the printer manual to find out which printer models it emulates and whether any configuration changes are needed.

Having done this, run the Add New Hardware Wizard from Control Panel and install the driver for the emulated printer. You can then use your old printer under Windows. Some of the special features of the printer, such as built-in fonts, may not be available when using the emulation, but it's better than nothing.


Install CD-rewritable drive alongside a DVD drive

Introduction | General Helpline Q&A Directory
Install CD-rewritable drive alongside a DVD drive

I want to install an IDE CD-rewritable drive in my PC. The existing DVD-ROM drive is connected to the secondary IDE socket on the motherboard, and the ribbon cable has an extra, unused connector attached to it. The jumper on the DVD-ROM drive is set to Slave, which I think is unusual. Should I set the jumper on the new CD-RW drive to Master and leave the DVD-ROM set as a Slave? If I start changing things about, will this have an effect on the DVD-ROM's performance?

It is unusual for a drive alone to be jumpered as a Slave. However, with many IDE drives, if it is the only one on the cable the setting doesn't matter. Only if there are two drives do you have to choose which is Master and which is Slave. In the case of a DVD-ROM and CD-RW, it will probably make no difference because both controllers are likely to have similar capabilities.

A point to bear in mind when installing IDE drives is that some computers, particularly those from larger manufacturers, use cable select. This means the connector to the drive is the Master. The advantage to the manufacturer is there's no need to worry about jumper settings: drives can be installed as they come from the factory.

You can't tell from the cable whether your system uses cable select. However, your PC manufacturer should be able to tell you, or you can check an existing drive to see if the CS or CSEL option has a jumper on it. If it does, the new one should be jumpered the same way.

There are no certainties about performance and IDE devices. Usually, if two such devices share a data cable the maximum transfer speed for both will be that of the slowest controller. For this reason, it is a bad idea to have hard drives and other devices on the same cable. Hard drive controllers are usually faster than those of CD-ROM drives and similar devices, and they often support DMA which the other devices may not. If the devices are mixed, this can reduce hard drive performance.

On the other hand, if a CD-ROM and CD-RW drive share a cable, you may not be able to copy disk-to-disk reliably without going via the hard drive. A lot depends on the capabilities of individual components. With SCSI, each device is more or less guaranteed to offer optimal performance, which is why SCSI is still a better option for anyone who is serious about CD mastering.


Install multiple operating systems on separate hard drive

Introduction | General Helpline Q&A Directory
Install multiple operating systems on separate hard drive

I am having trouble installing multiple operating systems on my PC. I want to install Windows Me, but I wish to install it as another OS on a second hard drive. This means I can still access Windows 98 SE until I'm happy that all is working well. I already have two hard drives installed and both are working fine. However, each time I try to install Windows Me on to the second drive, it upgrades my C drive and places the Me files into the other partition.

How do I get the complete install to run on the slave drive so that I can choose, using BootMagic, which OS to run at startup?

Windows 95 and 98, and doubtless Me too, don't support booting from a second disk. Consequently, there is no support in the setup program for installing the complete OS, including boot files, on anything other than the first disk.

A ray of hope is offered by the BootMagic documentation. It states that you must remove your current Master disk, so that the second drive becomes the Master. Install Windows Me on to it and then, when you put the original Master back, BootMagic will detect the Me boot files on what is once again the second disk and allow you to boot it. However, you'll have to use Advanced Partition Hiding in the BootMagic configuration program to hide the primary partition of the first drive when running Windows Me.


Install old peripherals to your new PC

Introduction | General Helpline Q&A Directory
Install old peripherals to your new PC

I want to upgrade my computer but keep my old monitor, modem and sound card. I don't have the disks that came with these. Where I can find the drivers for these peripherals?

You'll find the files you need in the C:\Windows\System, C:\Windows\Inf and C:\Windows\Help folders. Unfortunately, separating these files from the rest of the folders' content is a long, boring and nigh-on-impossible procedure. So don't do it. Instead, copy the complete contents of these folders (probably about 100MB) from your old computer to a single folder on your new system. Call the new folder C:\Drivers. And don't worry about wasting space - you won't be keeping the folder for long.

Once you've transferred the old files and hooked up the old peripherals to your new PC, start it up. Now right-click My Documents and select Properties. Click the Device Manager tab and examine the list for each type of device you've retained from the old PC.

If the device does not have the correct name (for instance, if your display adapter is identified as VGA Monitor) or if it has a yellow question/exclamation mark icon next to it, you need to install the old driver.

Double-click the device's listing to view information about its properties. Then click the Driver tab, followed by the Update Driver button. The resulting wizard will ask, 'What do you want Windows to do?'. Select Search for a better driver. When the wizard asks where it should search, check 'Specify a location', then deselect any other checked options and enter C:\Drivers in the location field. Follow the rest of the wizard, using your own judgement about how best to answer each question.

Once you have the drivers for your old devices in place, you can delete the c:\Drivers folder. See also tip Transfer existing components to a new pc


Installing a new hard drive

Introduction | General Helpline Q&A Directory
Installing a new hard drive

I'm about to upgrade my hard drive from 2.1GB to 20GB IDE. What is the best way to go about it? I've been advised to make the new hard drive the Slave, keep the existing one the Master and then copy the files over to the new one. But I don't want two drives in my machine.

The best solution in that case would be to make the new one the Master, change the existing one to Slave and connect it temporarily. Then you can copy the files from the old drive to the new one and remove the old one.

However, check with your system vendor that the Bios can access all 20GB of the new drive (see the tip Can't access all my gigabytes). Otherwise you may as well save yourself some money and buy a slightly smaller one.


Is a celeron processor okay for playing games?

Introduction | General Helpline Q&A Directory
Is a celeron processor okay for playing games?

My PC has an Intel Celeron 633MHz processor. I am keen on gaming. All the latest games have a minimum recommendation of a Pentium II processor. Will these games still run on my system?

Yes. The Celeron fits roughly between a Pentium II and a Pentium III, so for the purposes of software compatibility it is better.


Keep Windows Me folders secure

Introduction | General Helpline Q&A Directory
Keep Windows Me folders secure

Windows Me enables you to compress directory folders and protect them with passwords. However, Microsoft recently reported that those passwords are actually written in plain text to a file on your computer so anyone with physical access to your PC who wanted to poke through your most confidential files - and who knew where to look - would be able to access those passwords. How can I make them truly secure?

The faster the spindle speed, the greater the quantity of data that passes beneath the disk read/write heads in a given time. This means that data can be read from or written to the disk more quickly. However, all data that is read or written goes via memory buffers in the hard disk controller, so spindle speed is just one of the factors that contributes to performance. It's doubtful whether the difference would be noticeable except when running benchmark tests. Whether that is worth £20 is for you to decide. This problem doesn't affect any other password-protected areas (like Windows logon), but versions of Windows 98 and 98 SE with the Plus 98 add-on are also vulnerable. Microsoft fixes the problem by preventing future passwords from being stored on the system. There are two patches, one for Windows 98, the other for Windows Me. Go to www.microsoft.com/technet/security/bulletin/ms01-019.asp


Keep your internet connection alive

Introduction | General Helpline Q&A Directory
Keep your internet connection alive

Windows persistently asks whether I want to close my internet connection if it is idle for more than a couple of minutes. Can I stop it doing this?

Keeping the 'Disconnect when idle' time low is a good idea as it avoids wasting money on connect charges, but there are times when these pop-up warnings can be annoying. Here's something you can run when needed to keep the connection just busy enough to stop the warnings popping up. Open Notepad and type into it the following code:

Option Explicit
Dim IE
Set IE = WScript.CreateObject("InternetExplorer.Application")
IE.AddressBar = False
IE.StatusBar = False
IE.ToolBar = False
IE.MenuBar = False
IE.Visible = True
IE.Width = 640
IE.Height = 480
Dim timenow
timenow = Now
On Error Resume Next
Refresh
WScript.Quit

Sub Refresh
Do While IE.Visible
IE.Navigate
"http://www.somewebsite.com/"
WScript.Sleep(120000)
Loop
End Sub

Note that Set IE = WScript should be all on one line and that http://www.somewebsite.com/ should be replaced by a real web address of your choice. You can vary the width and height values to fit the page you're displaying.

Save the file as keepalive.vbs and then run it. The script should open an Internet Explorer window and display the web page you chose. It will reload the page every two minutes, keeping the connection open. If Windows doesn't know what to do when you try to run keepalive.vbs you haven't got Windows Scripting installed on your PC. You can download the latest version from http://msdn.microsoft.com/scripting


Launch programs from the System Tray

Introduction | General Helpline Q&A Directory
Launch programs from the System Tray

Is it possible to launch my favourite applications with a single click on an icon in the System Tray?

This is easy to do using Quick Tray, a bonus program on your Windows CD. To install it, load the Windows CD, navigate to the \Tools\Reskit\Desktop folder and copy the file quicktray.exe to your Windows folder. Do this by dragging with the right mouse button, or you'll only create a shortcut to the copy on the CD.

Now locate the copy you've just made in the Windows folder and create a shortcut to it in the Startup folder of your Start menu. That will ensure that Quick Tray runs each time you start Windows.

Run Quick Tray. You'll see its icon appear in the System Tray. Click the icon and the Quick Tray window will appear. Use the Add and Remove buttons to add application icons to the System Tray or remove them. You can also add an application by dragging its icon to the Quick Tray window.

Click Close to hide the Quick Tray window. You can then launch your selected applications by simply clicking on their icons. Clicking the Exit button will terminate Quick Tray, removing it and the selected application icons from the System Tray.

Quick Tray is probably most useful if you still use Windows 95. Users of Windows 98 have the Quick Launch toolbar in the Taskbar, where you can add and remove application icons using drag and drop.

NB: unfortunately, Quick Tray does not appear to be included with Windows 95. It only comes with Windows 98 and NT 4.0.


Lost hard disk gigabytes

Introduction | General Helpline Q&A Directory
Lost hard disk gigabytes

I have just bought a 40.7GB hard drive. When the device was autodetected by my Bios it showed a capacity of 40.7GB, however, when I ran Fdisk I got only 39GB. After formatting, I was left with 38.1GB. Where has the rest of the space gone?

You haven't 'lost' any space: it's just that the way hard disk manufacturers quote drive capacity is a bit misleading. Hard drive capacities are quoted as unformatted space. The argument is that a drive could be formatted for use by various operating systems, and the amount of usable space will be different depending on the formatting method.

Less easy to defend is the fact that manufacturers treat 1,000 bytes as a kilobyte, 1,000KB as a megabyte and 1,000MB as a gigabyte. Software uses factors of 1,024. If you take the 40,700,000,000 bytes on your hard disk and divide by 1,024 to convert this to software gigabytes, you'll arrive at the figure you got after formatting. You haven't lost any space: you just don't have as much as you thought. See also tip Can't access all my gigabytes


Make a CD-R autorun

Introduction | General Helpline Q&A Directory
Make a CD-R autorun

When I put a disc into my CD-ROM drive, it launches a program automatically. I'd like this to happen when I insert CD-Rs that I create myself. How can I do this?

It's easier than you might think. You just have to add a text file named autorun.inf to the CD's root directory. You can create autorun.inf in Notepad, another text editor, or any other program that can create plain ASCII text.

The first line of the file contains only the text [autorun]. The text you enter after that depends on what you want the CD to do. If you want it to run a program, type open=. If you want Windows Explorer to open to the disc automatically, your file should read:

[autorun]
open=explorer.exe /n,/e,.

Yes, as strange as it may seem, that last line ends with a comma, then a full stop. And don't forget to type a space before the first slash. The 'n' in the second line of text indicates to Explorer that it should open in a new window, while the 'e' tells Explorer to open in expanded view, which shows your folders in the lefthand pane. You'll find a list of all the commands you can use in this file in Microsoft's online library


Modem drops line straight after connection

Introduction | General Helpline Q&A Directory
Modem drops line straight after connection

When I try to connect to the internet my modem often drops the line shortly after do anything. This is very frustrating as it costs me money each call. My ISP says the problem isn't at its end. Can you suggest a solution?

The problem could be caused by a number of things, including equipment at your ISP's end and a noisy telephone line. One thing you could try which works with many modems is to change a setting to stop your modem from dropping the line if there is an interruption in the audio carrier signal. This will continue to keep the line open if the carrier drops for a second or two.

To make the change, open the Dial-Up Networking folder in My Computer, right-click the ISP icon and select Properties. Below the modem name, click Configure. Select the Connection tab, then click Advanced. On the Advanced Connection Settings dialog box, in the Extra Settings field, enter S10=255. Close the dialogs by clicking ok. With any luck that will solve the problem.

A potential problem with this solution is that it may stop your modem from hanging up the line if the ISP closes the connection. If this bothers you, try reducing the value in the above string from 255. The value is the number of tenths of a second after the carrier drops before the modem hangs up the line.


Modem not responding

Introduction | General Helpline Q&A Directory
Modem not responding

I often get a 'modem not responding' message when I try to go online. I could turn an external modem off and on, but with an internal one I have to reboot. Is there a quicker way?

There might be. First, try breaking the connection. Reach behind the computer, unplug the modem's phone jack, wait a couple of seconds and plug it back in. You can also try sending a reset command to your modem. You may be able to do this through the DOS prompt with a command such as 'echo atz>com1'.

You'll almost certainly be able to do it with HyperTerminal - a program that comes with Windows. However, HyperTerminal won't work if the problem is a mismatch between the modem's and PC's serial port speeds. If HyperTerminal is already installed, you'll find it at Start, Programs, Accessories, HyperTerminal, or Start, Programs, Accessories, Communications, HyperTerminal. If you need to install HyperTerminal, insert the Windows CD-ROM. From Start, Control Panel, click Add/Remove Programs. Click the Windows Setup tab. Double-click Communications. Check HyperTerminal and click ok twice.

The next time your modem is unresponsive, open HyperTerminal - as outlined earlier - following the sequence for the version of Windows you're running. In the resulting folder, you need to double-click Hypertrm. If you get a Connection Description box, click Cancel. Now try typing some commands. Start with atz>comn, where 'n' is the number of your modem's serial port address, such as com1 or com2. If that doesn't work, try at&f1>comn or at&f>comn. After each command, press Enter, select Call, Disconnect, and try using your modem.

If none of these gambits works, grit your teeth, exit Windows and reboot. Sometimes it's the only way.


Monitor size

Introduction | General Helpline Q&A Directory
Monitor size

I bought a 17in monitor but the screen measures less than 16in diagonally. Have I grounds for complaint?

The standard monitor sizes relate to the diagonal measurement of the tube itself, but a small part of it is always obscured by the casing. This may be misleading, but it's normal.


Monitor won't display red

Introduction | General Helpline Q&A Directory
Monitor won't display red

I have a 17in Taxan monitor, which I bought in February 99. After moving it, the monitor no longer displays red. I have checked the connections and everything else I can think of. When I access the monitor's Setup menu, red is displayed correctly. What has happened?

Since the menu is displayed correctly, the monitor itself must be okay. If the connections are indeed firm then there is probably a break in the cable. The simplest way to verify this is to borrow a cable from another computer. The only other possibility, but it's very unlikely, is that the graphics card is faulty. See also tip Areas of discolouration on monitor


More realistic sound from your PC

Introduction | General Helpline Q&A Directory
More realistic sound from your PC

I have been composing songs using the Midi software on my computer, but when I play them back, the instruments sound rather 'computerish'. Is there a way to edit the output to make the instruments sound more like the real thing?

No, there isn't. But there's another possibility. It sounds as if your Midi output is set for FM synthesis. For more realistic sounding playback, you should be using wavetable synthesis. Most sound cards these days are capable of wavetable synthesis, so check that this option is selected on the Midi tab of Multimedia Properties (accessed from Control Panel). If you can't see a wavetable option, check your sound card documentation to see if it supports it - if it does, the problem might simply be that you don't have the right sound card drivers loaded.

In wavetable synthesis, sounds are generated by playing digitised samples of real instruments. However, the size and quality of the samples varies between sound cards. The cheaper wavetable sound cards may still sound 'computerish' to a musician's ear. You'll need to pay a three-figure sum for a sound card that produces sounds comparable to professional keyboard synthesisers.


No sound from speakers

Introduction | General Helpline Q&A Directory
No sound from speakers

Is there a way to test the speaker in my computer to see if it is working or not? No matter what I do I cannot get any sound to come out of the speaker. All the relevant sliders are correctly set in the volume controls.

Is it possible that because I have a separate sound card in the PC that the speaker is somehow disabled?

The speaker is, in effect, disabled if you have a sound card installed and working in your PC. The only sound that Windows or DOS would emit via the speaker if there were no sound card is a standard beep. When a sound card is installed this beep is replaced by a more musical sound. By default the file ding.wav is played.

The speaker is pretty much redundant if you use Windows. However, you should hear it beep when you start up the PC. If you are still determined to test it, exit Windows to MS-DOS mode and execute the DOS command 'echo ^G', where ^G is the result of typing Ctrl, G. This should result in a beep from the speaker.


No tone when dialling up

Introduction | General Helpline Q&A Directory
No tone when dialling up

When my modem attempts to dial up, my ISP's setup program fails. I received an error message saying 'There is no dialling tone'. Could you help me?

Assuming your modem is connected to the phone socket and the cable isn't faulty, then it's more than likely that the modem simply doesn't recognise the dialling tone. This can happen if you are connecting to your ISP using an office exchange, or if you have certain options on your phone line such as BT Call Minder, which uses an intermittent dialling tone to let you know when you you have voicemail messages.

The solution is to configure your modem so that it doesn't listen for a dialling tone. To do this, right-click My Computer and select Properties. Select Device Manager and open the entry for Modems. Select your modem and click Properties. Click on the Connection tab. Under Call Preferences, clear the checkbox that's captioned: 'Wait for dial tone before dialling.' Close the properties dialog boxes by clicking ok. You should now be able to complete the ISP setup.


Not enough RAM to reformat hard disk

Introduction | General Helpline Q&A Directory
Not enough RAM to reformat hard disk

I attempted to format my hard disk recently. When I entered 'format c:/s' at the prompt I was told 'Insufficient memory to load system files'. My computer has plenty of RAM. What should I do?

DOS - which is what you are using when you are formatting your hard disk - can only see a little of your system's memory. So the amount of RAM in your computer has no bearing on the problem. The solution is to format the disk using 'format c:' (in other words, without the /s switch) and then use the SYS command 'sys c:' to transfer the system files afterwards.


Notebook battery doesn't fully recharge

Introduction | General Helpline Q&A Directory
Notebook battery doesn't fully recharge

I have noticed that my secondhand HP OmniBook's battery only partially recharges, giving less than 20 minutes usage. Do I need a new battery or charger, or is there some other reason for this?

You probably need a new battery. All rechargeable batteries have a limited life of a few hundred charge/discharge cycles. However, NiCD (nickel cadmium) and NiMH (nickel metal hydride) batteries lose capacity if they aren't allowed to discharge fully before being recharged. So if they aren't looked after properly, their lifetime can be even shorter.

Most people don't want to wait for the batteries to run out before recharging them. That's understandable, but the batteries become useless after a few dozen charge/discharge cycles.

To avoid this problem, buy a laptop computer that uses a li-ion (lithium-ion) battery, or ensure that you allow the battery to run down before recharging it.


Notebook screen has horizontal line

Introduction | General Helpline Q&A Directory
Notebook screen has horizontal line

An unwanted horizontal line has suddenly appeared on my laptop's display. How can I get rid of it?

Some laptop display faults (and other computer faults in general) may be caused by socketed components working themselves loose, so that one of the pins no longer makes electrical contact with its socket. This fault can be resolved by pressing every socketed chip and connector down into its socket. However, laptops are fairly intricate and it isn't a good idea to disassemble them unless you know how they are supposed to come apart (and go back together). And it certainly isn't advisable to try this if the computer is still under warranty. It's really a job for a service engineer.

Unfortunately, this suggestion might not solve your problem. In a laptop display, each pixel is individually addressable using its row and column address. Each row and column has an active device - a switch - controlling it. This switch is part of a controller chip that is part of the display panel.

It sounds like one of these switches has failed, and is therefore not turning its associated row on or off when addressed. This would result in a line, one pixel wide, across the width of the display. If this diagnosis is correct, it's a hardware fault that can only be cured by replacing the display panel. That's also a job for an engineer, and it's going to be expensive.


One icon opens many programs

Introduction | General Helpline Q&A Directory
One icon opens many programs

How can I double-click one icon and have it open several programs?

There are two ways to do this. You can use an old-fashioned DOS batch file instead of a shortcut. First, launch Notepad by selecting Start, Programs, Accessories, Notepad. In Notepad, enter the command to launch one program (such as notepad.exe), press Enter, then enter the command to launch another (say, calc.exe) and so on. If you aren't sure of a command name, right-click a shortcut for the program and select Properties.

In the Properties dialog box, check the Shortcut tab's Target field; it will show the name you want. When you have finished, enter cls on the last line in Notepad. Do not press Enter - instead, select File, Save. In the Save As box, navigate to \Windows\Start Menu, the desktop or wherever you want the icon. For 'Save as type', select All Files (*.*) and give the file the extension BAT.

Or you can download Winx32 - a free program from Don Beusee which is available at www.fileworld.com. Winx32 doesn't make the job any easier than it is with a batch file - you still have to create a script in Notepad. However, it doesn't bring up a DOS box, and nor does it require a command like cls.


Overcome CD burn buffer underrun errors

Introduction | General Helpline Q&A Directory
Overcome CD burn buffer underrun errors

I have a Teac CD-W58E CD-rewriter and a Pioneer DVD-ROM drive, both of which came with my two-month-old PC. When I tried to burn a CD using the CD Copy option of Nero 5.0 I received a message that said: 'Important information: it looks like both your source and your destination drive for the 'on the fly' copy process are connected to the same IDE bus. We would strongly recommend you connect your source and destination drive to different IDE busses'. Copying the CD to the hard drive slows the process down considerably. How can I overcome this?

The explanation of the message you receive is given on the same dialog box. It says: 'An IDE bus cannot handle interleaved read and write commands'. This will reduce the data transfer rate during others. You should also check with your PC manufacturer as to whether reconfiguring the drives would affect the warranty on your nearly new computer.


Password-protect a floppy disk

Introduction | General Helpline Q&A Directory
Password-protect a floppy disk

Can I put a password on a folder so that others can't access my sensitive files?

If you have a file-compression program such as WinZip (www.winzip.com) you can password-protect the files in your folder as you put them into a ZIP file. Since most compression programs let you launch, edit and save files within the archive, you can use the ZIP file much as you would a folder.

Creating a password-protected archive in WinZip 8.0 is easy. In Windows Explorer, right-click the folder and select Add to Zip. In the Add dialog box, click on Password in the lower-right corner. From there, you simply need to follow the prompts. Once you're sure your files are safe in their ZIP file, delete the original folder and its contents. Telling the compression program to 'move' the files will leave them recoverable on your hard drive.

If you want more than a zip program can offer, you could consider Encrypted Magic Folders by PC-Magic Software, which is downloadable from www.pc-magic.com. This program encrypts and hides the folder to make it completely inaccessible. You have to use a hotkey and your password to bring up the application, and only then can you access the folder. The only major complaint we have for the application is its $59 registration fee, so you had better really want to keep those files protected but accessible.


Password-protect folders

Introduction | General Helpline Q&A Directory
Password-protect folders

Can I put a password on a folder so that others can't access my sensitive files?

If you have a file-compression program such as WinZip (www.winzip.com) you can password-protect the files in your folder as you put them into a ZIP file. Since most compression programs let you launch, edit and save files within the archive, you can use the ZIP file much as you would a folder.

Creating a password-protected archive in WinZip 8.0 is easy. In Windows Explorer, right-click the folder and select Add to Zip. In the Add dialog box, click on Password in the lower-right corner. From there, you simply need to follow the prompts. Once you're sure your files are safe in their ZIP file, delete the original folder and its contents. Telling the compression program to 'move' the files will leave them recoverable on your hard drive.

If you want more than a zip program can offer, you could consider Encrypted Magic Folders by PC-Magic Software, which is downloadable from www.pc-magic.com. This program encrypts and hides the folder to make it completely inaccessible. You have to use a hotkey and your password to bring up the application, and only then can you access the folder. The only major complaint we have for the application is its $59 registration fee, so you had better really want to keep those files protected but accessible.


PC won't boot

Introduction | General Helpline Q&A Directory
PC won't boot

I reformatted my hard disk. Now my PC won't boot, but keeps asking for a system disk.

When you format your C drive you should use the command 'Format C: /S'. The '/S' tells Format to put system files on the newly formatted partition. If you forget, use 'SYS C:' to put the system files on afterwards.


PC won't recognise high-capacity CD-Rs

Introduction | General Helpline Q&A Directory
PC won't recognise high-capacity CD-Rs

I have just installed a CD writer on my computer. It's working fine, but when I insert 700MB discs they are recognised as 642MB by the software I use. Can you recommend any programs that support 700MB discs?

High-capacity CD-Rs aren't that much of a rarity, so first ensure that the software you already use really doesn't support 700MB discs. You may have just failed to find the option to enable the extra capacity. It's also possible that the software is showing you the capacity available when the disc is used for multisession recording. You lose more than 50MB of a CD-R for housekeeping information when you use it for multisession writing.

If your software is at fault, though, Nero Burning ROM (www.ahead.de) is a very popular application. Nero can even let you 'overburn' up to 800MB of data on a disc if your drive and media support it.


Permanently delete files

Introduction | General Helpline Q&A Directory
Permanently delete files

I want to remove sensitive data from my PC. I can delete the files, but I know there are utilities that can recover such deleted material. Can I destroy the files so they can't be recovered?

When you delete a file in Windows and empty the Recycle Bin, the physical space that the file occupied becomes available for other files. But until the space is overwritten, it still contains the old data.

You may already have a program that can overwrite data so it can't be recovered. For instance, Norton Utilities comes with a program called WipeInfo, which will securely delete a file, folder, or the free space on your drive. Or with Mijenix PowerDesk Utilities 98, you can render a file irretrievable by highlighting it and simply selecting File, Destroy. If you don't have either program download Jetico's BCWipe from www.jetico.com/download.htm, which is free for noncommercial users. BCWipe integrates with Windows Explorer, so to wipe a file off of the hard drive simply right-click it in Explorer and select Delete with wiping. To wipe off deleted files, right-click the drive and select Wipe free space. Wipe options include a level of cleaning that meets a US Department of Defense security standard.

A quick-and-dirty way to overwrite deleted files is to run Windows' defrag. This moves files around on your hard disk, thereby overwriting many sectors occupied by 'ghost files'. The success of this method, however, is not guaranteed as it does not write over every sector.


Permanently remove disabled startup items

Introduction | General Helpline Q&A Directory
Permanently remove disabled startup items

Having used the System Configuration Utility Startup tab to try running without some of the programs Windows loads at startup, I now want to remove these items permanently so they aren't re-enabled if I reselect 'Normal startup'. Can I do this?

Yes, and it isn't hard to do, but be sure that you'll never want to re-enable these programs before you try. When you uncheck an item in the list on Msconfig's Startup tab, the item is moved to another location so that it will ignored by Windows. However, it can easily be restored on request.

There are three ways in Windows to specify that a program should be loaded at startup, and the location used to store disabled items depends on where they originally came from.

1. StartUp folder Shortcuts in the Start menu's StartUp folder are moved to another menu folder called 'Disabled StartUp Items'. You can delete the shortcut or the entire folder in the usual way.

2. Registry items run from the Registry are stored in folders named Run or RunServices, which you can find under Hkey_Current_User\Software\Microsoft\Windows\ CurrentVersion, or Hkey_Local_ Machine. When disabled, they move to a folder with the same name plus a hyphen. You can delete this folder using the Registry Editor. Deleting the wrong thing from this part of the Registry can have consequences for Windows, so be sure you can boot to DOS and restore from the last-saved Registry backup. See tip Back up the Registry

3. Win.ini file items shown as 'run=' are found in the file win.ini. This is a text-based configuration file which you can edit using the System Configuration Editor Sysedit. Items in the 'run=' line are moved to a line named 'norun='. Delete this line and then save.


Print a list of your PC's file associations

Introduction | General Helpline Q&A Directory
Print a list of your PC's file associations

Is there a way that I can print a listing of my PC's file associations? I can see them individually in Windows Explorer by selecting View, Folder Options and clicking the File Types tab, but I'd like a print-out of file types, extensions and so on.

Try Association Manager, a free and very useful program by Alexander Peckover, which is available from www.moochers.com. When you open Association Manager, you see an empty, spreadsheet-like grid. To load your associations into the grid, select Settings, Get Current Settings. Oddly, despite being intended for editing associations, Association Manager doesn't offer a way to print them. But have no fear. Select File, Export HTML. This step creates an HTML file with the information in a table. You can print this table from your browser, or copy and paste it into Excel or another program to get more control over how the printed version will look.


Processor fan failure

Introduction | General Helpline Q&A Directory
Processor fan failure

When I switched on my PC, the whole system was dead apart from a tune being played on the internal speaker. I heard none of the usual startup beeps and nothing was displayed on the monitor. On checking, I found the processor fan had seized up.

I assumed either that the Bios chip had been infected by a virus, or that the Bios had shut the system down when the fan seized up, to prevent the PC from overheating. I was unable to find out how to flash a defunct Bios chip or buy a new one, so I resolved the problem by buying a new Socket 7 motherboard and processor fan. I would appreciate your comments.

Some Bios apparently play a tune on the speaker if they detect that the processor cooling fan has failed. Why they should do this instead of just emitting a beep error code is a complete mystery, and we're not surprised that you suspected the Bios had been infected by a virus. It isn't something we've even seen mentioned when browsing websites that contain information about Bios error codes.

Replacing the fan would probably have cured your problem. Although there are viruses that can destroy Bios chips, we don't know of any that actually reprogram them to do something else such as play tunes.


Processor fan vibrates

Introduction | General Helpline Q&A Directory
Processor fan vibrates

My computer is just over a year old and the processor fan has developed an annoying vibration. I tried tightening the screws but it made no difference. Can I stop it making this noise?

Only by replacing the fan with a new one. In budget PCs, corners are cut to keep costs low and unfortunately the fan is one of the components that suffers. After a while, the bearings show signs of wear. Eventually it will stop working altogether. Any store that sells components for system builders and upgraders should have replacement fans in stock, or try Maplin Electronics (www.maplin.co.uk). For information about fans to fit various types of processor visit www.coolermaster.co.uk.


Put a multigigabyte hard disk in an older PC

Introduction | General Helpline Q&A Directory
Put a multigigabyte hard disk in an older PC

I would like to upgrade my 2.1GB hard disk but understand that, because my system is four years old, I will be limited to a size of 8GB. I would obviously like to take advantage of the 40GB-plus capacities now on offer; is there any way round this limitation?

Yes there is, but it will make your upgrade a bit more expensive. You can buy a SCSI hard disk, for which you will also need to buy a SCSI adapter card, or you can buy a UDMA 100 adapter card to use with your new IDE hard disk. In both cases it will be simpler to keep your existing hard disk as the boot (C) drive, so you'll need to ensure that your PC has a spare drive bay as well as a spare PCI bus slot. The separate adapters and the drivers they will require will circumvent your PC's 8GB Bios limitation, as well as enabling greater performance than you would achieve from a drive connected to your existing hard disk controller.


RAM module compatibility

Introduction | General Helpline Q&A Directory
RAM module compatibility

I have installed two RAM modules in my PC - one of 128MB and the other 256MB - and both run at the same speed: 133MHz. Is that okay, or would it be better if the two modules had the same amount of RAM?

This is okay. In fact, it's pretty common for people to upgrade the RAM in their computers by adding a different size of module from the one already there. It's usually important for the modules to be of the same speed and type, though.

Bear in mind, however, that replacing two memory modules with a single module can actually slow many systems down, as the memory controller is unable to 'interleave' accesses to consecutive memory locations by reading or writing to both modules at the same time.

Some motherboards have restrictions on the types of modules that can be placed in certain slots, so it's advisable to check the manual before buying. If in doubt, specify the make and model of your PC (or motherboard) when ordering the RAM. This places the responsibility on the supplier to provide you with the correct type of memory for your PC.

When installing memory, be aware that memory modules can be damaged by handling unless antistatic precautions are taken. Before installing memory you should buy a wriststrap, which will discharge static build-up safely to the computer case while you do the job.

If this seems like overkill just to perform one memory upgrade, earth yourself by touching an earthed metal object, such as a radiator, before handling electronic parts. Hold memory modules by the upper corners: never touch the electrical contacts or the memory chips.


Restore a missing file

Introduction | General Helpline Q&A Directory
Restore a missing file

I keep getting an error message that tells me a Windows file is missing. How can I find and restore that file?

It's easy to restore the file from the Windows CD-ROM. First, launch the System File Checker (click on Start, Run, type SFC and click ok.) When the program starts, select 'Extract one file from installation disk' and type the name of the file in the box. Now click Start. In the Extract File dialog box, use the Browser button to select your Windows 98 CD into the 'Restore From' box. Click ok. The file will then be restored to your hard disk.


Restore lost hardware to device manager

Introduction | General Helpline Q&A Directory
Restore lost hardware to device manager

I am using Windows 98 and have lost my printer port. I recently went into Device Manager and I thought I had disabled the port, but I must have removed it instead. How can I retrieve the LPT1 port?

Just run the Add New Hardware Wizard. If you have deleted the driver for a device that exists, it will redetect it and ask if you want to install the drivers. If, for some reason, it doesn't detect the port, you can select the driver for it manually.


Restore Outlook Express choice

Introduction | General Helpline Q&A Directory
Restore Outlook Express choice

When I double-click a file attachment in Outlook Express, I want to be asked if the file should be opened or saved. Is this possible?

With some file types, such as Microsoft Word, the file just gets saved. To avoid that default, select View, Options - or View, Folder Options - in any Windows Explorer folder. Click the File Types tab. Select the appropriate file type - Microsoft Word Document, for example - and click Edit. In the Edit File Type dialog box, check Confirm Open After Download, and then click ok twice.


Restore the Registry from back up

Introduction | General Helpline Q&A Directory
Restore the Registry from back up

If you need to restore the Registry, you must first exit to DOS. Do this by selecting Start, Shut down, Restart in MS-DOS mode. At the DOS prompt type the following commands, pressing Enter at the end of each line:

attrib -r -s -h c:\regback\*.*
attrib -r -s -h c:\windows\user.dat
attrib -r -s -h c:\windows\system.dat
copy c:\regback\*.* c:\windows /y
attrib +r +s +h c:\windows\user.dat
attrib +r +s +h c:\windows\system.dat

See also tip Back up the Registry


Retrieve deleted files

Introduction | General Helpline Q&A Directory
Retrieve deleted files

There are times when I regret having removed a file. How can I recover deleted files?

If you've recently deleted a file via Windows Explorer by highlighting the file and pressing the Delete key, or by selecting Delete from the right-click menu, restoring the file will be easy. This is because Windows did not really delete the file - it simply moved it to the Recycle Bin. To get the file back, you need only double-click the Recycle Bin icon on the desktop, find the file, right-click it and select Restore.

Things get trickier if you deleted the file from within an application or at the DOS prompt. If you have emptied the Recycle Bin between deleting the file and realising it was a mistake, the deleted file's space on your drive has been made available to other files. But until another file uses that space, the data is still there and perhaps can be recovered. For that reason, avoid creating or changing files until you recover the lost one.

You'll need a special program to undelete the file. Be sure to install it before you need it because installing a program involves putting files on your drive - those files might overwrite the deleted ones you need to recover.

Download a demo of Fast File Undelete, which allows users to retrieve files that have been deleted from a disk or removed from the Recycle Bin, at www.dtidata.com/products_ff_undelete.asp. It works with Windows 9x, Me, NT and 2000. Alternatively, utility suites such as Symantec's Norton Utilities (www.symantec.com) include undelete programs. (In Norton, launch the UnErase Wizard.) We also recommend Briggs Softworks' Directory Snoop, which is a $29 shareware program. You can download Directory Snoop from www.briggsoft.com. Of course, your best solution is to do all your deleting through the Recycle Bin and think twice before you empty it.


Self-built PC's Bios won't run

Introduction | General Helpline Q&A Directory
Self-built PC's Bios won't run

I recently set about building a PC but I can't get it to work as the Bios won't run. The machine boots up, the processor fan starts to spin, the hard drive makes a few clicking sounds and that's it - the screen remains blank. I have changed the RAM, tried two different graphics cards and two hard drives - a brand new one and an old one. The board came with the processor - all I had to do was slot it in. I bought the board from the US using the internet, so to send it back is going to be a hassle. It didn't come with a manual, either.

Even with no peripherals connected, if you power up a motherboard with memory and a processor fitted, you should hear one or more beeps. One beep tells you all is well. If you hear more than one beep, the pattern of beeps should help diagnose what the problem is.

The beep codes and their meanings should be described in the motherboard manual. However, if they aren't (or you don't have a manual) then PCGuide's Troubleshooting Bios Beep Codes may contain the information you need. If you are hearing no beeps at all, either power isn't getting to the motherboard, or the board or processor are dead.

Since the board didn't come with a manual, we would hazard a guess that the company may have deliberately palmed you off with something it knew was faulty, gambling that the cost of returning it and the difficulty of obtaining legal redress from outside the USA would allow them to get away with it. See tip Self-built PC won't work


Self-built PC's Bios won't run

Introduction | General Helpline Q&A Directory
Self-built PC's Bios won't run

I decided to build a new PC, as it was something I had successfully done in the past. The build went okay, but when I tried installing Windows 98 I got: 'Standard Mode: Fault outside of MS-DOS Extender. EC=000 CS=03AF IP=0DA8 AX=0386 BX=0386 CX=0386 DX=0000 SI=2400 DI=4C40 BP=0000 DS=03C7 ES=0000 SS=027F SP=0F02. Please remove any floppy disks from your drives and press any key to restart your system'.

After pressing a key, the PC restarted, then came up with: 'Error loading gdi.exe. Please remove any floppy disks from your drives and press any key to restart your system'.

After pressing a key the PC restarts, then comes back with the original message, and so on in a loop. Is it a memory problem? If so, should I take the RAM back for exchange? Or is it a processor, motherboard or Windows problem?

I have also tried to install Windows 98 SE, NT 4.0 and Me, all without success. Once, I got to within 11 minutes of the end of the install, then got the message: 'Fatal exception 0E has occurred at 0028:C02730F8 in vxd vmm(06)+ 000030F8'.

There's a down side to building your own PC, which is that there's a chance the computer won't work. If it doesn't, the suppliers who sold you the parts won't usually help. Without the resources of an engineer or computer manufacturer at your disposal, it can be terribly hard to solve the problem.

You don't say which operating system installed nearly all the way through, but we think your best chance of success would be to try Windows Me. As we've said before, it's a bad idea to try installing an old OS on new hardware. The software won't have been tested for use on that hardware, and changes may have had to be made to the latest release in order for it to work on that hardware. A new PC with this specification would come with either Windows Me or 2000 installed, so that's the operating system you should be using.

The trouble is that you have no way of knowing whether the hardware itself is sound. A component may have been faulty when you received it (unlikely, but possible), it may have been damaged due to inadequate antistatic precautions being taken during assembly, or there may be an incompatibility between, say, your motherboard and the graphics card.

A good DOS-based diagnostic utility would help to prove the hardware: examples are PC-Doctor (www.pc-doctor.com) or QuickTech Pro 2000 (www.ultra-x.co.uk). These professional products are expensive for infrequent end-user use. However, cheaper consumer-market diagnostics like CheckIt (www.smithmicro.com) are often not all that effective.

The only other way to track down the problem is by swapping parts: trying a different processor, other RAM chips or another type of graphics card. This is why system building is best left to the professionals, who have easy access to these things.

As a long shot, changing some of the advanced Bios settings - for example, slowing the bus speed - could be all that is needed to make the system run reliably. The only way to find out, unfortunately, is by trial and error. See also tip Self-built PC's Bios won't run


Send To Desktop shortcut won't work

Introduction | General Helpline Q&A Directory
Send To Desktop shortcut won't work

My Windows Send To folder contains the icon Desktop as a shortcut but it doesn't work. It used to be possible to right-click a file and select Send To, Desktop as Shortcut and the shortcut appeared. How can I restore this facility?

The usual problem with this feature is that the icon in the Send To folder has been deleted. The icon is simply a zero-length file called Desktop (create shortcut) .DeskLink. The name is unimportant (it's just what appears on the Send To menu). What matters is the extension, .DeskLink. Although it looks like a file type, it's really a kludge. If Windows detects that you are sending a file to something of type .DeskLink it will create a shortcut to it on your desktop.

If this doesn't work, the most likely explanation is that the associated data in the Registry has gone missing. To solve this problem, you'll need to use the Registry Editor to do some fairly hairy hacking. If you aren't confident about this, it might be better to leave things alone. If you are, you should still play safe and start by using ScanReg to take a backup. See tip, Back up the Registry

In Regedit, expand the Hkey_Classes_Root folder and look for a folder named .DeskLink. If it doesn't exist (which may be the cause of the problem), right-click the Hkey_Classes_Root folder and select New, Key. For the name of the new key, enter .DeskLink. Select the new key, then double-click the Default value on the right and enter the data:

CLSID\{9E56BE61-C50F-11CF-9A2C-00A0C90A90CE}

Be sure to get all these data strings exactly right, or it won't work. After closing Regedit and restarting Windows, with luck your Send To shortcut will now work. If it doesn't, something is more seriously amiss and you'll probably find that the only solution is to reinstall Windows.


Shaky monitor picture

Introduction | General Helpline Q&A Directory
Shaky monitor picture

My display shakes and appears to be unstable. Every couple of minutes, the picture flickers and goes blank. While it is flickering, a blue line bounces from the middle to the bottom of the screen. A temporary cure is to turn the monitor off for a few seconds, then turn it back on. I have a Tiny own-brand monitor and its warranty has just expired.

You may have an intermittent connection between the graphics card and monitor. Check the connectors are done up tight. If they are, test the lead by wiggling the cable near each connector to see if this produces the flickering. If nothing that you do to the cable has any effect on the picture, the monitor is probably faulty. See also tip Shrinking display problems


Shorter startups

Introduction | General Helpline Q&A Directory
Shorter startups

How can I shorten the amount of time that it takes my computer to boot up? I don't want to have to wait so long between turning the machine on and getting down to work.

An obvious step to get your PC to start up more quickly is to reduce the number of programs that load at bootup. These include diagnostics, favourite applications and unnecessary modules inserted by installation programs.

Deciding which programs to keep is a matter of judgment, for the most part. For example, you want your antivirus program's background autoprotector running at all times, but you don't need to load the whole antivirus program and scan your hard drive every time you boot.

To find startup programs, select Start, Run. Type Msconfig and press Enter. This takes you to Windows 98's System Configuration Utility. Click the Startup tab - you'll find a list of commands, each with a checkbox. Uncheck any you think you might not use (you can always go back and recheck them later). Repeat the process in the autoexec.bat and config.sys tabs (if they're empty that's fine). When you're done, click ok, reboot, and then see how much time you've saved.

Not enough? Defragging your hard drive every other week will also help to make your system boot faster.

Finally, your system start may be slowed by a large font collection. To trim the number of fonts loading at bootup, select Start, Run. Type fonts and press Enter. You can then drag selected fonts to another folder to keep them out of the boot process (they'll still be available should you want them).


Should i get a SCSI or Atapi CD writer?

Introduction | General Helpline Q&A Directory
Should i get a SCSI or Atapi CD writer?

I want a CD writer. Should I choose a SCSI or an Atapi/IDE drive?

Atapi drives are cheaper, need no additional hardware and work well. SCSIs deliver more consistent performance under demanding conditions. However, they are more expensive, need an adapter card, and setup is complicated. It's only worth it if you're also considering adding other SCSI devices.


Should I turn off surge protector on shutdown?

Introduction | General Helpline Q&A Directory
Should I turn off surge protector on shutdown?

I have my PC set to shut itself off after I exit Windows. Should I turn off the surge protector as well?

Leave it on. Your Cmos chip needs a small, constant flow of electricity to keep its settings and to track the time. Your motherboard's battery supplies this power when the computer is off, but many PCs made in the past three years also use a tiny bit of AC power - if it's available - to handle this job. When you shut off the surge protector, you cut off the supply of AC power, and your PC must rely on its battery instead. If you keep the surge protector on, your battery will last longer.

You may wonder whether you should use the switch on your surge protector to turn the power to your computer, monitor and peripherals on and off in one fell swoop. With most of today's computers that's not an option because the on/off power switch has been replaced with a power button that the user must press to start the computer.

Your PC probably shuts off when you exit Windows, and there's no way to turn it on again without hitting that button. If you can power up your computer by turning on the surge protector, go ahead. Just be sure the monitor is on before Windows starts to load, or it may not be recognised. And, of course, you should never turn off a surge protector - or a PC - while Windows is running.


Should I upgrade my Bios?

Introduction | General Helpline Q&A Directory
Should I upgrade my Bios?

My PC is over two years old. Would upgrading my Bios make it more compatible with newer programs? Is flashing my Bios worth the risk?

Taking the steps you ask about makes sense only if you have something to gain. If you can't get a piece of hardware to work - especially one that's newer than your PC - carefully upgrading your Bios may be worthwhile.

The Bios chip on your PC's motherboard has a program code necessary to run your computer. The Bios chip is almost always flash RAM, so it is simple to upgrade using a program that 'flashes' it with new code. Things can go wrong during the upgrade process, however, and the new version may introduce incompatibilities.

Before you decide on an upgrade, weigh the benefits against the effort involved and the risk entailed. The first step is to determine the manufacturer, number and date of your Bios. You can find this information in Windows by clicking Start, Programs, Accessories, System Tools, System Information. Then click the plus sign next to Components and select System. Select Advanced Information in the top righthand window, scroll down to System board, and look for BiosDate and BiosVersion.

Alternatively, you may obtain the Bios information when you boot your computer. Press Pause as soon as text appears on the screen; on most computers you'll see the Bios manufacturer, number and date. Write down the information and then press any key to resume booting.

Your next step is to go to your system vendor's website and look for Bios information for your PC model. (If you have a no-name clone, go to the motherboard manufacturer's website.) The information usually appears on the site labelled Technical Support, Free Downloads or something similar. If a Bios upgrade is available for your system, read the description provided.

The upgrade file is usually a ZIP or self-extracting EXE file. Instructions for the upgrade are probably stored in a Read Me file or somewhere on the website. Follow the instructions very carefully. You'll probably have to put all the files required for the upgrade on to a bootable floppy disk. Then reboot, follow the vendor instructions for backing up your existing Bios, and run the program that does the actual upgrade.

A power outage or other unexpected interruption in the flash process can corrupt the Bios code. If you end up with a half-written Bios, you'll have to use the backup copy you just made to reinstall the original. If your system won't boot, you'll need a Bios-flashing machine or a new Bios.


Shrinking display problems

Introduction | General Helpline Q&A Directory
Shrinking display problems

When I close a window, my desktop shrinks slightly. This is more of an annoyance than a problem, but I understand there is a way to stop it. My system has a Riva TNT 16MB video card and Daytek 17in monitor.

You have either a poorly-designed/faulty monitor, or perhaps you just become annoyed easily. We think the problem is caused by poor power supply regulation. When an onscreen window shows a lot of bright white, the CRT's (cathode ray tube's) electron gun is drawing a high current and the HT (high tension) supply voltage drops. Closing the window replaces it with a darker background, so the gun draws less current and the voltage rises. This can cause a change in the picture size.

That's the explanation. Unfortunately, we don't know a cure - short of buying a better monitor. However, by lowering the refresh rate (from Display Properties, Advanced settings), you will make life easier for the monitor, and this might make the effect less noticeable. See also tip Shaky monitor picture


Slow modem transfer rate

Introduction | General Helpline Q&A Directory
Slow modem transfer rate

I am puzzled by the transfer rate my computer achieves while downloading files from the web. I have a 113Kbps modem, yet the best connection rate I can achieve with it is a measly 3Kbps. I realise my computer is not cutting-edge, being a 400MHz Celeron with 128MB SDRAM and a V.90 modem, but it seems strange that I can only download at this speed. Is the phoneline the limiting factor? If not, what is?

There are several confusing points to consider. First, modem speeds are quoted in kilobits per second (Kbps), not kilobytes (KB). There are eight bits to a byte, plus start and stop bits where serial communications are concerned. Your web browser's download window shows the KBps speed. To convert this figure to kilobits, multiply by 10.

Internet communication protocols add an overhead of up to 10 percent of the data transmitted. You don't see this data, and it isn't counted in the download speed shown by your browser. It contains the information that enables the data you want to be routed to your computer across the internet.

Second, your V.90 modem's maximum speed is 56Kbps, not 113. If your software shows the modem connecting at a higher speed, such as 115,200Kbps, that's the speed of the serial port-to-modem connection, not the link between your modem and ISP. In fact, a V.90 modem will usually connect at 44Kbps to 48Kbps due to the limitations of your telephone line. A few lucky people may get 50Kbps.

Some people may only manage to connect at 28Kbps to 33Kbps because BT is using a DACS (digital-to-analogue converter) unit on the phoneline. This device enables a copper wire to be shared between two lines. If yours has a DACS unit fitted, you are unlikely to even achieve 3KBps. And it's often impossible to get BT to remove the unit as it is normally used when there's a lack of copper wires in your area.

The download rate reported by your software depends largely on whether the data you are downloading is very compressible. V.90 modems compress data before sending it over the phone network, and decompress it when sending it to your computer via the serial port. If the data is already compressed - for example, a ZIP file, JPG image file or MP3 audio - it can't be compressed any further. Therefore, the best speed you'll ever see is about 4Kbps. Any delays on the internet will reduce this figure. For instance, 3Kbps isn't too bad if you're downloading software from the USA.

Web pages, text files and other uncompressed files are often highly compressible, in which case you can see speeds of up to 11Kbps reported. The limiting factor is the modem-to-serial port speed; 115,200Kbps - or 11.5KBps - is the highest possible. USB modems don't have this restriction, so they may offer faster web browsing, although file downloads won't be any quicker.


Speed up repeat print jobs

Introduction | General Helpline Q&A Directory
Speed up repeat print jobs

I frequently print copies of the same document, and wondered if there was any way to avoid the long spooling process every time I do this.

You can print in a jiffy by saving the printing instructions to a file and creating a shortcut that sends the instructions to the printer whenever you need a copy. One caveat: this tip will not work with postscript printers.

1. Open the document in the correct application. Choose File, Print to open the Print dialog box, and check the Print to File option. Some programs don't have a Print dialog box or a Print to File option so, in such situations, choose Start, Settings, Printers.

2. In the Printers window, right-click the correct printer icon and choose Properties. Look for an option that specifies ports - it usually appears on the Details tab. From the Ports list, select 'File: (Creates a file on disk)' or the equivalent. Then click ok.

3. Return to your application and choose the Print command. Click ok in the Print dialog box. The program should prompt you for a place to save the print file. Select a location, type a name (such as printme.prn), then click ok and exit the application.

4. The next step is to create a shortcut that sends this file to the printer. Right-click Start and choose Open or Explore. Navigate to the folder where you want to keep your document-printing shortcuts. Right-click an empty area and choose New, Shortcut.

5. When the the Command line prompt appears, type command.com /c copy /b "c:\My Documents\printme.prn" LPT1:. The name and path of your print document may differ. Be sure to use quotation marks if any part of the path uses spaces or long file/folder names.

6. If you print to a port other than LPT1, you'll have to change this part of the example to match your printer's port. To identify the correct name, return to the Ports listing in the printer's Properties dialog box. Common port names are 'com1:' or 'com2:' for serial printers, or entire paths (usually beginning with \\) for networked printers. Click Next, type a name for your shortcut then click Finish.

7. To add some finishing touches, locate the icon you just created, right-click it and choose Properties. Click the Program tab. From the Run drop-down list, choose Minimized to hide the DOS window that appears when the file is sent to the printer. Make sure 'Close on exit' is checked.

8. When you're done, simply click ok. Thereafter, whenever you need a copy of your document, just choose your new shortcut from the correct menu on the main Start menu.


Speed up system startups

Introduction | General Helpline Q&A Directory
Speed up system startups

My 18-month-old PC has become sluggish. Sometimes it takes 10 to 15 seconds for a folder to open. I've run ScanDisk, defragged and looked everywhere I can think of, but I can't find the problem.

You've already done one of the most obvious things - defragging your hard drive. This should be a regular part of your PC maintenance schedule, and for those who haven't defragged within the last couple of weeks it's about time you did. Go to Start, Programs, Accessories System Tools, Disk Defragmenter.

What else could be slowing down your system? Recently installed software is a common culprit. Many Windows programs load parts of themselves every time you boot, slowing down your system. See Shorter startups tip. Another possibility is a virus. Update your virus scanner and do a fresh scan.

If you're on a network, there may be a problem with your network card or configuration. Ask an administrator to review your settings.

There's one last place to look. Right-click My Computer, select Properties and choose the Performance tab in System Properties. The last phrase in the Performance status box should read: 'Your system is configured for optimal performance'. If not, you'll be given a description of the problem instead.


Standby mode disables printer

Introduction | General Helpline Q&A Directory
Standby mode disables printer

I have an Epson Stylus Color 640 printer attached via LPT2 to my PC. I normally boot up the computer in the morning and then use standby mode throughout the day when I am not using it. I only fully shut down in the evening. However, I find that once the PC has been on standby, any attempts to use the printer result in an error message saying that it is out of paper even though it isn't. The only way I have found of getting the printer working properly again is to reboot the PC, which somewhat defeats the object of using standby mode in the first place.

Have you any ideas as to how I can get round this problem? I have recently changed the motherboard to an Abit VT6X4 and I am sure that I didn't have the problem before.

You say your printer is connected to LPT2, implying you have fitted a second parallel port card that was not part of the motherboard. Does the problem occur if you connect the printer to LPT1?

Power management is a difficult area for manufacturers to get right and it is full of bugs. There are quite a few possibilities: your second printer port may not be properly power-management compatible, your new motherboard's Bios might be at fault, or the problem could be in the printer drivers.

There are only three things you can try: reconfigure your system so the printer uses the motherboard's own printer port, install the latest Epson printer drivers and see if there is a Bios upgrade for your motherboard. If these do not work, the only solution is to leave the computer on instead of putting it into standby mode.


Standby mode doesn't work

Introduction | General Helpline Q&A Directory
Standby mode doesn't work

My computer has a problem with the Standby function of the Shutdown menu: it only seems to work if the computer has been on for less than 15 minutes. If it has been on for longer than that, the computer comes back on immediately. No one seems able to suggest a solution. Can you help?

The Standby function puts the computer to sleep in order to save power, so it is really intended for use with laptops. The computer will be woken up when an external signal occurs. This is usually a key press or a mouse movement, but it could be an interrupt from a device such as a modem (in case you are using fax) or voicemail software that needs to be able to respond.

To check the setting of the Standby function, enter the Bios setup menu, go into the Power Management settings and check to see if any of the settings currently selected could be causing the computer to wake up when you don't expect it to.

It's quite likely that vibration or tension in the cable could be moving your mouse, causing the computer to wake up. This certainly happens with one of our PCs, causing it to wake up any time from straight away to a few minutes after it was put into standby. The only solution we have found is to turn the mouse upside down (so that no movements can be transmitted to the roller ball) and then select Standby using the keyboard.

The fact that the problem seems to occur only when the computer has been on for 15 minutes or more may be just a coincidence. But there's a faint chance that the mouse electronics, or even the controller on the computer motherboard, when warmed up, are generating spurious interrupts.

You could test the first possibility by substituting a different mouse, but there's no easy way to check the second. Even if that is the culprit, though, it probably isn't worth the cost of a new motherboard just to solve this minor problem.


Switching on scanner crashes Windows

Introduction | General Helpline Q&A Directory
Switching on scanner crashes Windows

I bought an Epson USB scanner but am unable to use it. If I switch on the scanner and then the computer I get a DOS message stating 'Windows Security Error - please restart your computer'. Either that or Windows starts to load, then gives me the error 'Windows has performed an illegal operation'. Switching on the scanner after Windows has loaded causes the computer to crash. If I plug in my printer to the USB port I get the same problem.

Epson says the fault is a Microsoft software problem and I should contact my computer manufacturer. However, I upgraded my computer five months ago and everything except the case, the floppy drive and the Windows 98 CD-ROM is new. Do you think the problem is the version of Windows I am using?

It's impossible to be sure, since a hardware fault might be causing the problem, but it is certainly a likely explanation. Your motherboard and processor are newer than the version of Windows you are running. It's possible your hardware isn't properly supported by this old version of Windows. Installing a current version of Windows will resolve that issue and hopefully solve the problem. But before you do that it might be worth trying to update the USB controller drivers from Windows Update via Device Manager.


System clock loses time

Introduction | General Helpline Q&A Directory
System clock loses time

My HP computer is switched on all the time as I use it to receive fax messages and take voicemail. However, I notice that the clock in the bottom righthand corner loses about 10 minutes a day. What's happening, and how can I correct it?

This is a common question. There are two clocks inside your computer. First, there's the battery-powered clock that keeps time when the PC is switched off. This is the most accurate clock in the computer, but it isn't uncommon for it to lose or gain up to a few seconds a day.

There is also the clock maintained by Windows 95/98/Me, which displays the time in the Taskbar. This clock is set from the battery-powered clock only at startup, or whenever the PC is woken up after going into standby. During normal use, it is updated by Windows itself. It is updated using a timer interrupt generated by the computer motherboard. Motherboard timing signals are not designed to be highly accurate, and they can even be ignored if the computer is very busy, so a significant drift may occur.

If you are wondering why Windows doesn't use the more accurate clock, the reason is because of the Windows 95 family's DOS heritage. DOS was designed to run on computers that didn't have a built-in clock, so it had to be able to keep time for itself.

Windows 95 and its descendants were designed to be as compatible as possible with DOS. Windows NT and Windows 2000 don't have this restriction; they regularly update their clocks from the battery-powered system clock, so you shouldn't experience any serious time inaccuracy if you use those operating systems.

So much for the explanation: what about the solution? Well, you could buy a radio-controlled clock that receives accurate time signals from station MSF, and pass this information to the computer through a serial port. You could also buy software and interface cables that allow the clock to be updated using a GPS (global positioning system) receiver. However, we suspect that you don't need that level of accuracy, and you will almost certainly find those solutions too expensive.

You probably use your PC to connect to the internet several times a day. The cheapest solution would therefore be to install some shareware that checks to see when you are connected to the web and then updates the clock from an internet time standard. There's a great variety of programs to choose from, including SocketWatch (www.locutuscodeware.com/swatch.htm) and (www.hiclock.com). Another example is Get Global Time, a free downloadable utility available from www.get-time.org.


System freezes at bootup

Introduction | General Helpline Q&A Directory
System freezes at bootup

When I turn on my PC, more often than not Windows just freezes. I usually have to reboot five or six times before I can start working. What's going on?

Each PC has a different configuration, so we can't say for sure. However, we can offer a number of suggestions. Start by booting Windows in Logged mode. This will allow you to create a text file of the entire boot process so that you can see where it fails.

First, bring up the boot menu. In Windows 95, watch the screen as you start up the computer and press the F8 key as soon as you see the words: 'Starting Windows 95'. In Windows 98, hold down Ctrl from the beginning of the boot process until the menu comes up. At the menu, select the option for Logged (\Bootlog txt) and continue with the boot.

Of course, Windows may boot flawlessly in this instance. Keep at it every time you boot until one of the boots fails. After your system has crashed, reboot again without logging on. To read the log, select Start, Run, type c:\bootlog.txt and press Enter. If your system is in such bad shape you can't get into Windows, you can read the log from the DOS prompt by typing c:\ windows\command\edit c:\bootlog.txt and pressing Enter.

You'll find a long file, but don't worry. Just go to the end - whatever is causing the problem will be in the last few lines. The line that says 'LoadFail' or 'failure' will tell you which file is the culprit.

If the troublemaker is an irksome DLL, you can try reinstalling Windows or the application that the DLL comes from. This allows you to reinstall these over the current installation without wiping out your configuration.

If, on the other hand, the problem is a hardware driver, try uninstalling and then reinstalling the hardware, or getting an updated driver, or replacing the possibly defective peripheral. In the worst case scenario, you may need to leave the troublesome device or program uninstalled until such time as its manufacturer devises a solution.


System won't boot after battery failure on old PC

Introduction | General Helpline Q&A Directory
System won't boot after battery failure on old PC

I have an old 486 PC which I bought from MJN back in 1991, and the backup battery failed and had to be replaced. Now the machine boots up and halts with the message 'Missing operating system'. When I go into the Bios setup, it asks for the following information about the hard disk: 'Type number (the user type is 47), Cyln, head, WPcom, LZone, Sect, Size'.

The handbook told me to ring the technical support line at MJN. I cannot do this as the company went out of business a long time ago. Is there a way of finding out what these settings should be?

All of these settings - which are known as the 'drive geometry' - can be read from the hard disk by software. In fact, modern Bioses do just that so you don't need to enter the information. Older computers require it to be entered manually so it can be stored in the Cmos memory. This data is lost when the battery fails, as you found out. A generic solution would be to boot the system from floppy disk and run a DOS utility like IDEinfo (which you will find at www.tech-pro.co.uk). IDEinfo will uncover all this information for you, so you can then type the data back in.

However, if you know the make and model number of the drive you can get the information by typing this into a web search engine. An excellent website is www.computerhope.com, which contains information about hundreds of different drives. The site also shows the Master/Slave jumper settings, which will be useful to anyone who is upgrading and needs to know this information.


Take control of the My Documents folder

Introduction | General Helpline Q&A Directory
Take control of the My Documents folder

Is there a way I could use the My Documents folder to access my work files which are also located on the C drive?

Windows wisely encourages you to keep your work documents separate from your application files and folders by providing a folder called My Documents. This folder is located on your C drive by default, but you can store your work files wherever you want.

To use the My Documents icon to access work files stored in the folder of your choice, right-click the icon on the desktop and choose Properties. Select the Target tab and click inside the Target box. Either type the path to the drive and folder you prefer or click Browse, select the folder of your choice and click ok.

You can also change the name of the icon by selecting it and then clicking its name or pressing F2, or you can right-click it and choose Rename. Then type a new name and press Enter.


Take your desktop theme to any PC

Introduction | General Helpline Q&A Directory
Take your desktop theme to any PC

Our office has several Windows 95 and 98 computers, all of which are used by a number of people, but we don't like each other's desktop settings. Can I transfer my PC settings to another computer and easily switch between my settings and someone else's?

Windows XP lets you do this automatically. Different users log in under their own 'accounts' and XP loads up their own specified desktop settings. For Windows 98 and Windows 95, however, you have to create and distribute desktop themes. A number of programs will let you do this, but we recommend Desktop Architect. This program is available for download from www.rocketdownload.com/details/grap/5235.htm.

Windows doesn't install desktop themes by default. Windows 98 users can install themes from the Control Panel's Add/Remove Programs applet. The 'official' way for Windows 95 users to add themes is to buy Microsoft Plus 95 - no easy feat, since the program is no longer sold. After you install Desktop Architect, you'll be able to use, save and distribute themes.

To save your current settings as a theme, launch Desktop Architect and select File, Save. Select a location and give the file a name. Now you've got a theme but, unless its wallpaper, sounds, fonts and other files all come with Windows, simply transferring your theme file to another PC won't work. You have to transfer all the other files it uses as well.

That's where Desktop Architect beats Windows 98's own Themes tool. To bring files together, select Tools, Package. A wizard will walk you through the creation of either a ZIP or an EXE file for putting the individual files your theme requires in the right place. We recommend creating an EXE file for easy distribution.

The target computer will have to support Desktop Themes, whether via Windows 98, Plus 95 or Desktop Architect. To add your own theme, run the EXE file you created in Desktop Architect then right-click your desktop. Select Properties, click the Themes tab and click on your theme from the pull-down menu.

One final note: switching back and forth between themes is easiest if you have put them all in the same folder. By default, that folder should be c:\Program Files\Plus\Themes.


The dangers of installing software

Introduction | General Helpline Q&A Directory
The dangers of installing software

Is it possible to install new software packages without putting your data and PC at risk from disaster?

Installing software is dangerous. Every time you put another program on to your system, you run the risk of breaking something that's already there. And uninstalling a new application doesn't always fix a troublesome installation, because uninstall routines seldom do their job completely.

One way is to use PowerQuest's SecondChance (www.powerquest.com)), which tracks all of the changes made to the hard drive. If an installation messes things up, you can simply roll your hard drive back to an earlier condition.

A word of caution: before you use SecondChance to restore your setup, back up your data. You might want to get Windows back to where you had it, say, last Tuesday, but we know that you don't want to lose a week's work in the process.

If you would rather not spend money or risk installing this program, you can simply back up the Windows Registry before installing a new piece of software. This won't protect you as well as SecondChance, but it will let you restore the part of Windows that sustains the most damage after a bad installation. See tip, Back up the Registry


Tidy up desktop icons

Introduction | General Helpline Q&A Directory
Tidy up desktop icons

My desktop icons have lost their 'snap'. They used to snap into position on the desktop, now they stay where I put them. Is something broken?

No, you just inadvertently changed the desktop's Auto Arrange setting. If you want the icons to snap into place and they don't, or if they're snapping and you'd rather they didn't, right-click the desktop and select Arrange Icons, Auto Arrange.


Transfer contents of old hard disk to new PC

Introduction | General Helpline Q&A Directory
Transfer contents of old hard disk to new PC

A while ago my computer died of old age so I decided to treat myself to a new one. I removed the hard drive from the first PC as there are some files on it I want to retrieve. How can I transfer the contents of the old hard drive to my new computer?

Change a jumper on the back of the old drive to configure it as a Slave drive, then attach it to the spare plug on the IDE ribbon cable and a spare power cable. If necessary, temporarily disconnect the CD-ROM drive to free up the connectors needed to do this.

When you boot your machine the old drive should appear as the D drive and you will be able to transfer the files you want from it to the C drive. If you have a spare drive bay and spare connectors you may be tempted to install the old drive permanently in the new computer, but if it is very old its presence on the cable may slow data transfers to and from the new one.


Transfer files between networked computers

Introduction | General Helpline Q&A Directory
Transfer files between networked computers

I have two computers, each equipped with a NIC (network interface card). I often need to transfer large files between them. Can I set up a direct cable connection using the NICs?

Windows' direct cable connection doesn't support NICs, but you can set up a network between your two computers - and you don't even need to buy a hub to do it. What you do need is a crossover ethernet cable. In the standard ethernet cables that you use for connecting a computer to a hub or broadband modem, the wire on the left at one end is also on the left at the other end. In a crossover cable, the wires cross over, so that the wire on the left at one end is on the right at the other end. Crossover ethernet cables are readily available and cost around £8.

Once you've plugged the cable into both of your computers, all you need to do is set up a simple network. Right-click Network Neighborhood and select Properties. If you're using Windows Me, the icon is called My Network Places. If you double-click it, you'll find a Home Networking Wizard that will walk you through the process of implementing a network.

On the Network dialog box's Configuration tab, select network protocols for the two computers. Click the Add button, double-click Protocols and select Microsoft from the left column. We recommend that you install NetBeui, IPX/SPX and TCP/IP.

Once you're back on the Configuration tab, select the primary network logon as Client for Microsoft Windows. Then click File and Print Sharing and select whatever is appropriate: the first option lets you share files, and the second lets you share printers. Be aware, however, that enabling file sharing can compromise your system's security.

On the Identification tab, make sure that each computer has a unique name but that both are in the same workgroup. Don't use spaces in either of these fields. Click ok and reboot your system when you're prompted to do so. To make a folder available to the other computer, right-click it in Windows Explorer and select Sharing. Make the appropriate selections and click ok.


What is a bad cluster?

Introduction | General Helpline Q&A Directory
What is a bad cluster?

I recently installed Norton Utilities and, during a surface scan of my hard disk, I noticed a number of bad clusters. The scan continued past them, didn't report any errors and these clusters are not yet interfering with used disk space. What is a bad cluster? What may have caused it? Can they spread or move? Will they affect the data on the disk and can I get rid of them?

A bad cluster is a small block of disk space (usually 2KB or 4KB) that tests have determined cannot be written to and read from reliably. All disks have them, as it's not possible to make the magnetic recording surface absolutely perfect, although some drives hide from the user those that are found during manufacture.

New bad clusters can develop due to wear or a fault developing in the drive. They can also be caused by the magnetic surface being damaged - for example, if the system is bumped while the disk is being accessed.

Bad clusters cannot move. If they increase in number every time you do a surface scan this indicates that the drive is developing a fault and should be replaced. But if the number remains constant they are nothing to worry about. The clusters will not be used to store data, so there is absolutely no risk of data errors or data loss occurring because of them. See also tip What is a lost cluster?


What is a lost cluster?

Introduction | General Helpline Q&A Directory
What is a lost cluster?

Norton Utilities keeps telling me that I've got lost clusters. What are clusters and why do I keep getting them?

Windows manages files by dividing your hard drive into small sections called clusters. Each file uses one or more clusters to store data and Windows tracks all the clusters in use. Each cluster in use is associated with a single file. Windows knows not to allow a file to put new data in clusters currently associated with another file. By contrast, when you delete a file, its clusters become available again.

A lost cluster (also known as a lost file fragment) appears to Windows as in use, but it does not have a file associated with it. Programs such as ScanDisk and Norton Disk Doctor find and fix lost clusters.

What causes lost clusters? Crashes, mostly, by Windows and by applications. If a program crashes while it is creating, copying or enlarging a file, some of its clusters may not be re-marked as available even though the file the clusters are associated with no longer uses or needs them. That leaves clusters marked as in use, but with no files or other clusters pointing to them.

A loose or defective drive cable can also cause lost clusters by creating bad sectors within clusters. If your system and applications don't crash often but you still end up with lost clusters, try removing your PC's case and checking the ribbon cables running between the drives and the motherboard. We know of no way that a bad drive by itself could cause lost clusters, however. In theory, you could lose clusters by defragging your drive while running other applications, although today's defraggers make that unlikely. Still, it is safer not to have any other programs open while you defragment your hard drive.

When a disk scanner finds a lost cluster, it gives you two options: save the contents of the cluster as a file so you can look at it and decide if you need it, or mark the cluster as unused to free up wasted disk space.

The safest option is to save the contents as a file, but we have never found anything worth saving in a lost cluster. They almost always contain extra copies of information that is safely stored elsewhere on the drive. See also tip What is a bad cluster?


What processor?

Introduction | General Helpline Q&A Directory
What processor?

I have just upgraded my computer. When I run a system information utility, it tells me my processor isn't what it's supposed to be. Have I been cheated?

We doubt it. System information tools, including the one in Windows, can only accurately identify processors that were known about at the time the software was written. The Bios may display the processor type when the computer boots up - that's the most reliable indication.


What's a PSN and how can I disable it?

Introduction | General Helpline Q&A Directory
What's a PSN and how can I disable it?

I've heard that the Pentium III chip's PSN (processor serial number) can compromise my privacy. How do I disable the PSN on my PIII system?

Intel's PSN is a unique identifier that theoretically allows websites to pinpoint your surfing habits. PSN never became the supercookie many people feared: the critics' hue and cry held PSN in check.

So what's your computer's PSN status? If it isn't a Pentium III, you don't have a PSN. If you do have a PIII, your PSN is probably turned off already, as per recommendations Intel made to PC vendors because of the controversy over privacy.

You can turn your PSN on or off via the hardware setup screen, but the method differs from one PC to another. On most PIII-based systems, you get to this screen by holding down Ins or Del at the beginning of the bootup process. Search the options to find the PSN off switch.

An Intel program tells you whether your PSN is turned on, and turns it off or on for you as specified. Download it here.

If PSN is disabled in your Bios settings, you can't enable the feature using Intel's program. Instead, you'll get a message stating that 'The processor serial number has been disabled by another user, an application, or by your computer's hardware setup'. When PSN is enabled in the Bios, you can use Intel's PSN program to toggle between enabling and disabling your PSN. You're warned that 'Enabling the processor serial number may allow this information to be read by websites'. After you click ok, a dialog box shows your PSN. If you click Settings and disable the feature, the dialog box indicates that the PSN is unavailable.

Once you turn the PSN off, can a program or website secretly turn it back on? Much controversy surrounds this question. Doing so would involve rebooting the processor surreptitiously - no easy trick.

But even if some hacker managed to turn on your PSN for the fun of it, all he or she would get is a number. The PSN's true potential as a spying tool was checkmated as a result of the controversy, since the number is almost universally turned off.


What's the best storage for digital images?

Introduction | General Helpline Q&A Directory
What's the best storage for digital images?

I recently bought a digital camera and have already taken nearly 600 photographs. Storing the ones I want to keep is using up space on my hard drive at a steady rate. An alternative or additional storage medium is going to be essential. What would you recommend? A second hard drive, Zip drive, CD writer or something else?

A CD writer would be the best solution in our opinion as discs are inexpensive and robust. If you can spare enough space on your hard drive to store the image files until you have enough to fill a CD, so much the better. Zip cartridges are too expensive for the capacity, and rewritable CDs can be unreliable.


What's the difference between CD-R and CD-RW?

Introduction | General Helpline Q&A Directory
What's the difference between CD-R and CD-RW?

When formatted using Adaptec Direct CD, a CD-RW disc has a capacity of 493MB, whereas a CD-R disc has a capacity of 659MB. I can use either disc to back up, alter and read data in Explorer (Windows 98). Given that a branded CD-RW disc costs £5 as compared with £1 for a branded CD-R disc, is there any reason why I should use CD-RW? I believe that, unlike CD-RW, CD-R may not be readable on other drives, but this isn't important as I would only use the data on my own drive in case of hard disk failure.

Both CD-R and CD-RW discs should be readable in other computers. However, the other computer may need the Adaptec software installed on it before it can understand the format used to write the CD-RW.

The difference in capacity is due to the different formats used to store the data on the two types of media. The CD-R is being written in multisession format. It is not rewritable, which means that you can write to the disc a maximum of 99 times. Once the space has been used up it can never be reused, even after the data it contains becomes obsolete. The space available for writing will eventually dwindle to nothing.

The CD-RW has been formatted for 'packet writing', which allows it to be treated just like a hard disk. Although the total capacity may be less than that of a CD-R, you can delete and rewrite files on a CD-RW so it will always have that capacity. This gives the CD-RW a potentially longer useful life than a CD-R.


Which battery type is best?

Introduction | General Helpline Q&A Directory
Which battery type is best?

Which types of batteries are best suited for use in a digital camera? Lithium-ion and NiMH (nickel metal hydride) batteries have been advocated. What are the pros and cons of each type of battery? Plus, which battery will give the best results when comparing overall life and charge capacity?

It's unlikely you would have to choose between these two battery types. If a camera is designed to use a lithium-ion battery, it will come already equipped with one because they are only available as custom battery packs, not as replacements for standard cells.

Lithium-ion batteries are expensive, but provide a high capacity for their size and weight. This means they are mostly used in small equipment that requires a high-power battery, such as pocket digital camcorders and compact notebooks. Lithium-ion batteries should not be confused with lithium cells. These are high-capacity - but non-rechargeable - batteries used, among other things, as backup power for your PC's Cmos RAM.

NiMH batteries are an improvement on the older NiCD (nickel cadmium) batteries. They are produced as custom battery packs and also in standard cell sizes (AA, AAA, PP3 and so on). Both types are still available, though NiCDs are being phased out as their safe disposal is an environmental problem.

NiMH and NiCD batteries can be used as replacements for standard cells, but they have a lower output voltage (1.2V instead of 1.5V). This means a camera's low-battery indicator lights up as soon as you start using the freshly-charged batteries. If this happens, ignore it.

NiMH cells have up to double the capacity of NiCDs, and cost about twice as much. They need a purpose-designed charger - one designed for NiCDs only won't do. Wall chargers that can charge up to four AA-size NiMH batteries can be bought from most hardware stores, as can the batteries themselves.


Which connection is best: USB or parallel?

Introduction | General Helpline Q&A Directory
Which connection is best: USB or parallel?

Is there anything to be gained by connecting a printer to a USB port instead of a parallel port? Would there be any advantages in terms of speed of print or quality (due to a cleaner signal)?

A USB port will allow data to be transferred faster. However, the benefit will be most noticeable with a laser printer, which needs to receive a whole page worth of data before it begins to print. With an inkjet printer the print mechanism is more likely to be the limiting factor. There will be no difference in print quality, as the data sent between the computer and the printer is digital, and is therefore either correct or not. However, while a parallel connection will be slower, unless you're constantly printing the speed may still be acceptable, and it uses hardware that even older PC's already possess.

If you don't have a USB port on your PC, one answer is a plug-in PCI-USB controller card, such as the one made by Belkin (www.belkin.co.uk). If you do choose this solution, installing it should simply be a matter of plugging it into a free PCI bus slot, booting up the computer and inserting the supplied driver disk when Windows asks for it.


Which is best - disk backup or cloning?

Introduction | General Helpline Q&A Directory
Which is best - disk backup or cloning?

I have slavishly maintained a backup using my Zip drive, thinking that should a disaster occur I would be protected. The dreaded problem finally arose, requiring a hard disk reformat. Restoring was straightforward, but the results were disappointing as most of my programs had files missing and had to be reinstalled.

A more knowledgeable computer user advised me that backing up would not successfully restore full operation, and that if I wanted a complete replica of my hard drive I would need to use cloning software such as Norton Ghost. I have also been advised that my Zip drive is unsuitable, as cloning will not allow the use of more than one disk. It has been suggested that I need a second hard drive or a CD-RW drive, though this method seems restricted in capacity, too. Could you explain the advantages and disadvantages of backing up versus cloning?

Cloning, in effect, records or restores an image of your hard disk. To save space, only the blocks containing data are stored. Nevertheless, the storage medium used must be larger than the amount of space used on the disk. An advantage of cloning is that, because it works at a low level, restoring is simple and does not require Windows to be installed first. A disadvantage is that you cannot restore an individual lost file from a disk image.

Cloning software was originally intended for use by PC manufacturers or business IT departments that need to quickly roll out systems with an identical setup. However, many personal users are fans of this backup method. The usual cloning procedure is to install Windows and your essential applications and check that everything is set up as you want. Once you're happy with the setup, use Norton Ghost or an equivalent to burn an image of the system on to a CD. This can then be restored whenever Windows starts becoming flaky and you want to return your hard drive to a state you know functions well.

Backups, by contrast, work on a file-by-file basis. This means that you don't have to back up the whole system if you don't want to. It also makes it possible to retrieve individual files if you need to. You can perform incremental backups (of just the files that have changed since the last backup), making the backup process quicker.

A full system backup will back up everything on your system, so it should be just as effective as an image created by cloning software when performing a restore. You will still need a storage medium capable of holding all your data. However, backup programs are capable of spanning more than one disk or tape although it has to be said that the Microsoft Backup supplied with Windows has limitations in this area.

We don't know precisely why your restore wasn't successful but we guess that you weren't backing up your full system, resulting in some essential files failing to get backed up. Whether to stick with backups (but do a full system backup) or go for cloning is a matter of preference, as is the choice of backup medium. There's no 'best solution', but our preference is for conventional backup software as it is more flexible.

Most decent backup programs will be capable of performing a full backup on to multiple Zip disk cartridges, multiple writable CDs or, if you invest in a tape drive, tapes.


Which is best: UPS or surge protector?

Introduction | General Helpline Q&A Directory
Which is best: UPS or surge protector?

I don't use a surge protector or UPS (uninterruptible power supply), but I have seen them for sale in computer stores. Do you advise using one?

If you live in the UK and have never experienced problems with power surges there is no real need to use a surge protector. The chance of a power surge harming your computer is very small indeed. A surge protector might be necessary if you live near an industrial area where heavy equipment causes power surges.

Most advice that you read recommending the use of a surge protector usually relates to the USA. In the USA, AC supplies aren't as well regulated than in the UK and the more extreme weather and larger incidence of thunderstorms means that there is a greater chance of experiencing potentially damaging voltages.

In the UK, you are more likely to experience a power cut than a power surge. But even power cuts are so infrequent that most PC users don't bother using an UPS (uninterruptible power supply) for protection.

Nevertheless, a power cut while you are using your PC can result in lost work. If you are really unlucky it can cause a trashed hard disk, requiring a full restore to effect a recovery. Although more expensive than a surge protector, a UPS is a better investment as it will protect your computer from the kind of power problem it is most likely to experience.


Internet introduction

Introduction | Internet Helpline Q&A Directory
Internet
Add a visitor counter to your website
Be alerted to incoming calls when you're online
Blank internet pages and dead email web links
Block downloads of large emails
BT answercall prevents internet connection
Can a virus infect my PC when opening email in the preview pane?
Can I retrieve deleted emails?
Can send, but not receive, emails
Can't access email or web
Can't launch internet browser
Can't load Internet Explorer
Can't see images on web pages
Change your default home page
Check for 'backdoor' viruses
Clear out Temporary Internet Files
Connect to the internet without wires
Content Advisor error message in Internet Explorer
Copy internet dial-up settings to a new PC
Create newsgroup accounts with Outlook Express
Create website-style emails
Delete internet cookie files and save disk space
Disable content advisor passwords
Discover who you sent Bcc emails to
DLL error message in Internet Explorer
Download just your messages from shared email account
Eliminate ad banners when browsing
Eliminate pop-up windows when browsing
Force the internet connection Wizard to run
Get rid of pre-dial dialog box
Get two PCs online using the same modem
Give everyone network access to one Outlook calendar
Help visitors make your site their home page
Hide other recipients' addresses in emails
How to avoid internet worms
Internet connection sharing problems
Internet connection speeds very slow
Internet Explorer exception error
Internet Explorer not working properly after upgrade
Internet Explorer window won't maximise
Make Internet Explorer windows open at the size you want
Make Outlook insert frequently typed text for you
Make Outlook prompt for user identity on startup
 Make two PCs use the same internet connection
Make Windows remember internet login password
Modem dials in and out when Outlook Express is opened or closed
Modem disconnects when mail is received
Modem stops redialling ISP after a few attempts
Modem won't recognise incoming voicemail
Move addresses between Outlook Express identities
No spellcheck
Outlook Express conflict with Hotmail
Password problems in MS NetMeeting
Password protect Outlook Express folders
Persistent NetMeeting password request
Persistent Rnapp error message
Read your email from any PC, anywhere
Remove ISP logo from Internet Explorer
Remove ISP logo from Outlook Express
Retrieve archived emails
Send faxes over the internet
Separate Outlook inboxes for different users
Set automatic dialup times
Set cache options in Internet Explorer
Set default email program
Set default redial times
Set default web browser
Silence your modem
Simple Mapi error message in Outlook Express
Slow internet log on
Slow surfing
Speed up downloads
Speed up web connections
Store Outlook files on a CD-RW
System crashes after disconnecting from internet
System locks when using Internet Explorer, forcing reboot
Trace your route on the internet
Transfer address books between different email packages
Transfer Outlook Express' address book to a new PC
Uninstalling ISPs
Use AOL and Netscape
Vanquish viruses
View email image attachments saved as text
Web addresses in emails aren't hyperlinks
Web pages don't download fully
Wininet.dll file error message


Add a visitor counter to your website

Introduction | Internet Helpline Q&A Directory
Add a visitor counter to your website

I have created a website and would like to be able to keep track of how many people visit it. I know I can put a hit counter on the index page, but I don't want this to be visible to visitors of the site. Is there any way I can count hits without having a hit counter showing?

Yes there is. Use a counter from www.thecounter.com. It offers a choice of counters including a rather smart logo that doesn't actually show the count, and a completely invisible one. You can have your hit count sent to you by email every week, or log on to the site for more detailed statistics. See also tip Help visitors make your site their home page


Be alerted to incoming calls when you're online

Introduction | Internet Helpline Q&A Directory
Be alerted to incoming calls when you're online

I only have one phoneline, so when I'm connected to the internet I can't tell if anyone is trying to contact me. Is there software that can make me aware of an incoming call so that I can decide if I want to drop the web connection and answer it?

Many people find BT Call Minder works well. If someone calls while you are on the internet or in conversation with someone else, the caller is invited to leave a voice message. After you hang up, Call Minder calls you back to let you know a message is waiting. It's inexpensive, and works whatever you are doing on the phone.

If you tend to stay online for hours at a time and can't wait until you log off to be notified of a call there are other solutions, but they all involve call diversion and therefore cost money for each call handled (£4 per quarter for the call diversion service, plus the cost of each diverted call). The simplest and most effective solution is to use divert on busy to divert calls to your mobile phone. But you pay for the call to your mobile, so it's not inexpensive.

A software solution is Online Call Manager, available from www.internetcallmanager.com. Using OCM, calls are diverted to a special number costing 10p a minute. If you are online, the system alerts you that a call has been received, giving you a choice of ways to handle it including voicemail, divert to another number or even to speak to the caller over the internet using voice-over-IP.

The disadvantage is that unless you set and reset call divert each time you connect to the internet, calls will still be diverted to OCM even if you are only talking on the phone. In that case, callers will still be able to leave voicemail, but you won't receive an alert about it until the next time you go online.

Innovations (www.innovations.co.uk) sells an 'Internet Alert' (£29.99) that lets you suspend your web connection and take voice calls, if you subscribe to your phone provider's Call Waiting service. See also tip, BT answercall prevents internet connection


Blank internet pages and dead email web links

Introduction | Internet Helpline Q&A Directory
Blank internet pages and dead email web links

Whenever I connect to the internet I get blank pages. I also get Server Error messages when I use email, and cannot open any links in emails.

This sounds like a DNS (domain name server) problem. A DNS is a computer that converts names such as www.pcadvisor.co.uk to the numeric IP addresses that are used to uniquely identify computers on the internet. The address of the DNS is usually allocated automatically by your ISP when you log in.

You can check this by right-clicking your ISP icon in Dial-Up Networking, selecting Properties, clicking on Server Types and then clicking TCP/IP Settings. For the vast majority of ISPs the settings should be Server assigned IP address, Server assigned name server addresses and Use default gateway.

Incorrectly configured firewall software can cause you problems, so try disabling such software temporarily. Certain worm viruses can also interfere with web connections, so check your PC is using an up-to-date virus scanner. See tip How to avoid internet worms.


Block downloads of large emails

Introduction | Internet Helpline Q&A Directory
Block downloads of large emails

I recently received a 5,338KB email, and had no alternative but to download the whole thing. I would like to see ISPs provide users with the ability to see what messages are queuing for them, with details such as sender and file size. Unwanted emails can then be deleted and others downloaded in order of priority.

We understand your annoyance at receiving such a large unsolicited email. However, it isn't the job of the ISP to provide such a facility. It is a function of the mail software that you use. Most mail clients, unfortunately, don't provide a facility that would allow you to preview large messages. However it would certainly be possible for them to do so.

Outlook Express 5.0 lets you define a mail rule so that you don't have to download large messages. To do this, click Tools on the menu, then Message Rules, Mail. On the Mail Rules dialog box, click New. The Edit Mail Rule dialog box will appear and allow you to define the message processing rule.

In the first panel, scroll down until you see the condition 'Where the message size is more than size' and select it. The text will appear in the rule description (the third panel). Click on the word 'size', which is underlined like a link on a web page. When a pop-up dialog box appears, enter the maximum message size you are prepared to download, and click ok.

Now go to panel two. You need to actually specify the action to be performed on received messages that meet this particular condition. Scroll down to the bottom of the list and select 'Delete it from server'.

You could, on the other hand, select 'Do not download it from server'. However, Outlook Express won't tell you that a large message is there, never mind who it is from. This means it will either stay there forever, or until your ISP makes the decision to delete it.

All in all, this is not very helpful, so perhaps Microsoft can come up with a better system in Outlook Express 6.0. Finally go to panel four and enter a name for the mail rule, such as 'Delete Large Messages'. When you've done all this, click ok. If you receive any messages bigger than the size specified, Outlook Express will silently delete them from the server instead of downloading them.

If your ISP supports webmail, such as Freeserve, or if you have a web-based email account such as Hotmail, deleting unwanted messages before downloading is not a problem. If your ISP doesn't have a webmail option, another way round this probelm is to use Twigger, an online service that lets log on to your mail server and delete the offending file. This could be useful if your ISP doesn't offer a web mail option. If you're interested, visit the website at www.twigger.co.uk.


BT answercall prevents internet connection

Introduction | Internet Helpline Q&A Directory
BT answercall prevents internet connection

I have just had BT's Answercall service connected to my phone, but it is causing a problem connecting to the internet. If I have received a message and haven't yet deleted it, I can't connect to the web. How do I configure my modem to prevent this interference with my internet connection?

The problem is quite simple, and is caused by the intermittent dialling tone used by the Answercall service to indicate that a message is waiting. This isn't recognised as a dialling tone by the modem, so it reports an error instead of going ahead and connecting your system to your ISP.

Some people might regard this as a feature, since it alerts you to the fact that an answerphone message has been received, which you wouldn't otherwise know about until the next time you pick up the phone. But if you like to leave messages on the service instead of deleting them as soon as you've played them back, it's annoying.

Fortunately, the problem is easy to fix. Open My Computer, open Dial-Up Networking, right-click your ISP icon and select Properties. Below the field where your modem is specified click Configure. On the Modem Properties dialog box select the Connection tab and clear the 'Wait for dial tone before dialling' checkbox, then click ok.

Your modem will now dial blind, regardless of whether it hears any kind of dialling tone or not, which should solve your problem. See also tip, Be alerted to incoming calls when you're online


Can a virus infect my PC when opening email in the preview pane?

Introduction | Internet Helpline Q&A Directory
Can a virus infect my PC when opening email in the preview pane?

Perhaps I am behind the times or misunderstanding something, but I always thought the only way a computer could be infected with a virus via Outlook Express was by opening an attachment to an email. Is viewing an email in the preview pane without opening the attachment also unsafe?

Most viruses infect files and documents and can only be spread by email when they are sent as message attachments. With this virus, your PC is only at risk of infection when you open the attachment.

However, there are some types of virus (for example, Bubbleboy or KakWorm) that spread in messages without attachments.

They do this by including executable script code within the body - or text - of the mail message. This code is executed as soon as the message text is displayed, even when it is displayed in the Outlook Express preview pane.

This occurs because Outlook Express uses Internet Explorer to display the text of messages. Internet Explorer will execute script code if it appears in a mail message, just as it would if it appeared in a web page.

To prevent the code being executed, don't display the message text. And the only way to avoid that is to disable the message preview so that you can select and delete the infected message without displaying its contents. This is a bit of a sledgehammer/nut scenario, because the preview pane is very useful and you might never receive one of these script viruses.

Microsoft has released a security update that solves this problem. It is incorporated in Internet Explorer 5.01 and later releases, so the issue should really only be of concern to readers using older versions of the software.

However, antivirus companies are reporting that this type of virus is now the most common, which strongly suggests that many people either aren't aware of the problem or haven't bothered to do anything to prevent it.

Microsoft also has a patch available for Internet Explorer users who don't want to upgrade the version they are currently using. You can obtain this using Windows Update. (See also tips, How to avoid internet worms and Vanquish viruses.)


Can I retrieve deleted emails?

Introduction | Internet Helpline Q&A Directory
Can I retrieve deleted emails?

Is it possible to retrieve a deleted email? I would also like to find sent emails.

We presume that you are using Outlook Express. In Outlook Express, messages are stored as records in a database, not as individual files. This means that they cannot be restored from the Recycle Bin or undeleted using Norton UnErase or similar file recovery utilities.

Deleted mail messages are moved to the Deleted Items folder, which is another database file created to act as a Recycle Bin for mail messages. However, once they have gone from there, they are not recoverable. In the same way, sent messages may be moved to the Sent Items folder, but once you clear that folder they are gone for good.

You can choose how Outlook Express handles deleted and sent mail messages. Open Tools, Options and check that it deals with these messages in the way you want. On the Maintenance tab, if the option 'Empty messages from the Deleted Items folder on exit' is selected, it will clear the Deleted Items folder whenever you close Outlook Express. This will not give you much time to have second thoughts about deleting a message.

If you don't select this option you'll have to remember to clear out this folder manually from time to time. On the Send tab you need to select 'Save copy of sent messages in the Sent Items folder' if you want to retain copies of messages you've sent.


Can send, but not receive, emails

Introduction | Internet Helpline Q&A Directory
Can send, but not receive, emails

Until recently I could send and receive emails with no problems. Now I cannot send, only receive, and get an error message when I try to send.

Check that the SMTP port Outlook Express is using is set to 25. Open Outlook Express, click Tools, Accounts. Click on Mail, select your mail account from the list and click Properties. Click on the Advanced tab and make sure that the 'Outgoing mail (SMTP)' server port number is 25.


Can't access email or web

Introduction | Internet Helpline Q&A Directory
Can't access email or web

After my ISP changed its access number, which required me to run a wizard to change my dialup configuration, I have been unable to access any web pages or email. Internet Explorer dials up and handshakes with my ISP, the progress indicator grows from left to right at the bottom of the window and indicates 'Done', but the window shows 'The page cannot be displayed'. 'Cannot find server' appears in the title bar and '...dnserror.htm' appears at the bottom after 'Done' disappears. Then, a message box comes up to say 'Internet Explorer could not open the search page'. Outlook Express similarly dials up, checks the password and appears to access the ISP host for mail, but each action fails.

My ISP couldn't help, so I tried removing Outlook Express, repairing Internet Explorer and reinstalling Windows 98 SE, all without success. The problem must be on my computer because I can access my ISP's web page and the mail zone from another computer.

This problem can occur for a number of reasons, the most likely of which are listed below. More information about this problem and possible solutions can be found in Microsoft Knowledgebase at http://support.microsoft.com/support/kb/articles/Q175/7/22.asp.

  • Multiple copies of wsock32.dll are installed on your computer. Use the Find tool to locate all copies of the file on your system, then rename them all wsock32.xxx, except the one in the Windows System folder.

  • An incorrect version of wsock32.dll file is installed on your computer. With System File Checker, restore the one supplied with Windows 98 from the installation disc.

  • Unable to resolve the DNS name, or the DNS server returned an error. In the Dial-Up Networking folder, right-click your ISP icon, select Properties, select the 'Server Types' tab, click 'TCP/IP Settings' and check that the 'Server assigned name server address' option is selected. Also, check the Windows folder to see if there is a file named Hosts. If there is, rename it to hosts.xxx.

  • There may be a corrupt cookie file on the system. Delete the contents of the Cookies folder. Note that this may result in lost customisation of some websites.

  • The Internet Explorer connection settings are configured to use a proxy server. In Internet Explorer, click on Tools, Internet Options, select the Connections tab, select your ISP's entry and click 'Settings'. Clear the 'Automatically detect settings' and 'Use proxy server' checkboxes.


Can't launch internet browser

Introduction | Internet Helpline Q&A Directory
Can't launch internet browser

I downloaded a web browser called NeoPlanet. It asked me whether I wanted to use it as a default browser. After saying No a couple of times as a precaution, I clicked Yes. Later I deleted this program completely and now I cannot access any website. Every time I try to access a site a 'program not found' dialog box pops up to tell me that 'Windows cannot find neo.exe (NeoPlanet)'.

We haven't experienced this problem, but the following ought to fix it. First, open Control Panel and double-click on the Internet icon. When Internet Properties pops up, click on the Programs tab. Ensure that the box 'Internet Explorer should check whether it is the default browser' is checked, then click ok.

Now start Internet Explorer. You can do this using its entry on the Start menu, but if you can't find an entry for it click Start, Run, type 'iexplore' and hit Enter. Internet Explorer should start and ask you if you want it to be your default browser, to which you should answer Yes.


Can't load Internet Explorer

Introduction | Internet Helpline Q&A Directory
Can't load Internet Explorer

I have tried to load Internet Explorer 5.5, but my computer tells me that a previous program installation was never completed and that I need to restart it in order to complete that installation. I have, but the message still appears. What can I try next?

This error message occurs if Windows was not restarted when requested by some previous setup program, which needed to update files that were in use by Windows. The problem may disappear if you simply restart Windows and run the Internet Explorer 5.5 Setup again.

It sounds as if it didn't in your case, however. In this instance, you should locate and delete the file wininit.ini (which should be in your Windows folder) before rerunning Setup. If that still doesn't solve the problem, try clearing out your Temp folder and emptying the Temporary Internet Files folder.


Can't see images on web pages

Introduction | Internet Helpline Q&A Directory
Can't see images on web pages

For some reason, Internet Explorer has stopped displaying GIF images when viewing local copies of web pages. It displays the broken link symbol (x in a box) instead. The files do exist as I can view them in a different browser. Jpeg images display okay, and I can view both GIFs and Jpegs when browsing online. I tried installing Internet Explorer 5.1 but the problem remained. Any ideas?

It sounds as if something has changed the content type property for GIF files. This is the information that the web browser uses to tell what a file is: it doesn't go by the filename extension (such as GIF).

When surfing online the content type information is provided to the browser by the web server. When browsing offline the information is provided by Windows in accordance with settings stored in the Registry. The trouble is, the exact solution may depend on how it got changed in the first place.

To confirm that the wrong content type is the problem, use Windows Explorer to locate a GIF image on your hard disk. Select Details view and see what file type the file is. If it's the default, GIF image, that's a good sign. If it's something else, another program has changed the file association and rectifying it may be more difficult.

Still in Windows Explorer click Tools, Folder Options, select the File Types and then select the file type you found for GIF images from the list. In the File type details panel, Content Type should be shown as image/GIF. If it's something else, you've found the cause of the problem. Now how to correct it.

Select the file type and click Edit. The Edit File Type dialog box will appear. Under Content Type (Mime) select image/GIF from the drop-down list. Check that the default extension for content type changes to GIF. If it doesn't, select that too, then click ok. This should fix it.

If you can't carry out the above steps try changing the content type using the Registry Editor. This is potentially risky, so make sure you know how to restore a Registry backup before you start. See tips, Back up the Registry and Restore the Registry from the backup.

Start RegEdit, then open Hkey_Classes_Root and scroll down to the entry for GIF. Select it and in the righthand pane there should be an entry called Content Type with the data value image/GIF. If it doesn't exist, right-click the righthand pane and select New, String Value, then name the value Content Type. Double-click Content Type and enter (or edit) the string so that it says image/GIF.


Change your default home page

Introduction | Internet Helpline Q&A Directory
Change your default home page

I have run an ISP's CD to set up access to the internet, and now Internet Explorer opens the ISP's home page each time it starts. Can I change this to another site or get Internet Explorer to open up blank?

You can have any home page you like. Here's how to change it: open Internet Explorer and browse to the page you want to make your home page. Then click Tools (on the menu) and select Internet options. On the General options page, in the Home page panel, click the button labelled Use Current. And that's it!

If you don't always want to start with the same page when you launch the browser, click Use Blank. Then Internet Explorer won't try to display a page at all when you start it up. It won't connect to the internet until you type an address into the Address bar and click Go, or select one of your Favorites. See also tip Set default email program and Set default web browser


Check for 'backdoor' viruses

Introduction | Internet Helpline Q&A Directory
Check for 'backdoor' viruses

Can you tell me how to check my system for 'backdoor' viruses?

Backdoors are programs that allow hackers to secretly access your computer while you are on the internet. They are usually installed via a Trojan - usually a setup program for a useful-looking free utility. The setup changes a configuration file, so that the backdoor program is launched automatically at startup. The program then listens on certain TCP/IP port addresses for attempts by client programs to connect to it.

You can defeat attempts to connect to a backdoor by running internet security software, such as Norton Internet Security or ZoneAlarm. But this is a bit like locking the doors and setting the alarm when the thief is already in the house. It's better to be sure that your computer doesn't play host to a backdoor in the first place. Good antivirus programs detect all known Trojans. But, like viruses, new Trojans appear all the time, so it is imperative that you keep your antivirus software up to date.

Network security professionals check for possible backdoors into their systems by scanning for open TCP/IP ports. You can do the same. Close all your applications (including internet applications), then open a command prompt and type the command 'netstat -an'.

On a properly configured home PC with no applications running there should be no active connections, but if some connections are listed, look at the information in the column headed 'Local Address'. The number after the colon is the port number, and this should provide a clue as to what program is listening for connections.

It's common to find port 139 open. This port is used by Windows file and printer sharing, and it means that your files and printers can be accessed by anyone on the internet. You should either disable file and printer sharing, or bind it to the NetBeui protocol and then unbind it from TCP/IP. Instructions for doing this can be found at http://grc.com/su-fixit.htm, where you will also find plenty of information regarding security.

If other ports are listening, particularly if they have numbers greater than 1024 and you don't know what they are, a Trojan may be providing an unwanted backdoor into your system. Check the port number against an up-to-date list of Trojan backdoor ports, such as the list at www.onctek.com/trojanports.html or www.glocksoft.com/trojan_port.htm.


Clear out Temporary Internet Files

Introduction | Internet Helpline Q&A Directory
Clear out Temporary Internet Files

I recently set up Internet Explorer to clear out my Temporary Internet Files folder, but I still have 3,873 files taking up 25.6MB. How do I truly empty this folder?

The official way to empty the Temporary Internet Files folder in Internet Explorer is to select Tools, Internet Options and click the Delete Files button on the General tab. This should remove most of the unwanted files, but there's a big one left. It's called index.dat, and it doesn't go away or shrink as the cache changes - it just gets bigger. What's more, you cannot delete this file from inside Windows.

To get rid of index.dat bloat, select Start, Shut Down. Click Restart in MS-DOS mode, then ok. At the DOS prompt, type del C:\windows\tempor~1\index.dat (if you've got Internet Explorer 4.x), or del C:\windows\tempor~1\content.ie5\index.dat if you're using Internet Explorer 5.0. Press Enter, then reboot. You'll still have an index.dat file, but it will now be much smaller.

On some systems, clicking the Delete Files button doesn't shrink C:\Windows\Temporary Internet Files at all. That's because something - probably setting up a network or installing a wayward application - has caused Internet Explorer to change where it stores temporary files. To find out where the real cache is, go to Internet Explorer and select Tools, Internet Options. On the General tab, click Settings. In the Settings dialog box, click View Files to bring up your real cache folder.

You can move the cache back to the original location - a safe plan if you're the only one using your computer. Click Move Folder, then select C:\Windows from the resulting folder tree (Windows puts the cache in a folder called Temporary Internet Files within the one you pick). Click ok twice, then Yes when asked to reboot. After rebooting, you can safely delete the older folders.


Connect to the internet without wires

Introduction | Internet Helpline Q&A Directory
Connect to the internet without wires

I am not online, the reason being that my PC is in the conservatory, the telephone socket is in the lounge and a surface-mounted extension cable connecting the two would be long and unsightly.

The cost of having cabling installed under the floor or in the wall is prohibitive. Is there a way I can connect my computer to the phone socket, perhaps using the same principle as a cordless telephone?

Yes, there is. Try the Olitec WaveMemory, available from Simply Computers (www.simply.co.uk) for about £150. It is a complete cordless modem consisting of base station and remote, which uses the same system as the latest digital cordless telephones. It works at distances of up to 300 feet.

Another possibility is the Thomson Wireless Phone Jack, which costs £75 from BestStuff (www.beststuff.co.uk). This lets you use the ring main as telephone extension wiring. Although it claims to work with modems it isn't designed specifically for that purpose and we don't know how well it would work. As you would have to buy a modem as well, there isn't much to choose between the two solutions on price, so we'd recommend you go for the Olitec, which is designed for that specific purpose.


Content Advisor error message in Internet Explorer

Introduction | Internet Helpline Q&A Directory
Content Advisor error message in Internet Explorer

I use Internet Explorer 5.5 and keep getting the error message 'Content Advisor. Please check your Content Advisor settings for missing information. Click the Tools menu and then click Internet Options on the Content tab check the Content Advisor settings'. Can you help?

This error message occurs if the file ratings.pol is damaged. To resolve it, close Internet Explorer, then locate the file ratings.pol in the Windows System folder and delete it. Start Internet Explorer, cancel the error message, select Tools, Internet Options, click the Content tab, then click Settings in the Content Advisor area. Enter the supervisor password and click ok. Finally, reselect your preferred ratings option.


Copy internet dial-up settings to a new PC

Introduction | Internet Helpline Q&A Directory
Copy internet dial-up settings to a new PC

I want to copy my internet connection settings for transfer to another PC. Is there an easy way to do it?

Yes there is, and the following also works if you are simply installing a new version of Windows. Open the Dial-Up Networking folder in My Computer, right-click your ISP's icon, drag it to the desktop and select Copy here. The copy magically sprouts a DUN extension. The file is now a text file, and you can view the settings in Notepad.

To transfer the settings to another PC, simply drag the file from the floppy disk or wherever you saved it to the Dial-Up Networking folder and voila - an instant DUN entry. However, you will need to edit the modem properties to select the correct modem for the other PC before you can use the new dialup settings.


Create newsgroup accounts with Outlook Express

Introduction | Internet Helpline Q&A Directory
Create newsgroup accounts with Outlook Express

I subscribe to a long and unwieldy list of newsgroups in Outlook Express. Is there any practical way to separate them by subject?

Outlook Express allows you to create as many newsgroup accounts as you like, and it doesn't care a bit if all of them are set to point to a single ISP account. To create a newsgroup account, select Tools, Accounts, and click the News tab. Double-click your existing account (we're assuming you have one) and click the Server tab. With the 'Server name' field selected, press Ctrl, C and then Esc.

In the Internet Accounts dialog box, select Add, News and follow the instructions in the resulting wizard. When asked for a News Server, press Ctrl, V.

After you're done with the wizard, double-click the new account and rename it appropriately (Movies, Music or whatever), then click ok and Close.

Unfortunately, you won't be able to copy or move newsgroups from one account to another. Instead, you'll have to subscribe to each one in the new account and then unsubscribe in the old one.


Create website-style emails

Introduction | Internet Helpline Q&A Directory
Create website-style emails

Lots of companies are sending emails that are like web pages, which contain links to their sites. Can this be done in Outlook Express and, if so, how?

The message viewer in Outlook Express is essentially an instance of the Internet Explorer web browser, so it can display anything that can appear in a web page. However, this is far too much freedom than is good for the average user, especially the message recipient. Depending on how the recipient's system is set up, viewing a message that contains links to an external web page may cause their computer to automatically try to connect to the internet, incurring unwanted connection charges.

Some companies include script code in the HTML that does things like open a full screen browser window showing their web page. This sort of thing is very irritating and we hope that you are not intending to make use of the facility to do things like that. Virus writers are exploiting embedded script code to do things like launch attachments automatically when the recipient views the message.

We're sure you aren't intending to do that, but be aware that because of the security threat posed by script code in mail messages, many companies and ISPs may configure their servers to delete or bounce messages containing script code. Trying to be clever with HTML in mail is quite a good way to make yourself unpopular.

That's the lecture over. If you still want to create HTML-formatted messages using Outlook Express, here's how: open the message editor and check that the Rich Text (HTML) option on the Format menu is selected. Above the message-editing pane you should see a toolbar containing buttons for a range of formatting options, including 'Create a hyperlink' and 'Insert an image'.

Use the Create a hyperlink button to insert links to web pages. To display an image in your message that's stored on a website, position the cursor where you want the image to be, click the Insert an image button, then enter the image's full URL in the Picture Source field.

Outlook Express doesn't offer all the features of a web page editor - for example, there's no support for frames or tables - but you can easily work round this. If you click on the View menu and select Source Edit, you should see three tabs appear below the editing pane. On the Edit tab is the Wysiwyg (what you see is what you get) editor. On the Source tab is an HTML editor.

By editing the HTML code you should be able to do anything that would be valid on a web page. You could, for example, make the message body a frame which contains a page from your website, or insert some JavaScript. You can use the Preview pane to inspect your handiwork before putting it into effect. The scope of what you can do in an HTML-format mail message is limited only by your skills as an HTML coder.


Delete internet cookie files and save disk space

Introduction | Internet Helpline Q&A Directory
Delete internet cookie files and save disk space

A colleague told me that by removing an Internet Explorer file called index.dat, I can save space on the hard disk. So I searched and found I had two such files: one in \Windows\Temporary Internet Files and another in \Windows\Cookies. I deleted the file in the Temporary Internet File folder and this regained an extra 15MB. My cookie index file is rather bloated, too. Can I safely delete that as well?

Yes, in theory you can. However, if you do that you might as well delete all the cookie files. Without index.dat, Internet Explorer won't be able to access the locally stored cookies. By deleting them, you will erase information stored about you by some websites, such as your user ID and password and other important preferences. See also tip, Clear out Temporary Internet Files.


Disable content advisor passwords

Introduction | Internet Helpline Q&A Directory
Disable content advisor passwords

I recently bought a secondhand laptop. It works fine, apart from Internet Explorer. The previous owner had enabled Content Advisor and used a password, which I have no way of finding out. Is there a way to disarm Content Advisor without the password? I'm having to use Netscape to surf the web, but I don't like it.

The Content Advisor password is held in encrypted form in the Registry. Why Microsoft bothered encrypting it is a mystery, since to disable the password altogether you can just delete it. However, at least it makes this problem easy to fix.

First, back up the Registry (see tip, Back up the Registry). Now start the Registry Editor (click Start, Run, type Regedit, and hit Enter) and then open these Registry folders: Hkey_Local_Machine, Software, Microsoft, Windows, Current Version, Policies.

Select the Ratings folder. On the right you will see a value named 'Key'. This holds the encrypted password. Delete it, setting the Content Advisor password to blank. You can then go into Content Advisor, disable the ratings and suffer with Netscape no longer.


Discover who you sent Bcc emails to

Introduction | Internet Helpline Q&A Directory
Discover who you sent Bcc emails to

I use Outlook Express. When I send a 'blind copy' (Bcc) of an email message, I can't find out later to whom I have sent it. When I send an ordinary copy (cc), the computer keeps a record of this and reveals it when I look at old messages. How do I get my computer to reveal to whom I sent blind copies?

The whole point of sending blind carbon copies (Bcc) of emails is that the other recipients should not be able to find out who received the Bcc. Therefore, the Bcc address doesn't appear in the message. However, Outlook Express does keep the Bcc address in the locally held copy of the message - the one that finishes up in the Sent Items folder. What it doesn't do is display this address in the message viewer. To see the stored Bcc address you need to examine the message headers. To do this, right-click a message in the list of messages, select Properties, then select the Details tab.


DLL error message in Internet Explorer

Introduction | Internet Helpline Q&A Directory
DLL error message in Internet Explorer

Whenever I leave my computer idle I receive an Internet Explorer error in webcheck.dll. What does it mean and can you help me get rid of it?

This error occurs with Internet Explorer 5.0 if the file webcheck.dll has been replaced by an older version. To correct the error, use the Internet Explorer Repair Tool. Open Control Panel, then double-click on Add/Remove Programs. Now select Microsoft Internet Explorer 5.0 on the Install/Uninstall tab and click the Add/Remove button. On the dialog box that appears, click 'Repair Internet Explorer' and click ok.

If there is no Internet Explorer entry in Add/Remove Programs, you can run the Repair Tool by selecting Start, Run and typing the following command. Make sure you copy it exactly as given, and keep it all on one line.

rundll32 setupwbv.dll,IE5Maintenance "C:\Program Files\Internet Explorer\Setup\SETUP.EXE" /g "C:\WINDOWS\IE Uninstall Log.Txt"

Alternatively, you could also reinstall Internet Explorer.


Download just your messages from shared email account

Introduction | Internet Helpline Q&A Directory
Download just your messages from shared email account

I use Outlook Express 5.0 on a laptop and my desktop PC. Both are set up to use the same email account, but I have two email addresses. Is it possible to set up the computers so that the laptop downloads messages from one address, while the PC downloads only from the other address?

Yes. You didn't say what the two addresses are, but we assume they are something like fred@username.isp.co.uk and bill@username.isp.co.uk. Freeserve supports an unlimited number of addresses like this. You can download everyone's messages by logging in to the POP3 server as username.freeserve.co.uk, only Fred's messages by logging in as fred@username.freeserve.co.uk, or everything but Fred's messages by logging in as -fred@username.freeserve.co.uk.

Since you don't use Freeserve, however, you will have to ask ISP if it supports a similar system for downloading messages to a specific email address. If it does, a simple change to the account properties in Outlook Express should achieve what you want. If not, you will need to get clever with Outlook Express message rules.

You can't tell Outlook to only download messages for Fred, but what you can do is tell it to leave messages for Bill (and anyone else) on the server. In this way, you can avoid downloading messages addressed to a user who collects their mail using a different computer. Those messages will remain on the server until that user logs on to download them. Outlook Express will download the rest. Here's what to do.

1. In Outlook Express, click the Tools menu, Message Rules and Mail. In the Message Rules dialog box check that you are on the Mail Rules tab, then click the New… button.

2. In the New Mail Rule dialog box, under '1. Select conditions for your rule', scroll down and check 'Where the To or CC line contain people.' Under '2. Select the actions for your rule', check 'Do not download it from the server'.

3. Under '3. Rule Description' click the hyperlink 'contains people'. The Select People dialog box will appear. In this dialog box, type the name of the person whose messages you don't want to download (as it appears in their email address) and add it to the list by clicking Add.

4. You can add more than one name to this list. When you have added the names or addresses of all the people whose messages you don't want to download, click ok to close the Select People dialog box.

5. Under '4. Name of the rule', type an appropriate name, and then click ok to add the rule to the list.

After you have set up this rule, Outlook will check the headers of all the messages on the mail server each time that it connects to them. If the email To or CC fields contain any of the names you put in the list, they will not be downloaded from the server and you won't see them. It's as simple as that.

Note, however, that some messages are Bcc (blind carbon copied - see also tip, Discover who you sent Bcc emails to), which means that the recipient's address doesn't appear in the header. For example, mailing list messages and junk mail don't usually contain the intended recipient's address. These messages will be downloaded by whoever logs on to the server first.

The only generic solution is to use powerful software such as the VPOP3 mail server (www.pscs.co.uk), which allows you to define rules that process the message envelope instead of the To and CC headers.

A possible solution in Outlook Express would be to add to the Select People list whatever appears in the To field of the mailing list messages you want to leave on the server. In that case you might need to modify your message rule whenever another member of your family joins a new mailing list.


Eliminate ad banners when browsing

Introduction | Internet Helpline Q&A Directory
Eliminate ad banners when browsing

Whenever I open Internet Explorer I get an ad banner above my default page. Resetting the default page doesn't cure the problem. I find it most annoying. How do I get rid of it?

I can only assume that the ad banner is being displayed by the default page you are using. You could try choosing a different default page. Alternatively you could try using a program that removes ad banners such as Adfree, which you can get from www.simtel.net/pub/win95/webbrows/adfree20.zip. See also tip Eliminate pop-up windows when browsing.


Eliminate pop-up windows when browsing

Introduction | Internet Helpline Q&A Directory
Eliminate pop-up windows when browsing

How can I stop Internet Explorer opening pop-up windows?

A number of programs will keep pop-up windows from opening. One of the best is Proxomitron by Scott R Lemmon. This can also banish banners, counters and other unwanted web elements. Download the Proxomitron from PC Advisor's Download Directory at www.pcadvisor.co.uk/registered.

Proxomitron requires that you change your proxy settings. In Internet Explorer 5.0, select Tools, Internet Options and click the Connections tab. If you're using a modem, select your preferred dialup setting and click Settings. If you have a cable or DSL connection to the internet, click LAN Settings. Either way, check Use a proxy server. Enter localhost in the Address field and 8080 in the Port field. Click ok until you're back in your browser. See also tip Eliminate ad banners when browsing.


Force the internet connection Wizard to run

Introduction | Internet Helpline Q&A Directory
Force the internet connection Wizard to run

I am trying to join a new ISP but I keep getting the message 'Unable to load the internet configuration library (inetcfg.dll)'. How can I fix this?

Try running the Internet Connection Wizard, in the following way. Click Start, Find, then click 'Files or Folders'. In the 'Named' box, type inetwiz.exe and click 'Find Now'. In the list of files returned, double-click inetwiz.exe. Then follow the Wizard's instructions.


Get rid of pre-dial dialog box

Introduction | Internet Helpline Q&A Directory
Get rid of pre-dial dialog box

I recently updated to Windows Me and now, everytime I use my default ISP connection, a predial terminal window appears. What is its function and how can I get rid of it?

The terminal window is only required for troubleshooting during the logon process when you might want to log on manually. To get rid of it, follow these instructions: open My Computer, then open the Dial-Up Networking folder. Right-click your ISP connection icon and select Properties. On the General tab, click Configure. Select the Options tab and clear the checkbox that says 'Bring up terminal window before dialing', then close the dialog boxes by clicking ok.


Get two PCs online using the same modem

Introduction | Internet Helpline Q&A Directory
Get two PCs online using the same modem

I am trying to connect two computers (a desktop and a laptop) to the internet using a single modem. So far, I have connected both computers using network cards and have them talking to each other. Can you tell me how I find the Windows 98 SE Internet Connection Sharing utility? Also, is there a better way of sharing one modem between two computers?

To install Internet Connection Sharing open Add/Remove Programs from Control Panel, click the Windows Setup tab. Scroll down to Internet Tools, click Details, then select it from the list of items shown on the Internet Tools dialog box.

It's fairly easy to set up, though not the most robust way of sharing a modem between two computers.

If you have an old, spare computer (a 386 with 6MB of RAM or more), a 'proper' modem (in other words, not one that only works under Windows) and a modicum of technical savvy, you could set up a Freesco Gateway.

This is a free Linux-based package that you can get from www.freesco.org, which works as a highly effective firewall. It also protects your network from unauthorised access via the internet.


Give everyone network access to one Outlook calendar

Introduction | Internet Helpline Q&A Directory
Give everyone network access to one Outlook calendar

We want to share one Outlook 2000 calendar across a small office LAN, but we can't figure out how to do it. Can you help us?

Outlook 2000 offers several ways to share calendar information. We'll describe two that are easy to set up. Net Folders relies on email so, if everyone on your LAN uses Outlook, you can use this. First, select File, Share, Calendar (you may have to wait for the Share option to appear). If you are told that a feature must be installed, click Yes and insert your Office CD-ROM.

Once everything is installed, Outlook will bring up the Net Folder Wizard. On the wizard's second page, where you identify the people you want to share your calendar with, click the Permissions button. This will allow others to alter the calendar.

The next time you send an email, Outlook will mail invitations to everyone that you listed. When recipients click the invitation's Accept button, a copy of your calendar is loaded on to their PC. To see that calendar, they select View, Folder List. To make the calendar more readily available, they can drag it from the folder list to the shortcut bar. Email exchanges are generated automatically to keep individual copies of the calendar in sync.

Internet Free/Busy won't show you someone's whole calendar, but it will let you see the times other people are available, which is useful for setting up a meeting. The function is designed to work over an internet connection, but it will work on any network with shared folders if you make the paths to those folders a URL (more on this below).

The first step is to create a folder that everyone can access. If you put it on a workstation, that system's owner must give everyone full read/write rights to it. Don't use spaces in the folder name (URLs can't have spaces). To publish your own information, select Tools, Options. Click the Calendar Options button and then the Free/Busy Options button.

In the dialog box, check Publish my free/busy information. In the Publish at this URL field, enter the path to your as-yet-uncreated file. This path must be entered as a URL, starting with file://, using forward slashes.

For instance, if the shared folder is called freebusy, is on a PC identified as 'shared' and your name is Matt, you might enter file://Shared/Freebusy/Matt.vfb. (Note the VFB file extension.) In the Search at this URL field, enter a URL to a generic file in the same path: file://Shared/Freebusy/Username.vfb.

Click ok to return to Outlook. After you've set up your information, you'll have to send it manually. Select Tools, Send/Receive, wait for Free/Busy Information to appear on the menu, then select it. From now on, Outlook will update this information automatically.

To use other people's Internet Free/Busy, follow the steps above for sharing your own information, then go to Outlook's Contacts page and double-click the name of a co-worker whose data you want to access. In the resulting Contact dialog box, click the Details tab. At the bottom of the dialog box, in the Internet Free/Busy section, type the URL path to them, such as file://Shared/Freebusy/Irving.vfb. Save and close the dialog box.

Outlook provides a number of ways to use this information. For instance, go to the date in the Calendar and select Actions, Plan a meeting. Click the Invite Others button to invite people. If you return to the Plan a Meeting dialog box, you'll see when each invitee is available.


Help visitors make your site their home page

Introduction | Internet Helpline Q&A Directory
Help visitors make your site their home page

I'd like to add a link to my website so that visitors can make it their home page with just one click. How do I do this?

Simply insert the following code at an appropriate point in the body of the page (in our example, we've made the link set our site as the home page.)

<A HREF="#" onClick="this.style.behavior='url(#default#homepage)'; this.setHomePage('http://www.pcadvisor.co.uk/');">Make PC Advisor Your Homepage</A>

When visitors to your website click on the link, they will be asked if they would like to make your site their home page. If they click Yes, fields will appear to help them change their browser settings. See also tip Add a visitor counter to your website


Hide other recipients' addresses in emails

Introduction | Internet Helpline Q&A Directory
Hide other recipients' addresses in emails

If I send an email using Outlook Express to a number of addresses, each person receives the list of addresses the message has gone to. Can I prevent this without having to send out individual emails?

Yes. The method is very easy, but carefully hidden. From the Outlook Express message composition window select View, All Headers. This will open up an extra address field above the 'Subject:' line, captioned 'Bcc:', which stands for blind carbon copy. Any addresses typed in here will not appear in the message itself. See also tip, Discover who you sent bcc emails to.


How to avoid internet worms

Introduction | Internet Helpline Q&A Directory
How to avoid internet worms

Worm viruses - viruses that spread using the internet, usually by way of email - are becoming increasingly common. An up-to-date antivirus program is an important element in the defence against these nuisances, but some worms spread so quickly that you can receive a copy before you've had time to download an update. The following tips should help avoid infection.

1. If you need to use Microsoft Outlook or Outlook Express, install the latest security patches from Microsoft. Remember to check Windows Update regularly for news of new security patches.

2. Try to avoid attachments when sending or receiving email, because viruses are often sent this way.

3. Configure Windows so that it always shows file extensions. In Explorer, click on View, Folder Options, View tab. In the Advanced Settings list, uncheck 'Hide file extensions for known file types'.

4. Never open email attachments that have the file extensions VBS, JS, SHS or PIF. These extensions are commonly used by worms and rarely contain valid attachments.

5. Never open attachments that appear to have double file extensions, for example, somefile.txt.exe.

6. If a message from a friend or colleague seems slightly strange (an example being a message saying 'I love you' from a business acquaintance), remember to check with the sender that they really sent the email before opening any attachments in the message.

7. Never open attachments or follow links to web pages that are contained in unsolicited emails.

8. Ignore attachments that have sexual filenames, such as porn.exe. This is a common trick to tempt people into opening the attachment.

9. Don't assume that because an attachment has the icon of a harmless file type (such as TXT or JPG), the file is harmless. Check the actual file extension. EXE (executable) files can have any icon.

10. Never accept attachments from strangers in online chat systems such as IRC, ICQ or AOL Instant Messenger.

11. Never download files from internet newsgroups. These forums are often used by virus writers to distribute their new viruses.


Internet connection sharing problems

Introduction | Internet Helpline Q&A Directory
Internet connection sharing problems

I have a PC running Windows 95, which I use to access the internet. I recently built a new system with Windows 98 SE, and this machine has a new modem in it. I have networked them using two ethernet cards and can share files and printers. But although I have set up ICS (internet connection sharing) in Windows 98 SE, I cannot get it to work.

Do I need to disconnect the modem from the old PC and uninstall Dial-Up Networking on it so that it has no independent internet access at all, or must I install Windows 98 SE on it?

You don't need to be running Windows 98 SE on computers that wish to access the internet through an ICS host. The problem may be either that you have not logged on to the ICS host computer from the other computer using the network logon, or that the TCP/IP properties aren't set up correctly.

The following article from the Microsoft Knowledgebase at http://support.microsoft.com/support/ (Q238135 'How to Troubleshoot Internet Connection Sharing Problems' should be able to help). An alternative to ICS (which doesn't require Windows 98 SE) is ProxyPlus, which you can get from www.proxyplus.cz.


Internet connection speeds very slow

Introduction | Internet Helpline Q&A Directory
Internet connection speeds very slow

I have a 56K external modem, but I'm being connected to the internet at very slow speeds, such as 33Kbps. Why is this?

There are several possible reasons that are causing your modem to connect so slowly. Look through the list below and see if any could apply to you.

  • Phone cord. The simplest, least-expensive potential solution is to replace the phone cord between your modem and the telephone wall jack. If you run multiple cables between your modem and wall jack, so the modem can share the connection with an answering machine or phone, replace them with a single line to the wall jack.

  • Conflicts with other devices. If that tactic doesn't work, unplug all your phones, fax machines, and any other devices that use the phone line.

  • Modem. To test your modem, find someone who has a satisfactory 56Kbps (kilobits per second) connection and trade modems for a day. If you suddenly get a fast connection and the other person gets a slow one, the problem lies with your modem. Check your modem vendor's website for new drivers or known problems. If you can't find anything useful there, demand a replacement modem.

  • Incompatibility. Your modem isn't compatible with your ISP. It may need a flash upgrade to the internal software, which may have been updated since the modem was manufactured.

  • Noise. You have a noisy telephone line. The gain adjustment on your telephone line is too high or too low.

  • Sharing lines. BT has installed a Dacs unit on the line. This allows two numbers to share one physical line. You will need to speak to your ISP's technical support and your BT engineers and check the US Robotics website to find out which of these possibilities is the cause of your problem.

  • Phone company. If the source of the trouble isn't the phone cord, other telephone devices in the house, or the modem, it probably lies with your telephone company. You can submit a complaint, but don't expect any miracles. Just as you can't get a DSL or cable line installed everywhere you can't always get a good 56Kbps connection.


Internet Explorer exception error

Introduction | Internet Helpline Q&A Directory
Internet Explorer exception error

My computer has a recurring problem. If left for three or four minutes a message appears which says 'Explorer caused an exception 6d007fh in module webcheck.dll at 0177:78b32599'.

It can usually be closed with no trouble, but if it occurs while I am on the internet it can lock everything so that a shutdown is the only solution. I asked Internet Explorer to repair itself, but it said that webcheck.dll should be 5.0.2314.1000 and it is currently 4.72.3110.0, whatever that means. Please help.

The incorrect version of webcheck.dll is indeed the cause of the problem, and the repair option doesn't work in this case. The only solution - according to Microsoft - is to reinstall Internet Explorer 5.0 from scratch. Before doing so it would be worth using the Find tool to see if the correct version of the DLL is located somewhere on your hard disk (in which case you can replace the erroneous one with it). Alternatively, you could try and get a copy of the correct version from someone else's computer.


Internet Explorer not working properly after upgrade

Introduction | Internet Helpline Q&A Directory
Internet Explorer not working properly after upgrade

Since trying to install Internet Explorer 5.5 download over version 5.0, my computer refuses to connect to any secure websites. If I look at the properties of C:\Program Files\Internet Explorer\Iexplore.exe it says I have version 5.50. But if I click on Help, About Internet Explorer in Internet Explorer itself, I am told that I have version 5.0 and also 'Cipher Strength is 0-bit'. Could this be the problem, and if so, how can it be rectified?

It would seem that something went wrong during the upgrade. The '0-bit' cipher strength is certainly the reason why you cannot access secure sites. This problem occurs if any of the files schannel.dll, rsabase.dll or rsaenh.dll files are missing, damaged or the wrong version.

To resolve the problem, locate the file schannel.dll in the Windows System folder and rename it, changing the file extension from DLL to OLD. If you receive an 'Access is denied' error message when you attempt to rename the file, reboot into Safe Mode or MS-DOS Mode and try again.

Repeat the rename operation for the files rsabase.dll and rsaenh.dll. Then install either Internet Explorer 5.5 Service Pack 1 or the appropriate version of the Microsoft Internet Explorer High Encryption Pack (128bit encryption), which you can obtain from www.microsoft.com/windows/ie/downloads/default.asp.


Internet Explorer window won't maximise

Introduction | Internet Helpline Q&A Directory
Internet Explorer window won't maximise

My computer recently disconnected while I was using Internet Explorer 5.0. Ever since then, whenever I maximise the program it does not fit to screen but moves over to the right and offscreen to the bottom. I have tried the Internet Explorer 5.0 repair utility, but this didn't cure the problem.

It looks as if some of the Registry data for Internet Explorer has become corrupted. The solution involves using the Registry Editor to delete this invalid data. This is potentially risky, so back up anything important before you start. See tip Back up the Registry

Close any instances of Internet Explorer. Launch the Registry Editor by clicking Start, Run. Type Regedit and hit Enter. Open the following Registry folders in turn: Hkey_Current_User, Software, Microsoft, Internet Explorer. Select the folder named Main. In the righthand window pane, select the item named Window_Placement and delete it. In the lefthand pane, open the folder named Desktop. Select the folder named OldWorkAreas and delete that too. Close the Registry Editor.


Make Internet Explorer windows open at the size you want

Introduction | Internet Helpline Q&A Directory
Make Internet Explorer windows open at the size you want

Is there a way to make Internet Explorer come up every time as a maximised window?

The short answer is no. But awareness of how Internet Explorer picks its window size will give you some control. There are three ways to launch Internet Explorer - a shortcut, the desktop icon, or launching to a specific URL. Internet Explorer behaves differently in each situation when maximising the window.

An Internet Explorer shortcut, such as the ones on the Quick Launch Toolbar, behaves just like any other shortcut. To adjust it, right-click the shortcut icon and select Properties. Go to the Shortcut tab. For the Run option, select Maximize, then click ok. When you load Internet Explorer via that shortcut, the window will be automatically maximised.

The Internet Explorer icon on your desktop, however, isn't a standard shortcut; it has no maximise option. Luckily this icon remembers the size of the window from the last time you used the browser. So, if you exit Internet Explorer after maximising its window during a session, it will open in the same mode next time you launch it.

The problem comes when launching via a URL. You can select this either from the Start, Favorites menu; type a URL at the Start, Run prompt; right-click a link and selecting Open in a New Window; or even click a URL in an email message.

Unfortunately, Internet Explorer never comes up maximised in these situations. But it remembers the size of the window the last time you exited the browser (as long as it wasn't maximised). So if you resize that standard window to be as big as possible, and then exit and relaunch Internet Explorer, the size will automatically hold.


Make Outlook insert frequently typed text for you

Introduction | Internet Helpline Q&A Directory
Make Outlook insert frequently typed text for you

I type certain words and phrases - such as my mailing address, name and so forth - in all my emails. Is there any way I can get Outlook to insert this 'boilerplate' text for me?

You just have to tell Outlook Express 5.0 that an address or other boilerplate copy is a signature, and then it willl type it for you. To set this up, select Tools, Options, click the Signature tab, and then the New button. Enter the boilerplate text into the Text box, then click Rename and name your entry. Click ok. To insert the text into a message, select Insert, Signature and then the appropriate name.


Make Outlook prompt for user identity on startup

Introduction | Internet Helpline Q&A Directory
Make Outlook prompt for user identity on startup

My wife and I use Outlook Express identities to access our email accounts. If I don't remember to switch the identity when I use the program after her, the email I send appears to come from her. How can we ensure that Outlook Express will know which of us is using the program?

If you use Internet Explorer 5.0 (and thus Outlook Express 5.0), you can make the program ask you to select an identity every time Outlook Express loads after Windows boots. In Outlook Express, select File, Identities, Manage Identities. In the 'Start up using' field, select Ask Me and click Close.

Unfortunately, if you exit Outlook Express and then re-enter it, you won't be asked your identity. Outlook Express 5.5 also fails to give you this option. (Outlook Express versions before 5.0 didn't offer identities at all.) So make Outlook Express change its appearance when you change identities.

Since the program remembers the shape and size of its window for each identity, if one of you agrees to maximise the window to full screen, and the other agrees not to, you'll see the difference. Any change to the look of the program, including options from the View, Layout dialog box, should suffice.


Make two PCs use the same internet connection

Introduction | Internet Helpline Q&A Directory
Make two PCs use the same internet connection

I have two PCs and I was wondering if they could both share the same internet connection? If this is possible, what do I need and how much would it cost? Would the two PCs be able to go online at the same time?

If the PC with the modem is running Windows 98 SE (or Me), then it can run a feature called Internet Connection Sharing. This enables other PCs connected to it using a network to access the internet using the same connection, at the same time. If your PCs aren't networked then you will need to get them connected before you can use this. You can buy two-user home networking kits for around £50. See tip Get two PCs online using one modem


Make Windows remember internet login password

Introduction | Internet Helpline Q&A Directory
Make Windows remember internet login password

How can I get Windows to remember my internet login password? The Save password checkbox is disabled.

If your computer has more than one user, you must log in and not hit Esc to dismiss the login dialog box. This means that Windows knows which password cache file to use.


Modem dials in and out when Outlook Express is opened or closed

Introduction | Internet Helpline Q&A Directory
Modem dials in and out when Outlook Express is opened or closed

I am having trouble with Outlook Express 5.0 and Freeserve. Every time I enter or exit Outlook Express the modem disconnects, then reconnects to my ISP.

Something is wrong with the Windows Internet Connection Settings, and there are a number of things you can check.

In Outlook Express, click Tools, Options and on the Options dialog box select the Connection tab. Check under Internet Connection Settings that Outlook Express shares the same settings as Internet Explorer. Under DialUp, 'Hang up after sending and receiving' should be unchecked. Close the Options dialog box.
BR> Now click on Tools, Accounts, select the Mail tab and click on your mail account from the list. Click Properties, then select the Connection tab. Uncheck the checkbox, then click ok.

If you have more than one web connection set up on your PC, leaving this box checked will cause Express to disconnect and then reconnect if, at the time of starting a mail send and receive, you are using the other connection.

If Freeserve is your sole ISP, you should only have one internet connection defined anyway. From My Computer, open Dial-Up Networking and look to see what connection icons are present. If you have an icon for an old ISP, or have two icons both of which connect to Freeserve, delete the redundant one.

If you actually have more than one ISP for a good reason, and if you use mail accounts with each ISP, you may actually need Outlook Express to connect to the appropriate service provider to send and receive messages. In that case, the best bet is to disable 'Send and receive messages at startup' on the General tab of the Options dialog box (this is usually a good idea for dialup connections anyway). You can then manually initiate a send and receive for each account. This way, Outlook Express will only make or break a connection when you tell it to.


Modem disconnects when mail is received

Introduction | Internet Helpline Q&A Directory
Modem disconnects when mail is received

When I send and receive mail using Outlook Express my modem disconnects as soon as the mail is received. I have tried to fix this via Tools, Options, where I selected the Connections tab and unchecked 'Hang up after sending/receiving', but it still disconnects after completing the tasks.

Two other settings can cause an internet connection to automatically hang up. Open Control Panel, double-click Internet Options and select the Connections tab. Select your ISP under Dial-Up settings and then click Settings. On the Settings dialog box click the Advanced button.

There are two checkboxes at the bottom of the Advanced Dial-Up dialog box that will cause the connection to hang up in certain circumstances. The 'Disconnect when connection may no longer be needed' option is probably the one that is causing the trouble.


Modem stops redialling ISP after a few attempts

Introduction | Internet Helpline Q&A Directory
Modem stops redialling ISP after a few attempts

My ISP's number is often engaged, but although I have configured the dialup settings to keep retrying, the modem stops dialling after 10 or so attempts and generates an error. The only way I have found to cure this is to shut down the PC and restart it. How can I solve this problem?

It sounds as if your modem has a 'blacklist' function that prevents it from repeatedly dialling the same number. This is a requirement for approval for use on the telephone networks of some countries. To clear the blacklist you must either turn the power off and on, (which if you have an internal modem means shutting down and restarting), or wait an hour or so for the blacklist to expire.

You can disable the blacklist by issuing some extra AT commands before dialling. If the modem has a Rockwell chipset the extra command is %TCB. For a US Robotics or 3Com modem, try S40=2 or S40=7. Add this in the Extra settings field of the Advanced Connection Settings dialog box, accessed by clicking the Advanced button on the Connection tab of the modem's properties. Depending on the modem, you may need to put AT in front of the command.


Modem won't recognise incoming voicemail

Introduction | Internet Helpline Q&A Directory
Modem won't recognise incoming voicemail

My voicemail changes my dial tone when there are messages, but my modem doesn't recognise the changed tone. I must listen to my messages before I can go online. How can I fix this?

Just tell your modem to stop listening for a dial tone. Open My Computer and double-click on Dial-Up Networking. Right-click the icon for your dialup connection and select Properties. On the General tab, click Configure and then click the Connection tab. Uncheck 'Wait for dial tone before dialing', click ok twice, and close the Dial-Up Networking window.


Move addresses between Outlook Express identities

Introduction | Internet Helpline Q&A Directory
Move addresses between Outlook Express identities

How can I make different Outlook identities use the same address book?

Use Outlook Express' Export command to move the addresses from the existing address book and import them to a different one. You must log in as each identity and perform these steps for each one.

1. To export the addresses log in to Outlook Express and click File, Export, Address Book. In the Address Book Export Tool select 'Text File (Comma Separated Values)', then click Export.

2. Click the Browse button and locate the drive or folder to which you intend to save the exported addresses. In the File Name dialog box type a name for this file, then click Save. Click Next and select the checkboxes for all the data fields that are listed, then click Finish. Click ok, and Close. The newly saved file will have the file type CSV.

3. To import the addresses, start Outlook Express and click File, Import, Other Address Book. Select 'Text File (Comma Separated Values)', then click Import.

4. Click the Browse button and locate the file containing the addresses that you want to import, then click Open. Click Next then Finish. Once the data has been imported to the new address book, click ok, then Close. You should also be able to use this tip to move addresses between different Outlook Express identities. See also tip Transfer Outlook Express' address book to a new PC.


No spellcheck

Introduction | Internet Helpline Q&A Directory
No spellcheck

Why is the spellchecker disabled in Outlook Express?

Outlook Express uses files from Microsoft Office to do its spellchecks. Either you don't have Microsoft Office, or you have Office 2000 and Outlook Express 4.0, which are incompatible.


Outlook Express conflict with Hotmail

Introduction | Internet Helpline Q&A Directory
Outlook Express conflict with Hotmail

I have been getting recurrent access forbidden-type error messages (for example, code 0X800CCC33) when using Outlook Express 5.5 and Hotmail to send or receive email. Can you suggest a fix please?

Reading between the lines of the Microsoft Knowledgebase article that deals with this error, we would surmise that there is a problem between Outlook Express and Hotmail that is unresolved. Hotmail is primarily a web-based mail server and it is not accessed using standard internet mail protocols.

Microsoft recommends checking that your Hotmail username and password are correct in Outlook Express. Click on Tools, Accounts and select the Mail tab. Choose your Hotmail account, click Properties and select the Server tab. Under Mail Server, verify that the name and password are correct and that the 'Remember password' checkbox is checked. If that doesn't work, Microsoft says, use your web browser to access your mail at www.hotmail.com.


Password problems in MS NetMeeting

Introduction | Internet Helpline Q&A Directory
Password problems in MS NetMeeting

I use Microsoft NetMeeting version 3.01. When I set up Remote desktop sharing it asks for a password to be set for access. After this it works fine and I'm able to access my PC's desktop from my laptop. However if I reboot my PC, when I try to access the desktop remotely, my password is no longer accepted and I can't change it back as the request for the old password is rejected too.

I phoned Microsoft support who, after some head scratching, suggested I delete a folder in the Registry. This deleted the password and allowed me to set a new one. However, to my dismay and annoyance, I later discovered it also deleted all my passwords. Since the problem recurs this is not acceptable. Can you help?

This sounds like a known problem that can occur when NetBios for the TCP/IP protocol is not enabled and the TCP connection is not active. To resolve it you should do the following.

First, uninstall NetMeeting using Control Panel, Add/Remove Programs. If the Client for Microsoft Networks is not installed, you should now install it using the following steps. Open Control Panel, Network. Select the Configuration tab, click Add, Client, Add, and select Microsoft in the Manufacturers box. Select Client for Microsoft Networks in the Network Clients box, then click ok twice. Insert the Windows 98 CD-ROM when requested, and click Yes when prompted to restart the computer.

If Client for Microsoft Networks is installed you should enable NetBios for TCP/IP by performing the following steps. Open Control Panel, Network, select the Configuration tab. Click TCP/IP and then Properties. In the TCP/IP Properties dialog box, click NetBios, select 'I want to enable NetBios over TCP/IP', then click ok twice. If you receive the message 'Your network is not complete. Do you want to continue?' select Yes.

Make sure that the TCP connection is active (you are connected to the internet or your local network) and then reinstall NetMeeting. Installing the latest version of NetMeeting (version 4.4.3388 or later) may also resolve this problem.


Password protect Outlook Express folders

Introduction | Internet Helpline Q&A Directory
Password protect Outlook Express folders

Is it possible to password protect a local folder in Outlook Express? This would mean that mail messages downloaded to it using the rules facility could only be accessed by the password holder.

Not as far as we are aware. The only password protection in Outlook Express is at the level of identities. Each identity is, in effect, a separate installation of Outlook Express with its own data files and settings. You cannot, unfortunately, use rules to transfer messages between them.

One solution would be to use Vpop3 (www.vpop3.com) to download your mail, and use its rules to route mail to different user accounts. You would then set up identities in Outlook Express, each of which would collect its mail from a different Vpop3 user.


Persistent NetMeeting password request

Introduction | Internet Helpline Q&A Directory
Persistent NetMeeting password request

Ever since my IP technician installed an ethernet card in my computer and connected me to the network, my computer asks me for a Networking/NetMeeting password. I simply escape from the dialog box, but is there something I could do so that the dialog box did not to appear?

When networking is installed, the network logon is automatically invoked. To get rid of it, open the Network icon in Control panel and select 'Windows logon' from the drop-down list for 'Primary network logon'. However, if at some point you need to access network services that require authentication, you'll still have to log on.


Persistent Rnapp error message

Introduction | Internet Helpline Q&A Directory
Persistent Rnapp error message

I am running Windows 98 SE and am receiving the error 'Rnapp caused an invalid page fault in module kernel32.dll'. It doesn't seem to do any harm, but it is a nuisance and I'd like to get rid of it once and for all.

Errors relating to Rnapp are generally caused by running an incorrect version of the Windows Dial-Up Networking software, or by running web monitoring software that is incompatible with it. We would suggest running the System File Checker (go to Start, Run and type sfc) to see if you have the correct versions of all your system files. Also, temporarily disable any web performance monitoring or security software to see if it is responsible for the errors.


Read your email from any PC, anywhere

Introduction | Internet Helpline Q&A Directory
Read your email from any PC, anywhere

When I travel, I'd like to check my email on other people's computers without changing their settings or adding software. Is this possible?

It is, but only if you use a standard POP3 email account or AOL. Most ISPs provide their customers with a POP3 email account. If you are using Outlook Express, Netscape Communicator or Eudora, you most likely have one. If that's the case, you can use one of the free email services available from MailStart (www.mailstart.com) or WebBox (www.webbox.com).

With MailStart you simply have to enter your email address and password to see your messages. You can read your email, reply to messages, delete them or send new messages. All your messages will be available in your mailbox until you delete them manually.

WebBox is not as simple to use as MailStart - at least not at first. You have to register by filling in forms and providing survey information. But you get a lot more for your time and effort - including an address book, a calendar, and 20MB of storage space. There are other extras if you pay $5 a month or $40 a year.

As we write this, however, MailStart has a compatibility problem: the service can't display an HTML-Base 64 encoded message originally created in Outlook Express. You can't even get plain-text versions of your messages. MailStart claims that it is working on a solution to this problem, but it can't say when a fix will be available.

Neither MailStart nor WebBox will work with AOL accounts, but that isn't really a problem because it has a similar service that's available for its users: AOL Anytime, Anywhere. Go to www.aol.com and enter your AOL screen name and email address in the AOL Anytime, Anywhere dialog box. Or you can simply click the AOL Mail tab at the top of any page on the site. After you sign in, click the button that says 'Please click here to complete the sign-in process'.


Remove ISP logo from Internet Explorer

Introduction | Internet Helpline Q&A Directory
Remove ISP logo from Internet Explorer

After setting up a new ISP from a supplied CD-ROM, the title bar and animated logo of Internet Explorer has now changed to display the ISP's own logo. Is there a way to get rid of it without having to edit the Registry?

Yes, there is a simple way to remove this branding that is built into Internet Explorer itself. Here's how to do it. First, close Internet Explorer. Now click Start followed by Run. In the Open dialog box type rundll32.exe iedkcs32.dll,Clear and click ok. When you restart Internet Explorer the branding should have disappeared. See also tip, Remove ISP logo from Outlook Express.


Remove ISP logo from Outlook Express

Introduction | Internet Helpline Q&A Directory
Remove ISP logo from Outlook Express

Can I remove my internet service provider's branding from Outlook Express?

Yes. However, removing the Title bar branding from Outlook Express involves editing the Registry, so we recommend you back it up before you start (see tip, Back up the Registry). Then click Start, Run, type Regedit and hit Enter. Open in turn the following Registry folders: Hkey_Current_User, Identities, {id-number}, Software, Microsoft, Outlook Express. Select the folder 5.0 (or whatever version of Outlook Express you are running), then look in the righthand pane for a value named WindowTitle. You can modify the text held in this value (double-click to edit it) or just delete it. If more than one id-number appears in your Registry, you may need to repeat the exercise for each one. See also tip, Remove ISP logo from Internet Explorer.


Retrieve archived emails

Introduction | Internet Helpline Q&A Directory
Retrieve archived emails

Periodically, Outlook saves documents that haven't been looked at for a while in a default file called C:\Windows\Application\Data\Microsoft\Outlook\Archive.pst. How do I get these documents back?

You can view the documents in an archive by importing them using the Import/Export Wizard, or by adding the archive to your profile. If you import them, they are moved back to their original locations. If you add the archive to your profile, you can view them from the archive folder.

To add an archive to your profile select File, Open, Other Outlook File (.pst). In the 'Open Personal Folders' dialog box, locate and select the archive file. Click Open. On the View menu click Folder List to use the folder list view. Here, you will see an Archive folder. A subfolder will contain the archived items.

Keeping archived items in your profile defeats the purpose of using the archiving feature, so you should use these steps to view or copy these items and then remove the archive file from your profile.


Send faxes over the internet

Introduction | Internet Helpline Q&A Directory
Send faxes over the internet

Is it possible to broadcast multiple faxes over the internet? It would be vastly cheaper if I could use the web.

It may not be appropriate for your purpose, but you can send free faxes using a service provided by The Phone Company's Remote Printer Service (www.tpc.int/tpc_home.html). You send a fax as an email to an address containing the fax number. The address is formatted like this: remote-printer.address_1/address_2@fax_number.iddd.tpc.int.

Here, address_1 and address_2 are the name and address of the recipient and fax_number is the fax number. There must be no spaces in the address or fax number (use underscores where needed in the address) and the number must be in international format, so for the UK replace the first 0 by 44.

This solution might not be appropriate for you because you don't get much control over the appearance of the fax and it is delivered with an attached advert for the service provider.

There are other solutions for faxing via the web, but most require you to pay for the call that delivers the fax (someone has to). There is a useful FAQ about internet faxing at www.savetz.com/fax/, however, it may not be completely up to date as the original author no longer has the time to update it.


Separate Outlook inboxes for different users

Introduction | Internet Helpline Q&A Directory
Separate Outlook inboxes for different users

My wife and I both use Outlook 2000 to access different email accounts on the PC we share. How can we set it up so that her mail and mine go into separate inboxes?

The trick here is to create a folder that one of you will use as an inbox, then set up a rule to send that person's new mail to that folder. To create the necessary folder, open Outlook 2000 and select File, Folder, New Folder. In the resulting dialog box's name field, label the inbox as yours, such as 'David's inbox', then press Enter.

Outlook will ask if you want this in the Outlook toolbar; click No. A folder list will appear to the right of the Outlook toolbar. Drag the new folder - which will be on that list under the inbox - to the toolbar and place it directly under the inbox icon. If you don't want the folder list visible, select View, Folder List to hide it again.

Now you have to tell Outlook to send your messages to your named folder. Select Tools, Rules Wizard, and click the New button. In the top text window of the new page, select 'Check messages when they arrive'. Click Next.

In the next page's top text window, select 'when received through the specified account'. A warning will pop up; click Yes, and don't worry about it. In the bottom text window, click 'specified'. In the resulting dialog box, choose your account and click ok. Then click Next.

Now select 'move it to a specified folder' and click 'specified' again. Select your inbox and click ok. Finish the wizard. From now on, your messages will be rerouted to your inbox, while your wife's will go to the original one.


Set automatic dialup times

Introduction | Internet Helpline Q&A Directory
Set automatic dialup times

I would like to program my computer to automatically dial up one of my internet connections at 6pm. Is this possible and, if so, how do I do it?

Yes, it is possible. First of all you need Internet Explorer (or any other browser) set up to open with a web page of your choice. You also need Windows set up to dial out on demand. These are the default settings for most people, so it shouldn't be difficult.

Now all you need to do is create a new task in the Windows Task Scheduler to run Internet Explorer (or any other browser you may be using) at the appointed time. We reckon you could probably also use a similar trick to start up Outlook Express automatically and have it collect your mail ready for reading, but we'll leave that idea for readers to experiment with. See also tip Set default redial times


Set cache options in Internet Explorer

Introduction | Internet Helpline Q&A Directory
Set cache options in Internet Explorer

I know that Internet Explorer keeps a local cache of web pages and other elements that appear on pages and that can speed up browsing when I return to a page I have previously visited. But how can I customise the cache settings so that I can see a refreshed page every time I go back to a site, rather than a stored, out-of-date version?

To access the cache settings select Tools, Internet Options. On the General tab under 'Temporary Internet Files,' click Settings. There are four settings under 'Check for newer versions of stored pages'.

    Every visit to the page. When you visit a website Internet Explorer will not look in the cache but will connect to the website and download the page again. This is the slowest option, but ensures that you always have the most up-to-date copy of the page.

  • Every time you start Internet Explorer. Internet Explorer will use the cached copy of a page if you revisit it during the same browsing session. If you close Internet Explorer and restart it, then revisit a page, it will download a fresh copy. If you press the F5 key or click on Refresh, it will also download a new copy.

  • Automatically. This setting is only found in Internet Explorer 5.0. It is similar to the previous setting but uses an intelligent algorithm to determine when to check if a page has changed. When you return to a page you viewed previously, Internet Explorer doesn't check to see whether the page has changed since you last viewed it, but displays the cached copy. It checks for new content only when you return to a page that you viewed in an earlier browsing session.

    Over time, if Internet Explorer detects that images on the page change infrequently, it checks for newer images even less often. This is probably the best option for most users.

    Never. Internet Explorer will never check the web server for newer versions of pages if a copy is found in the cache. This is the fastest option, but you run a good risk of seeing out-of-date pages.

Note that because most ISPs operate a proxy server, which is a web page cache kept by the ISP, you cannot guarantee that you are seeing the latest copy of a page even if you choose the first option. Even if you have not configured Internet Explorer to use a proxy server, your ISP may have set things up in such a way that you automatically use it.


Set default email program

Introduction | Internet Helpline Q&A Directory
Set default email program

I want to use Microsoft Outlook as my email client instead of Outlook Express. When I try to set up an account in Outlook I'm asked for server addresses, which I don't understand.

I've tried copying across the addresses from Outlook Express, but they don't work. I get error messages in Outlook when I click the 'send/receive mail' icon. What addresses is Outlook asking for?

The addresses needed by Microsoft Outlook for the Incoming (POP3) and Outgoing (SMTP) mail servers should be the same as those used by Outlook Express. Make sure that you have entered your username and password as well.

However, Microsoft Outlook comes in two versions. To use it as an Outlook Express replacement you need to install it with the 'Internet Mail Only' option.

To see if you have installed the right version look in 'About Microsoft Outlook'. You should see 'Internet Mail Only'. If not, you'll need to uninstall and then reinstall it. See also tips Change your default home page and Set default web browser


Set default redial times

Introduction | Internet Helpline Q&A Directory
Set default redial times

When using Dial-Up Networking to connect to the internet, is there any way of shortening the time the modem stays connected to a busy line before retrying?

You can specify the number of seconds the modem should wait between attempts to dial using the Dial-Up Settings, which you can reach from the Internet Control Panel. However, your modem will normally hang up straight away when it receives a busy tone.

What may be happening is that your modem does not recognise the recorded voice announcements that you often get when trying to connect to a busy ISP. This is normal and, when it happens, the modem will wait for the interval specified under 'Call preferences' on the Connection tab of the modem properties dialog box - 'Cancel the call if not connected within xx secs' - before hanging up and retrying.

The default time is 60 seconds and it's inadvisable to decrease this value. If you do reduce the number of seconds then, on days when your ISP is being sluggish, Windows may not allow sufficient time to establish and authenticate a connection. See also tip Set automatic dialup times


Set default web browser

Introduction | Internet Helpline Q&A Directory
Set default web browser

I installed Netscape a while back, but eventually ditched it from my system. Now I can't get Internet Explorer to work properly. How do I reset it as my web browser of choice?

Normally, when you start Internet Explorer, the message 'Internet Explorer is not currently your default browser. Would you like to make it your default browser?' is displayed. Click Yes, and all should be okay. If this doesn't happen, then Internet Explorer may not be set as the default browser. To re-establish it as your browser of choice, open Control Panel, Internet Options, select the Programs tab, check the box 'Internet Explorer should check to see whether it is the default browser' and click ok. See also tips Change your default home page and Set default email program


Silence your modem

Introduction | Internet Helpline Q&A Directory
Silence your modem

When I connect to the internet, the sound my modem makes is loud and irritating, and upsets the rest of the household when I surf late at night. Can I silence it?

Open My Computer, double-click Dial-Up Networking, right-click on your ISP's icon and select Properties. On the General tab of the property page, in the 'Connect using' panel where your modem is selected, click Configure. This will bring up the modem properties dialog box. On the General tab of this you will find a slider for speaker volume. Slide it all the way to Off, and close all the dialog boxes by clicking ok.


Simple Mapi error message in Outlook Express

Introduction | Internet Helpline Q&A Directory
Simple Mapi error message in Outlook Express

Whenever I open Outlook Express 5.0 I get the message 'Simple Mapi support could not be enabled because mapistub.dll could not be found in the system directory or failed to load'. I feel I should do something about this, but Outlook Express was loaded from a CD which I no longer have. How I can replace this file?

Microsoft says that this error message is caused by mismatched Mapi (messaging application programming interface) files. The recommended solution is to uninstall and then reinstall Outlook Express. If you haven't got the CD, your best option will probably be to upgrade to Internet Explorer 5.5 using Windows Update on the internet.


Slow internet log on

Introduction | Internet Helpline Q&A Directory
Slow internet log on

When I dial the internet, it takes a long time after the modem connects before I can start using the connection.

You probably have unnecessary protocols selected. From Control Panel, Internet Properties, select your ISP and click Settings. Click Properties and select the Server Types tab. Clear the Log on to network, NetBeui and IPX/SPX Compatible dialog boxes.


Slow surfing

Introduction | Internet Helpline Q&A Directory
Slow surfing

My three-year-old 300MHz PC has been incredibly slow on the internet recently. I suspected the memory might be the problem and I received the following error message when I ran my Norton Zip recovery disk. 'Microsoft RAMDrive v.3.06 virtual disc d: RAMDrive: extended memory manager not present' and 'Warning! the high memory area (HMA) is not available. Additional low memory (below 640K) will be used instead'. What can I do?

Memory either works or it doesn't - the usual symptom of failing RAM is random system crashes. The messages you saw are related to the setting up of a RAM drive (a pseudo disk drive created in memory), which Norton does for some reason connected to the way its recovery software works. Do not worry about them.

Slow internet performance could be caused by a number of factors, including an overloaded ISP or noise on your telephone. It's also likely that if your three-year-old modem has never had a firmware upgrade it may not be fully compatible with your ISP's equipment and therefore is not able to connect at the highest possible speed. See also tip Internet connection speeds very slow


Speed up downloads

Introduction | Internet Helpline Q&A Directory
Speed up downloads

How can I increase my browsing and downloading speed? I have a 56K modem and can't afford ADSL or ISDN.

A good way to speed up downloads is to change the MTU (maximum transmission unit) setting in Windows. From Control Panel, double-click the Network icon, select Dial-Up Adapter and click Properties. On the Dial-Up Adapter Properties dialog box click the Advanced tab. In the Property list, the MTU value is listed as IP Packet Size. You can set this to Large (1,500), Medium (1,000) or Small (576).

There's also an Automatic option, which is the default. This results in a value of 576 being used if you have an ordinary modem or terminal adapter. If you change this setting to Large then the chances are that you'll get better performance.

If you're still using Windows 95 and don't have this Advanced settings dialog box then the default value is 1,500 anyway.


Speed up web connections

Introduction | Internet Helpline Q&A Directory
Speed up web connections

I want to speed up my internet connection a bit. Are there any settings in Windows I can alter to do this, or am I at the mercy of my ISP's servers?

If your ISP supports Stac or Microsoft compression, you should be able to get faster internet connections by changing the Dial-Up Networking settings. Find out if your ISP supports compression by looking at its technical support web pages or contacting its helpline.

If you're lucky enough that your ISP does support compression, open My Computer, Dial-Up Networking. Right-click your ISP icon and click Properties. Select the Server Types tab. Under Advanced options check the box marked 'Enable software compression'. No other option should be checked.

Under 'Allowed network protocols', only TCP/IP should be checked. Select the General tab and, in the 'Connect using' panel, click on Configure. On the General tab under 'Maximum speed' select the highest value available.

Now select the Connection tab and click Port Settings. Ensure the 'Use FIFO buffers' option is checked and move the Receive Buffer and Transmit Buffer sliders fully to the right. Click ok.

Click the Advanced button to the right of Port Settings. Ensure that 'Use flow control' is checked, and that the option selected is 'Hardware (RTS/CTS)'. Clear the 'Use error control' option. Click ok.

Now connect to your ISP to test the changes. It's possible that these changes won't work for some people, so it's best to note every setting before you change anything. If you do experience problems, before returning everything to the way it was, try the effect of re-enabling 'Use error control'. You could also try reducing the maximum speed to the next lowest setting. See also tip, Internet connection speeds very slow.


Store Outlook files on a CD-RW

Introduction | Internet Helpline Q&A Directory
Store Outlook files on a CD-RW

Can you advise me how to read Outlook Express messages stored on backup media, such as a CD-RW, to minimise the amount of data held on my hard disk? There is no file type for the folders in which Outlook Express holds messages, although as far as I can tell, Msimn is the application used for opening individual messages.

Outlook Express folders are a type of database file and can't be opened individually. All these database files must be stored in one folder. You can change the location of this folder by clicking on the Tools menu, clicking on Options and then the Maintenance tab, and finally choosing the Store folder option.

A dialog box will open showing the name of the folder that Outlook Express is currently using. You can click the Change button to alter this so that your messages are stored in a different location, but this is intended as a one-off configuration alteration rather than a facility for frequent use.

A solution might be to change your message store location to a folder on a hard disk that has more free space. However, CD-RW is a slow and not very reliable medium, so we wouldn't recommend keeping all your messages on a rewritable CD.


System crashes after disconnecting from internet

Introduction | Internet Helpline Q&A Directory
System crashes after disconnecting from internet

My computer frequently hangs the moment I disconnect from the internet. It has a K2 333 processor, 64MB of RAM and a PC Card Dynamode modem. The PC does not respond to Ctrl, Alt, Del. I have to switch it off and on to use it again. Why is this?

The only documented instance of this problem in the Microsoft Knowledgebase relates to a different type of modem to the one you are using. However, the solution may apply to yours, too. The problem occurs because the drivers for the modem are not compatible with Windows 98 power management. Either obtain updated drivers for the modem or disable power management.


System locks when using Internet Explorer, forcing reboot

Introduction | Internet Helpline Q&A Directory
System locks when using Internet Explorer, forcing reboot

My computer started giving me trouble while using Internet Explorer 5.0 about two months ago. It would completely lock forcing me to reset. After trying various things with no improvement I decided to reformat. I still have the same problem even though no software other than Windows 98 SR2 is installed.

The usual reason for a PC to completely lock is a hardware conflict. Check Device Manager or use the Hardware Conflict Troubleshooter (accessible from Windows Help) to ensure that no conflicts exist. If they don't, then unfortunately it is rather difficult to know what else to check.

The problem could be almost anything: hardware incompatibility or a damaged component possibly caused by a failure to observe proper static precautions during assembly. However, since the problem seems to occur while you are connected to the internet, it would be worth paying close attention to the modem.


Trace your route on the internet

Introduction | Internet Helpline Q&A Directory
Trace your route on the internet

When I am on the internet I can't view certain web pages, as I get an error message that says 'unable to find server'. I used to be able to pay my BT bill online, but I am now unable to view the site, although BT tells me that it is up and running. I can't access a friend's web page either, although he can. The error message I receive suggests checking that I have 128bit Cipher Strength and checking the settings for SSL 2.0, SSL 3.0, TLS 1.0 and PCT 1.0. They are all okay. How can I sort this out?

It doesn't sound as if there is much wrong with your setup. However, if there is a problem on the route between you and the web server you are trying to contact, you will see an error message instead. Sometimes, just clicking Refresh can solve the problem by causing your browser to try again. If not, you may have better luck if you try at a less busy time; in other words, not during evenings or at weekends.

The Tracert (short for 'trace route') command can help you discover what is going on when you have problems connecting to a site. Open a command prompt window and type 'Tracert website address'. The program will list all the points on the route (somewhat similar to junctions on a road journey) together with the time taken to get to each one.

From this, you can see if the route is congested or whether you can reach the site at all. When we tried 'tracert www.bt.com', the attempt failed at hop 10 with the message 'Destination net unreachable'. So it would seem that BT is having some problems with its server.


Transfer address books between different email packages

Introduction | Internet Helpline Q&A Directory
Transfer address books between different email packages

How do I transfer my address book between Outlook, Outlook Express and Hotmail?

Although Microsoft owns Outlook, Outlook Express and Hotmail, it doesn't make it easy to share addresses between the three programs. The following tips should be of some help. See also tip Transfer Outlook Express' address book to a new PC.

  • Between Outlook and Outlook Express Tell Outlook Express to use Outlook's address book instead of its own. Select Tools, Address Book then Tools, Options in the Address Book dialog box. Check Share contact information among Microsoft Outlook and other applications. Click ok twice, then exit the Address Book and Outlook Express. The next time you open Outlook or Express, you'll have access to the address books in both programs.

  • Between Outlook Express and Hotmail You can synchronise your Express and Hotmail address books on Microsoft's server. Set up Outlook Express to access your Hotmail account. Select Tools, Accounts and click Add, Mail to start the Internet Connection Wizard. Enter your Hotmail address in the text box on the second page.

    Once the account is set up, go to Outlook Express' address book and select Tools, Synchronize Now. If that option isn't there, select Tools, Options, check 'Do not share information' and click ok twice. Exit both the address book and Outlook Express and then reopen them. Now you can select Tools, Synchronize Now.

  • Between Outlook and Hotmail. Microsoft has made this difficult by not offering a direct link between the two programs, and by not permitting them to use the sharing technique available for both Outlook and Outlook Express. You can't synchronise Outlook and Hotmail address books directly, but you can use Outlook Express as a go-between. However, you can't use the sharing technique described above between Outlook and Outlook Express.

    In Outlook, select File, Import and Export. On the first page of the Import and Export Wizard, select Export to a file. On the second page, select Comma Separated Values (Windows). If the wizard asks you to install a feature, you'll need your Office CD-ROM. On the third, select Contacts. On the fourth, name the file and then click Finish.

    Go into Outlook Express' Address Book and select File, Import, Other Address Book. Select Text File (Comma Separated Values). Click the Import button to launch the CSV Import Wizard. To import the file you just created into Outlook, enter its name in the text box. Then refer to the preceding Between Outlook Express and Hotmail section for instructions on how to bring your Outlook email addresses into Hotmail.


Transfer Outlook Express' address book to a new PC

Introduction | Internet Helpline Q&A Directory
Transfer Outlook Express' address book to a new PC

I recently built myself a new PC, keeping my old 8.4GB hard drive to act as a Slave to my new 20GB model. I would like to export my entire Outlook Express inbox from the old drive to the new installation of Outlook Express on the new drive, but I can't seem to find a way of doing this.

Outlook Express mail files are stored in a folder whose location you can determine like this: click on Tools, Options, select the Maintenance tab and click Store Folder. Having determined where your current Outlook Express installation keeps its files, you should look for a folder containing a similar set of files on the old hard disk. You could then copy the contents of the old folder to the new one, or change the current Store Folders location to point to the old folder.

However, you should do this after setting up Outlook Express for the first time, since what it will do is replace your current mail folders with your old ones. If you've already used your new installation, add the contents of the old mail folders to the new messages that are present in your new folders. To do this, select File, Import, Messages. In the Outlook Express Import dialog box select Microsoft Outlook Express 5.0, if this is the version you used on your old computer.

Click Next then, in the 'Import from OE5' dialog box, select the 'Import from an OE5 store directory' radio button and click Next again. On the 'Location of Messages' page, browse to locate the folder containing your old messages. Click Next and the messages will be imported to the new drive. See also tips Move addresses between Outlook Express identities and Transfer address books between different email packages.


Uninstalling ISPs

Introduction | Internet Helpline Q&A Directory
Uninstalling ISPs

How can I uninstall an ISP?

From My Computer, open Dial-Up Networking, and select and delete the ISP icon.


Use AOL and Netscape

Introduction | Internet Helpline Q&A Directory
Use AOL and Netscape

How can I use AOL as my provider and Netscape Communicator as browser?

Establish a connection using your AOL software, then minimise it and start surfing using your Netscape browser. You can also search the AOL newsgroups (such as alt.aol) for information how to configure browsers to work with AOL.

But you can't use Netscape to start an AOL connection using Windows Dial-Up Networking software - it doesn't support dialling into AOL nodes because they use non-standard communication protocols.


Vanquish viruses

Introduction | Internet Helpline Q&A Directory
Vanquish viruses

My computer was infected by the Kakworm virus. I used antivirus software to remove it. How can I keep it from happening again?

Two things: update your antivirus software regularly (ideally once a week) and install the security patch that stops Kak and other worms like it from running. You can get this from Windows Update or from www.microsoft.com/technet/security/bulletin/ms99-032.asp. See also tip How to avoid internet worms.


View email image attachments saved as text

Introduction | Internet Helpline Q&A Directory
View email image attachments saved as text

I foolishly saved some files with their attachments into a folder on my C drive when all I wanted were the photo attachments. This means that everything is in text format and the attachments (Jpeg files) can't be read. I deleted the original emails from Outlook and I cannot get these files back into Outlook. Is it possible so I can get the attachments?

A lot depends on how you saved the messages. If you saved them as messages (with an EML file type) you should be able to open them in Outlook Express. If you only saved the message text, the attachments won't have been saved and there is nothing you can do.

If the files you saved are large, they possibly are the original messages. You can confirm this by looking at them in WordPad. If they start with a lot of headers, then the text, then a lot of gobbledygook, you have the full message. In that case, rename the file so it has an EML extension. You may need to use View, Folder Options, View tab, untick 'Hide file extensions' in Windows Explorer to show the file type before you can change it. You should then be able to open the file in Outlook Express and extract the attachment.


Web addresses in emails aren't hyperlinks

Introduction | Internet Helpline Q&A Directory
Web addresses in emails aren't hyperlinks

I sometimes receive emails containing web addresses, such as www.pcadvisor.co.uk, and I thought that if I double-clicked on this address Outlook Express would transfer it to a new window enabling me to look at the site without having to manually enter the address in Internet Explorer. Some addresses are long and intricate and it isn't easy to enter them by hand. Am I wrong or is there a way to get Outlook to do this?

Outlook should normally do this by default. My guess is that for some reason Internet Explorer is not set to be the default web browser. To correct this, open Control Panel, double-click Internet Options, select the Programs tab and place a tick in the box at the bottom that says, 'Internet Explorer should check to see if it is the default browser'. Click ok, then launch Internet Explorer. It will ask you if you want to make it the default browser. Click Yes and everything should be okay.


Web pages don't download fully

Introduction | Internet Helpline Q&A Directory
Web pages don't download fully

When I attempt to access a website, first the text and graphics start to show on the screen. Then, before the whole page has been downloaded, the Done message appears and I am left with half an image or no image in many of the designated areas. I try refreshing the screen: sometimes it works, sometimes not. Often, the 'page cannot be found' screen appears.

Also, when I log on to collect my emails it takes ages to get a response. A friend suggested that it might be the extension cable that I am using to connect the computer to the telephone socket.

It's not a problem with your computer or cabling. The most likely culprit is congestion at your ISP, or on the internet in general. What appears to be happening is that the period allowed before a connection 'times out' with no response seems to have been reduced by ISPs. If the initial attempt to access a site fails with no response, you will see the 'page not found' screen. If individual items on a page fail to download, you'll see a broken link (in the case of an image) or as much of the file as you got. If this happens during a file download you'll end up with an incomplete ZIP file or a setup program that won't install.

Our tip Find a website, anonymously demonstrates that it's possible to access a site that appears to be unreachable if you go via a different route. This suggests that congestion at some points on the internet is the root cause of the problem. Using the Tracert command (see tip Trace your route on the internet) you can prove if this is the case. All you can do about it, though, is look for a better ISP (though that won't help if the congestion is outside its network) or surf during the early hours of the morning when the web is less busy.


Wininet.dll file error message

Introduction | Internet Helpline Q&A Directory
Wininet.dll file error message

I received the following warning: 'The wininet.dll file is linked to missing export shlwapi.dll:wnsprintfw'. What does it mean? I have been unable to load three programs: Arachnophilia 4.0, Sidekick 98 and Internet Explorer 3.02. I was told that shlwapi.dll is a component installed with Internet Explorer and may have been corrupted or replaced by something I've done recently.

So far I have reinstalled Internet Explorer, deleted shlwapi.dll and reinstalled it from a backup tape, but the three programs still did not load. What should I do?

Most instances of this problem occur when shlwapi.dll is overwritten by an older version than is required by Internet Explorer, which is itself used as a component by many programs. However, in your case, you appear to still be using Internet Explorer 3.0.

Our guess is that some other program you have installed has replaced some Internet Explorer components by later ones. In that case reinstalling Internet Explorer 3.0, either from scratch or from a backup tape, is the wrong thing to do. We think you need to bite the bullet and install a current version of Internet Explorer to solve this problem.


Windows introduction

Introduction | Windows Helpline Q&A Directory
Windows
Access drives, folders and files from the Taskbar
Accessing floppy drive causes crash
Activate Windows Me's zip file support
Add programs to the System Tray
Add/restore right-click menu 'send to' options
Alternative ways to open files
Associate files with the right programs
Associate more than one program with a file type
Associate the same file type with different programs
Autorun programs on shutdown
Boot to DOS without loading Windows
Bugs in Windows 98 SE upgrade
Can't access backup files after virus infection
Can't access CD drive after virus
Can't find system monitor
Can't record with Windows
Can't uninstall printer driver
Can't use find in Windows Me
Can't view video in Media Player
CDs won't autoplay
Change Explorer's startup folder
Change the location where Windows looks for files
Change your registration details
Choose a default open folder for Windows Paint
Clean-boot Windows Me
Clear the run menu list
Clearout some fonts
Copy the Windows CD to your hard drive
Corrupt files stop Windows Me loading
Create a Windows 98 boot disk
Customise the Windows Me places bar
Defrag sticks and won't run
Defrag terminates before completion
Delete unwanted Start menu items
Display settings reset on restart
Download upgrade files without installing them
Duplicate files in system.ini
Eliminate boot menu on startup
Eliminate prompt to show files in Explorer view
Enable MS-DOS mode under Windows Me
Explain Resource Meter's settings
Exporting to Registry crashes system
Faster restarts from a shortcut
Faster shutdowns from the desktop
Faster shutdowns from the keyboard
Find a website anonymously
Find Windows' log of frequently used programs
Font fault
Free up system memory
Games graphics aren't displayed properly
Generic fix for IE error message
Get rid of corrupt downloads
Get rid of startup error messages
Get Windows to display processor information
Hard drive error code
Hard drive partitions too small
How can I print slides from my computer?
Identify programs running in the background
Install Kakworm security patch
kernel32.dll error message
 Locate multiple files with ease
Make Windows 98 display a long start menu in multiple columns
Make Windows show file extensions
Missing DLL file
Mouse pointer freezes
Network troubleshooting
No CD audio
No password required
Orphaned uninstall entry
PC randomly accesses floppy drive
Phantom error appears in Device Manager
Poor hard drive performance under Windows 2000
Power management problems in Windows Me
Print folder directories
Print screens and dialog boxes from Windows
Put the desktop on your Taskbar
Quick-start Windows 95
Read files from other operating systems
Read floppy disks without clicking drive icon
Reclaim files from Windows 98's recycle bin
Reinstall Windows from DOS
Remove all traces of a program
Remove icons from the system tray
Remove jobs from print queue
Remove the Windows bootup splash screen
Reorganise your Start menu
Restore missing files from Windows CD
Restore missing files in Windows 95
Restore missing files using System File Checker
Restore system settings from Registry
Restore the Recycle Bin to the desktop
Restore the Registry Editor
Running ScanDisk freezes PC
Set favourite music to repeat automatically
Set Windows Me keyboard to British
Shut down Windows 98 automatically
Solve Windows setup problems
Start up in DOS
Start up in Safe Mode
Stop Task Scheduler appearing at boot up
Stop windows adding 'Shortcut to' to shortcuts
Sysedit and SFC alternatives in Windows Me
System File Checker reports changes
System File Checker won't run
The 'Open with' dialog box appears at startup
Transfer existing components to a new PC
Troubleshoot print spool errors in Windows 98
Tweak UI
Tweak UI removes Start Menu options
Unassociate files with the wrong programs
Uninstall/reinstall your operating system
What do Windows' display colour options mean?
What does System File Checker do?
When not to restore files using SFC
Where are Microsoft's knowledgebase articles?
Windows 98 upgrade hassles
Windows can't find drivers
Windows hangs on shutdown
Windows help won't run
Windows shutdown problems
Windows won't go into Safe Mode


Access drives, folders and files from the Taskbar

Introduction | Windows Helpline Q&A Directory
Access drives, folders and files from the Taskbar

How can I make my Windows 98 Taskbar have a cascading menu to all drives, folders, and files?

Right-click the Taskbar and select Toolbars, New Toolbar. Double-click My Computer. Slide the end of the toolbar to make it as small as Windows will allow. It will show only the words 'My Computer' and a small double arrow. Click the double arrow and you'll get a cascading menu. Open a drive or folder by right-clicking it and selecting Open or Explore. Open a file by clicking it.


Accessing floppy drive causes crash

Introduction | Windows Helpline Q&A Directory
Accessing floppy drive causes crash

When I try to read or write to a floppy disk, Windows 95 freezes up and I have to reboot. In Device Manager, Floppy Disk Controller, Properties I am told that the 'device is working properly'. Have you any suggestions?

This shouldn't happen under Windows 95 or any of its successors. Try starting Windows in Safe Mode and see if you can access the floppy drive then. If so, it suggests that the problem is caused by a software conflict, perhaps with an antivirus program or other utility.


Activate Windows Me's zip file support

Introduction | Windows Helpline Q&A Directory
Activate Windows Me's zip file support

Windows Me's Help files say the operating system can read, write and create ZIP files, but I can't get this to work. Can you tell me how to find this feature?

Windows Me adds ZIP file support, which the operating system should have had all along. Microsoft calls the feature Compressed Folders, which people aren't likely to associate with ZIP files. It also omitted Compressed Folders from the default Windows Me installation.

If you want Windows Me to use Compressed Folders to access ZIP files, select Start, Settings, Control Panel. Double-click Add/Remove Programs, click the Windows Setup tab, scroll down the Components list and double-click System Tools. Then check Compressed Folders, click ok twice and follow the prompts.

With Compressed Folders installed, ZIP files will appear in Windows Explorer as folders with zips. You can add, move and delete the files just as with regular folders, but files launched within a compressed folder go to c:\Windows\Temp when saved. To create a ZIP file, right-click a blank spot in Windows Explorer and select New, Compressed.


Add programs to the System Tray

Introduction | Windows Helpline Q&A Directory
Add programs to the System Tray

I enjoy the convenience of the System Tray, and I have some programs I'd like to load in to that area of the Taskbar. Is there a way to do it?

If you minimise a standard application, it takes up a good chunk of space on the Taskbar and is easy to access with the Alt, Tab key combination. But if you minimise a system tray application, the only way to restore it is to double-click that tiny icon in the tray. This is an inconvenient approach for most programs, but it's handy for something that you want running but out of the way.

To make a program load into the system tray, even if it wasn't designed to go there, use Idyle Software's Tray Minimizer. You can download a trial version of this $12.50 shareware program from www.idyle.com. Tray Minimizer offers a number of ways to place a program in the tray.

You can drag a program to the Tray Minimizer icon on the desktop, or you can make 'Tray Minimize' an option when you right-click an EXE file. The best method, however, is to use the Tray Minimizer Control Center to create a special shortcut that launches your program in to the tray. When the tray-minimised program is running, it behaves normally: it's visible on the Taskbar and on the Alt, Tab list. But when you minimise it, it disappears from everywhere but the tray.

The program isn't perfect - getting it to hide Outlook 97 properly was tricky - but it worked just fine with most programs we tried. And since it's shareware, you don't have to buy it until after you've tried it.


Add/restore right-click menu 'send to' options

Introduction | Windows Helpline Q&A Directory
Add/restore right-click menu 'send to' options

I am baffled by a problem I have with Windows 98. I used to be able to right-click a file and use Send To in order to transfer files to a floppy disk. I can now only send to the desktop, Mail Recipient, My Briefcase and Web Publishing Wizard. Where has my floppy drive gone?

You must have inadvertently deleted it. The items that appear in the Send To submenu are shortcuts that live in the Windows Send To folder. If you look in that folder you'll see shortcuts for all the items that currently appear.

To reinstate 'Send to floppy drive A', just drag a shortcut from the A drive in the lefthand pane of Windows Explorer to the Windows Send To folder. You can add Send To items for other removable media in exactly the same way.


Alternative ways to open files

Introduction | Windows Helpline Q&A Directory
Alternative ways to open files

When I install a new graphics package, it immediately becomes the default program that is used to open image files when I double-click them in Explorer. How can I stop this happening?

You can't stop newly installed programs becoming the default applications, however you can add menu entries that let you choose alternative ways to open a file if you right-click on it.

To do this, start by determining the name of the type of file you want to add alternative ways of opening to. Now click on View, Folder Options in Windows Explorer, select the File Types tab, scroll down until you see that file type listed and select it. Then click on Edit. The Edit File Type dialog box will open. Click on New. In the New Action dialog box enter 'Open in (other application)' in the Action field. This will be the item that will appear on the menu. Use the Browse button to locate the application that will perform the action. Close the dialog boxes.

Go back to Explorer. Right-click on an image of the type you chose. You'll see that on the pop-up menu you have an extra option for opening the file - the one you just created - as well as the original Open action, which is the default. You can make your new option the default by going back to the Edit File Type dialog box, selecting the option and clicking on Set Default so that it appears in bold type.


Associate files with the right programs

Introduction | Windows Helpline Q&A Directory
Associate files with the right programs

I uninstalled a program but now, when I try to open certain files, I receive a message saying the program can't be found. Can I get Windows to open the file using a different application?

Hold the Shift key and right-click a file, then select Open With. Click on the program you want to open the file with (or use the Other button to locate it), checking 'Always use this program to open this type of file'. Click ok. See also the tip, Unassociate files with the wrong programs.


Associate more than one program with a file type

Introduction | Windows Helpline Q&A Directory
Associate more than one program with a file type

I sometimes want to open a file in two separate programs - is there any way I can do this more quickly than using the right-click menu's Open With option every time?

Yes, Windows also allows you to associate more than one program with a file type so you can choose to open a file in any of several applications when you launch it. In Windows Explorer, select View, Folder Options (or View, Options). Click the File Types tab, select the appropriate file type from the list ('Jpeg Image' in this example), and then click the Edit button.

In the Edit File Type dialog box, click the New button. Follow the instructions given above for entering data into the New Action dialog box, and click ok. Back in the Edit File Type box, you'll see two actions listed. The one in bold is the default action. To change the default, select your choice and click Set Default. Click ok twice when you're done. From now on, double-clicking a Jpeg file will launch it in your default program. Right-clicking the file will let you choose from all the available options.

You can also use the SendTo folder to open one file in different applications. Put shortcuts to alternate programs into your c:\Windows\SendTo folder (copy them from the Start menu). The file will still load with the application associated with its file type when you double-click it, but now you can right-click it and select Send To to open it with some other program. See also tip Associate the same file type with different programs.


Associate the same file type with different programs

Introduction | Windows Helpline Q&A Directory
Associate the same file type with different programs

I'd like to associate some of my Jpeg files with Photoshop and others with Internet Explorer. Can I associate files of the same type with different programs?

By default, Windows associates all files of a specific type with a single application, but you can associate a single file with a particular program. Windows uses file extensions - the three characters of the filename to the right of the full stop - to associate a file type with a program. To see extensions in Windows Explorer, select View, Folder Options (or View, Options). Click the View tab, and uncheck 'Hide file extensions for the known file types'.

To give a file a unique association, you first need to give it a unique extension and then associate a program with it. Changing the name is easy. With the extensions showing in Windows Explorer, click on the file and press F2. Selecting either the left or the right arrow key, make sure the filename isn't highlighted, and change the text after the full stop. For instance, if you want your 'this.jpg' file to come up in Photoshop, you might call it 'this.psj'. After you hit Enter, click Yes.

To set up the new association, select View, Folder Options (or View, Options). Click the File Types tab, and select 'New type'. For 'Description of type', enter something comprehensible such as Photoshop jpeg. For 'Associated Extension', enter the extension you gave the file - PSJ. Don't worry about the Content Type field.

Click the New button below the Actions box to bring up the New Action dialog box. In the Action field, enter something descriptive, such as Photoshop. In the 'Application used to perform action' field, enter the name of the path to the program file. Better yet, click the Browse button, navigate to the program's folder and double-click the appropriate program file. Click ok, Close, and Close again. That file, and any others you give the PSJ extension to, will now open in Photoshop. See also tip Associate more than one program with a file type.


Autorun programs on shutdown

Introduction | Windows Helpline Q&A Directory
Autorun programs on shutdown

Can you tell me if there is a way to run certain applications automatically when I close Windows?

What better time to scan defrag, and back up your hard drive than when you're shutting down at the end of the day? Unfortunately, Windows doesn't provide a way to do this, so you'll have to go with third-party software.

We recommend Kill Win, a little program by BK Soft that lets you set up an icon to run one or more programs, then shut down Windows. There are two current versions of the program - one free and one shareware - and both are available at www.borgking.de/bk-soft. (Both also require the Visual Basic 6.0 runtime. For further information on this, go to http://support.microsoft.com/support/vbasic/runtime.asp.

You can use either version to automatically run other programs before closing Windows, but to do so with the free Kill Win 2.1.6 you'll have to create a batch file. Select Start, Programs, Accessories, Notepad. Assuming you've installed Kill Win in the C:\KillWin folder, enter the text c:\killwin\killwin /w. Press Enter.

On the next line, type start /w, followed by the command to run a program. For instance, if you want to scan your hard drive, type start /w scandskw c: /n. The 'start /w' will make the batch file wait before it goes on to the next command. Press Enter to go to the next line. If you want to run more than one program, type each command on its own line, prefaced with start /w. Finally, type c:\killwin\killwin /s on the last line to exit Windows.

Save the file with the extension .bat, as in Close Windows.bat, and place it somewhere convenient, such as on your Start menu. When you want to shut down Windows, select Start, Close Windows rather than the usual Start, Shut down. When you run this batch file, you'll get an error message telling you that it can't close the DOS window while it's running the batch file. Don't worry about it.

The $15 Kill Win Pro makes running other programs before shutdown easier. Once you have installed and launched Kill Win Pro, select the Settings tab. On the Various things tab, check 'Execute another program before the execution of an action'. Directly below, select 'Until this app has closed, then execution'.

For 'Location of the app', enter the command to launch the application you want to run before shutting down Windows. For the default action, select Shut down Windows. Finally, click ok.

Now, to run your program and exit Windows, launch Kill Win Pro from the Start menu, then double-click its system tray icon. Or you can simply double-click the Kill Win Pro icon on your desktop. This shortcut, unlike the one in the Start menu, automatically runs Kill Win Pro's default action.


Boot to DOS without loading Windows

Introduction | Windows Helpline Q&A Directory
Boot to DOS without loading Windows

I run Windows 95b on a computer with two hard disks, the larger of which is 20GB. If I boot from any bootable floppy disk to the A drive prompt, DOS cannot recognise my hard disks, presumably because it doesn't support FAT32 partitions. If I go to the Windows Start menu and boot to the C drive prompt, my hard disks are recognised. Can I copy files from my C drive to a floppy? This would enable me to boot to DOS without loading Windows.

We can only assume that your bootable floppies were formatted using an older version of DOS than the one Windows 95b uses. If your floppy disks were formatted from your current version of Windows, they will contain the same version of DOS as Windows uses. Accessing FAT32 partitions therefore won't be a problem.

You have two options - create a startup disk using Add/Remove Programs in Control Panel. Alternatively, insert a floppy disk, right-click the A drive and select Format. Remember to ensure that 'Copy system files' is selected under Other options. See also tip, Enable MS-DOS mode under Windows Me.


Bugs in Windows 98 SE upgrade

Introduction | Windows Helpline Q&A Directory
Bugs in Windows 98 SE upgrade

I recently decided to install the Windows 98 SE upgrade to try to stop the frequent crashes I was experiencing with Windows 98. However, after the upgrade, I find that when I shut down the system restarts itself.

In order to shut the machine down completely I have to restart in DOS and then switch off. I have tried to reinstall the upgrade but there's absolutely no improvement. I hope you can help solve this problem or it will be back to crash-happy Windows 98.

This appears to be a well-known problem with Windows 98 SE, although it was probably triggered by something in the Windows 98 system that you upgraded. A clean install (after formatting the hard disk) would probably solve it. However, if you don't want to do that there are a couple of other things you could try.

Firstly, you could disable fast shutdown. You do this by clicking Start, Run. Type Msconfig, then hit Enter. Click Advanced on the General tab of the System Configuration Utility. Finally, on the Advanced Troubleshooting Settings dialog box, you need to check the box captioned 'Disable fast shutdown'.

The other possibility is to install Microsoft's attempted fix for the problem - the Windows 98 Second Edition Shutdown Supplement. You can obtain this using Windows Update, or alternatively visit www.microsoft.com/windows98/downloads/corporate.asp.


Can't access backup files after virus infection

Introduction | Windows Helpline Q&A Directory
Can't access backup files after virus infection

My PC has Windows 98 and two hard drives (one of which is for backups). After being infected by a virus, the Registry has become corrupted and I am unable to access Windows. To try to save data on the main drive I copied files and directories (using DOS) over to the backup drive. The main drive was then reformatted and the operating system was reinstalled. The problem I now have is accessing the files I backed up, which do not appear as folders in Windows but as files with a Windows icon. These icons do not open when double-clicked. How can I access this important information?

Without being able to inspect these files for ourselves, it isn't possible to give you any definite advice. One possibility is that you have failed to install, on to your freshly-installed copy of Windows, the application you usually use to open these files. But if, as you appear to be saying, the files you cannot open are supposedly folders, it would appear that something went wrong when you were copying them to the backup drive using DOS.

It is also possible that the files are directories which, for some reason, don't have the directory attribute. This needs to be fixed using a disk utility like Norton DiskEdit - there's no way to do it using standard Windows tools.

We can only suggest seeing whether you can access these backed-up folders from DOS. If you can, try copying the saved files back to the main hard drive using DOS commands. The lesson for the future is that you should always check you can read your backup files before deleting the originals. See also tip Can't access CD drive after virus.


Can't access CD drive after virus

Introduction | Windows Helpline Q&A Directory
Can't access CD drive after virus

I had a virus on my laptop last week and consequently had to format the C drive. The trouble is that I now can't access the CD-ROM drive to reinstall Windows. Can you help?

The laptop manufacturer should have provided a boot disk with the Windows CD-ROM, which you can boot from in order to begin the setup process. Alternatively you could boot from the emergency startup disk that you created from Windows. If you are running Windows 98 or later this will contain a CD-ROM driver. If you have neither a Windows boot disk nor one you've created yourself, try using an emergency startup disk created on another computer running the same version of Windows. See tip Can't access backup files after virus infection.


Can't find system monitor

Introduction | Windows Helpline Q&A Directory
Can't find system monitor

My computer runs Windows 98 SE and System Monitor does not seem to be included in System Tools. I have looked in Add/Remove Programs, and I have drawn a blank there too. How I can access System Monitor?

Unless you have a very strange copy of Windows 98 SE it should be possible to install System Monitor. After opening Add/Remove Programs, select the Windows Setup tab. Scroll down the list of components until you see System Tools, select it and then click the Details button.

This will bring up a further dialog box from which you can choose the system tools to add or remove. Check the box beside System Monitor, close the dialog boxes by clicking ok, and Windows will install the monitor on your system.


Can't record with Windows

Introduction | Windows Helpline Q&A Directory
Can't record with Windows

I am trying to record my voice using a microphone plugged into my sound card. All I get is my voice coming through the internal computer speaker and not recording. I do have the microphone plugged into the correct socket.

I think the Windows mixer panel probably deserves an award for bad user interface design, judging by the number of questions we get about it. When you select Open Volume Controls from the taskbar icon it is the playback (or Master Out) controls that appear. These controls only affect what is played through the speaker.

To adjust the recording levels you have to click on Options, Properties and then select Adjust volume for Recording. You will then see a different (but very similar looking) set of controls that determine the recording level. It's best to mute the inputs you aren't using to stop extraneous noises being recorded along with your voice.


Can't uninstall printer driver

Introduction | Windows Helpline Q&A Directory
Can't uninstall printer driver

I installed the driver for a Brother HL-1040 printer. I then removed it by selecting the printer in the printer folder and hitting the Delete key. When I next started the PC it halted the startup half-way through with a message that said: 'The Registry or system.ini file refers to file bi-di.386 but it no longer exists - uninstall the associated application and use its uninstall or setup program'.

Reinstalling the HL-1040 driver got rid of the problem, but there is no uninstall facility as far as I can tell. On deleting the driver again, the problem has reappeared. I have never tried to mess with the Registry. Should I try to find the file there and delete it?

You are wise not to mess with the Registry. A redundant printer driver won't do any harm to your computer; tinkering with the Registry could do. If you're determined to remove it, use Scanreg to back up the Registry before you start (see tip, Back up the Registry), and be sure that you know how to restore from the backup should it be necessary.

Try looking in system.ini first, because most likely this file is being loaded from there. Click Start, Run, type Sysedit and click ok. Then search for bi-di.386. If you find a line containing this string, delete it and save the changes.

To look for it in the Registry, launch the Registry Editor (Start, Run, Regedit) and then expand the following folders: Hkey_Local_Machine, System, CurrentControlSet, Services and VxD.

Look in the subfolders of VxD for an entry that references bi-di.386 - it will probably be in a value named StaticVxD. When you find the subfolder that contains this value, delete it.


Can't use find in Windows Me

Introduction | Windows Helpline Q&A Directory
Can't use find in Windows Me

In Windows Me, when I click Start, Search, Files and Folders, the window opens exactly as in the tutorial. However, if I then instruct it to look for a known file in a known location, nothing happens.

We think this may be a Tweak UI-related problem. Launch Tweak UI, select the Desktop tab and make sure that the Search Results checkbox is checked. If you do not have Tweak UI, you can download it from Microsoft's site at www.microsoft.com/ntworkstation/downloads/powertoys/networking/nttweakui.asp.


Can't view video in Media Player

Introduction | Windows Helpline Q&A Directory
Can't view video in Media Player

I have been sent some email attachments, which are videos in AVI format. I can only play the sound using Media Player, and constantly get the error message 'Unable to find the decompressor'.

I thought I might upgrade Media Player, but I'm not sure if this would solve the problem or how to go about it. Can you help?

Upgrading might solve your predicament, but it may not be necessary. The problem is much more likely to be that video decompression is missing from your system. However, installing this feature is a straightforward procedure.

Simply open Control Panel, click on the Windows Setup tab and select Multimedia from the list of components. Click the Details button then scroll down the list and simply check the box beside Video Compression. Click ok to close the dialog boxes. Windows will ask for the CD and install the missing components.


CDs won't autoplay

Introduction | Windows Helpline Q&A Directory
CDs won't autoplay

CDs no longer start automatically when I load them.

In Control Panel, System, Device Manager, select the CD drive entry and click Properties. Select the Settings tab and ensure Auto insert notification is selected. Using Registry Editor, open Hkey_Current_User\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer and ensure the value NoDriveTypeAutoRun is 95 00 00 00. Before you attempt to edit the Registry see tip Back up the Registry.

If audio CDs don't play, open Windows Explorer and click View, Folder Options. Select the File Types tab, AudioCD type, click Edit and ensure the Play action is shown in bold. (If not, select it and click Set Default.)


Change Explorer's startup folder

Introduction | Windows Helpline Q&A Directory
Change Explorer's startup folder

I wish that whenever I started Windows Explorer, it came up showing a different folder than the C root folder. Is this possible?

Yes, you can actually make it start up showing any folder you want. First, right-click the shortcut you use to start Windows Explorer (in Start, Programs or on the QuickLaunch panel) and select Properties. In the Target field it will probably say something like:

c:\Windows\Explorer.exe /n,/e,c:\

Change 'c:\' (the path of the C root folder) to the path of the folder you want to be shown at startup. If the name has spaces in it (for example, 'c:\My Documents') it will be necessary to enclose the whole path in quotes. Then click ok.

And that's it. Next time you launch Explorer, it should start up showing the folder you have chosen.


Change the location where Windows looks for files

Introduction | Windows Helpline Q&A Directory
Change the location where Windows looks for files

Windows recently corrupted, so I had to reformat my hard drive and reinstall it. I booted up from a floppy that identified the CD drive as the E drive. I subsequently changed this to D, but whenever Windows searches for a file it still looks for E. How can I make it look for the D drive?

If you haven't yet installed any CD-based programs it would be easier to change the CD drive back to E. There's no law that says a CD drive has to be D, and if you should decide to install a second hard disk it will insist on taking the letter D for itself anyway.

However, you can change the location where Windows looks for its files using the Registry Editor. Launch the Registry Editor and then open these Registry folders in turn: Hkey_Local_Machine, Software, Microsoft, Windows, CurrentVersion, Setup. Select the Setup folder then, in the righthand pane, double-click the item named Source Path. You can then change the path from E to D. Before you edit the Registry see tip Back up the Registry.


Change your registration details

Introduction | Windows Helpline Q&A Directory
Change your registration details

When I installed Windows, I mistyped my name during setup. Since then I have also changed my company name. Whenever I install and register a new program the wrong names now come up. How can I correct this?

This problem is easily fixed. Simply run the Registry Editor. This is done by clicking Start, Run, Regedit and click on Edit, Find.

Type 'RegisteredOwner' (all one word) into the Find what box. Ensure only Values is checked in the Look at panel, and click ok. This should locate the data concerned in the Hkey_local_machine\Software\Microsoft\Windows\CurrentVersion folder.

The name and company name are actually stored in two separate values: RegisteredOwner and Registered Organization. Double-click the value you want to change, edit its contents and click ok to save the changes.

If you don't want to try editing the Registry then Magenta Systems (www.magsys.co.uk) has a free utility you can download which will also do it. It goes by the name of Update Windows Registration Details. If you do want to edit the Registry see tip Back up the Registry first.


Choose a default open folder for Windows Paint

Introduction | Windows Helpline Q&A Directory
Choose a default open folder for Windows Paint

When I open a file in Windows' Paint program, the Open window always defaults to the My Documents folder. Since my images are stored in subdirectories under the My Pictures folder, can I get Windows' Paint to always default to that folder when I want to open a picture?

As far as we know, no. Opening My Documents by default was an 'innovation' introduced by Microsoft in Windows 98, which can be quite infuriating. Before then, a program would open by default in the current folder. This was usually the folder where the program was kept, but this could be modified by specifying a different 'Start in' folder in the shortcut used to launch the program. You can see why Microsoft made the change - many users ended up saving files in the program folder - but they could have made the option more customisable.

Some programs, like Paint Shop Pro, remember the last folder you opened or saved a file in and always use that by default. Others, like Microsoft Office, let you specify which folder to use through Tools, Options. The simple Paint program does neither, unfortunately, so we're afraid you're stuck with the My Documents default.


Clean-boot Windows Me

Introduction | Windows Helpline Q&A Directory
Clean-boot Windows Me

I want to perform a clean boot of Windows Me - in other words, start the operating system without any unnecessary software running - so that I can troubleshoot and run tools like ScanDisk and Disk Defragmenter. Can you tell me how to do it?

Click Start, Run, type Msconfig in the box and click ok. In the System Configuration Utility window, select 'Selective startup'. Clear the checkboxes from all the options below 'Selective startup'. Select the Startup folder tab and click to select '*StateMgr'. Click ok to close the System Configuration Utility and answer Yes when you are asked to restart your computer. A clean boot will then take place.

To return from a clean-boot state, start the System Configuration Utility again and this time select 'Normal startup'. Click ok to close the utility and answer Yes when asked to restart the computer. Normal functionality will then be restored.


Clear the run menu list

Introduction | Windows Helpline Q&A Directory
Clear the run menu list

I've noticed that the Run box in the Start menu has a drop-down list containing the commands you've used most recently. I don't want anyone accidentally running these commands again; is there a way to clear programs from this list?

Yes, but doing this involves editing the Registry, so we advise you to back up the Registry before you begin, so you'll be safe in the unlikely event that anything goes wrong during the procedure. See tip, Back up the Registry.

First start the Registry Editor, then expand the Registry folders: Hkey_Current_User, Software, Microsoft, Windows, CurrentVersion, Explorer, RunMRU (most recently used). Select the RunMRU folder, then delete all the values in the righthand window pane except Default. Close the Registry Editor, then restart Windows (or log out and log in again) for it to take effect.

You'll see that the MRU list of commands is stored in a set of values named 'a' to 'z'. Another value named MRUList contains a set of letters corresponding to these values, ranked in the order they appear in the drop-down list.

Once you understand this, you can see how it's possible to remove individual items from the list. Delete the value containing the item you want to remove, then double-click the MRUList value (to edit it) and delete the letter that was the name of the value you just deleted. As before, you must restart Windows or log out and log back in again to let the change take effect. If you use the Run menu before you log out or restart, the old values get written back to the Registry and your changes will be undone.


Clearout some fonts

Introduction | Windows Helpline Q&A Directory
Clearout some fonts

There are too many fonts on my system. Which can I delete?

There's no way to tell what program uses any given font. However, if a font file has the same date and time stamp as Windows files like notepad.exe, or displays Copyright Microsoft Corporation when you double-click it, it's probably a system font and shouldn't be detected.

For the major releases of Windows 95 and 98 these dates are as follows:

Windows 95 version 1 build 4.00.950: 11/07/1995;
Windows 95 OSR 1 build 4.00.950A: 11/07/1995;
Windows 95 OSR 2 build 4.00.1111 (4.00.950B): 24/08/1996;
Windows 95 OSR 2.1 build 4.03.1212-1214 (4.00.950B): 24/08/1996 - 27.08/1997;
Windows 95 OEM Service Release 2.5 build 4.03.1214 (4.00.950C): 24/08/1996 - 18/11/1997;
Windows 98 build 4.10.1998: 11/05/1998;
Windows 98 Second Edition, build 4.10.2222A: 23/04/1999;
Windows Me: 8/06/2000.

However, regardless of their date stamps, never delete or remove any of the standard fonts that come with Windows: Arial, Courier, Courier New, MS Serif, MS Sans Serif, Marlett, Small Fonts, Symbol, Tahoma, Times New Roman, Verdana, Webdings and Wingdings.


Copy the Windows CD to your hard drive

Introduction | Windows Helpline Q&A Directory
Copy the Windows CD to your hard drive

I've copied my Windows CD-ROM's \Win98 folder on to my hard drive so I don't have to use the CD-ROM when installing drivers or accessories. When I do something that would normally require the CD-ROM, Windows gives me an error message and I have to show it where the files are. Is there a way to teach Windows where to look for its installation files?

You don't have to use the Windows 9x CD-ROM every time you add or remove a Windows component. Copy your \Win98 (or \Win95) folder to your hard drive so that Windows can find the files there. However, you'll find Windows still looks for the CD-ROM when it needs one of the files and gives an error message when it can't find it. Getting Windows to look for its installation files in the right place involves editing the Registry. Back up the Registry before you touch it, see tip Back up the Registry.

Once your Registry is backed up, select Start, Run, enter the command Regedit, and press Enter. Navigate the left pane of the Registry Editor as if it were Windows Explorer until you get to My Computer\Hkey_Local_Machine\Software\Microsoft\Windows\CurrentVersion\Setup. In the right pane, double-click SourcePath, enter the appropriate path (for instance, C:\Win98) into the dialog box, and press Enter. Close the Registry Editor. Windows will now look for its files on your hard drive.


Corrupt files stop Windows Me loading

Introduction | Windows Helpline Q&A Directory
Corrupt files stop Windows Me loading

When I try to start Windows Me I receive an error that says: 'While initialising device IOS. Error: An I/O subsystem driver failed to load. Either a file in the .\iosubsys subdirectory is corrupt or the system is low on memory. System halted'. I reinstalled Windows Me, but I still get the error. How can I get past this?

Either something is very wrong with your computer and important files are corrupt (or appear to be corrupt when they are read) or there is not enough memory. Windows Me requires at least 32MB of memory. You can check that all of your system's memory is being recognised by right-clicking My Computer and selecting Properties.

This problem can also occur if you have used the Advanced option of the System Configuration Utility (Msconfig) to limit the amount of memory available to Windows to a value less than 32MB. This option should only be used when trying to troubleshoot suspected faulty memory.

To overcome the problem, hold down the Ctrl key while Windows boots. This should get you into Windows in Safe Mode. You can then run Msconfig, click the Advanced button and clear the 'Limit memory' checkbox.


Create a Windows 98 boot disk

Introduction | Windows Helpline Q&A Directory
Create a Windows 98 boot disk

I am currently running Windows NT Workstation. I would like to install Windows 98 SE back on to my system, but I have damaged the floppy setup disk. Can I make a copy of this from the Windows 98 CD?

Not exactly, but the CD does provide a way of creating a boot disk that you can use. Insert a blank floppy disk in your A drive and run the program fat32ebd.exe from the Tools\Mtsutil\Fat32ebd folder on the CD. This will create a boot disk complete with CD-ROM drivers. You can then use this to boot the system and run Setup on the Windows 98 CD.


Customise the Windows Me places bar

Introduction | Windows Helpline Q&A Directory
Customise the Windows Me places bar

Can I customise the Windows Me Places Bar?

Microsoft's Tweak UI freeware lets you customise the Places Bar. You'll need to have version 1.33, which can be downloaded from www.microsoft.com/ntworkstation/downloads/powertoys/networking/nttweakui.asp.

Select Start, Settings, Control Panel and double-click Tweak UI (in Windows Me, you may have to click view all Control Panel options first). If your Tweak UI dialog box does not include three rows of tabs, it's not version 1.33.

To change the Places Bar, first click the Open tab. You'll see a combination box for every icon that the bar contains. You can replace an icon either by selecting another choice from the pull-down menu (these are the Microsoft-approved choices) or by typing in the path to any drive or folder. A browse button would have been useful, but none is included. Click ok once you've made your change.


Defrag sticks and won't run

Introduction | Windows Helpline Q&A Directory
Defrag sticks and won't run

I'm running Windows Me and am unable to use its Disk Defragmenter tool. I select Defrag, click on the C drive, then hit the Start button. The defrag window appears to work, as the defrag illustration shows files flying through the air. But the progress bar constantly sticks at zero percent.

I once let it run for 19 hours, just to see if it was incredibly slow, but it still showed zero percent complete. I've gone through my computer but can't find anything wrong. Can you help?

The disk maintenance tools supplied with Windows are very poor, particularly when faced with the large C drives found on most machines. If you must defragment your disks regularly, and complete the task in a reasonable length of time, it will help considerably to split your hard disk into several logical drives of, say, 2GB each. However, this shouldn't be necessary.

The values shown in the progress bar give you a clue as to what's going on. Zero to four percent shows that Windows is running ScanDisk in the background to check that the disk is okay before it starts. From five to nine percent, Windows builds a 'road map' of the best locations to put things on the disk. Above this percentage, the actual defragmentation is taking place.

In your case, it would seem that ScanDisk is the sticking point, so try running a manual ScanDisk to see if you can find out what's going wrong.

To help ScanDisk and Defragmenter tasks to complete quickly, clean boot Windows (see tip, Clean boot windows Me) before you start. See also tip Defrag terminates before completion.


Defrag terminates before completion

Introduction | Windows Helpline Q&A Directory
Defrag terminates before completion

When I try to defragment my hard disk, I receive a message saying that, due to excessive activity, the defrag was terminated. How can I defrag?

The problem, put simply, is that to rearrange the contents of your disk into the most efficient order, Disk Defragmenter needs to know where everything is. If another program writes to disk while defragmentation is taking place, the defragmenter has to check the whole disk to see what has changed.

This wouldn't be a problem if Defragmenter ran under MS-DOS. It is annoying though because, under DOS, only one program can run at a time.

The way to make Defragmenter run to completion is to ensure that no other programs are running that can write to the hard disk. This can usually be achieved simply by closing all applications, disabling as many of the utilities as possible that appear in the system tray and turning off the screensaver.

If that doesn't work, try running the defragmenter in Safe Mode. To run Windows 98 or Me in Safe Mode, restart the computer and keep the Ctrl key pressed down until the StartUp menu appears. Choose Safe Mode from the menu and press Enter. See also tip Defrag sticks and won't run.


Delete unwanted Start menu items

Introduction | Windows Helpline Q&A Directory
Delete unwanted Start menu items

To speed up my computer, I deleted various unused programs and utilities but I now have various deleted items on my Start menu. How do I get rid of them? I am using Windows 95.

In Windows 98 and later versions you can just right-click unwanted Start menu items and select Delete to remove them. The Start menu is just a representation of the folders and shortcuts that are held in the folder c:\Windows\Start Menu. To remove unwanted items under Windows 95 you must delete the corresponding folders or shortcuts from c:\Windows\Start Menu\Programs.


Display settings reset on restart

Introduction | Windows Helpline Q&A Directory
Display settings reset on restart

When I try to change my computer's display settings from 16 colours to 256, I press the apply button and the computer seems to accept it. However, when I restart the computer in order to implement the changes the settings always return to 16 colours. Some programs will not run at all while others obviously don't look right. What should I do?

It sounds as if Windows is using a default display driver instead of one written for your display card. Use the Add New Hardware wizard in Control Panel to install a driver that matches the name of your computer's display card.

If there is no such driver on the Windows CD or on disks that came with your computer, you will have to download a driver from the display card manufacturer's website.


Download upgrade files without installing them

Introduction | Windows Helpline Q&A Directory
Download upgrade files without installing them

The Windows Update web page provides automatic downloads, but it then instantly installs the upgrades you choose. There are times when I find this inconvenient, and wondered if there a way to download the Windows 98 Update files, but install them later.

Microsoft designed its Windows 98 Update page - which you can access by selecting Start, Windows Update - for novice users. Unfortunately, this makes it more difficult for the rest of us.

Luckily, Microsoft has provided other web pages where you can download the updates. These pages aren't as user-friendly as the default Windows Update page - for instance, they can't filter out the updates you already have - but they let you download the files without having to install them immediately.

For a wizard-like search tool that will help you find the particular updates you need, go to http://corporate.windowsupdate.microsoft.com. Among the site's features is the ability to create search profiles for updates based on operating system, component, type and manufacturer.

The site also allows you to search by date, title, operating system, manufacturer and type, as well as by language. You can also search by a specific term and set the maximum number of results to be displayed.

If you are simply after a list of downloadable upgrades, you should point your browser to www.microsoft.com/windows98/downloads/corporate.asp. There, you'll find upgrades categorised as 'critical', 'recommended', 'multimedia' and 'previews'. What you won't find is the option to install the update later.


Duplicate files in system.ini

Introduction | Windows Helpline Q&A Directory
Duplicate files in system.ini

After running Norton Ghost, every time I switch on I get the following error message during startup: 'A device has been specified more than once in the system.ini file, or a device specified in the system.ini file conflicts with a device being loaded by a MS-DOS device driver or application or a device loaded from the Registry file. Remove the duplicate device from the system.ini file and restart Windows. Duplicated device: vcd'. Could you tell me what the vcd device is and where I should look for it?

This error message is quite detailed and straightforward. To remove the device vcd from system.ini, start the System Configuration Editor. Do this by clicking Start, Run. Type sysedit and hit Enter. When the editor starts, select the window displaying system.ini. Scroll down the file until you find the section [386Enh]. You need to look for a line that says 'device=*vcd'. Once you've found this line, turn it into a harmless comment by inserting the command 'rem' in front of it. Now save the changes and restart Windows. If the advice you received in the error message is correct, this should solve your problem.


Eliminate boot menu on startup

Introduction | Windows Helpline Q&A Directory
Eliminate boot menu on startup

When I turn on my PC I always get the Windows 98 bootup menu. If I select option one (normal), the computer starts up in the usual way. What might I have done to cause this change in the way it starts up? Can I restore the startup routine to normal?

Do you have Tweak UI installed in your Control Panel, or have you been playing with a similar tool in a utility package? These tools have an option that lets you choose to have the boot menu displayed each startup. If you have Tweak UI, start it, select the Boot tab, clear the 'Always show boot menu' option in the Boot Menu panel, then click ok. You can download Tweak UI from PC Advisor's Download Directory.

To clear this option without using Tweak UI requires you to carry out a potentially dangerous procedure that, if done incorrectly, could stop your system from booting altogether.

Remember to take a backup first, then open a command prompt and execute the following commands:

attrib -s -h -r msdos.sys
notepad msdos.sys

When Notepad opens, look for two lines beginning 'BootMenu' and 'BootMenu Delay' in the file (they will probably be at the end) and delete them. Save the file and close Notepad. Then execute the command:

attrib +s +h +r msdos.sys

Close the command prompt and restart the computer.


Eliminate prompt to show files in Explorer view

Introduction | Windows Helpline Q&A Directory
Eliminate prompt to show files in Explorer view

I'm irritated by the warning text that appears when I try to open the Windows folder in Windows Explorer - the one that forces me to click Show Files before I can do anything. How can I make Windows just show me the files?

When you select the Windows or Windows\System folder in Windows 98's Explorer you expect to see a list of the folder's files and subfolders, but instead Explorer may warn you that you shouldn't be there. (We'll discuss Windows Me later.) You then have to click Show Files to get where you want to go.

Worse yet, even after you've clicked Show Files, you continue to get the same stupid warning every single time you return to the folder. Luckily, this warning comes up only if you view the folder as a web page. So the next time you get the warning, instead of clicking Show Files, select View and uncheck as Web Page. Thereafter, Explorer won't display that particular folder as a web page, and you won't get the warning.

But what if you want to see the folder as a web page? Go to the folder in question (either c:\Windows or c:\Windows\System), and select View, Customize this Folder. On the first page of the resulting wizard, select Remove customization, click Next twice and then click Finish. From now on, that folder will display as a web page without problems.

In one sense, Windows Me is worse. Besides getting warnings when you go to c:\Windows and c:\Windows\System, you can't select c:\ or c:\Program Files without being warned.

Luckily, Windows Me is a lot smarter about shutting up. Once you've clicked Show Me for a particular folder, Windows Me will remember that you consider yourself mature enough to handle its contents.


Enable MS-DOS mode under Windows Me

Introduction | Windows Helpline Q&A Directory
Enable MS-DOS mode under Windows Me

Microsoft removed the ability to restart or boot in MS-DOS mode from Windows Me - something I find a nuisance because I have some programs and utilities that need to run from real MS-DOS and not from an MS-DOS window. Is there any way to enable MS-DOS?

Fear not. Because Windows Me is based on Windows 95/98, it still contains all program code needed to run MS-DOS. The bad news is that Microsoft has removed the ability to boot to DOS in a way that can't be re-enabled with a simple configuration file tweak. Restoring the ability to boot to MS-DOS requires you to make modifications to some important system files.

The easiest and safest way to run MS-DOS is to make an Emergency Boot Disk using Control Panel, Add/Remove programs, and boot from that whenever you need it.

If you want to be able to boot DOS from your hard disk, you still need to make an Emergency Boot Disk, since the fix that enables you to boot to DOS uses files that are only installed on your system when you create one. The Emergency Disk will also enable you to recover your system if something goes wrong after carrying out the following modification.

First, create a temporary folder. Then copy the files c:\Windows\Command.com, c:\Windows\System\Regenv32.exe and c:\Windows\Command\ebd\io.sys. Right-click each of the copied files in Explorer, select Properties and clear the hidden, system and read-only attributes, if set. You are going to modify these files and then replace the originals with them, so we would also recommend making a backup copy of these three files on a floppy disk.

In the temporary folder you have just created, run a patch file called Winmedos.com. This handy package can be downloaded from www.geocities.com/mfd4life_2000/. This program modifies the three files in that folder, enabling the ability to boot to DOS.

Once the program has finished, copy the modified io.sys to c:\, Command.com to both c:\ and c:\Windows, and regenv32.exe to c:\Windows\System. To restore your PC to its original state, boot from a startup disk and copy the unmodified backups of the three files to these locations.

Finally, edit or create a new file in c:\ called config.sys and add to it the line Device=c:\Windows\Ifshlp.sys. And unless you want to start Windows Me by typing win at a command prompt each time, edit or create a new file in c:\ called autoexec.bat and append to it the line c:\Windows\Win.com.

Alternatively you can use a startup menu such as the one included in the package mentioned above.


Explain Resource Meter's settings

Introduction | Windows Helpline Q&A Directory
Explain Resource Meter's settings

What do the terms System, User and GDI mean in the System Resource Meter?

They are three classes of memory object, which Windows 95, 98 and Me keep track of using fixed-size tables. The percentages show the amount of space free in each table. When you're told Windows is out of memory, it's usually just one of these tables that is full.

Windows 2000 and XP don't used fixed tables for memory management, so they can use all the RAM in modern PCs much more efficiently.


Exporting to Registry crashes system

Introduction | Windows Helpline Q&A Directory
Exporting to Registry crashes system

I have had a problem with the Registry Editor in Windows 95. Every time I try to export the Registry, it crashes and Crash Protector pops up on screen. I have tried saving selected branches and this seems to work okay, but the Hkey_Local_Machine branch hangs on Regedit. Any ideas?

We would guess that you have a corrupt or unusually long key value in the Hkey_Local_Machine branch of the Registry. If that is the case, we suspect that trying to export the Registry using the MS-DOS Registry Editor with the command 'Regedit /e filename.reg Hkey_Local_Machine' will also fail, although it's worth trying. (Note: this command must be run from MS-DOS, not a Windows command prompt.)

Some utility packages contain Registry fixing tools, which may solve the problem. The only alternative we can think of is to run ScanReg, which is a standard tool with later versions of Windows 95 and Windows 98. If you don't have a copy it may be possible to find one on Microsoft's website, but it's probably easier to get a copy from a system running Windows 98.

You need three files: scanreg.exe in \Windows\Command, and scanregw.exe and scanreg.ini in \Windows. ScanReg checks the Registry and also makes a daily backup of it, so it should run at every startup (which it normally does under Windows 98.)

Otherwise, you could try exporting subkeys of Hkey_Local_Machine until you have homed in on the one that is causing the problem. What you do then, of course, will depend on what you find.


Faster restarts from a shortcut

Introduction | Windows Helpline Q&A Directory
Faster restarts from a shortcut

Is there a command or shortcut that would enable me to reboot with a single click, rather than having to go to Windows Shutdown menu?

Yes there is. First, right-click the desktop and select New, Shortcut. In the Target field type:

C:\WINDOWS\Runonce.exe -q

This command restarts the computer after a 15-second delay. If Windows complains it can't find that file, click the Browse button and locate Runonce.exe manually. Some users may find it in the \Windows\System folder. Some more advanced possibilities are available using the command:

Rundll32.exe Shell32.dll,SHExit
WindowsEx n

Please note that this should all be on one line and the only spaces should be between exe and Shell, and Ex and n. The case of SHExitWindowsEx must be copied exactly. The value n is one of the following, or the sum of two or more:

0 = log off. Shuts down all running processes, then logs the user off.
1 = shutdown. Shuts down Windows to the point where it is safe to turn power off.
2 = reboot. Shuts down Windows and reboots the computer.
4 = avoid shutdown dialog box. When added to one of the other values, does not query running applications to see if it is safe to shut down. This avoids shutdown stalling because of an 'okay to close?' query message, but be warned that it may result in lost data.
8 = power off. Shuts down Windows and turns off the power. The computer must support the power off feature.

See also tips Faster shutdowns from the desktop and Faster shutdowns from the keyboard.


Faster shutdowns from the desktop

Introduction | Windows Helpline Q&A Directory
Faster shutdowns from the desktop

Is it possible to create a shutdown shortcut icon on the desktop that allows you to shut the PC down by clicking it?

Yes it is. Here's what to do First, right-click the desktop and select New, Shortcut. In the Target field type:

C:\WINDOWS\RUNDLL32.EXE user.exe,ExitWindows

Type this instruction exactly as shown, and all on one line. Click Next, then type an appropriate name for the shortcut, such as Shut Down Windows. Click Finish.

To use the shortcut you can either double-click it or drag it to the Quick Launch bar for single-click operation. It works with Windows 95, 98 and Me. See also tips Faster shutdowns from the keyboard and Faster restarts from a shortcut.


Faster shutdowns from the keyboard

Introduction | Windows Helpline Q&A Directory
Faster shutdowns from the keyboard

Is there a quick, easy way to shut down Windows with a few simple keystrokes?

Yes. You can put Windows 98 into Standby mode with just two keystrokes. Simply open the Start menu with the Windows key or Ctrl, Esc, then press N, and everything powers down. Or at least it should. Some programs and documents disable this function when they are added to the Start menu. However, it is still possible to put Windows 98 into standby quickly: press Ctrl, Esc (or Windows), then U (or UU, Enter) to open the Shut Down dialog box, and finally T, Enter. See also tips Faster shutdowns from the desktop and Faster shutdowns from the keyboard.


Find a website anonymously

Introduction | Windows Helpline Q&A Directory
Find a website anonymously

Sometimes my browser responds with 'This page cannot be displayed' when I try to visit a site that I know exists. More often than not, this isn't solved by simply trying later. Is there a way I can force my browser to view a site?

This message might mean the web server is down, but it can often happen because of routing problems or congestion between you and the site you're trying to access.

As you've found, you can sometimes solve the problem by being patient and trying again later. But if you really can't wait, try this. Go to from www.anonymizer.com and type the address of the site you're trying to access into the anonymous web browser. You'll often find that the site you couldn't reach before will now come up.

Anonymizer.com exists to allow you to surf the web anonymously, without giving away details of your identity that can be obtained from the browser on your PC. In effect, it's a web browser that you can access over the internet. When you visit a certain website, the only information the site can see are details about Anonymizer's computer. Your own details are kept secret.

The reason Anonymizer can view sites that your own browser won't show is that the route from Anonymizer to the website you're trying to access is different to the route between the site and your computer. Therefore, it will often bypass any problem points that prevent you from accessing the site directly. It won't always work, but it's certainly worth trying.


Find Windows' log of frequently used programs

Introduction | Windows Helpline Q&A Directory
Find Windows' log of frequently used programs

Is there anywhere that Windows records the frequency with which programs on your PC are used? If so, where can I find it?

Yes there is. It is called optlog.txt and it is found in the Windows Applog folder. Optlog.txt is created by Windows for use by Disk Defragmenter. It can optimise the system by placing the most frequently used programs together where they can be accessed most rapidly. However, the file also provides an interesting insight into how your system is used. (Note: the Applog folder is hidden, so you must get Explorer to display hidden files before you can see it.)

Other files in this folder contain more detailed information about disk accesses performed by each program, including other files that are accessed, so that these can be placed near the programs that are used to open them. These files can also be interesting to look at (open them in Notepad or Wordpad) but they can waste disk space. For example, we found a 6MB file named after our virus scanner, which contained a log of all the files it had scanned.

If you want to reclaim disk space you can delete the Applog folder and its contents at any time. The contents will be lost, but it probably doesn't make much difference to performance if the defragmenter doesn't have this information available.

If you delete the folder, Windows will create a new one and start logging system usage again. The program Taskmon creates the log, which is one of the programs launched automatically by Windows at startup.

The only way to prevent usage logging from occurring - as far as we can tell - is to disable the launch of Taskmon using the startup page of the System Configuration Utility Msconfig.


Font fault

Introduction | Windows Helpline Q&A Directory
Font fault

The text in an application's menus and buttons is displayed in the wrong font, or as hieroglyphics.

This happens if you've deleted one of the system fonts such as Arial, MS Sans Serif, Tahoma or Verdana. It isn't easy to find the names of the files you need to restore from the font name, and you'll need to reinstall the fonts after restoring the files. The easiest way to do this is to rerun Windows Setup.


Free up system memory

Introduction | Windows Helpline Q&A Directory
Free up system memory

When I start up my computer the free memory is around 60 percent. After I have been surfing the internet for 10 minutes the free memory drops to between five and 10 percent and Internet Explorer eventually freezes. The same thing happens if I am using Word. Even after I shut down the program I was running the memory still reads very low. The only way to get back the memory is to reboot, but 10 minutes later it has gone again. I have installed another 64MB of RAM but this has not solved the problem.

We don't know which memory monitoring utility you are using, or what exactly it is monitoring, but a good start might be to get rid of it and save on the memory that it was using. Windows is quite capable of managing its own memory without the user needing to keep an eye on things. It's usual for computer memory to be used up as programs are run, and not freed immediately when the program has finished. Windows will release memory that has been used when a program that has a more urgent need of it wants it.

The main reason for Windows running short of memory is because the hard disk on which the swap file is located is getting full. This will prevent the swap file from expanding to the size it needs to be. The other possibility is that you have tinkered with Windows' virtual memory settings and set an arbitrary limit for the swap file.

To check whether this is the case, you need to access the virtual memory settings. Open Control Panel and double-click the System icon. Click on the Performance tab, then click the Virtual Memory button. If there is plenty of free space on your C drive then 'Let Windows manage my virtual memory settings' should be selected.

If the C drive is short of space and you have another drive with more free space on it, select 'Let me specify my own virtual memory settings'. You can then specify which drive to use.

Some experts believe there is a performance benefit in specifying a minimum size for the swap file, but we have never noticed one. Do not specify a maximum: if Windows needs to make the swap file very large you are only going to cause problems by preventing it from doing so.

The other well-known cause of diminishing memory resources is called a 'memory leak'. This occurs when memory used by a program is never released back to Windows for reuse. However, memory leaks are usually small and may not cause a significant problem for days. They are usually only found on PCs that are left running all the time and never rebooted. Faulty graphics card drivers can cause memory leaks, so if nothing seems wrong with your swap file configuration try updating your graphics drivers.


Games graphics aren't displayed properly

Introduction | Windows Helpline Q&A Directory
Games graphics aren't displayed properly

With one program, parts of the display don't show correctly. I also have a game that hangs the system. Could the problems be related, and what's the cure?

This type of problem is often the result of poor graphics card drivers. Reducing the graphics hardware acceleration (System Properties, Graphics, Performance) can often provide a workaround but you should really download and install the latest drivers.


Generic fix for IE error message

Introduction | Windows Helpline Q&A Directory
Generic fix for IE error message

I constantly get the message that 'Explorer has caused an invalid page fault in module ole32.dll at 0167:7ff33822'. Can you help me get rid of this nuisance?

This error message doesn't correspond with any specific known fault, so all we can do is recommend a generic fix. What may have happened is that a program you have installed has replaced ole32.dll with a version that is incompatible with Explorer. Therefore we would advise using the System File Checker to restore the correct version.

To start System File Checker, click on Start, Run, Type sfc and hit Enter. Because it's likely that other system files were changed at the same time as ole32.dll, we would advise running the 'Scan for altered files'. Click Start. From then on, using the System File Checker is fairly self explanatory. We would advise allowing system files to be restored only if the version on your hard drive has a lower version number than File Checker thinks it ought to have.


Get rid of corrupt downloads

Introduction | Windows Helpline Q&A Directory
Get rid of corrupt downloads

I am experiencing a problem with Desktop Themes under Windows 98. I downloaded two themes from a web page. I tried one, and it worked fine. I then reverted to the Windows default settings and shut the system down. The next day I tried the other theme and received the following error message, which now appears whenever I try to load any theme including the default: 'THEMES caused an invalid page fault in module at 0000:0193fb00'. Can you help me avoid having to delete and reinstall Windows?

I hope so. This error seems to be caused by a bug in the version of themes.exe you have (possibly distributed in the themes you downloaded). This causes the Default Icon Registry key to go missing or become damaged.

There are two possible solutions. The simplest is to obtain the latest version of the themes.exe file. To do this, use Windows Update on the Start menu to download and install any of the themes on the Windows Update site.

The second solution involves editing the Registry, so we would advise you to take backup precautions before you start. See tip Back up the Registry. Open the Registry Editor, then expand the following Registry folders in turn: Hkey_Current_User, Software, Classes, CLSID, {645FF040-5081-101B-9F08-00AA002F954E}. Select Default Icon and delete it. You should now be able to install a new desktop theme.


Get rid of startup error messages

Introduction | Windows Helpline Q&A Directory
Get rid of startup error messages

When I boot up my Pentium III system everything goes okay until the desktop appears. A message then appears in the centre of the screen: 'Error starting program: A required DLL file, ebapi.dll, was not found'. If I click ok, the message disappears and the system seems to operate normally. What is happening and what do I need to do to prevent this message from appearing every time I boot up the system?

It would appear that a file belonging to one of the programs that is automatically launched at startup is missing. This could mean it was incorrectly uninstalled.

The filename gives no clue as to what the program is. However, as the system seems to work perfectly well without it, the solution is to identify the program and stop it from being loaded at startup.

The tool to use for this is the System Configuration Utility, which you launch by clicking Start, Run, and entering its name, msconfig. When it is running, switch to the Startup tab. You will see a list of all the programs that are launched at startup.

By clearing the checkbox next to an item, you will stop it from being run. By a process of elimination you can then find out which one causes the error message. Do remember that some of the programs listed here are part of Windows and, as such, should not be disabled. If a program name starts with C:\Windows or doesn't include a path at all, don't disable it.


Get Windows to display processor information

Introduction | Windows Helpline Q&A Directory
Get Windows to display processor information

How can I check the speed of my processor? Is there a Windows tool that will let me do it, or do I have to delve inside my PC?

Fortunately, Windows does contain a tool that can show you the speed of your computer's processor. It's well hidden, though. Here's how to use it.

Click Start, Programs, Accessories, System Tools and launch System Information. When Microsoft System Information starts click Tools, Windows Report Tool.

When the Windows Report Tool opens click Options, then Collected Information. After the tool has collected the information from your system you will find the CPU speed displayed as the value 'Compspeed'.

Remember that if you have upgraded your computer's CPU to a type that is newer than your copy of Windows, the processor type may not be correctly identified. In that case the information may not be accurate.


Hard drive error code

Introduction | Windows Helpline Q&A Directory
Hard drive error code

My PC seemed to be working fine until recently when I noticed that my CD-ROM drive wasn't being shown by Windows. On inspecting Device Manager in the System Control Panel, I found a fault on my hard drive controller, with an error code 10 against it. What does this mean and how can I fix it? My CD-ROM is four years old and a Panasonic six-speed unit.

Device Manager error code 10 means the device failed to start: it is missing or not working properly.

Check all the connections and power to the device. A cable has probably become loose, but given the age of your CD-ROM drive it may have failed.

Below is the full list of error codes as listed on the Microsoft Knowledgebase.

  • Code 1. The system has not had a chance to configure the device.
  • Code 2. The device loader failed to load a device.
  • Code 3. The system has run out of memory.
  • Code 4. The INF file for this device is incorrect. If the recommended solution fails to resolve the error, contact the hardware's manufacturer for an updated INF file.
  • Code 5. A device requested a resource type for which there is no arbitrator (I think that boils down to 'it wanted something it can't have!').
  • Code 6. There is a conflict between this device and another device. Solution: follow the advice in 'Troubleshooting Conflicting Hardware' in Windows Help.
  • Code 7. No configuration can be performed on the device. If the device works correctly, ignore the error - otherwise, follow the recommended solution. If the device still doesn't work correctly, obtain an updated driver.
  • Code 8. The device loader for a device could not be found. For example, the INF file for the device may refer to a missing or invalid file. Solution: as for code 4.
  • Code 9. The information about this device in the Registry is invalid. If the recommended solution does not solve the problem, contact the device manufacturer for advice.
  • Code 10. The device failed to start - for example, it is missing or not working properly. Solution: check all connections and power to the device.
  • Code 11. The device failed.
  • Code 12. The device requested a resource that was not available, perhaps because it is in use by another device or because the system is out of resources. Solution: as for code 6.
  • Code 13. The device failed due to a problem in the device driver.
  • Code 14. The device has a problem. Try shutting down and then restarting your computer.
  • Code 15. The device has a resource conflict with another device's resources. Solution: as for code 6.
  • Code 16. The device was not fully detected. All of its resources may not be recorded. Solution: click the Resources tab in the device properties to manually enter the settings.
  • Code 17. The device is a multiple-function device and the INF file contains invalid information on how to split the resources between functions. Solution: as for code 4.
  • Code 18. An error occurred and the device must be reinstalled.
  • Code 19. The Registry returned an unknown result.
  • Code 20. The VxD Loader returned an unknown result. This could denote a version mismatch between the device driver and the operating system.
  • Code 21. The device has a problem that may be resolved by shutting down and then restarting your computer.
  • Code 22. This means that the device is disabled in this configuration. Solution: enable it in the Device Usage box in the device properties.
  • Code 23. This means the device loader delayed the start of a device and then failed to inform Windows 95 when it was ready to start the device. Solution: you should give it a quick smack and tell it to pay attention.
  • Code 24. The device was not found: for example, it is missing or isn't working properly. Solution: as for code 10.
  • Code 25. This occurs only during the first reboot in Windows 95 Setup. Nobody has ever seen it!
  • Code 26. A device failed to load or there is a problem in the device driver such as a corrupt file. If the recommended solution doesn't help, try replacing or updating the driver.
  • Code 27. The part of the Registry describing possible resources for a device is inconsistent.
  • Code 28. The device was not installed completely. Solution: click the Driver tab in the device properties, then click Change Driver to update the driver.
  • Code 29. The device has been disabled because it does not work properly with Windows 95. Solution: contact the device manufacturer for assistance.
  • Code 30. An IRQ cannot be shared. This usually means that a real-mode driver (loaded in config.sys or autoexec.bat) is using the IRQ. Remove it.


Hard drive partitions too small

Introduction | Windows Helpline Q&A Directory
Hard drive partitions too small

I recently decided to set up my hard drive with a small partition just for the operating system. Now I receive messages saying the main partition is almost full and disk cleanup runs. How can I stop this and tell Windows to use the other partitions?

We think your basic problem is that you created your Windows partition too small. The trouble is that, regardless of which drive you choose to install a program on, most applications include a number of shared files that have to be installed in the Windows folder. Therefore, you must leave a few hundred megabytes of free space over and above that used by Windows, in order to allow for the expansion this entails.

To be honest, there isn't a lot of point in installing applications on a separate drive to Windows, since most applications need to be reinstalled after you reformat the Windows drive and reinstall Windows.

It is a good idea, though, to keep your My Documents folder, and any other folders containing files you have created, on a separate drive. This can avoid the need to restore them from a backup after reformatting your Windows drive. (This does not mean there's no need to back up your files, of course!)

However, there are probably a few things you can do to overcome the problem you are experiencing by getting Windows to use your D drive for various temporary files. The swap file, for example, will currently be on the C drive.

To change this, right-click My Computer, and select Properties. Click on the Performance tab, select Virtual Memory, then choose 'Let me specify my own virtual memory settings'. Having done this, select your D drive from the drop-down list, keeping everything else the same. Then click ok and restart Windows.

Another heavy user of space is Internet Explorer's Temporary Internet Files folder. To change the location used by this folder, open Internet Explorer and click on Tools, Internet Options. Under Temporary Internet files click on Settings. In the Settings dialog box click Move Folder, then choose a new location for this folder on your other drive. It's a good idea to create the new folder first, before doing this.

You can also tell Windows to use a folder on another drive for the storage of temporary files by inserting into c:\autoexec.bat a line that says:

Set Temp=d:\Temp

Again, ensure that the folder you specify - for example, d:\Temp - actually exists before rebooting (this option isn't available with Windows Me, which ignores autoexec.bat.) These three changes should result in Windows making a lot less use of your C drive partition, solving the problem.

You may need to manually delete the original folders on the C drive, and the old Windows swap file c:\Windows\Win386.swp if it is still present, before you get back the extra space. Note that the swap file is a hidden system file, so you'll need to change some Explorer folder options before you can see it.


How can I print slides from my computer?

Introduction | Windows Helpline Q&A Directory
How can I print slides from my computer?

I want to be able to print slides from my computer via some sort of image capture hardware device. Do you know of any such device I could use to do this?

Yes, there's a number of possibilities. You could buy a dedicated slide scanner, or an ordinary flatbed scanner that has a transparency adapter that's either built in or available as an option.

There is a big difference, however, in price and quality across the various products available, so before you buy you do need to consider how frequently you want to use it, what quality you require and whether a document scanning capability would be a useful addition.

The slide scanning process is pretty much the same as the procedure for scanning a paper document - you simply acquire the image using a photo-editor, such as Adobe Photoshop, from which you can print it.


Identify programs running in the background

Introduction | Windows Helpline Q&A Directory
Identify programs running in the background

I close every window and every icon in the System Tray, then press Ctrl, Alt, Del, but I still see programs that are running in the background. What are they?

They could be anything. Many programs have modules that lurk in the shadows. To find out what a particular unidentified program is, press Ctrl, Alt, Del to open the Close Program dialog box, then write down the program's name on paper. After you've closed the box, select Start, Find, Files or Folders. In the Named field, enter the name of the program followed by EXE, such as dbserver.exe. In the Look In field, select 'Local hard drives', then click 'Find now'.

Chances are you'll find the file. When you do, the folder it's in should tell you which program put it there. For instance, if the file is in C:\Program Files\Microsoft Office, it is probably part of Office.

If a file search doesn't turn up a program, or if it's in a common dumping ground folder like C:\Windows\System, turn programs on and off. Select Start, Run, type Msconfig and press Enter. Click the Startup tab for a list of all programs that load at bootup. Find out what's loading a particular program by unchecking options and rebooting until you can identify it.

Programs you're likely to find in the Close Program dialog box include:

  • Explorer and Systray. These are basic parts of Windows that should always be up and running.

  • Find Fast and OSA. These are parts of Microsoft Office 97 (but not of Office 2000). If you don't want them, you can get rid of them by removing Microsoft Find Fast and Office StartUp from the Start, Programs, StartUp menu.

  • Rnaap. This is part of Windows, which loads when you use Dial-Up Networking and then stays in the memory until you close Windows.
    • © 2002 PC Advisor


Install Kakworm security patch

Introduction | Windows Helpline Q&A Directory
Install Kakworm security patch

A friend recently alerted me that an email I had sent to him contained a virus. McAfee identified two files infected with JS/Kak. McAfee couldn't clean them, so recommended deletion and replacement from the original Windows CD. I was unable to replace them, but everything seems to have worked well since then.

Today I once again updated the DAT files and ran another scan. This time it found one file infected with JS/Kak, the file being c:\Windows\Start Menu\Programs\Disabled StartUp items\kak.hta. Again McAfee was unable to clean the file, so it was deleted. Do I need to replace these files, or does the virus generate them? Are there further steps I should be taking to clean up my system?

The HTA and HTM files detected are generated by the virus, so they should simply be deleted - there is nothing to replace. McAfee should differentiate between files that are placed on the system by a virus and can simply be deleted, and infections that modify other files which must be cleaned or replaced. The message it displays has confused many people.

As the Kakworm infected your system you obviously haven't installed the security patch that prevents Kak and its ilk from spreading. Install the patch using Windows Update or by going to www.microsoft.com/technet/security/bulletin/ms99-032.asp.


kernel32.dll error message

Introduction | Windows Helpline Q&A Directory
kernel32.dll error message

I have a problem with the file kernel32.dll, which is causing some of my programs to crash due to an invalid page fault. Other times, if a software program crashes and I try to end the task by using Ctrl, Alt, Del, the file kernel32.dll causes a fault with krnl386.exe and the dreaded blue screen comes up. I always have to restart my computer when this happens. How can I fix it?

Kernel32.dll is the core part of Windows and there is unlikely to be anything wrong with this file. There's a remote possibility that it might be corrupt, which you can eliminate by replacing the file with a fresh copy from your Windows installation CD-ROM. You can do this easily using System File Checker. See tip What does System File Checker do?

More likely, though, the problems are caused by the software routines that call the kernel. Unfortunately, the kernel is so central to Windows' operation that there isn't much you can deduce from this. However, graphics card and printer drivers indirectly cause many Kernel32 errors. It would therefore be worthwhile making sure that you have installed the latest versions of the drivers for both of these devices.


Locate multiple files with ease

Introduction | Windows Helpline Q&A Directory
Locate multiple files with ease

Is there a way to find all files of a certain type, rather than performing separate searches in multiple locations?

Yes. Using the Windows Find tool, there's no need to do a separate search for each file - simply use the wildcard '*' in place of the name or extension (or part of the name or extension) to stand for 'any'. For example, '*.bat' will match any file with the extension BAT.

Use the wildcard '?' to stand for any individual character. For example, 'month??.xls' would match month01.xls, month02.xls and so on.

You can also type more than one filename in the 'Named' box (each of which may contain wildcards), separating them with semicolons. So, for example, you could search for 'system.ini;mfc??.dll;config.*' to find the locations of all the files that matched those three separate specifications.


Make Windows 98 display a long start menu in multiple columns

Introduction | Windows Helpline Q&A Directory
Make Windows 98 display a long start menu in multiple columns

In Windows 95, the items in the Start menu and its submenus were always alphabetised. It could also expand a long menu into multiple columns. Windows 98, however, forces you to scroll. Is there a way to make the Windows 98 Start menu behave like the one in Windows 95?

There are fixes, but they require Internet Explorer 5.0. Go to Start, Windows Update. Once you have Internet Explorer 5.0 installed, alphabetise any Start submenu by right-clicking the submenu and select Sort by Name.

Making long menus display in multiple columns is tougher. In fact, it requires editing the Registry. Before you do this, see tip Back up the Registry for instructions on backing up the Registry.

Once your Registry is safely backed up, select Start, Run, type Regedit and press Enter. In the Registry Editor, navigate the lefthand pane, as you would in Windows Explorer, to Hkey_Local_Machine\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced.

Once there, right-click a blank spot in the righthand pane and select New, String Value. Name your new value StartMenuScrollPrograms. Press Enter once to save the name and again to bring up the Edit String dialog box. In the Value data field, type false. Press Enter, then close the Registry Editor and reboot.


Make Windows show file extensions

Introduction | Windows Helpline Q&A Directory
Make Windows show file extensions

I installed Tweak UI for Windows Me, and everything went fine until I had to get the four Tweak UI files in the Windows\Temp folder. But none had extensions, so I didn't know which was the INF file. What can I do about it?

The Windows default setting is to hide the extensions of known file types. Most experienced PC users change this setting fairly early on, so we tend to forget this.

You can get Windows to show the extensions of all file types by clicking on View, Folder Options in Windows Explorer. Select the View tab, then clear the checkbox against 'Hide file extensions for known file types'. Click Apply to make this change come into effect. You will now be able to see which is the INF file.

There's no need to do this, however, if you know that INF files are Setup Information files. If this is the case, all you have to do is click Explorer's Views button until the content of the folder is shown in Details view. Details view lists the file types, and from here you can easily identify the Tweak UI file that is listed as a Setup Information file type, right-click it and select Install from the context menu.


Missing DLL file

Introduction | Windows Helpline Q&A Directory
Missing DLL file

I have just bought a Black Widow film scanner and am having problems with Presto Page Manager. When I try to open it this message appears: 'Prestopm.exe is linked to missing export file mfc42.dll:6453.' I click ok and another window opens: 'A device attached to the system is not functioning'.

The Find tool reveals lots of mfc42.dll files on my PC. I have fully uninstalled all the Presto programs as suggested by the Presto helpdesk. This made no difference.

Black Widow does not support the software and the Presto helpdesk seems unable to suggest anything further. Running System File Checker shows no error. I have tried to replace the mfc42.dll in the Windows directory with another copy from the CD-ROM disc. That didn't help either.

The scanner works fine with other graphics programs and the other Presto programs on the Black Widow disc also appear to work. Any ideas?

This is a common and frustrating problem, which has become known as 'DLL hell'. It is basically Microsoft's fault for producing so many different versions of a system file that is used by nearly all Windows applications. However, the software developer ought to be able to provide you with a version of the file that works with its program.

In the absence of any help from Presto your only solution is trial and error. Copy different versions of mfc42.dll into the Presto Page Manager directory and try running the program. Eventually you may find one that works.

The reason is that when a program searches for a DLL it looks first in its own directory, then in the Windows directories, and then in any directories listed in the DOS path command. If the program doesn't have its own copy of the file it can easily pick up an incompatible version from somewhere else.


Mouse pointer freezes

Introduction | Windows Helpline Q&A Directory
Mouse pointer freezes

I own a Compaq Presario laptop. The mouse pointer freezes sometimes for a long time even when I am not opening a program. This problem becomes worse when I am on the internet, and sometimes I have to restart my computer. Have you any explanation for my problem?

The reason for the mouse pointer freezing permanently is usually a hardware conflict affecting the IRQ (interrupt request) line used by the mouse. Try running the Hardware Conflict Troubleshooter from Windows Help.

If the pointer freezes for a few seconds at a time, this may be due to a number of reasons. Badly written programs may be disabling interrupts for long periods, so that mouse movement interrupts cannot be processed. Try disabling as many background utilities as you can to see if that solves the problem. If you are still using old 16bit programs, these can also cause the pointer to freeze for long intervals.

Since your computer is a laptop, you should also check that the power management settings aren't causing the hard disk to turn off. Your pointer could be freezing because Windows has to wait for the drive to come up to speed again before it can perform a disk access. Another possibility is that your hard disk is failing and your PC is having trouble reading from or writing to the hard drive. If a disk transfer that should normally take a fraction of a second takes several seconds to perform, the system may appear to freeze while Windows keeps retrying the access.

Run ScanDisk and choose the option to perform a thorough test. If this finds a lot of errors, be prepared to replace the hard disk.


Network troubleshooting

Introduction | Windows Helpline Q&A Directory
Network troubleshooting

I have installed Intel PRO+ Network Adapters in three computers. The two using Windows 98 and Windows 2000 Pro are working, but the one with Windows 95 gives the message 'The network is not accessible. For more information look in the Help Index at the topic Network Troubleshooter', whenever Network Neighborhood/Entire Network is selected. I have exhausted the suggestions in the Help topic. The Intel PRO+ diagnostics are all positive and packets can be transferred in both directions. Can you give me some ideas?

It's hard to troubleshoot a network at a distance as there are many possibilities, some of which can be quickly discounted if you can inspect the network concerned. A likely cause is that the wrong protocols are being used. Windows 95 defaults to using Microsoft NetBEUI as the protocol for peer networking, while 98 and 2000 default to TCP/IP.

NetBEUI is, on the whole, a better choice for file and printer sharing. It's also easier to get going, so check that this protocol is installed and bound to the network adapter on each computer, and that file and printer sharing is enabled on each computer and bound to NetBEUI. It's also a good idea to enable sharing on at least one folder on each computer. If you don't (because you only want a computer to access other computers' shares) it can sometimes take a while for the PC to become visible on the network.


No CD audio

Introduction | Windows Helpline Q&A Directory
No CD audio

When I play audio CDs I can't hear the sound through the speakers.

Right-click the speaker in the Taskbar, open the volume controls, and check the CD audio device isn't turned down. If you can't see it, use Options, Properties to display the control. Check your CD drive and the sound card are connected.


No password required

Introduction | Windows Helpline Q&A Directory
No password required

How do I stop Windows asking for a logon password?

Right-click Network Neighborhood and click Properties. On the Configuration tab under Primary Network Logon, select Windows Logon and click ok. Don't restart the computer when prompted.

Open Control Panel, Passwords. On the Change Passwords tab, click Change Windows Password, then ok. Type the current password in the Old Password box. Leave New Password and Confirm New Password blank and click ok. Select User Profiles and 'All users of this PC use the same preferences.' Click ok, then restart Windows.


Orphaned uninstall entry

Introduction | Windows Helpline Q&A Directory
Orphaned uninstall entry

I uninstalled a program but it's still listed in Add/Remove. How do I remove the entry?

If you've installed Tweak UI you can remove entries using its Add/Remove tab. Otherwise, open Hkey_Local_Machine\Software\Microsoft\Windows\CurrentVersion\Uninstall using the Registry Editor and delete the folder that contains a DisplayName value that matches the unwanted entry. Before you edit the Registry see Back up the Registry.


PC randomly accesses floppy drive

Introduction | Windows Helpline Q&A Directory
PC randomly accesses floppy drive

My computer frequently accesses the floppy drive when there is no reason for it to do so. How can I stop this from happening?

Unfortunately, there's no one cause or cure for this common annoyance. But here are a few potential remedies.

At some point, you may have told Windows to check for something on the A drive - and never told it to stop looking. Correcting this is easy: the next time Windows accesses your floppy drive, pop a disk into the drive. Double-click the icon for drive A. Then close the window, double-click on the C icon, and remove the floppy disk.

Your antivirus software may be configured to scan drive A automatically, whether there is a disk in it or not. To check Norton AntiVirus, for example, click the Options button. On the Scanner tab, click the Advanced button. Uncheck All removable drives. Click ok twice.

Another possibility is that something on your recent documents list makes Windows check the A drive. Don't bother to track down the perpetrator - just wipe out everything in that folder (you won't lose any data). To do this, right-click the Taskbar, select Properties. Click the Start Menu Programs tab, choose Clear in the 'Documents menu' box, then click ok.

Desktop shortcuts pointing to a file or program on the A drive can also trigger this pointless access. Select Desktop in Windows Explorer. Choose Start, Find, Files or Folders. In the Named field, enter *.lnk, *.pif. Then, for the Containing Text field, enter 'A:' and click Find Now. Delete all of the shortcuts you find, or move them either off the Explorer Desktop or out of the Start menu.

If you use Microsoft Office 97, the FindFast utility could be causing the problem. To find out select Start, Settings, Control Panel, and then double-click the FindFast icon. Once the applet is up, see whether drive A is on the list of indexes. If it is, highlight it and select Index, Delete Index. Click ok twice, then close FindFast and the Control Panel. You can find more tips at www.annoyances.org/cgi-bin/ce-showtopic/005_037.


Phantom error appears in Device Manager

Introduction | Windows Helpline Q&A Directory
Phantom error appears in Device Manager

I remain unconvinced that I have a problem since my PC appears to work perfectly, but McAfee First Aid reports that my PCI legacy audio has a problem and that the ISA plug and play device has a driver file missing. Similarly, system information reports the Via Tech VT82C596 PCI to ISA bridge as a problem device with 'error code 2'.

I have recently upgraded from Windows 98 SE to Windows Me and now the Device Manager shows a yellow exclamation mark against the VT PCI to ISA bridge. Selecting properties for this device results in the statement, 'Windows could not load the driver for this device because the computer is reporting two isapnp.vxd bus types (code 2). Contact the manufacturer for an updated Bios'.

I downloaded and install the latest Bios (Phoenix 3.7) from the PC manufacturer's website, but the problem remains. Do you have any suggestions?

The incorrect reporting is probably the fault of the Bios, but that's not to say it has been fixed in the new version you downloaded. It's not uncommon for phantom devices and other errors to appear in Device Manager, and it's usually futile trying to eliminate them. The fault is the reporting of the error and, if there are no other indications that anything is wrong, the best thing to do is ignore it.


Poor hard drive performance under Windows 2000

Introduction | Windows Helpline Q&A Directory
Poor hard drive performance under Windows 2000

I recently built a new PC, which includes a 40GB Maxtor ATA 100 hard drive. The performance of my hard drive appeared to be poor, so I researched the UDMA support in Windows 2000 and found that it only supports UDMA 33.

I downloaded a Microsoft patch to remedy the problem, but apparently it requires a Registry change to enable full UDMA 100 support.

According to the information we found, Windows 2000 supports ATA 66 (UDMA 66) as standard. ATA 100 drives will be treated as if they were ATA 66. A fix to enable ATA 100 support, is available from www.microsoft.com/downloads/release.asp?releaseid=22161.

After it has been installed, you may notice the value PIO displayed on the Advanced settings tab for the drive in Device Manager. According to Microsoft KnowledgeBase article Q260233, this is an error in Windows 2000, and doesn't mean that the fix isn't working. See tip Where are Microsoft's knowledgebase articles?


Power management problems in Windows Me

Introduction | Windows Helpline Q&A Directory
Power management problems in Windows Me

My computer runs Windows Me, upgraded from Windows 98 SE. I find that it won't wake up from standby, but displays only a blank screen with a flashing cursor in the top lefthand corner. All I can do is switch the machine off and then on again, after which Windows irritatingly asks me, as it failed to respond the last few times it went on standby, would I like it not to go on standby in future? But I don't. I want it to wake up, as it should, every time without fail. I think this is a bug that needs fixing, but I have found nothing on the Microsoft website. Any suggestions?

While we can't rule out the possibility of a bug in Windows Me, it's also possible that your unnamed computer, which presumably predates Me as it originally ran Windows 98 SE, may not be fully compliant with the latest power management specs. These have been continually revised, as it has been a difficult thing for Microsoft to get right.

When Windows Me was released, Microsoft stated that some computers for which the Suspend/resume feature worked under 98 might fail using Me. This is why we advise people to resist the temptation to upgrade their operating systems if everything is working right.

Another possibility is that a hardware device or its drivers are incompatible with the power management specs. It would be worth making sure you have the latest drivers for each device. But if there are bugs or incompatibilities, only Microsoft or the device manufacturer can fix them. If they haven't done so and aren't intending to, all we can suggest is that you go back to using Windows 98.


Print folder directories

Introduction | Windows Helpline Q&A Directory
Print folder directories

Is there an easy way to print a list of the files contained in a folder from inside Windows Explorer?

Launch Notepad, then type dir %1 > lpt1: and press Enter. Now type 'cls' on the second line, but don't press Enter.

There must not be anything - not even a blank line - after 'cls'. Save the two-line file in your C:\Windows\SendTo folder as printdir.bat. Now when you want a printout of the files in a folder, make sure your printer is on, right-click the folder in Windows Explorer, and select Send To, printdir.bat.

If this doesn't work it's likely that your printer doesn't support direct output from DOS, in which case try modifying printdir.bat so that it reads:

dir "%1" > c:\Windows\Temp\dirtmp.txt
Notepad/p c:\Windows\Temp\dirtmp.txt
cls

Instead of sending the output directly to the printer port we are now sending it to the file dirtmp.txt in the Windows Temp folder then using Notepad to print this file.

Because Notepad is a Windows program, it should be able to print using any printer.

If you experience a Notepad error suggesting that C:\Windows\Temp\Dirtmp.txt does not exist or is being used, try creating an artificial delay between the 'dir' and 'Notepad' commands by inserting a line that reads 'dir c:\Windows >nul:'.


Print screens and dialog boxes from Windows

Introduction | Windows Helpline Q&A Directory
Print screens and dialog boxes from Windows

If you hit the Print Screen key under DOS, a copy of the screen would be sent to the printer. Can you do this under Windows?

Yes you can, but it requires a couple of extra steps. To capture the whole screen hit Print Screen. To capture just the active window or dialog box, hold down the Alt key while you press Print Screen. In each case, this copies the screen or window to the Clipboard, not the printer.

Now launch the Paint accessory (Start, Programs, Accessories, Paint) and select Edit, Paste. If Paint tells you that the image in the Clipboard is larger than the bitmap and asks if you want to enlarge the bitmap to fit the image, answer Yes. Now you can see the image you captured. To print it, select File, Print.

If you have another bitmap editing program, such as Paint Shop Pro, you can paste the captured image into that application instead. However, many bitmap editing programs (including Paint Shop Pro) have their own screen capture facilities. If you do a lot of screen captures, it can save time to use this feature instead.


Put the desktop on your Taskbar

Introduction | Windows Helpline Q&A Directory
Put the desktop on your Taskbar

I know I can put a pop-up menu to My Computer on my Windows 98 Taskbar and wondered if I can also add a pop-up menu to the desktop for easy access to the Recycle Bin, My Documents and My Computer?

Yes you can. Simply right-click the Taskbar and select Toolbars, New Toolbar, Desktop. Slide the end of the toolbar until only the word 'Desktop' and a small double arrow are showing. Click that arrow for access to everything on the desktop.


Quick-start Windows 95

Introduction | Windows Helpline Q&A Directory
Quick-start Windows 95

I would like to find a way of quick-starting Windows 95. I have cleared the StartUp folder of everything I can, but I find the long wait after starting very frustrating, especially if I just want to check my email.

By clearing the StartUp folder you've already done the only thing that can really speed up startup. However, it's possible that software being loaded in config.sys or autoexec.bat could be slowing things down, and you may not actually need any of this software. Hit Esc when the Windows logo comes up. This will clear the screen so you can see what is happening. If Windows pauses for a long time on a particular command, this may be the cause of the slow startup.

The quick way to find out if you really need autoexec.bat or config.sys is to disable them by renaming the two files (in the C drive root folder) to config.tmp and autoexec.tmp. By doing this, you can easily rename them back if disabling turns out to have an undesirable effect on your computer.


Read files from other operating systems

Introduction | Windows Helpline Q&A Directory
Read files from other operating systems

I've found that plain-text files created on Mac and Unix systems look strange on a Windows system. Is there a way to convert them faithfully?

Different platforms use different methods to mark the end of a line or paragraph in a plain-text file. If you're sharing text files with someone on another platform or setting up code on a Windows system that will run on your ISP's Unix machine, you'll get this headache. Luckily, it doesn't arise with HTML code.

In a Unix text file, the Line Feed character (ASCII 10) marks the end of a line. On a Mac, the Carriage Return character (ASCII 13) performs this same function. Windows follows the standard established by DOS, using both Carriage Return and Line Feed characters.

The $5 ConvertCRLF file-format conversion shareware is available for download from www.connor-miller.com/software.htm. Fookes Software's NoteTab Light text editor (www.notetab.com) converts the line ends of Mac and Unix text files on the fly. You can use its File, Export command to save a file in alternate formats.

As a text editor, NoteTab beats Windows' Notepad with a stick. Among its added features are drag-and-drop text editing, search and replace, and boilerplate text.


Read floppy disks without clicking drive icon

Introduction | Windows Helpline Q&A Directory
Read floppy disks without clicking drive icon

When I'm searching for something on a floppy disk I use the floppy disk icon in My Computer. Is there a way to read further disks without repeating this process?

Yes - just swap the disks and press F5. This is the keyboard shortcut for View, Refresh. It will cause Explorer to re-read the contents of the disk or folder it currently has open.


Reclaim files from Windows 98's recycle bin

Introduction | Windows Helpline Q&A Directory
Reclaim files from Windows 98's recycle bin

I'm just too tidy! As soon as I put something in the Recycle Bin, I have to empty it. The trouble is, I need some of the documents back. Is it possible to retrieve documents in Windows 98?

It's not difficult, and not guaranteed. The Recycle Bin is a bit like your office wastebin; to recover a document, you simply take it out. Getting a document back after the bin has been emptied is like trying to retrieve a file from a rubbish skip: it may still be there but it could be damaged, and there's every chance that it's gone for forever.

There's also a further complication as the software which can recover files after the Recycle Bin has been emptied doesn't come with Windows 98. You need to buy a utility package that includes an unerase tool: one like Norton Utilities, McAfee Utilities, or OnTrack's SystemSuite. In the long run, it is easier - and cheaper - to stop emptying the Recycle Bin.


Reinstall Windows from DOS

Introduction | Windows Helpline Q&A Directory
Reinstall Windows from DOS

Windows 98 is becoming unstable. Is it possible for me to delete Windows 98 and reinstall it from DOS?

Yes, but reformat your hard disk first. Before you do this, make sure you have a bootable floppy disk containing drivers that enable you to access the CD-ROM drive, and test that it works. See tip, Making a bootable floppy disk.


Remove all traces of a program

Introduction | Windows Helpline Q&A Directory
Remove all traces of a program

How can I remove the right-click context-menu options that remain long after the program that added them has been uninstalled?

Uninstalling a program should remove all the changes it made to Windows, but sometimes to get rid of the context-menu options an uninstalled program leaves behind, you have to edit the Registry. As always, you must first back up the Registry in Windows Explorer. See tip, Back up the Registry. Don't want to edit the Registry? In our experience, no third-party Registry cleaner gets out as many references to uninstalled programs as Microsoft's own free RegClean does. You can get RegClean from PC Advisor's Download Directory on the Registered Users Area. The program is simple, but it does the job. Launch it and it checks the Registry; click a button and it fixes any errors it finds.

If you're going for the manual option then, once the Registry is backed up, it is safe to edit it. Select Start, Run, type Regedit and press Enter. Find Hkey_Classes_Root\*\Shellex\ContextMenuHandlers in the Registry Editor's lefthand pane. Click the plus sign (+) next to 'ContextMenuHandlers' to see keys resembling Windows Explorer folders for every program that has options in the context menu. Then select the key for the program that you thought you uninstalled.

Double-click the (Default) value in the righthand pane to bring up an editing box that has the Value Data field highlighted. Press Ctrl, C to copy this string to the Clipboard. Then press Esc. Right-click the open key in the lefthand pane and select Delete, then Yes. Press Ctrl, F to start a search.

With the cursor in the 'Find what' field, press Ctrl, V to insert the numbers that you copied from the Value Data field. Uncheck the Values and Data fields and click Find Next. The search should stop at a key inside Hkey_Classes_Root\Clsid. In the righthand pane, the default value's data should describe the program. Press Delete and then select Yes. You should never see the departed program's menu option again.

Once you've completed your spring clean, you may be surprised to discover that the two files that make up the Registry - system.dat and user.dat - are exactly the same size they were before. To shrink the files, you have to optimise the Registry. The best way to accomplish this varies depending on the version of Windows that's running on your machine:

  • Windows 95. Begin by launching Notepad (or your default text editor) and creating a file with only these two lines:

    regedit /e temp.reg
    regedit /c temp.reg

    Don't forget the single spaces before the slash and before 'temp'. Save the file as c:\smallreg.bat, and at the end of each workday click Start, Shut Down, Restart in MS-DOS Mode. Type c:\smallreg at the DOS prompt, press Enter, turn off your monitor and go to bed. This process can take hours.

  • Windows 98. Select Start, Shut Down, Restart in MS-DOS Mode and press ok. At the DOS prompt, type scanreg /opt. Don't forget to include the single space before that slash.
  • Windows Me. You'll need a startup disk, which you can create through Control Panel's Add/Remove Programs applet. Once you've placed your startup disk in the floppy drive, select Start, Shut Down, Restart. When you're prompted, select Minimal boot. At the DOS prompt, type scanreg /opt (remember the space).


Remove icons from the system tray

Introduction | Windows Helpline Q&A Directory
Remove icons from the system tray

Several programs I have installed, such as my scanner and CD creator software, place an icon in the System Tray next to the clock as well as placing shortcuts on the desktop.

I want to find a way of removing these icons from the System Tray because they slow the bootup process and I am content with starting the applications from the desktop. Can you explain how to remove these unwanted icons from the System Tray?

System Tray icons represent programs that run all the time while Windows is running, and are usually the only visible interface to those programs. Without them you could not configure the background program or shut it down.

It isn't the icon loading into the System Tray that causes bootup to be slow, but the background program itself loading and initialising. If you want to get rid of the Tray icon, you will have to manage without the program that it's connected to as well.

We don't know why a scanner or your CD creator software needs a background task to be running even when you aren't using it, but the software developers may have had a good reason for it. There's therefore a risk involved in trying to disable these programs unless a proper option is provided for doing so.

Look in the configuration options for each program and see whether there is an option called something like 'Load program at startup'. If there is, try disabling it.

If there isn't such a program running, there is another way of getting round your problem, but it's risky. Open the Start menu and look in the StartUp folder.

If you see an entry there for one of the programs you'd prefer not to load, drag it to the desktop. This gets it out of the way and stops it being loaded at startup. You could simply delete the offending icon but, if you do that and then find that this has caused a problem, you won't be able to restore it easily.


Remove jobs from print queue

Introduction | Windows Helpline Q&A Directory
Remove jobs from print queue

While printing a document I stopped the printer as I only wanted one page and had inadvertently set it to print the entire document. Now the job appears in the queue as 'paused', but is still waiting to be printed. How do I delete it from the printer's memory?

To remove a document from the print queue if you decide you no longer want to print it, double-click the printer icon in the System Tray (or open My Computer, double-click the Printers icon and then double-click the icon for your printer). This will open a window showing the name of your printer and a list of print jobs in progress or waiting.

Right-click the job in question. If you want to delay printing that job until a later time, select Pause from the pop-up menu. To abandon the job altogether and remove it from the queue click Cancel.


Remove the Windows bootup splash screen

Introduction | Windows Helpline Q&A Directory
Remove the Windows bootup splash screen

Sometimes it's helpful to view what's going on during bootup. On the other hand, I don't need to know that I'm loading Windows 98. Is there some way I can remove the splash screen that appears whenever Windows is booting up?

You can turn off the splash screen or exchange the corporate splash screen to something more pleasing than a Microsoft or hardware vendor logo. Microsoft's Tweak UI utility for Windows (available from PC Advisor's Download Directory or from www.microsoft.com) makes turning off the screen easy. Select Start, Settings, Control Panel, and double-click Tweak UI. Click the Boot tab, uncheck 'Display splash screen while booting', and click ok.

If you don't have Tweak UI, then you must edit msdos.sys. Select Start, Programs, MS-DOS Prompt. In the MS-DOS window, type attrib -r -s -h c:\msdos.sys (use hyphens for the dashes and make sure to leave a space in front of each one), and then press Enter. Next, type notepad c:\msdos.sys. After you press Enter, msdos.sys will come up in Notepad.

If the line 'Logo=1' is there, change it to Logo=0. If it isn't there, add the line Logo=0 just below the line that reads '[Options]'. Save the file and close Notepad. In the DOS window, type attrib +r +s +h c:\msdos.sys (the same as the first command only with plus signs instead of hyphens), and press Enter. Close the window.

Changing the logo is harder. In Explorer, view the C drive. Select View, Folder Options (or View, Options). On the View tab, select 'Show all files', and click ok. Look for a file called logo.sys; if it's there, rename it something like oldlogo.sys.

Go to the graphics program of your choice and create or load the file you want to replace the old logo with. The new file should be a BMP image file with 256 colours and sized 640x400 pixels. Resize the image to 320x400 (Windows' boot process stretches the file horizontally from 320 to 640).

If you're using Windows' Paint, select Image, Stretch/Skew. In the Stretch section for Horizontal, enter 50 percent and click ok. When you save the file, name it C:\logo.sys. The next time you boot up, you will see your image.


Reorganise your Start menu

Introduction | Windows Helpline Q&A Directory
Reorganise your Start menu

I always have trouble finding the item I want in the Windows 98 Start menu because they aren't arranged in to any kind of order. Is there a way to reorganise them so they're more intuitively listed?

You can drag and drop items so that the ones you use most often are placed near the top. Click Start, Programs. Click on a menu item and hold down the button, then drag it to the position you want. As you drag it into position you'll see a line appear showing where it will be inserted when you release the button.

Windows doesn't automatically sort the items by name because that would upset the arrangement you created. But if you would prefer the menu items to be ordered by name, right-click the menu and select Sort by Name from the context menu.


Restore missing files from Windows CD

Introduction | Windows Helpline Q&A Directory
Restore missing files from Windows CD

My computer displays an error message when booting up that says 'Missing file msnp32.dll'. This does not seem to affect the running of any programs but is annoying.

If a filename starts with MS it's a safe bet that it is a Microsoft file and it's quite likely that it came with Windows. Therefore it's worth trying the System File Checker to try to restore it from the Windows CD-ROM. To do this, click the Start button, click Run, type SFC in the Open box and press Enter.

When the System File Checker starts select 'Extract one file from installation disk' and enter the name of the missing file in the box. Then click Start. The Extract File dialog box will appear. If the file is a Windows system file SFC knows where it is supposed to go and the Save file in box will be filled in with the file's correct location.

Select the location of your Windows CD-ROM in the Restore from box and click ok. Windows will then extract the missing file from the CD and write a new copy to your hard disk.


Restore missing files in Windows 95

Introduction | Windows Helpline Q&A Directory
Restore missing files in Windows 95

You often mention using the SFC (System File Checker) to restore missing or damaged system files in Windows 98. What is the corresponding procedure for Windows 95?

Windows 95 doesn't have such an easy procedure for restoring system files. Instead, they must be extracted manually from the CD using a command line program called Extract. If this application isn't already on your hard drive you can remedy this by simply copying the file entitled 'extract.exe' from the \Win95 folder of the CD to the \Windows\Command folder.

To restore a file, you must use a command like this: Extract /A d:\Win95\win95_02.cab 'filename' /L 'destination' (where D is the letter of your CD drive, 'filename' is the file you want to restore and 'destination' is the folder it should be restored to).

So, if you wanted to restore the file mfc42.dll, you would type: Extract /A d:\Win95\win95_02.cab mfc42.dll /L c:\windows\system. On a PC with Windows 95 it's likely that many key system files will have been upgraded (for example, by a later version of Internet Explorer). So restoring a file from the Windows 95 CD isn't necessarily a good idea. If you are replacing an existing file we'd advise copying the current one to a safe place as a backup before overwriting it.


Restore missing files using System File Checker

Introduction | Windows Helpline Q&A Directory
Restore missing files using System File Checker

You often advise readers to use System File Checker to restore files from the Windows CD. The trouble is that some manufacturers don't supply a Windows CD, merely a restore or recovery disc. This only allows you to restore the hard disk to its original state as new, which is a rather drastic measure just to restore one file. Is it possible to use System File Checker on these PCs?

Yes, it should be possible. The System File Checker restores files from special compressed archives called 'cabinet files', which have a CAB file extension.

If you don't have a Windows CD then these files must be present somewhere on the hard disk as Windows will need them if you ever add or remove system components or change certain configuration options. We don't think there is a standard location for these files - it depends on the manufacturer - but they can often be found in a subfolder of the Windows folder. To discourage tampering, this folder may have been hidden. Try using the Find tool to locate files named win98_*.cab.

When you use System File Checker to restore a file, you can specify the location from which the file should be restored. Point it at the folder containing these cabinet files and it should work.

Users of Windows Me, by the way, cannot use System File Checker at all, since it isn't present on their systems. Instead, Me uses a system that automatically detects changes to system files and restores the correct version. See tip, Sysedit and SFC alternatives in Windows Me.


Restore system settings from Registry

Introduction | Windows Helpline Q&A Directory
Restore system settings from Registry

I have got a problem with my monitor which only occurs in Windows (not in DOS). On Startup everything seems okay until the Windows 95 screen appears, then everything becomes illegible.

I thought about reloading the driver, but I don't know how to install the software outside the Windows environment. The last thing I remember doing on my PC was viewing the monitor settings. I didn't, however, intentionally alter any setting.

You may not have intended altering any settings, but it sounds as if you have done so. What you need to do is start Windows in Safe Mode, then change the monitor settings back to what they should be. Unfortunately as we don't know anything about your computer we can't tell you what those settings should be. To get into Safe Mode, press and hold the F8 key when the 'Starting Windows 95' message comes up on your screen: you can then select Safe Mode from the Windows 95 Startup menu.

Monitor settings are stored in the Registry, so another way to solve the problem would be to restore from a backup if you had one. Windows 98 automatically creates a Registry backup each day. Restoring an earlier one is a good way to reverse a problem caused by configuration changes that went wrong.

If you have Windows 98 this is what you do. Press and hold down the Ctrl key during booting. This will get you to the Windows 98 StartUp menu. Select Command Prompt. Run the command ScanReg. Select the option to check the Registry. Once the Registry has been checked you will see options to back up the Registry, restore it from one of the backups or exit. Opt to restore a backup, select the one you wish to restore (you can see the dates on which they were created) and select Restore.

This should get the system back to the state it was in when it was working unless, of course, any key files have been deleted or overwritten. To restore those you need a system backup. See tip Back up the Registry.


Restore the Recycle Bin to the desktop

Introduction | Windows Helpline Q&A Directory
Restore the Recycle Bin to the desktop

When I started Windows 98 SE I found that the Recycle Bin had disappeared from the desktop. I can't find any way of recovering it but I don't want to reload Windows if there's a simpler way to get it back.

Yes. Use Tweak UI, a free Windows accessory that installs in the Control Panel. Tweak UI didn't come with Windows 98 SE as it didn't support it but, due to overwhelming demand, Microsoft produced a new version that is compatible with Windows Me and 2000 as well. You can get Tweak UI from PC Advisor's Download Directory or from Microsoft's website at www.microsoft.com/.

After you've downloaded the Tweak UI utility, run it. This unzips some files into a temporary folder. Open that folder in Windows Explorer, right-click the file tweakui.inf and then select Install from the context menu. Tweak UI will now be installed on your system. You can now delete the files that were unzipped and copy the EXE file you downloaded to a safe place in case you need to reinstall it at any time.

To run Tweak UI, open Control Panel and double-click the Tweak UI icon. To restore your Recycle Bin click on the Desktop tab. Scroll down the list of desktop icons until you see the Recycle Bin listed. Place a tick in the checkbox beside it and click ok. And that's it.


Restore the Registry Editor

Introduction | Windows Helpline Q&A Directory
Restore the Registry Editor

I can't access the Registry Editor. I have tried using Regedit from Run in the Start menu, but nothing happens. Is there another way I can gain access to the Registry?

The program regedit.exe may have been deleted for some unknown reason. It is a standard part of Windows and normally resides in the Windows folder. If you have Windows 98, use the System File Checker to restore it from the Windows CD. (See tips What does System File Checker do? and System File Checker won't run.)

Click Start, Run; type SFC, and hit Enter. When the System File Checker starts, select 'Extract one file from installation disk' and type regedit.exe in the box. Then click Start and, when prompted, insert the Windows disc into your CD-ROM drive.

However, if it's not your PC then it's possible the owner has set up system policies to prevent the use of tools, such as the Registry Editor, that can be used to change system settings. Speak to the owner or system administrator to see if they have restricted access. If you are going to edit the Registry see tip Back up the Registry.


Running ScanDisk freezes PC

Introduction | Windows Helpline Q&A Directory
Running ScanDisk freezes PC

ScanDisk freezes my computer every time I start it and I have to reboot using the power button. I have recently installed a new version of Dr Solomon's AntiVirus software, which affected a lot of programs on the PC, but I thought this problem had been sorted out. Do you think Dr Solomon's has affected ScanDisk, or is there another reason for this problem?

It isn't a good idea to run low-level disk maintenance tools while antivirus monitors and other background utilities are running. Either shut them down temporarily from the System Tray, stop them loading at startup by keeping the Shift key pressed down while Windows starts, or start Windows in Safe Mode to run ScanDisk. If this fails, exit Windows to MS-DOS and type 'ScanDisk' at the command prompt.


Set favourite music to repeat automatically

Introduction | Windows Helpline Q&A Directory
Set favourite music to repeat automatically

Can the Sound Recorder in Windows 98 be made to repeatedly play a sound file? This would be useful because I like to listen to opera overtures.

The answer is no, Sound Recorder can't do this. However, the Windows Media Player (which is a much better program for playing sound files anyway) can. From the Media Player menu click on Play, then Repeat.


Set Windows Me keyboard to British

Introduction | Windows Helpline Q&A Directory
Set Windows Me keyboard to British

My new computer runs Windows Me. I have the keyboard set to British. This works except in a DOS box where, for example, @ and " are transposed and the file dates are written in the US-style, month/day/year.

I can't see how to correct this. I tried copying some lines from the autoexec.bat of another computer running Windows 95 OSR2, but they just vanished when I rebooted.

You can't use Mode con codepage or Keyb uk in Windows Me because, as a result of Microsoft's decision to cripple DOS functionality in this version of Windows, autoexec.bat and config.sys are ignored.

You can re-enable DOS support, as described in the tip, Enable MS-DOS mode under Windows Me, and this would allow these commands to work. But that's not necessary. It should be possible to make the correct keyboard settings using the Msconfig utility.

However, these settings don't always work, due to a bug in Windows Me. Clearly, Microsoft's US programmers didn't adequately test this feature.

Here's the solution. Run Msconfig, select the International tab and enter:

MS-DOS Code Page: 850
Country Code: 44
Country Data File Name: country.sys
Display Data File Name: ega.cpi
Keyboard Data File Name: keyboard.sys
Keyboard Type: (leave blank)
Keyboard Layout: (leave blank)
Language ID: uk

Do not enter full paths for the filenames. Because of the bug, paths are not correctly processed. Click ok, allow the PC to reboot, and your command prompt should be correctly set up.


Shut down Windows 98 automatically

Introduction | Windows Helpline Q&A Directory
Shut down Windows 98 automatically

Sometimes it can be useful to be able to shut down Windows automatically. Is there an easy way to do this?

You can shut down or reboot the computer from a batch file that carried out some unattended task or installed some files. Or simlply use the Windows Task Scheduler to shut down your computer at a set time. The command below will shut down or reboot the computer or log off the current user:

rundll32.exe shell32.dll,shexitWindowsEx n

The action is determined by the number n, a number which is one of the following:

0 - log off
1 - shut down
2 - reboot

To these values you may add four if you want to force the action (in other words, ignore any messages like 'Do you want to save this file?' which applications may display when they receive the request to shut down.) This will ensure the computer shuts down no matter what is running at the time, but it can result in lost work. Add eight if you want the computer to be powered off (assuming it supports software-controlled power off.) So to force shutdown with power off, n would be 13.

To use the command from a batch file just make it the final command to be executed in the batch file. To use it from the Task Scheduler use the Add New Task Wizard to add rundll32.exe as a task, then edit the task properties to add the parameters shown above to the command line.


Solve Windows setup problems

Introduction | Windows Helpline Q&A Directory
Solve Windows setup problems

My PC throws up an error at startup. How can I get the operating system to ignore the error and load up so that I can fix it?

Windows Setup supports a number of command line options, some of which may be useful when trying to overcome installation problems. Run Setup/? from the command line to list the documented ones for your version of Windows.

Options that you may find useful are listed below. Some of these options are undocumented, and may not be available in all versions of Windows Setup.

/C = run without using the disk cache

/D = clean install, that is, ignore existing Windows installation. However, it's better to reformat the drive and remove old files before installing

/ID = skip the disk space check

/IE = skip creation of a startup disk

/IH = skip the Registry validity check

/IM = skip the memory check

/IN = run Setup without the Network Setup module. You will not be able to set up an internet connection if you use this option

/IP = skip detection of unknown plug and play devices

/IQ = skip the check for cross-linked files

/IR = skip detection of system Bios

/IS = skip the ScanDisk disk check

/IV = skip the display of information screens during Setup

/L = load a Logitech mouse driver instead of a Microsoft mouse driver

/M = suppress playing of WAV sounds

/N = run without mouse support

/NM = bypass CPU type detection. This enables Windows to be installed on a PC that doesn't meet the minimum system requirements for the version of Windows - use at your own risk.

/Nostart = perform only the file copy part of the installation, not the setup. The end result is a system that will boot from the hard disk allowing the user to complete the installation

/NTLDR = bypass check for existing operating system, which normally prevents OEM versions of Windows from being installed on a PC with an existing Windows installation

/T: <dir> = specifies the location Setup will use for its temporary files. Use this if the C drive is short on free space. Please note that existing files in this directory will be deleted

/P


Start up in DOS

Introduction | Windows Helpline Q&A Directory
Start up in DOS

Is it possible to have my computer open in DOS instead of Windows when booted up? This will save us the bother of having to restart in DOS via the Windows Shut Down menu.

Yes it is. The task is achieved by editing the file msdos.sys, which is a hidden read-only file in your C drive root directory.

First, you must make msdos.sys visible and editable by running the command 'attrib -s -h -r c:\msdos.sys' from a command prompt. Then edit msdos.sys using the MS-DOS editor in Notepad (but not a word processor) and change the line 'BootGUI=1' to read 'BootGUI=0'. After you have saved your change, restore the file's original attributes by running the command 'attrib +s +r +h c:\msdos.sys'.

On restarting the computer it will boot to a command prompt. In order to start Windows you will then need to type the command 'win'.


Start up in Safe Mode

Introduction | Windows Helpline Q&A Directory
Start up in Safe Mode

How do I get Windows to start in Safe Mode?

It depends on which version you are running. To start Windows 98 or Me in Safe Mode, restart the computer. After the Bios checks are finished, hold down Ctrl. For Windows 95 use the F8 key. When the Startup menu appears, choose Safe Mode and press Enter.


Stop Task Scheduler appearing at boot up

Introduction | Windows Helpline Q&A Directory
Stop Task Scheduler appearing at boot up

I upgraded from Windows 98 SE to Windows Me. On restart everything worked, except that when I boot up two unwanted windows appear. The first one says 'Task Scheduler service. Some tasks did not execute at their scheduled times as the Task Scheduler service was not running. You can view the list of missed tasks and attempt to run them again from within the Task Scheduler folder'. The second is the Trend PC-cillin 98 antivirus program window. How do I stop them appearing when I boot up?

To stop the Task Scheduler service warning from appearing, double-click the Task Scheduler icon in the System Tray to open the Scheduled Tasks folder. Click the Advanced menu, then click 'Notify me of missed tasks' to remove the tick beside it.

It's not clear whether the PC-cillin window you are referring to is a splash screen or not. If it's possible to prevent it from appearing, there should be an option for this in the program settings.


Stop windows adding 'Shortcut to' to shortcuts

Introduction | Windows Helpline Q&A Directory
Stop windows adding 'Shortcut to' to shortcuts

I don't like the way the names of new shortcuts always begin with 'Shortcut to'. How can I stop Windows adding these two extra words to every new shortcut I create?

If you have installed Tweak UI (formerly part of Microsoft's unsupported Power Toys), there's an easy way to do this. Select Start, Settings, Control Panel. Double-click Tweak UI, then click the Explorer tab. In Settings, uncheck 'Prefix 'Shortcut to' on new shortcuts'.

If you don't have Tweak UI, there's a method that sounds like it shouldn't work but does. Open two folders side-by-side on your desktop: one full of files, the other empty. Right-drag a file to the new folder. At the pop-up menu, select 'Create Shortcut(s) Here'. Now select the new shortcut and press F2. Then delete the words 'Shortcut to' and press Enter.

Repeat the process, dragging another file to the once-empty folder to create the shortcut, then manually removing the unwanted words. Eventually (usually by the eighth repetition), Windows will create the shortcut without adding the extra verbiage. This is the only instance we know of where Windows actually seems to learn from experience.

NB: don't use the right-click menu's 'Copy here' command to do this. 'Create shortcut here' creates a small file containing a pointer to the original file, while 'Copy here' creates an actual copy of it.

Reproducing an application wastes disk space and the program may not work properly when run from somewhere other than its proper location. It also causes confusion when you attempt to edit the various copies at different times. Create a copy if you really need a duplicate - for example, as a backup. If you just want quick access to the file from another location, such as your desktop, create a shortcut.


Sysedit and SFC alternatives in Windows Me

Introduction | Windows Helpline Q&A Directory
Sysedit and SFC alternatives in Windows Me

I recently installed Windows Me on my system. This morning I tried to run Sysedit and was rudely informed that the file cannot be found or doesn't exist. Did Microsoft really remove this handy utility? Is there an alternative?

The System Editor, also called Sysedit, is one of two utilities that were included with earlier versions of Windows but may not be part of Windows Me. (We'll discuss the other missing utility, System File Checker, in a minute.) To edit your system files in a text-editor environment in Windows 9x, select Start, Run, type Sysedit and press Enter. In Windows Me, you may get an error message when you try this.

Microsoft says that the System Configuration Utility (or Msconfig), introduced in Windows 98, is a better tool for editing system.ini and win.ini. The other files you once edited in Sysedit - autoexec.bat, config.sys and protocol.ini - are no longer relevant in the less-DOS-dependent Me environment.

You launch Msconfig much as you did Sysedit: select Start, Run, type Msconfig and press Enter. Alternatively, you can open Sysedit through the start bar by clicking Start, Programs, Accessories, System Tools, and System Information. In the System Information applet, pick Tools, System Configuration Utility.

Whether Msconfig's tabbed and structured environment makes editing these files easier is a matter of personal taste: if you prefer Sysedit-style text editing, select Start, Run, enter win.ini or system.ini and press Enter to have the file come up in Notepad (or whatever program you've selected as your default text editor).

Sysedit and Notepad let you do real editing, allowing you to introduce real syntax errors, whereas Msconfig keeps a record of every change you make.

If you've upgraded to Me, you may still have your old Sysedit file. The installation process doesn't always remove sysedit.exe, which still works in Windows Me. Try launching it, and you may be pleasantly surprised.

On the other hand, the Windows Me upgrade installation does remove System File Checker. This handy Windows 98 program scans your hard drive looking for important system files that have been altered and offers to restore the original version. This is valuable because installation programs often replace these system files with old, incompatible or altered versions.

If you have Windows 98, it's wise to run System File Checker after you install an application. (To launch it, select Start, Run, type sfc and press Enter.) Windows Me replaces System File Checker with System File Protection. You cannot launch System File Protection; it always runs in the background. This makes the utility more reliable than System File Checker, since it can catch a program in the act of alteration. On the other hand, System File Protection likely contributes to Me's slower performance, and you can't turn the program off.


System File Checker reports changes

Introduction | Windows Helpline Q&A Directory
System File Checker reports changes

I consider my Windows 98 system to be stable so I was very surprised, having run SFC (System File Checker), to find that 11 files were not as expected. Should I replace these or leave them alone?

If you found only 11 changes, you're doing well and, if the system is working, it's best to leave it alone. It's likely that the changes occurred because the files were replaced by newer versions, which are backwards compatible with the old file. It's unadvisable to replace a newer file with the original, as it may contain a feature that is required by the application.

What you should do is pay attention to the information SFC displays when it finds a change. It will show the file's previous version number (as recorded in its database) and the current version number. If the current version number is greater than the previous one, you can ignore the change. You could even update the verification information if you're sure that the update is okay. This will prevent the change being flagged up next time you run SFC.

If the current version number is older, however, it might be wise to restore the original version from the Windows CD. Allow SFC to make a backup of the current version in case you experience problems later on and want to try putting that version back.


System File Checker won't run

Introduction | Windows Helpline Q&A Directory
System File Checker won't run

When I run System File Checker (sfc.exe) to scan for corrupt files, it is unable to complete the check. It gets about three-quarters of the way through and then freezes. I have to use Ctrl, Alt, Del to restart the computer. A corrupt file (user.exe) was spotted, and I extracted it from d:\win98, but when System File Checker is run again it claims that the file is still corrupt. Are these problems related?

We think so. User.exe is one of the Windows kernel files, and if it was really corrupt you probably wouldn't be able to start Windows. It's more likely that the database against which SFC (System File Checker) is doing its checking is corrupted. This file is called default.sfc.

To restore this file, first start SFC, click the Settings button, select the Advanced tab and then click the 'Restore Defaults' button. After closing SFC, you will need to restart the computer.


The 'Open with' dialog box appears at startup

Introduction | Windows Helpline Q&A Directory
The 'Open with' dialog box appears at startup

Each time I turn on my computer the Windows desktop presents me with an 'Open with' window that says 'Click on the program you want to open the Windows file with'. What does this mean and how can I remedy it?

The most likely explanation is that there is a faulty or orphaned shortcut in the Windows StartUp folder. To check this click on Start, Programs, then right-click StartUp on the menu and select Open from the pop-up menu. If the culprit is here, it probably won't have a proper icon and, if you try to run it, it will display the same 'Open with…' message that's bothering you. If you find an item like this, delete it and all should be well.


Transfer existing components to a new PC

Introduction | Windows Helpline Q&A Directory
Transfer existing components to a new PC

I am building my own PC but, as I have updated the CD-ROM, CD-RW and hard drive of my existing system within the last year, I wish to use these in my new PC. How will Windows 98 respond when I first start the new machine, as my existing Creative PCI sound card and Voodoo3 AGP graphics card will no longer be present? Will Windows recognise the new hardware and adjust the Registry accordingly? Should I start the computer in Safe Mode or from a bootup floppy?

No, you should reformat your hard drive and reinstall Windows from scratch just as if you were building a PC with a complete set of new components. As you'll be using a different motherboard you will, as far as Windows is concerned, have a new PC.

And because many of the things that are done during installation are carried out according to the hardware Windows finds during installation, you must do a clean reinstall to ensure Windows is set up correctly. See also tip Install old peripherals to your new PC.


Troubleshoot print spool errors in Windows 98

Introduction | Windows Helpline Q&A Directory
Troubleshoot print spool errors in Windows 98

When I try to print, I see errors involving spool32.exe. Why is this happening, and how can I stop it?

You will need to do some detective work to try to locate the cause of the fault. To do this, perform the steps below and try to print after each one. If printing still fails, try the next step.

1. Try updating your printer driver.

2. Disable all non-essential drivers by clean-booting your computer. To do this under Windows 98, click Start, Run. Type Msconfig and press Enter. When the System Configuration Utility starts, select the General tab. Select Selective Startup and clear the following checkboxes: Process config.sys file; Process autoexec.bat file; Process Winstart.bat file; Process system.ini file; Process Win.ini file; Load startup group items

Note: you must reinstall the printer driver if you disable the win.ini file because printer and port information is stored in this file. Click ok and close the System Information tool. Then restart your computer. This process eliminates the possibility that an antivirus program, utility or third-party printing package is causing the error message.

3. Change the spooling format from EMF to RAW and attempt to print directly to the printer instead of spooling the print job. To do this, click Start, Settings, and then Printers. Right-click the icon of the printer you are using and select Properties. On the Details tab click 'Spool Settings', then 'Print Directly To The Printer'. In the 'Spool Data Format' box, click RAW. Click ok twice and close the Printers window.

4. A program may be preventing spool32.exe from starting when Windows starts. To work around this problem create a shortcut to the program in the Startup folder of your Start menu.

To do this, locate the file spool32.exe in the Windows System folder. Drag the program to the Start button and, keeping the mouse button held down, wait for the menu to open.

Then move to Programs, wait for the Programs menu to open, move to Startup, wait for the Startup menu to open, move to the Startup menu and release the mouse button. This will create a shortcut to the program in the Startup folder that will ensure spool32.exe starts.


Tweak UI

Introduction | Windows Helpline Q&A Directory
Tweak UI

You often recommend using a tool called Tweak UI. Where can I find it?

In most older versions of Windows it's on the installation CD in the Tools\Reskit\Powertoys folder. Right-click the Setup Information file to install. You can get the latest version from www.microsoft.com.


Tweak UI removes Start Menu options

Introduction | Windows Helpline Q&A Directory
Tweak UI removes Start Menu options

I recently installed Tweak UI 1.33 from Microsoft's website. All went well until I right-clicked on my Start button only to find that Open and Explore had been greyed-out. A friend said he had heard of this happening, so I removed Tweak UI from my system using GoBack. Are you aware of this problem? Is there a fix to restore the Start button options, because I would like to use Tweak UI?

This was a known problem with the previous version of Tweak UI and so we're surprised it hasn't been fixed. In fact it may not be Tweak UI that causes the problem, but Windows itself not liking one of the changes it made. When you removed Tweak UI using GoBack at the same time you probably reversed the change that caused the problem.

The trouble seems to be associated with using the option on the My Computer tab to hide some of your drives. Therefore, we think it is safe to use Tweak UI and retain use of the Open and Explore Start button options as long as you resist the temptation to hide any drives using the My Computer tab.


Unassociate files with the wrong programs

Introduction | Windows Helpline Q&A Directory
Unassociate files with the wrong programs

When I wish to open a file and am prompted to choose a program to open it in, I don't know which to choose. If I do opt for the wrong program, I end up with a lot of gibberish. How do I then open it in something else, as the computer no longer prompts me to choose a program to do it?

The Open With dialog box, that offers you a choice of programs to open a file with, is trying to be helpful. But it should really only be enabled if you select an Expert User option. It would also be a good idea if Explorer, by default, didn't show files that don't have a named type. That way, people wouldn't be encouraged to peek into things that aren't supposed to be peeked into.

If Windows doesn't already know what program to use to view a file, it's probably either one of the many files on the hard disk intended to be read only by programs and not by users, or you don't have the correct program to view the file type. It's most likely to be the former, and the best thing is to not try opening it at all.

If you must try to peek at these files, install Quick View. This is accessed by choosing Control Panel, Add/Remove Programs, Windows Setup. It's then under Accessories. Right-click the file and select Quick View to view it.

Windows didn't give you a second chance to select a program to view these unknown file types because, when you chose the first one from the Open With dialog box, the box beside, 'Always use this program to open this file', was ticked. Windows assumed you knew what you were doing, and were telling it the correct program to use from now on to open the file.

To undo this mistake, click on View, Folder Options from the Explorer menu. Select File Types, and scroll down the list until you see the name for the type of file you tried to view. This will be a generic name like ***.file and it will have the icon of the program you tried to open it with. Select this entry and click the Remove button. But be warned: there's no Undo option. If in any doubt about what you are doing, just leave it. See also the tip, Associate files with the right programs.


Uninstall/reinstall your operating system

Introduction | Windows Helpline Q&A Directory
Uninstall/reinstall your operating system

How do I uninstall Windows 98? My 100MHz processor is proving too slow to run Windows 98 so I want to reinstall Windows 95 from the CD.

If you installed from a Windows 98 upgrade, and chose the option to keep the Windows 95 files, you should be able to uninstall Windows 98 from an entry in Control Panel, Add/Remove Programs. If that entry isn't there, you can't.

In that case your only solution is to reformat the hard disk and reinstall Windows 95 from scratch. Make sure that you have a bootable floppy disk containing CD-ROM drivers and that you can boot from it and access the CD-ROM drive before you start. See tip How to make a bootable floppy disk.


What do Windows' display colour options mean?

Introduction | Windows Helpline Q&A Directory
What do Windows' display colour options mean?

In Control Panel, Display, Settings there are different colour options: true colour (24bit), high colour (16bit), 256 colour and 16 colour. What are the differences between these and what are their practical effects? Next to this is a slider giving a choice of 640x480, 800x600 or 1,024x768, showing less for the smaller numbers and more for the bigger numbers. But it seems that the bigger the numbers, the smaller the image on the screen. Where is the logic in this?

The colour options control the number of different colours that can be displayed simultaneously. When computers purely displayed text, 16bit colour was used. It's now an obsolete standard that Windows supports because all graphics adapters can display this mode without needing special drivers. It can only be used in Safe Mode, when Windows has the wrong drivers (or none at all).

Until recently a more popular mode was 256bit, but it gives a less-than-perfect display of graphical images. This is because only 256 different colours are available for use on the whole screen. So images that use more colours than that must be converted to use those that are available. If you have several graphics files on screen at the same time, there may not be enough different colours to display them all very well.

High colour (16bit) and true colour (24bit and 32bit) give good results with photographs and other images. In theory, the more bits the better, although you probably won't be able to tell the difference between high colour and true colour mode.

The main difference is in performance. True colour only uses 24bits, but computers and most modern graphics cards have a 32bit architecture, which means they can move 32bit data around faster. This makes 32bit the best option in most cases, if it is available. The exception is if your computer or graphics card doesn't have much memory. True colour 32bit mode uses twice as much memory as high colour 16bit mode. So, if your computer runs slow and there is a lot of hard disk activity when working with graphics files, try switching to high colour mode.

The desktop size settings represent the number of dots or pixels that are used, horizontally and vertically, to fill the screen. They are like the dimensions of a real desktop: the larger they are, the smaller anything on the desktop will seem, given that you only have the same amount of space (the screen) in which to display it. You can make text more readable at higher resolutions by clicking the Advanced button next to the settings slider and choosing 'Large Fonts'. However, this defeats the object of using a higher resolution in the first place: the best solution is to buy a bigger screen!


What does System File Checker do?

Introduction | Windows Helpline Q&A Directory
What does System File Checker do?

Can you explain how SFC works?

The SFC (System File Checker) checks that original Windows 98 files - the ones on your hard disk that came from the Windows 98 CD-ROM - are in good condition. To launch it, select Start, Run, Type sfc and press Enter. The program looks at Windows files and restores bad ones.

However, SFC can't tell a corrupt file from an updated one, so run the program after you update Windows and select Update verification information for any file that SFC complains about.


When not to restore files using SFC

Introduction | Windows Helpline Q&A Directory
When not to restore files using SFC

SFC (System File Checker) informs me that I had one corrupt file - user.exe. I have never used SFC before, so I don't know how long this file has been corrupted. Should I leave well alone, or should I restore the file? If so, how?

We cover how to restore system files using the SFC in the tips, Restore missing files in Windows 95, Restore missing files from Windows CD and Restore missing files using system file checker, but in this case we think you should leave well alone. In some circumstances, the Windows 98 SFC can search in the wrong location when trying to restore certain system files, and may restore the wrong version. This will result in an inability to start Windows. Fortunately, this bug was corrected in Windows 98 SE.

Since user.exe is a pretty fundamental part of Windows, and yet your system is running okay, it is debatable whether or not the file is really corrupt. However, if you do want to try to restore it, the safe way for Windows 98 users is to use the command line Extract utility, like this:

Extract /A d:\Win98\Base_4.Cab User.exe /L c:\Windows\Temp

In this case, you have to extract the file to a temporary location (the path specified after the /L switch) and then copy it to c:\Windows\System in DOS mode. This is because user.exe is in use by Windows and cannot be overwritten. SFC normally takes care of this automatically.


Where are Microsoft's knowledgebase articles?

Introduction | Windows Helpline Q&A Directory
Where are Microsoft's knowledgebase articles?

How can I get copies of the Microsoft Knowledgebase articles?

You can read them online at http://support.microsoft.com/directory/. Alternatively, to get a copy sent to you by email, send a message to mshelp@microsoft.com with the article number as the message subject. If you send a message with Index in the subject, you will retrieve a list of all current articles.


Windows 98 upgrade hassles

Introduction | Windows Helpline Q&A Directory
Windows 98 upgrade hassles

I recently deleted Windows 95 and installed Windows 98. When I deleted Windows 95, I forgot to delete the C:\Windows folder, so when installing Windows 98 it created a folder called C:\Windows.000. I cannot rename this back to C:\Windows. Is there a way?

If you install Windows on to a system that already contains an apparently invalid Windows folder (in this case because you had deleted most of the files), setup will create a default name for the install location by appending a number (such as .000) to the folder name.

What you should have done, when prompted with the install location, was click 'Other Directory' and select your existing Windows folder. Unfortunately, although there are ways to rename the folder, it will do you no good.

The name 'Windows.000' will be in hundreds of Registry entries and other configuration files. Changing the folder name will prevent Windows from running, so you'll have to live with it or reinstall, we're afraid.


Windows can't find drivers

Introduction | Windows Helpline Q&A Directory
Windows can't find drivers

I recently upgraded the motherboard in my PC, which runs Windows 98 SE. At bootup the system says it needs drivers for a 'Wave device for voice modem'. The onboard sound is enabled and the drivers have been installed. I have also reinstalled the modem and the BitWare software, but the problem remains. Any suggestions?

We think this is a problem with Windows 98 SE and some modems. One of our Windows 98 SE systems exhibits the same problem whenever we install new hardware. We find no ill effects from this missing driver, which appears as an item with an exclamation mark against it under Sound, video and game controllers in Device Manager.

The way to stop Windows asking for the driver is to go through the motions of installing it. Let it search c:\Windows\System or your Windows CD-ROM for the driver. After concluding that it can't find the driver Windows will keep quiet - until the next time you run Add New Hardware.


Windows hangs on shutdown

Introduction | Windows Helpline Q&A Directory
Windows hangs on shutdown

When I shut down Windows, it usually hangs or displays an error message instead of the shutdown screen.

If you're using Windows 98 SE, obtain the Windows 98 Second Edition Shutdown Supplement from Windows Update. For earlier versions, run Msconfig, click Advanced on the General tab and select Disable fast shutdown.

If this fails, work through the Microsoft Knowledgebase article on shutdown problems for your version of Windows. The article numbers are: Q145926 (Windows 95), Q202633 (Windows 98), Q238096 (Windows 98 SE), Q273746 (Windows Me). See tip Where are Microsoft's knowledgebase articles?.


Windows help won't run

Introduction | Windows Helpline Q&A Directory
Windows help won't run

I can no longer run Windows 98 Help. When I try to open it I get a message saying 'Cannot open the file %systemroot%\help\windows.chm'. I can find no reference to this file if I search my hard drive for CHM extensions, nor on the Windows 98 CD.

The file windows.chm is in one of the compressed cabinet (CAB) files on the Windows 98 CD. It is in the file Win98_28.cab on the Windows 98 CD and Win98_25.cab on the Windows 98 SE CD. If you open the Windows 98 folder on the CD in Windows Explorer, you will see the CAB files listed. If you click on the one you want, its contents will be displayed in a new Explorer window, just like a normal folder. Locate the file windows.chm, drag and drop it into the Windows Help folder of your hard disk.


Windows shutdown problems

Introduction | Windows Helpline Q&A Directory
Windows shutdown problems

I have started having an occasional problem with my computer when I shut it down. Sometimes it begins the shutdown process and then suddenly cuts out. The monitor shows a message to say that there is no signal from the computer. When I next start the PC it reports that Windows did not close down properly and then runs ScanDisk. This is annoying. Is it possible one of my Windows files is corrupt and causing the problem? If so, why does it not happen every time I close Windows?

There are so many apparent causes of Windows shutdown problems (and an even greater number of suggested cures) that it is impossible to cover all the possibilities here. Instead, we suggest that you go to the Microsoft website at http://support.microsoft.com/ and search for the Knowledgebase articles relating to your version of Windows with 'shutdown' in the title. In particular, article Q202633 (for Windows 98) or Q238096 (for Windows 98 SE) would be good ones to download, print out and work through. See tip Where are Microsoft's knowledgebase articles?

One thing it's worth trying first, however, would be to disable fast shutdown. To do this, launch the System Configuration Utility (Start, Run, type msconfig, hit Enter) and on the General page click the Advanced button. Check the box captioned 'Disable fast shutdown' and click ok. This may solve the problem.


Windows won't go into Safe Mode

Introduction | Windows Helpline Q&A Directory
Windows won't go into Safe Mode

Recently I discovered that my Windows 98 PC wouldn't go into Safe Mode. It goes through the motions of starting in Safe Mode but then displays the shutdown screen. Is there a cure?

We've never heard of this problem affecting only Safe Mode before, but because it occurs whenever you attempt to start Windows a corrupt or missing wininit.exe or vmm32.vxd is probably causing the problem.

Retrieving a fresh copy from the Windows CD-ROM can repair wininit.exe. As you are running Windows 98 you should be able to use System File Checker (sfc.exe) to do this easily. See tip Restore missing files using System File Checker.

Vmm32.vxd is a file that is specially created for your system hardware configuration when you install Windows. The only way to recreate this is to locate and rename the existing copy to vmm32.old (from MS-DOS, since it is in use while Windows is running) and then reinstall Windows.


Online Helproom

 PC Advisor Helproom www.pcadvisor.co.uk/helproom

If you’ve got a problem with your computer, log on to the PC Advisor Helproom. Thousands of technical problems have already been solved, and with 200 new queries answered every day you're sure to get a good response


Subscribe

Subscribe to PC Advisor magazine

PC Advisor (CD-ROM) | PC Advisor (DVD)
To subscribe to the CD-ROM edition of PC Advisor CLICK HERE 1 year (12 issues) £23.97 6 months (6 issues) £11.99 | To subscribe to the DVD edition of PC Advisor CLICK HERE 1 year (12 issues) £39.99 6 months (6 issues) £19.99
  • Interested in new products on the market?
  • Keen to get all the latest tips & tricks on how to get the most out of your existing PC equipment?
Then PC Advisor is the essential monthly read for you. The benefits of becoming a subscriber are obvious:

  • The most informative and practical advice
  • Over a dozen unique Top 10 buying guide charts and reviews updated monthly - that's more than any of our competitors
  • Monthly workshop features to make simple those upgrades, improvements and processes you've never dared try
  • All this delivered FREE to your door before it becomes available in the newsagents - and you'll never miss an issue
  • Access to additional subscriber benefits
  • Regular CDs featuring full program software or, if you subscribe to the DVD edition, a DVD featuring exclusive interactive video, plus full programs, games demos and more
  • Protection from future cover price increases
  • Money-back guarantee: if you decide to cancel at any time, you will receive a refund for all unmailed copies
  • A free gift for all new subscribers
PLUS!

  • Save up to 38% on the normal newsstand price
Subscribe online via our secure server, or call the subscription order line on 01795 414 836

PC Advisor (CD-ROM) | PC Advisor (DVD)
To subscribe to the CD-ROM edition of PC Advisor CLICK HERE 1 year (12 issues) £23.97 6 months (6 issues) £11.99 | To subscribe to the DVD edition of PC Advisor CLICK HERE 1 year (12 issues) £39.99 6 months (6 issues) £19.99